/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs
#define yylval          cf_lval
#define yychar          cf_char

/* First part of user prologue.  */
#line 57 "conf/gen_parser.m4"

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/settle.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/bfd.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static bool this_sadr_from_hack_active;

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#define cf_assert(cond, ...) do { if (!(cond)) cf_error(__VA_ARGS__); } while (0)
static inline void cf_assert_symbol(const struct symbol *sym, uint class) {
  switch (class) {
    case SYM_PROTO: cf_assert(sym->class == SYM_PROTO, "Protocol name required"); break;
    case SYM_TEMPLATE: cf_assert(sym->class == SYM_TEMPLATE, "Protocol template name required"); break;
    case SYM_FUNCTION: cf_assert(sym->class == SYM_FUNCTION, "Function name required"); break;
    case SYM_FILTER: cf_assert(sym->class == SYM_FILTER, "Filter name required"); break;
    case SYM_TABLE: cf_assert(sym->class == SYM_TABLE, "Table name required"); break;
    case SYM_ATTRIBUTE: cf_assert(sym->class == SYM_ATTRIBUTE, "Custom attribute name required"); break;
    case SYM_MPLS_DOMAIN: cf_assert(sym->class == SYM_MPLS_DOMAIN, "MPLS domain name required"); break;
    case SYM_MPLS_RANGE: cf_assert(sym->class == SYM_MPLS_RANGE, "MPLS range name required"); break;
    case SYM_VARIABLE: cf_assert((sym->class & ~0xff) == SYM_VARIABLE, "Variable name required"); break;
    case SYM_CONSTANT: cf_assert((sym->class & ~0xff) == SYM_CONSTANT, "Constant name required"); break;
    default: bug("This shall not happen");
  }
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

#include "filter/f-inst.h"
#include "filter/data.h"

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }

static struct symbol *this_function;
static struct sym_scope *this_for_scope;

static struct f_method_scope {
  struct f_inst *object;
  struct sym_scope *main;
  struct sym_scope scope;
} f_method_scope_stack[32];
static int f_method_scope_pos = -1;

#define FM  (f_method_scope_stack[f_method_scope_pos])

static inline void f_method_call_start(struct f_inst *object)
{
  if (object->type == T_VOID)
    cf_error("Can't infer type to properly call a method, please assign the value to a variable");
  if (++f_method_scope_pos >= (int) ARRAY_SIZE(f_method_scope_stack))
    cf_error("Too many nested method calls");

  struct sym_scope *scope = f_type_method_scope(object->type);
  if (!scope->hash.count && !scope->next)
    cf_error("No methods defined for type %s", f_type_name(object->type));

  /* Replacing the current symbol scope with the appropriate method scope
     for the given type. */
  FM = (struct f_method_scope) {
    .object = object,
    .main = new_config->current_scope,
    .scope = {
      .next = scope->next,
      .hash = scope->hash,
      .block = 1,
      .readonly = 1,
    },
  };
  new_config->current_scope = &FM.scope;
}

static inline void f_method_call_args(void)
{
  /* For argument parsing, we need to revert back to the standard symbol scope. */
  new_config->current_scope = FM.main;
}

static inline void f_method_call_end(void)
{
  ASSERT_DIE(f_method_scope_pos >= 0);
  if (&FM.scope == new_config->current_scope)
    new_config->current_scope = FM.main;

  f_method_scope_pos--;
}

static int
f_new_var(struct sym_scope *s)
{
  /*
   * - A variable is an offset on vstack from vbase.
   * - Vbase is set on filter start / function call.
   * - Scopes contain (non-frame) block scopes inside filter/function scope
   * - Each scope knows number of vars in that scope
   * - Offset is therefore a sum of 'slots' up to filter/function scope
   * - New variables are added on top of vstk, so intermediate values cannot
   *   be there during FI_VAR_INIT. I.e. no 'var' inside 'term'.
   * - Also, each f_line must always have its scope, otherwise a variable may
   *   be defined but not initialized if relevant f_line is not executed.
   */

  int offset = s->slots++;

  while (s->block)
  {
    s = s->next;
    ASSERT(s);
    offset += s->slots;
  }

  if (offset >= 0xff)
    cf_error("Too many variables, at most 255 allowed");

  return offset;
}

/* Macro for top-level pre-defined variables. */
#define f_predefined_variable(conf_, name_, type_) \
    cf_define_symbol(conf_, cf_get_symbol(conf_, name_), SYM_VARIABLE | type_, offset, f_new_var(conf_->current_scope))

/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}


/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  return f_new_inst(FI_ASSERT, expr,
    (end >= start) ?
      assert_copy_expr(start, end - start + 1)
    : "???");
}

static struct f_inst *
f_lval_getter(struct f_lval *lval)
{
  switch (lval->type) {
    case F_LVAL_CONSTANT:	return f_new_inst(FI_CONSTANT, *(lval->sym->val));
    case F_LVAL_VARIABLE:	return f_new_inst(FI_VAR_GET, lval->sym);
    case F_LVAL_SA:		return f_new_inst(FI_RTA_GET, lval->rte, lval->sa);
    case F_LVAL_EA:		return f_new_inst(FI_EA_GET, lval->rte, lval->da);
    case F_LVAL_ATTR_BIT:
      {
	struct f_inst *c = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (1U << lval->fab.bit)});
	return f_new_inst(FI_EQ, c, f_new_inst(FI_BITAND, f_new_inst(FI_EA_GET, lval->rte, lval->fab.class), c));
      }
    default:			bug("Unknown lval type");
  }
}

static struct f_inst *
f_lval_setter(struct f_lval *lval, struct f_inst *expr)
{
  switch (lval->type) {
    case F_LVAL_CONSTANT:	cf_error("Constant %s is read-only", lval->sym->name);
    case F_LVAL_VARIABLE:	return f_new_inst(FI_VAR_SET, expr, lval->sym);
    case F_LVAL_SA:
      if (lval->sa.readonly)
	cf_error( "This static attribute is read-only.");
      return f_new_inst(FI_RTA_SET, expr, lval->sa);

    case F_LVAL_EA:		return f_new_inst(FI_EA_SET, expr, lval->da);
    case F_LVAL_ATTR_BIT:	return f_new_inst(FI_CONDITION, expr,
	f_new_inst(FI_EA_SET,
	  f_new_inst(FI_BITOR,
	    f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (1U << lval->fab.bit)}),
	    f_new_inst(FI_EA_GET, lval->rte, lval->fab.class)
	  ),
	  lval->fab.class),
	f_new_inst(FI_EA_SET,
	  f_new_inst(FI_BITAND,
	    f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = ~(1U << lval->fab.bit)}),
	    f_new_inst(FI_EA_GET, lval->rte, lval->fab.class)
	  ),
	  lval->fab.class)
	);
    default:			bug("Unknown lval type");
  }
}

static struct f_inst *
assert_assign(struct f_lval *lval, struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *setter = f_lval_setter(lval, expr),
		*getter = f_lval_getter(lval);

  struct f_inst *checker = f_new_inst(FI_EQ, expr, getter);
  setter->next = checker;

  return assert_done(setter, start, end);
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "nest/mpls.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct rtable_config *this_table;
static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;
static struct bfd_options *this_bfd_opts;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}

static inline void
init_password_list(void)
{
   if (!this_p_list) {
      this_p_list = cfg_allocz(sizeof(list));
      init_list(this_p_list);
      password_id = 1;
   }
}

static inline void
init_password(const void *key, uint length, uint id)
{
   this_p_item = cfg_allocz(sizeof (struct password_item));
   this_p_item->password = key;
   this_p_item->length = length;
   this_p_item->genfrom = 0;
   this_p_item->gento = TIME_INFINITY;
   this_p_item->accfrom = 0;
   this_p_item->accto = TIME_INFINITY;
   this_p_item->id = id;
   this_p_item->alg = ALG_UNDEFINED;
   add_tail(this_p_list, &this_p_item->n);
}

static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static inline void
init_bfd_opts(struct bfd_options **opts)
{
  cf_check_bfd(1);

  if (! *opts)
    *opts = bfd_new_options();
}

static inline void
open_bfd_opts(struct bfd_options **opts)
{
  init_bfd_opts(opts);
  this_bfd_opts = *opts;
}

static inline void
close_bfd_opts(void)
{
  this_bfd_opts = NULL;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}

static void
channel_reload_out_done_main(void *_prr)
{
  struct proto_reload_request *prr = _prr;
  ASSERT_THE_BIRD_LOCKED;

  rfree(prr->trie->lp);
}

static inline void
proto_call_cmd_reload(struct proto_spec ps, int dir, const struct f_trie *trie)
{
  struct proto_reload_request *prr = cfg_alloc(sizeof *prr);
  *prr = (struct proto_reload_request) {
    .trie = trie,
    .dir = dir,
    .counter = 1,
  };
  if (trie)
  {
    /* CLI linpool is moved to trie, because trie is need for longer time
     * than the linpool would exist in CLI. The linpool is freed in channel_reload_out_done_main.
     */
    ASSERT_DIE(this_cli->parser_pool == prr->trie->lp);
    rmove(this_cli->parser_pool, &root_pool);
    this_cli->parser_pool = lp_new(this_cli->pool);
    prr->ev = (event) {
      .data = prr,
      .hook = channel_reload_out_done_main,
    };
  }

  proto_apply_cmd(ps, proto_cmd_reload, 1, (uintptr_t) prr);
  /* This function used reference to this trie, so it is freed here as well as in protocols*/
  if (trie)
    if (atomic_fetch_sub_explicit(&prr->counter, 1, memory_order_acq_rel) == 1)
      ev_send_loop(&main_birdloop, &prr->ev);
}

#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 10 "nest/mpls.Y"
/* Headers from nest/mpls.Y */

#include "nest/mpls.h"

/* Defines from nest/mpls.Y */

static struct mpls_domain_config *this_mpls_domain;
static struct mpls_range_config *this_mpls_range;

#define MPLS_CC ((struct mpls_channel_config *) this_channel)

#line 11 "proto/aggregator/config.Y"
/* Headers from proto/aggregator/config.Y */

#include "proto/aggregator/aggregator.h"

/* Defines from proto/aggregator/config.Y */

#define AGGREGATOR_CFG ((struct aggregator_config *) this_proto)
#define AGGR_ITEM_ALLOC ((struct aggr_item_node *) cfg_allocz(sizeof(struct aggr_item_node)))

#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

#line 10 "proto/l3vpn/config.Y"
/* Headers from proto/l3vpn/config.Y */

#include "proto/l3vpn/l3vpn.h"


/* Defines from proto/l3vpn/config.Y */

#define L3VPN_CFG ((struct l3vpn_config *) this_proto)

static void
f_tree_only_rt(struct f_tree *t)
{
  /* Parsed degenerate trees have link to the last node in t->right */
  t->right = NULL;

  while (t)
  {
    uint type1 = t->from.val.ec >> 48;
    uint type2 = t->to.val.ec >> 48;
    ASSERT(type1 == type2);

    if (!ec_type_is_rt(type1))
      cf_error("Extended community is not route target");

    ASSERT(!t->right);
    t = t->left;
  }
}


#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    cf_warn("Hello or poll interval less that 5 makes cryptographic authentication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    cf_warn("Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (! proto_cf_main_channel(this_proto))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    cf_warn("Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 10 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */

static inline void
radv_add_to_custom_list(list *l, int type, const struct adata *payload)
{
  if (type < 0 || type > 255) cf_error("RA cusom type must be in range 0-255");
  struct radv_custom_config *cf = cfg_allocz(sizeof(struct radv_custom_config));
  add_tail(l, NODE cf);
  cf->type = type;
  cf->payload = payload;
}

#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/rpki/config.Y"
/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_TCP_CFG ((struct rpki_tr_tcp_config *) RPKI_CFG->tr_config.spec)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst *this_srt_cmds, *this_srt_last_cmd;
static uint this_srt_aspa_max;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");

  this_srt->cmds = f_linearize(this_srt_cmds, 0);
}

#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/bmp/config.Y"
/* Headers from proto/bmp/config.Y */

#include "proto/bmp/bmp.h"

/* Defines from proto/bmp/config.Y */

#define BMP_CFG ((struct bmp_config *) this_proto)

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;
static struct cli_config *this_cli_config;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 57 "conf/gen_parser.m4"

#line 1089 "obj/conf/cf-parse.tab.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "cf-parse.tab.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_QUIT = 3,                       /* QUIT  */
  YYSYMBOL_EXIT = 4,                       /* EXIT  */
  YYSYMBOL_HELP = 5,                       /* HELP  */
  YYSYMBOL_END = 6,                        /* END  */
  YYSYMBOL_CLI_MARKER = 7,                 /* CLI_MARKER  */
  YYSYMBOL_INVALID_TOKEN = 8,              /* INVALID_TOKEN  */
  YYSYMBOL_ELSECOL = 9,                    /* ELSECOL  */
  YYSYMBOL_DDOT = 10,                      /* DDOT  */
  YYSYMBOL_GEQ = 11,                       /* GEQ  */
  YYSYMBOL_LEQ = 12,                       /* LEQ  */
  YYSYMBOL_NEQ = 13,                       /* NEQ  */
  YYSYMBOL_AND = 14,                       /* AND  */
  YYSYMBOL_OR = 15,                        /* OR  */
  YYSYMBOL_IMP = 16,                       /* IMP  */
  YYSYMBOL_PO = 17,                        /* PO  */
  YYSYMBOL_PC = 18,                        /* PC  */
  YYSYMBOL_NUM = 19,                       /* NUM  */
  YYSYMBOL_ENUM_TOKEN = 20,                /* ENUM_TOKEN  */
  YYSYMBOL_IP4 = 21,                       /* IP4  */
  YYSYMBOL_IP6 = 22,                       /* IP6  */
  YYSYMBOL_VPN_RD = 23,                    /* VPN_RD  */
  YYSYMBOL_CF_SYM_KNOWN = 24,              /* CF_SYM_KNOWN  */
  YYSYMBOL_CF_SYM_UNDEFINED = 25,          /* CF_SYM_UNDEFINED  */
  YYSYMBOL_CF_SYM_METHOD_BARE = 26,        /* CF_SYM_METHOD_BARE  */
  YYSYMBOL_CF_SYM_METHOD_ARGS = 27,        /* CF_SYM_METHOD_ARGS  */
  YYSYMBOL_TEXT = 28,                      /* TEXT  */
  YYSYMBOL_BYTETEXT = 29,                  /* BYTETEXT  */
  YYSYMBOL_PREFIX_DUMMY = 30,              /* PREFIX_DUMMY  */
  YYSYMBOL_31_ = 31,                       /* '='  */
  YYSYMBOL_32_ = 32,                       /* '<'  */
  YYSYMBOL_33_ = 33,                       /* '>'  */
  YYSYMBOL_34_ = 34,                       /* '~'  */
  YYSYMBOL_NMA = 35,                       /* NMA  */
  YYSYMBOL_36_ = 36,                       /* '|'  */
  YYSYMBOL_37_ = 37,                       /* '&'  */
  YYSYMBOL_38_ = 38,                       /* '+'  */
  YYSYMBOL_39_ = 39,                       /* '-'  */
  YYSYMBOL_40_ = 40,                       /* '*'  */
  YYSYMBOL_41_ = 41,                       /* '/'  */
  YYSYMBOL_42_ = 42,                       /* '%'  */
  YYSYMBOL_43_ = 43,                       /* '!'  */
  YYSYMBOL_44_ = 44,                       /* '.'  */
  YYSYMBOL_DEFINE = 45,                    /* DEFINE  */
  YYSYMBOL_ON = 46,                        /* ON  */
  YYSYMBOL_OFF = 47,                       /* OFF  */
  YYSYMBOL_YES = 48,                       /* YES  */
  YYSYMBOL_NO = 49,                        /* NO  */
  YYSYMBOL_S = 50,                         /* S  */
  YYSYMBOL_MS = 51,                        /* MS  */
  YYSYMBOL_US = 52,                        /* US  */
  YYSYMBOL_PORT = 53,                      /* PORT  */
  YYSYMBOL_VPN = 54,                       /* VPN  */
  YYSYMBOL_MPLS = 55,                      /* MPLS  */
  YYSYMBOL_FROM = 56,                      /* FROM  */
  YYSYMBOL_MAX = 57,                       /* MAX  */
  YYSYMBOL_AS = 58,                        /* AS  */
  YYSYMBOL_59_ = 59,                       /* ';'  */
  YYSYMBOL_60_ = 60,                       /* '('  */
  YYSYMBOL_61_ = 61,                       /* ')'  */
  YYSYMBOL_FLOW4 = 62,                     /* FLOW4  */
  YYSYMBOL_FLOW6 = 63,                     /* FLOW6  */
  YYSYMBOL_DST = 64,                       /* DST  */
  YYSYMBOL_SRC = 65,                       /* SRC  */
  YYSYMBOL_PROTO = 66,                     /* PROTO  */
  YYSYMBOL_NEXT = 67,                      /* NEXT  */
  YYSYMBOL_HEADER = 68,                    /* HEADER  */
  YYSYMBOL_DPORT = 69,                     /* DPORT  */
  YYSYMBOL_SPORT = 70,                     /* SPORT  */
  YYSYMBOL_ICMP = 71,                      /* ICMP  */
  YYSYMBOL_TYPE = 72,                      /* TYPE  */
  YYSYMBOL_CODE = 73,                      /* CODE  */
  YYSYMBOL_TCP = 74,                       /* TCP  */
  YYSYMBOL_FLAGS = 75,                     /* FLAGS  */
  YYSYMBOL_LENGTH = 76,                    /* LENGTH  */
  YYSYMBOL_DSCP = 77,                      /* DSCP  */
  YYSYMBOL_DONT_FRAGMENT = 78,             /* DONT_FRAGMENT  */
  YYSYMBOL_IS_FRAGMENT = 79,               /* IS_FRAGMENT  */
  YYSYMBOL_FIRST_FRAGMENT = 80,            /* FIRST_FRAGMENT  */
  YYSYMBOL_LAST_FRAGMENT = 81,             /* LAST_FRAGMENT  */
  YYSYMBOL_FRAGMENT = 82,                  /* FRAGMENT  */
  YYSYMBOL_LABEL = 83,                     /* LABEL  */
  YYSYMBOL_OFFSET = 84,                    /* OFFSET  */
  YYSYMBOL_85_ = 85,                       /* ','  */
  YYSYMBOL_86_ = 86,                       /* '{'  */
  YYSYMBOL_87_ = 87,                       /* '}'  */
  YYSYMBOL_FUNCTION = 88,                  /* FUNCTION  */
  YYSYMBOL_PRINT = 89,                     /* PRINT  */
  YYSYMBOL_PRINTN = 90,                    /* PRINTN  */
  YYSYMBOL_UNSET = 91,                     /* UNSET  */
  YYSYMBOL_RETURN = 92,                    /* RETURN  */
  YYSYMBOL_ACCEPT = 93,                    /* ACCEPT  */
  YYSYMBOL_REJECT = 94,                    /* REJECT  */
  YYSYMBOL_ERROR = 95,                     /* ERROR  */
  YYSYMBOL_INT = 96,                       /* INT  */
  YYSYMBOL_BOOL = 97,                      /* BOOL  */
  YYSYMBOL_IP = 98,                        /* IP  */
  YYSYMBOL_PREFIX = 99,                    /* PREFIX  */
  YYSYMBOL_RD = 100,                       /* RD  */
  YYSYMBOL_PAIR = 101,                     /* PAIR  */
  YYSYMBOL_QUAD = 102,                     /* QUAD  */
  YYSYMBOL_EC = 103,                       /* EC  */
  YYSYMBOL_LC = 104,                       /* LC  */
  YYSYMBOL_ENUM = 105,                     /* ENUM  */
  YYSYMBOL_SET = 106,                      /* SET  */
  YYSYMBOL_STRING = 107,                   /* STRING  */
  YYSYMBOL_BYTESTRING = 108,               /* BYTESTRING  */
  YYSYMBOL_BGPMASK = 109,                  /* BGPMASK  */
  YYSYMBOL_BGPPATH = 110,                  /* BGPPATH  */
  YYSYMBOL_CLIST = 111,                    /* CLIST  */
  YYSYMBOL_ECLIST = 112,                   /* ECLIST  */
  YYSYMBOL_LCLIST = 113,                   /* LCLIST  */
  YYSYMBOL_IF = 114,                       /* IF  */
  YYSYMBOL_THEN = 115,                     /* THEN  */
  YYSYMBOL_ELSE = 116,                     /* ELSE  */
  YYSYMBOL_CASE = 117,                     /* CASE  */
  YYSYMBOL_FOR = 118,                      /* FOR  */
  YYSYMBOL_IN = 119,                       /* IN  */
  YYSYMBOL_DO = 120,                       /* DO  */
  YYSYMBOL_TRUE = 121,                     /* TRUE  */
  YYSYMBOL_FALSE = 122,                    /* FALSE  */
  YYSYMBOL_RT = 123,                       /* RT  */
  YYSYMBOL_RO = 124,                       /* RO  */
  YYSYMBOL_UNKNOWN = 125,                  /* UNKNOWN  */
  YYSYMBOL_GENERIC = 126,                  /* GENERIC  */
  YYSYMBOL_GW = 127,                       /* GW  */
  YYSYMBOL_NET = 128,                      /* NET  */
  YYSYMBOL_SCOPE = 129,                    /* SCOPE  */
  YYSYMBOL_DEST = 130,                     /* DEST  */
  YYSYMBOL_IFNAME = 131,                   /* IFNAME  */
  YYSYMBOL_IFINDEX = 132,                  /* IFINDEX  */
  YYSYMBOL_WEIGHT = 133,                   /* WEIGHT  */
  YYSYMBOL_GW_MPLS = 134,                  /* GW_MPLS  */
  YYSYMBOL_ROA_CHECK = 135,                /* ROA_CHECK  */
  YYSYMBOL_ASPA_CHECK = 136,               /* ASPA_CHECK  */
  YYSYMBOL_DEFINED = 137,                  /* DEFINED  */
  YYSYMBOL_ADD = 138,                      /* ADD  */
  YYSYMBOL_DELETE = 139,                   /* DELETE  */
  YYSYMBOL_RESET = 140,                    /* RESET  */
  YYSYMBOL_PREPEND = 141,                  /* PREPEND  */
  YYSYMBOL_EMPTY = 142,                    /* EMPTY  */
  YYSYMBOL_FILTER = 143,                   /* FILTER  */
  YYSYMBOL_WHERE = 144,                    /* WHERE  */
  YYSYMBOL_EVAL = 145,                     /* EVAL  */
  YYSYMBOL_ATTRIBUTE = 146,                /* ATTRIBUTE  */
  YYSYMBOL_FROM_HEX = 147,                 /* FROM_HEX  */
  YYSYMBOL_BT_ASSERT = 148,                /* BT_ASSERT  */
  YYSYMBOL_BT_TEST_SUITE = 149,            /* BT_TEST_SUITE  */
  YYSYMBOL_BT_CHECK_ASSIGN = 150,          /* BT_CHECK_ASSIGN  */
  YYSYMBOL_BT_TEST_SAME = 151,             /* BT_TEST_SAME  */
  YYSYMBOL_FORMAT = 152,                   /* FORMAT  */
  YYSYMBOL_STACKS = 153,                   /* STACKS  */
  YYSYMBOL_154_ = 154,                     /* ':'  */
  YYSYMBOL_155_ = 155,                     /* '['  */
  YYSYMBOL_156_ = 156,                     /* ']'  */
  YYSYMBOL_157_ = 157,                     /* '?'  */
  YYSYMBOL_ROUTER = 158,                   /* ROUTER  */
  YYSYMBOL_ID = 159,                       /* ID  */
  YYSYMBOL_HOSTNAME = 160,                 /* HOSTNAME  */
  YYSYMBOL_PROTOCOL = 161,                 /* PROTOCOL  */
  YYSYMBOL_TEMPLATE = 162,                 /* TEMPLATE  */
  YYSYMBOL_PREFERENCE = 163,               /* PREFERENCE  */
  YYSYMBOL_DISABLED = 164,                 /* DISABLED  */
  YYSYMBOL_DEBUG = 165,                    /* DEBUG  */
  YYSYMBOL_ALL = 166,                      /* ALL  */
  YYSYMBOL_DIRECT = 167,                   /* DIRECT  */
  YYSYMBOL_PIPE = 168,                     /* PIPE  */
  YYSYMBOL_INTERFACE = 169,                /* INTERFACE  */
  YYSYMBOL_IMPORT = 170,                   /* IMPORT  */
  YYSYMBOL_EXPORT = 171,                   /* EXPORT  */
  YYSYMBOL_NONE = 172,                     /* NONE  */
  YYSYMBOL_VRF = 173,                      /* VRF  */
  YYSYMBOL_DEFAULT = 174,                  /* DEFAULT  */
  YYSYMBOL_TABLE = 175,                    /* TABLE  */
  YYSYMBOL_TABLES = 176,                   /* TABLES  */
  YYSYMBOL_STATES = 177,                   /* STATES  */
  YYSYMBOL_ROUTES = 178,                   /* ROUTES  */
  YYSYMBOL_FILTERS = 179,                  /* FILTERS  */
  YYSYMBOL_IPV4 = 180,                     /* IPV4  */
  YYSYMBOL_IPV6 = 181,                     /* IPV6  */
  YYSYMBOL_VPN4 = 182,                     /* VPN4  */
  YYSYMBOL_VPN6 = 183,                     /* VPN6  */
  YYSYMBOL_ROA4 = 184,                     /* ROA4  */
  YYSYMBOL_ROA6 = 185,                     /* ROA6  */
  YYSYMBOL_SADR = 186,                     /* SADR  */
  YYSYMBOL_ASPA = 187,                     /* ASPA  */
  YYSYMBOL_RECEIVE = 188,                  /* RECEIVE  */
  YYSYMBOL_LIMIT = 189,                    /* LIMIT  */
  YYSYMBOL_ACTION = 190,                   /* ACTION  */
  YYSYMBOL_WARN = 191,                     /* WARN  */
  YYSYMBOL_BLOCK = 192,                    /* BLOCK  */
  YYSYMBOL_RESTART = 193,                  /* RESTART  */
  YYSYMBOL_DISABLE = 194,                  /* DISABLE  */
  YYSYMBOL_KEEP = 195,                     /* KEEP  */
  YYSYMBOL_FILTERED = 196,                 /* FILTERED  */
  YYSYMBOL_RPKI = 197,                     /* RPKI  */
  YYSYMBOL_PASSWORD = 198,                 /* PASSWORD  */
  YYSYMBOL_KEY = 199,                      /* KEY  */
  YYSYMBOL_PASSIVE = 200,                  /* PASSIVE  */
  YYSYMBOL_TO = 201,                       /* TO  */
  YYSYMBOL_EVENTS = 202,                   /* EVENTS  */
  YYSYMBOL_PACKETS = 203,                  /* PACKETS  */
  YYSYMBOL_PROTOCOLS = 204,                /* PROTOCOLS  */
  YYSYMBOL_CHANNELS = 205,                 /* CHANNELS  */
  YYSYMBOL_INTERFACES = 206,               /* INTERFACES  */
  YYSYMBOL_ALGORITHM = 207,                /* ALGORITHM  */
  YYSYMBOL_KEYED = 208,                    /* KEYED  */
  YYSYMBOL_HMAC = 209,                     /* HMAC  */
  YYSYMBOL_MD5 = 210,                      /* MD5  */
  YYSYMBOL_SHA1 = 211,                     /* SHA1  */
  YYSYMBOL_SHA256 = 212,                   /* SHA256  */
  YYSYMBOL_SHA384 = 213,                   /* SHA384  */
  YYSYMBOL_SHA512 = 214,                   /* SHA512  */
  YYSYMBOL_BLAKE2S128 = 215,               /* BLAKE2S128  */
  YYSYMBOL_BLAKE2S256 = 216,               /* BLAKE2S256  */
  YYSYMBOL_BLAKE2B256 = 217,               /* BLAKE2B256  */
  YYSYMBOL_BLAKE2B512 = 218,               /* BLAKE2B512  */
  YYSYMBOL_PRIMARY = 219,                  /* PRIMARY  */
  YYSYMBOL_STATS = 220,                    /* STATS  */
  YYSYMBOL_COUNT = 221,                    /* COUNT  */
  YYSYMBOL_COMMANDS = 222,                 /* COMMANDS  */
  YYSYMBOL_PREEXPORT = 223,                /* PREEXPORT  */
  YYSYMBOL_NOEXPORT = 224,                 /* NOEXPORT  */
  YYSYMBOL_EXPORTED = 225,                 /* EXPORTED  */
  YYSYMBOL_GENERATE = 226,                 /* GENERATE  */
  YYSYMBOL_BGP = 227,                      /* BGP  */
  YYSYMBOL_PASSWORDS = 228,                /* PASSWORDS  */
  YYSYMBOL_DESCRIPTION = 229,              /* DESCRIPTION  */
  YYSYMBOL_RELOAD = 230,                   /* RELOAD  */
  YYSYMBOL_OUT = 231,                      /* OUT  */
  YYSYMBOL_MRTDUMP = 232,                  /* MRTDUMP  */
  YYSYMBOL_MESSAGES = 233,                 /* MESSAGES  */
  YYSYMBOL_RESTRICT = 234,                 /* RESTRICT  */
  YYSYMBOL_MEMORY = 235,                   /* MEMORY  */
  YYSYMBOL_CLASS = 236,                    /* CLASS  */
  YYSYMBOL_PARTIAL = 237,                  /* PARTIAL  */
  YYSYMBOL_TIMEFORMAT = 238,               /* TIMEFORMAT  */
  YYSYMBOL_ISO = 239,                      /* ISO  */
  YYSYMBOL_SHORT = 240,                    /* SHORT  */
  YYSYMBOL_LONG = 241,                     /* LONG  */
  YYSYMBOL_ROUTE = 242,                    /* ROUTE  */
  YYSYMBOL_BASE = 243,                     /* BASE  */
  YYSYMBOL_LOG = 244,                      /* LOG  */
  YYSYMBOL_GRACEFUL = 245,                 /* GRACEFUL  */
  YYSYMBOL_WAIT = 246,                     /* WAIT  */
  YYSYMBOL_CHECK = 247,                    /* CHECK  */
  YYSYMBOL_LINK = 248,                     /* LINK  */
  YYSYMBOL_CORK = 249,                     /* CORK  */
  YYSYMBOL_SORTED = 250,                   /* SORTED  */
  YYSYMBOL_TRIE = 251,                     /* TRIE  */
  YYSYMBOL_MIN = 252,                      /* MIN  */
  YYSYMBOL_ROA = 253,                      /* ROA  */
  YYSYMBOL_DIGEST = 254,                   /* DIGEST  */
  YYSYMBOL_REFRESH = 255,                  /* REFRESH  */
  YYSYMBOL_SETTLE = 256,                   /* SETTLE  */
  YYSYMBOL_TIME = 257,                     /* TIME  */
  YYSYMBOL_GC = 258,                       /* GC  */
  YYSYMBOL_THRESHOLD = 259,                /* THRESHOLD  */
  YYSYMBOL_PERIOD = 260,                   /* PERIOD  */
  YYSYMBOL_MPLS_LABEL = 261,               /* MPLS_LABEL  */
  YYSYMBOL_MPLS_POLICY = 262,              /* MPLS_POLICY  */
  YYSYMBOL_MPLS_CLASS = 263,               /* MPLS_CLASS  */
  YYSYMBOL_ASPA_PROVIDERS = 264,           /* ASPA_PROVIDERS  */
  YYSYMBOL_IPV4_MC = 265,                  /* IPV4_MC  */
  YYSYMBOL_IPV4_MPLS = 266,                /* IPV4_MPLS  */
  YYSYMBOL_IPV6_MC = 267,                  /* IPV6_MC  */
  YYSYMBOL_IPV6_MPLS = 268,                /* IPV6_MPLS  */
  YYSYMBOL_IPV6_SADR = 269,                /* IPV6_SADR  */
  YYSYMBOL_VPN4_MC = 270,                  /* VPN4_MC  */
  YYSYMBOL_VPN4_MPLS = 271,                /* VPN4_MPLS  */
  YYSYMBOL_VPN6_MC = 272,                  /* VPN6_MC  */
  YYSYMBOL_VPN6_MPLS = 273,                /* VPN6_MPLS  */
  YYSYMBOL_PRI = 274,                      /* PRI  */
  YYSYMBOL_SEC = 275,                      /* SEC  */
  YYSYMBOL_NET_TYPE = 276,                 /* NET_TYPE  */
  YYSYMBOL_RTS = 277,                      /* RTS  */
  YYSYMBOL_RTD = 278,                      /* RTD  */
  YYSYMBOL_AF = 279,                       /* AF  */
  YYSYMBOL_SHOW = 280,                     /* SHOW  */
  YYSYMBOL_STATUS = 281,                   /* STATUS  */
  YYSYMBOL_SUMMARY = 282,                  /* SUMMARY  */
  YYSYMBOL_SYMBOLS = 283,                  /* SYMBOLS  */
  YYSYMBOL_DUMP = 284,                     /* DUMP  */
  YYSYMBOL_RESOURCES = 285,                /* RESOURCES  */
  YYSYMBOL_SOCKETS = 286,                  /* SOCKETS  */
  YYSYMBOL_NEIGHBORS = 287,                /* NEIGHBORS  */
  YYSYMBOL_ATTRIBUTES = 288,               /* ATTRIBUTES  */
  YYSYMBOL_ENABLE = 289,                   /* ENABLE  */
  YYSYMBOL_DOMAIN = 290,                   /* DOMAIN  */
  YYSYMBOL_RANGE = 291,                    /* RANGE  */
  YYSYMBOL_STATIC = 292,                   /* STATIC  */
  YYSYMBOL_DYNAMIC = 293,                  /* DYNAMIC  */
  YYSYMBOL_START = 294,                    /* START  */
  YYSYMBOL_POLICY = 295,                   /* POLICY  */
  YYSYMBOL_AGGREGATE = 296,                /* AGGREGATE  */
  YYSYMBOL_RANGES = 297,                   /* RANGES  */
  YYSYMBOL_AGGREGATOR = 298,               /* AGGREGATOR  */
  YYSYMBOL_PEER = 299,                     /* PEER  */
  YYSYMBOL_MERGE = 300,                    /* MERGE  */
  YYSYMBOL_BY = 301,                       /* BY  */
  YYSYMBOL_BABEL = 302,                    /* BABEL  */
  YYSYMBOL_METRIC = 303,                   /* METRIC  */
  YYSYMBOL_RXCOST = 304,                   /* RXCOST  */
  YYSYMBOL_HELLO = 305,                    /* HELLO  */
  YYSYMBOL_UPDATE = 306,                   /* UPDATE  */
  YYSYMBOL_WIRED = 307,                    /* WIRED  */
  YYSYMBOL_WIRELESS = 308,                 /* WIRELESS  */
  YYSYMBOL_BUFFER = 309,                   /* BUFFER  */
  YYSYMBOL_PRIORITY = 310,                 /* PRIORITY  */
  YYSYMBOL_HOP = 311,                      /* HOP  */
  YYSYMBOL_ENTRIES = 312,                  /* ENTRIES  */
  YYSYMBOL_RANDOMIZE = 313,                /* RANDOMIZE  */
  YYSYMBOL_MAC = 314,                      /* MAC  */
  YYSYMBOL_PERMISSIVE = 315,               /* PERMISSIVE  */
  YYSYMBOL_EXTENDED = 316,                 /* EXTENDED  */
  YYSYMBOL_TUNNEL = 317,                   /* TUNNEL  */
  YYSYMBOL_RTT = 318,                      /* RTT  */
  YYSYMBOL_DECAY = 319,                    /* DECAY  */
  YYSYMBOL_SEND = 320,                     /* SEND  */
  YYSYMBOL_TIMESTAMPS = 321,               /* TIMESTAMPS  */
  YYSYMBOL_COST = 322,                     /* COST  */
  YYSYMBOL_DELAY = 323,                    /* DELAY  */
  YYSYMBOL_BFD = 324,                      /* BFD  */
  YYSYMBOL_IDLE = 325,                     /* IDLE  */
  YYSYMBOL_RX = 326,                       /* RX  */
  YYSYMBOL_TX = 327,                       /* TX  */
  YYSYMBOL_INTERVAL = 328,                 /* INTERVAL  */
  YYSYMBOL_MULTIPLIER = 329,               /* MULTIPLIER  */
  YYSYMBOL_MULTIHOP = 330,                 /* MULTIHOP  */
  YYSYMBOL_NEIGHBOR = 331,                 /* NEIGHBOR  */
  YYSYMBOL_DEV = 332,                      /* DEV  */
  YYSYMBOL_LOCAL = 333,                    /* LOCAL  */
  YYSYMBOL_AUTHENTICATION = 334,           /* AUTHENTICATION  */
  YYSYMBOL_SIMPLE = 335,                   /* SIMPLE  */
  YYSYMBOL_METICULOUS = 336,               /* METICULOUS  */
  YYSYMBOL_STRICT = 337,                   /* STRICT  */
  YYSYMBOL_BIND = 338,                     /* BIND  */
  YYSYMBOL_ZERO = 339,                     /* ZERO  */
  YYSYMBOL_UDP6 = 340,                     /* UDP6  */
  YYSYMBOL_CHECKSUM = 341,                 /* CHECKSUM  */
  YYSYMBOL_SESSIONS = 342,                 /* SESSIONS  */
  YYSYMBOL_HOLD = 343,                     /* HOLD  */
  YYSYMBOL_CONNECT = 344,                  /* CONNECT  */
  YYSYMBOL_RETRY = 345,                    /* RETRY  */
  YYSYMBOL_KEEPALIVE = 346,                /* KEEPALIVE  */
  YYSYMBOL_STARTUP = 347,                  /* STARTUP  */
  YYSYMBOL_VIA = 348,                      /* VIA  */
  YYSYMBOL_SELF = 349,                     /* SELF  */
  YYSYMBOL_PATH = 350,                     /* PATH  */
  YYSYMBOL_FORGET = 351,                   /* FORGET  */
  YYSYMBOL_AFTER = 352,                    /* AFTER  */
  YYSYMBOL_BGP_LOCAL_PREF = 353,           /* BGP_LOCAL_PREF  */
  YYSYMBOL_BGP_MED = 354,                  /* BGP_MED  */
  YYSYMBOL_SOURCE = 355,                   /* SOURCE  */
  YYSYMBOL_ADDRESS = 356,                  /* ADDRESS  */
  YYSYMBOL_RR = 357,                       /* RR  */
  YYSYMBOL_RS = 358,                       /* RS  */
  YYSYMBOL_CLIENT = 359,                   /* CLIENT  */
  YYSYMBOL_CLUSTER = 360,                  /* CLUSTER  */
  YYSYMBOL_AS4 = 361,                      /* AS4  */
  YYSYMBOL_ADVERTISE = 362,                /* ADVERTISE  */
  YYSYMBOL_CAPABILITIES = 363,             /* CAPABILITIES  */
  YYSYMBOL_PREFER = 364,                   /* PREFER  */
  YYSYMBOL_OLDER = 365,                    /* OLDER  */
  YYSYMBOL_MISSING = 366,                  /* MISSING  */
  YYSYMBOL_LLADDR = 367,                   /* LLADDR  */
  YYSYMBOL_DROP = 368,                     /* DROP  */
  YYSYMBOL_IGNORE = 369,                   /* IGNORE  */
  YYSYMBOL_ENHANCED = 370,                 /* ENHANCED  */
  YYSYMBOL_INTERPRET = 371,                /* INTERPRET  */
  YYSYMBOL_COMMUNITIES = 372,              /* COMMUNITIES  */
  YYSYMBOL_IGP = 373,                      /* IGP  */
  YYSYMBOL_GATEWAY = 374,                  /* GATEWAY  */
  YYSYMBOL_RECURSIVE = 375,                /* RECURSIVE  */
  YYSYMBOL_MED = 376,                      /* MED  */
  YYSYMBOL_TTL = 377,                      /* TTL  */
  YYSYMBOL_SECURITY = 378,                 /* SECURITY  */
  YYSYMBOL_DETERMINISTIC = 379,            /* DETERMINISTIC  */
  YYSYMBOL_SECONDARY = 380,                /* SECONDARY  */
  YYSYMBOL_ALLOW = 381,                    /* ALLOW  */
  YYSYMBOL_PATHS = 382,                    /* PATHS  */
  YYSYMBOL_AWARE = 383,                    /* AWARE  */
  YYSYMBOL_SETKEY = 384,                   /* SETKEY  */
  YYSYMBOL_CONFEDERATION = 385,            /* CONFEDERATION  */
  YYSYMBOL_MEMBER = 386,                   /* MEMBER  */
  YYSYMBOL_MULTICAST = 387,                /* MULTICAST  */
  YYSYMBOL_LIVED = 388,                    /* LIVED  */
  YYSYMBOL_STALE = 389,                    /* STALE  */
  YYSYMBOL_IBGP = 390,                     /* IBGP  */
  YYSYMBOL_EBGP = 391,                     /* EBGP  */
  YYSYMBOL_MANDATORY = 392,                /* MANDATORY  */
  YYSYMBOL_INTERNAL = 393,                 /* INTERNAL  */
  YYSYMBOL_EXTERNAL = 394,                 /* EXTERNAL  */
  YYSYMBOL_SETS = 395,                     /* SETS  */
  YYSYMBOL_NAME = 396,                     /* NAME  */
  YYSYMBOL_DIGITS = 397,                   /* DIGITS  */
  YYSYMBOL_AIGP = 398,                     /* AIGP  */
  YYSYMBOL_ORIGINATE = 399,                /* ORIGINATE  */
  YYSYMBOL_ENFORCE = 400,                  /* ENFORCE  */
  YYSYMBOL_FIRST = 401,                    /* FIRST  */
  YYSYMBOL_FREE = 402,                     /* FREE  */
  YYSYMBOL_VALIDATE = 403,                 /* VALIDATE  */
  YYSYMBOL_ROLE = 404,                     /* ROLE  */
  YYSYMBOL_ROLES = 405,                    /* ROLES  */
  YYSYMBOL_PROVIDER = 406,                 /* PROVIDER  */
  YYSYMBOL_CUSTOMER = 407,                 /* CUSTOMER  */
  YYSYMBOL_RS_SERVER = 408,                /* RS_SERVER  */
  YYSYMBOL_RS_CLIENT = 409,                /* RS_CLIENT  */
  YYSYMBOL_REQUIRE = 410,                  /* REQUIRE  */
  YYSYMBOL_BGP_OTC = 411,                  /* BGP_OTC  */
  YYSYMBOL_GLOBAL = 412,                   /* GLOBAL  */
  YYSYMBOL_SIZE = 413,                     /* SIZE  */
  YYSYMBOL_WARNING = 414,                  /* WARNING  */
  YYSYMBOL_BGP_ORIGIN = 415,               /* BGP_ORIGIN  */
  YYSYMBOL_CEASE = 416,                    /* CEASE  */
  YYSYMBOL_HIT = 417,                      /* HIT  */
  YYSYMBOL_ADMINISTRATIVE = 418,           /* ADMINISTRATIVE  */
  YYSYMBOL_SHUTDOWN = 419,                 /* SHUTDOWN  */
  YYSYMBOL_CONFIGURATION = 420,            /* CONFIGURATION  */
  YYSYMBOL_CHANGE = 421,                   /* CHANGE  */
  YYSYMBOL_DECONFIGURED = 422,             /* DECONFIGURED  */
  YYSYMBOL_CONNECTION = 423,               /* CONNECTION  */
  YYSYMBOL_REJECTED = 424,                 /* REJECTED  */
  YYSYMBOL_COLLISION = 425,                /* COLLISION  */
  YYSYMBOL_OF = 426,                       /* OF  */
  YYSYMBOL_ASPA_CHECK_UPSTREAM = 427,      /* ASPA_CHECK_UPSTREAM  */
  YYSYMBOL_ASPA_CHECK_DOWNSTREAM = 428,    /* ASPA_CHECK_DOWNSTREAM  */
  YYSYMBOL_BMP = 429,                      /* BMP  */
  YYSYMBOL_ENABLED = 430,                  /* ENABLED  */
  YYSYMBOL_MONITORING = 431,               /* MONITORING  */
  YYSYMBOL_PRE_POLICY = 432,               /* PRE_POLICY  */
  YYSYMBOL_POST_POLICY = 433,              /* POST_POLICY  */
  YYSYMBOL_RIB = 434,                      /* RIB  */
  YYSYMBOL_STATION = 435,                  /* STATION  */
  YYSYMBOL_SYSTEM = 436,                   /* SYSTEM  */
  YYSYMBOL_L3VPN = 437,                    /* L3VPN  */
  YYSYMBOL_TARGET = 438,                   /* TARGET  */
  YYSYMBOL_DISTINGUISHER = 439,            /* DISTINGUISHER  */
  YYSYMBOL_MRT = 440,                      /* MRT  */
  YYSYMBOL_FILENAME = 441,                 /* FILENAME  */
  YYSYMBOL_ALWAYS = 442,                   /* ALWAYS  */
  YYSYMBOL_OSPF = 443,                     /* OSPF  */
  YYSYMBOL_V2 = 444,                       /* V2  */
  YYSYMBOL_V3 = 445,                       /* V3  */
  YYSYMBOL_AREA = 446,                     /* AREA  */
  YYSYMBOL_RFC1583COMPAT = 447,            /* RFC1583COMPAT  */
  YYSYMBOL_STUB = 448,                     /* STUB  */
  YYSYMBOL_TICK = 449,                     /* TICK  */
  YYSYMBOL_COST2 = 450,                    /* COST2  */
  YYSYMBOL_RETRANSMIT = 451,               /* RETRANSMIT  */
  YYSYMBOL_TRANSMIT = 452,                 /* TRANSMIT  */
  YYSYMBOL_DEAD = 453,                     /* DEAD  */
  YYSYMBOL_BROADCAST = 454,                /* BROADCAST  */
  YYSYMBOL_BCAST = 455,                    /* BCAST  */
  YYSYMBOL_NONBROADCAST = 456,             /* NONBROADCAST  */
  YYSYMBOL_NBMA = 457,                     /* NBMA  */
  YYSYMBOL_POINTOPOINT = 458,              /* POINTOPOINT  */
  YYSYMBOL_PTP = 459,                      /* PTP  */
  YYSYMBOL_POINTOMULTIPOINT = 460,         /* POINTOMULTIPOINT  */
  YYSYMBOL_PTMP = 461,                     /* PTMP  */
  YYSYMBOL_CRYPTOGRAPHIC = 462,            /* CRYPTOGRAPHIC  */
  YYSYMBOL_ELIGIBLE = 463,                 /* ELIGIBLE  */
  YYSYMBOL_POLL = 464,                     /* POLL  */
  YYSYMBOL_NETWORKS = 465,                 /* NETWORKS  */
  YYSYMBOL_HIDDEN = 466,                   /* HIDDEN  */
  YYSYMBOL_VIRTUAL = 467,                  /* VIRTUAL  */
  YYSYMBOL_ONLY = 468,                     /* ONLY  */
  YYSYMBOL_LARGE = 469,                    /* LARGE  */
  YYSYMBOL_NORMAL = 470,                   /* NORMAL  */
  YYSYMBOL_STUBNET = 471,                  /* STUBNET  */
  YYSYMBOL_TAG = 472,                      /* TAG  */
  YYSYMBOL_LSADB = 473,                    /* LSADB  */
  YYSYMBOL_ECMP = 474,                     /* ECMP  */
  YYSYMBOL_NSSA = 475,                     /* NSSA  */
  YYSYMBOL_TRANSLATOR = 476,               /* TRANSLATOR  */
  YYSYMBOL_STABILITY = 477,                /* STABILITY  */
  YYSYMBOL_LSID = 478,                     /* LSID  */
  YYSYMBOL_INSTANCE = 479,                 /* INSTANCE  */
  YYSYMBOL_REAL = 480,                     /* REAL  */
  YYSYMBOL_NETMASK = 481,                  /* NETMASK  */
  YYSYMBOL_LSA = 482,                      /* LSA  */
  YYSYMBOL_SUPPRESSION = 483,              /* SUPPRESSION  */
  YYSYMBOL_RFC5838 = 484,                  /* RFC5838  */
  YYSYMBOL_PE = 485,                       /* PE  */
  YYSYMBOL_TOPOLOGY = 486,                 /* TOPOLOGY  */
  YYSYMBOL_STATE = 487,                    /* STATE  */
  YYSYMBOL_GENERATION = 488,               /* GENERATION  */
  YYSYMBOL_RADV = 489,                     /* RADV  */
  YYSYMBOL_RA = 490,                       /* RA  */
  YYSYMBOL_SOLICITED = 491,                /* SOLICITED  */
  YYSYMBOL_UNICAST = 492,                  /* UNICAST  */
  YYSYMBOL_MANAGED = 493,                  /* MANAGED  */
  YYSYMBOL_OTHER = 494,                    /* OTHER  */
  YYSYMBOL_CONFIG = 495,                   /* CONFIG  */
  YYSYMBOL_LINGER = 496,                   /* LINGER  */
  YYSYMBOL_MTU = 497,                      /* MTU  */
  YYSYMBOL_REACHABLE = 498,                /* REACHABLE  */
  YYSYMBOL_RETRANS = 499,                  /* RETRANS  */
  YYSYMBOL_TIMER = 500,                    /* TIMER  */
  YYSYMBOL_CURRENT = 501,                  /* CURRENT  */
  YYSYMBOL_VALID = 502,                    /* VALID  */
  YYSYMBOL_PREFERRED = 503,                /* PREFERRED  */
  YYSYMBOL_MULT = 504,                     /* MULT  */
  YYSYMBOL_LIFETIME = 505,                 /* LIFETIME  */
  YYSYMBOL_SKIP = 506,                     /* SKIP  */
  YYSYMBOL_ONLINK = 507,                   /* ONLINK  */
  YYSYMBOL_AUTONOMOUS = 508,               /* AUTONOMOUS  */
  YYSYMBOL_RDNSS = 509,                    /* RDNSS  */
  YYSYMBOL_DNSSL = 510,                    /* DNSSL  */
  YYSYMBOL_NS = 511,                       /* NS  */
  YYSYMBOL_TRIGGER = 512,                  /* TRIGGER  */
  YYSYMBOL_SENSITIVE = 513,                /* SENSITIVE  */
  YYSYMBOL_LOW = 514,                      /* LOW  */
  YYSYMBOL_MEDIUM = 515,                   /* MEDIUM  */
  YYSYMBOL_HIGH = 516,                     /* HIGH  */
  YYSYMBOL_PROPAGATE = 517,                /* PROPAGATE  */
  YYSYMBOL_CUSTOM = 518,                   /* CUSTOM  */
  YYSYMBOL_OPTION = 519,                   /* OPTION  */
  YYSYMBOL_VALUE = 520,                    /* VALUE  */
  YYSYMBOL_RA_PREFERENCE = 521,            /* RA_PREFERENCE  */
  YYSYMBOL_RIP = 522,                      /* RIP  */
  YYSYMBOL_NG = 523,                       /* NG  */
  YYSYMBOL_INFINITY = 524,                 /* INFINITY  */
  YYSYMBOL_TIMEOUT = 525,                  /* TIMEOUT  */
  YYSYMBOL_GARBAGE = 526,                  /* GARBAGE  */
  YYSYMBOL_MODE = 527,                     /* MODE  */
  YYSYMBOL_VERSION = 528,                  /* VERSION  */
  YYSYMBOL_SPLIT = 529,                    /* SPLIT  */
  YYSYMBOL_HORIZON = 530,                  /* HORIZON  */
  YYSYMBOL_POISON = 531,                   /* POISON  */
  YYSYMBOL_REVERSE = 532,                  /* REVERSE  */
  YYSYMBOL_PLAINTEXT = 533,                /* PLAINTEXT  */
  YYSYMBOL_DEMAND = 534,                   /* DEMAND  */
  YYSYMBOL_CIRCUIT = 535,                  /* CIRCUIT  */
  YYSYMBOL_REMOTE = 536,                   /* REMOTE  */
  YYSYMBOL_BIRD = 537,                     /* BIRD  */
  YYSYMBOL_PRIVATE = 538,                  /* PRIVATE  */
  YYSYMBOL_PUBLIC = 539,                   /* PUBLIC  */
  YYSYMBOL_SSH = 540,                      /* SSH  */
  YYSYMBOL_TRANSPORT = 541,                /* TRANSPORT  */
  YYSYMBOL_USER = 542,                     /* USER  */
  YYSYMBOL_EXPIRE = 543,                   /* EXPIRE  */
  YYSYMBOL_PROHIBIT = 544,                 /* PROHIBIT  */
  YYSYMBOL_BLACKHOLE = 545,                /* BLACKHOLE  */
  YYSYMBOL_UNREACHABLE = 546,              /* UNREACHABLE  */
  YYSYMBOL_TRANSIT = 547,                  /* TRANSIT  */
  YYSYMBOL_PROVIDERS = 548,                /* PROVIDERS  */
  YYSYMBOL_KERNEL = 549,                   /* KERNEL  */
  YYSYMBOL_NETLINK = 550,                  /* NETLINK  */
  YYSYMBOL_KRT_LOCK_MTU = 551,             /* KRT_LOCK_MTU  */
  YYSYMBOL_KRT_LOCK_WINDOW = 552,          /* KRT_LOCK_WINDOW  */
  YYSYMBOL_KRT_LOCK_RTT = 553,             /* KRT_LOCK_RTT  */
  YYSYMBOL_KRT_LOCK_RTTVAR = 554,          /* KRT_LOCK_RTTVAR  */
  YYSYMBOL_KRT_LOCK_SSTHRESH = 555,        /* KRT_LOCK_SSTHRESH  */
  YYSYMBOL_KRT_LOCK_CWND = 556,            /* KRT_LOCK_CWND  */
  YYSYMBOL_KRT_LOCK_ADVMSS = 557,          /* KRT_LOCK_ADVMSS  */
  YYSYMBOL_KRT_LOCK_REORDERING = 558,      /* KRT_LOCK_REORDERING  */
  YYSYMBOL_KRT_LOCK_HOPLIMIT = 559,        /* KRT_LOCK_HOPLIMIT  */
  YYSYMBOL_KRT_LOCK_INITCWND = 560,        /* KRT_LOCK_INITCWND  */
  YYSYMBOL_KRT_LOCK_RTO_MIN = 561,         /* KRT_LOCK_RTO_MIN  */
  YYSYMBOL_KRT_LOCK_INITRWND = 562,        /* KRT_LOCK_INITRWND  */
  YYSYMBOL_KRT_LOCK_QUICKACK = 563,        /* KRT_LOCK_QUICKACK  */
  YYSYMBOL_KRT_LOCK_CONGCTL = 564,         /* KRT_LOCK_CONGCTL  */
  YYSYMBOL_KRT_LOCK_FASTOPEN_NO_COOKIE = 565, /* KRT_LOCK_FASTOPEN_NO_COOKIE  */
  YYSYMBOL_KRT_FEATURE_ECN = 566,          /* KRT_FEATURE_ECN  */
  YYSYMBOL_KRT_FEATURE_ALLFRAG = 567,      /* KRT_FEATURE_ALLFRAG  */
  YYSYMBOL_SYSLOG = 568,                   /* SYSLOG  */
  YYSYMBOL_TRACE = 569,                    /* TRACE  */
  YYSYMBOL_INFO = 570,                     /* INFO  */
  YYSYMBOL_AUTH = 571,                     /* AUTH  */
  YYSYMBOL_FATAL = 572,                    /* FATAL  */
  YYSYMBOL_BUG = 573,                      /* BUG  */
  YYSYMBOL_STDERR = 574,                   /* STDERR  */
  YYSYMBOL_SOFT = 575,                     /* SOFT  */
  YYSYMBOL_UDP = 576,                      /* UDP  */
  YYSYMBOL_CLI = 577,                      /* CLI  */
  YYSYMBOL_CONFIRM = 578,                  /* CONFIRM  */
  YYSYMBOL_UNDO = 579,                     /* UNDO  */
  YYSYMBOL_LATENCY = 580,                  /* LATENCY  */
  YYSYMBOL_WATCHDOG = 581,                 /* WATCHDOG  */
  YYSYMBOL_PING = 582,                     /* PING  */
  YYSYMBOL_WAKEUP = 583,                   /* WAKEUP  */
  YYSYMBOL_SCHEDULING = 584,               /* SCHEDULING  */
  YYSYMBOL_TIMERS = 585,                   /* TIMERS  */
  YYSYMBOL_ALLOCATOR = 586,                /* ALLOCATOR  */
  YYSYMBOL_FIXED = 587,                    /* FIXED  */
  YYSYMBOL_CONFIGURE = 588,                /* CONFIGURE  */
  YYSYMBOL_DOWN = 589,                     /* DOWN  */
  YYSYMBOL_THREADS = 590,                  /* THREADS  */
  YYSYMBOL_PERSIST = 591,                  /* PERSIST  */
  YYSYMBOL_SCAN = 592,                     /* SCAN  */
  YYSYMBOL_LEARN = 593,                    /* LEARN  */
  YYSYMBOL_DEVICE = 594,                   /* DEVICE  */
  YYSYMBOL_YYACCEPT = 595,                 /* $accept  */
  YYSYMBOL_cli_cmd = 596,                  /* cli_cmd  */
  YYSYMBOL_cmd_QUIT = 597,                 /* cmd_QUIT  */
  YYSYMBOL_cmd_EXIT = 598,                 /* cmd_EXIT  */
  YYSYMBOL_cmd_HELP = 599,                 /* cmd_HELP  */
  YYSYMBOL_config = 600,                   /* config  */
  YYSYMBOL_conf_entries = 601,             /* conf_entries  */
  YYSYMBOL_conf = 602,                     /* conf  */
  YYSYMBOL_definition = 603,               /* definition  */
  YYSYMBOL_expr = 604,                     /* expr  */
  YYSYMBOL_expr_us = 605,                  /* expr_us  */
  YYSYMBOL_symbol = 606,                   /* symbol  */
  YYSYMBOL_bool = 607,                     /* bool  */
  YYSYMBOL_ipa = 608,                      /* ipa  */
  YYSYMBOL_ipa_scope = 609,                /* ipa_scope  */
  YYSYMBOL_pxlen4 = 610,                   /* pxlen4  */
  YYSYMBOL_net_ip4_ = 611,                 /* net_ip4_  */
  YYSYMBOL_net_ip6_slash = 612,            /* net_ip6_slash  */
  YYSYMBOL_net_ip6_ = 613,                 /* net_ip6_  */
  YYSYMBOL_net_ip6_sadr_ = 614,            /* net_ip6_sadr_  */
  YYSYMBOL_net_vpn4_ = 615,                /* net_vpn4_  */
  YYSYMBOL_net_vpn6_ = 616,                /* net_vpn6_  */
  YYSYMBOL_net_roa4_ = 617,                /* net_roa4_  */
  YYSYMBOL_net_roa6_ = 618,                /* net_roa6_  */
  YYSYMBOL_net_mpls_ = 619,                /* net_mpls_  */
  YYSYMBOL_net_aspa_ = 620,                /* net_aspa_  */
  YYSYMBOL_net_ip_ = 621,                  /* net_ip_  */
  YYSYMBOL_net_vpn_ = 622,                 /* net_vpn_  */
  YYSYMBOL_net_roa_ = 623,                 /* net_roa_  */
  YYSYMBOL_net_ = 624,                     /* net_  */
  YYSYMBOL_net_ip4 = 625,                  /* net_ip4  */
  YYSYMBOL_net_ip6 = 626,                  /* net_ip6  */
  YYSYMBOL_net_ip = 627,                   /* net_ip  */
  YYSYMBOL_net_any = 628,                  /* net_any  */
  YYSYMBOL_net_or_ipa = 629,               /* net_or_ipa  */
  YYSYMBOL_label_stack_start = 630,        /* label_stack_start  */
  YYSYMBOL_label_stack = 631,              /* label_stack  */
  YYSYMBOL_time = 632,                     /* time  */
  YYSYMBOL_settle = 633,                   /* settle  */
  YYSYMBOL_text = 634,                     /* text  */
  YYSYMBOL_opttext = 635,                  /* opttext  */
  YYSYMBOL_text_or_ipa = 636,              /* text_or_ipa  */
  YYSYMBOL_bytestring = 637,               /* bytestring  */
  YYSYMBOL_bytestring_text = 638,          /* bytestring_text  */
  YYSYMBOL_bytestring_expr = 639,          /* bytestring_expr  */
  YYSYMBOL_flow_num_op = 640,              /* flow_num_op  */
  YYSYMBOL_flow_logic_op = 641,            /* flow_logic_op  */
  YYSYMBOL_flow_num_type_ = 642,           /* flow_num_type_  */
  YYSYMBOL_flow_num_type = 643,            /* flow_num_type  */
  YYSYMBOL_flow_flag_type = 644,           /* flow_flag_type  */
  YYSYMBOL_flow_frag_type = 645,           /* flow_frag_type  */
  YYSYMBOL_flow_srcdst = 646,              /* flow_srcdst  */
  YYSYMBOL_flow_num_opts = 647,            /* flow_num_opts  */
  YYSYMBOL_flow_num_opt_ext_expr = 648,    /* flow_num_opt_ext_expr  */
  YYSYMBOL_flow_num_opt_ext = 649,         /* flow_num_opt_ext  */
  YYSYMBOL_flow_bmk_opts = 650,            /* flow_bmk_opts  */
  YYSYMBOL_flow_neg = 651,                 /* flow_neg  */
  YYSYMBOL_flow_frag_val = 652,            /* flow_frag_val  */
  YYSYMBOL_flow_frag_opts = 653,           /* flow_frag_opts  */
  YYSYMBOL_flow4_item = 654,               /* flow4_item  */
  YYSYMBOL_flow6_item = 655,               /* flow6_item  */
  YYSYMBOL_flow4_opts = 656,               /* flow4_opts  */
  YYSYMBOL_flow6_opts = 657,               /* flow6_opts  */
  YYSYMBOL_flow_builder_init = 658,        /* flow_builder_init  */
  YYSYMBOL_flow_builder_set_ipv4 = 659,    /* flow_builder_set_ipv4  */
  YYSYMBOL_flow_builder_set_ipv6 = 660,    /* flow_builder_set_ipv6  */
  YYSYMBOL_net_flow4_ = 661,               /* net_flow4_  */
  YYSYMBOL_net_flow6_ = 662,               /* net_flow6_  */
  YYSYMBOL_net_flow_ = 663,                /* net_flow_  */
  YYSYMBOL_enum_type = 664,                /* enum_type  */
  YYSYMBOL_filter_def = 665,               /* filter_def  */
  YYSYMBOL_666_1 = 666,                    /* $@1  */
  YYSYMBOL_filter_eval = 667,              /* filter_eval  */
  YYSYMBOL_custom_attr = 668,              /* custom_attr  */
  YYSYMBOL_bt_test_suite = 669,            /* bt_test_suite  */
  YYSYMBOL_bt_test_same = 670,             /* bt_test_same  */
  YYSYMBOL_type = 671,                     /* type  */
  YYSYMBOL_672_2 = 672,                    /* @2  */
  YYSYMBOL_function_argsn = 673,           /* function_argsn  */
  YYSYMBOL_function_args = 674,            /* function_args  */
  YYSYMBOL_function_vars = 675,            /* function_vars  */
  YYSYMBOL_function_type = 676,            /* function_type  */
  YYSYMBOL_filter_body = 677,              /* filter_body  */
  YYSYMBOL_filter = 678,                   /* filter  */
  YYSYMBOL_679_3 = 679,                    /* $@3  */
  YYSYMBOL_where_filter = 680,             /* where_filter  */
  YYSYMBOL_681_4 = 681,                    /* $@4  */
  YYSYMBOL_function_body = 682,            /* function_body  */
  YYSYMBOL_function_def = 683,             /* function_def  */
  YYSYMBOL_684_5 = 684,                    /* $@5  */
  YYSYMBOL_685_6 = 685,                    /* $@6  */
  YYSYMBOL_cmds = 686,                     /* cmds  */
  YYSYMBOL_cmd_var = 687,                  /* cmd_var  */
  YYSYMBOL_cmd_prep = 688,                 /* cmd_prep  */
  YYSYMBOL_cmds_int = 689,                 /* cmds_int  */
  YYSYMBOL_fipa = 690,                     /* fipa  */
  YYSYMBOL_set_atom0 = 691,                /* set_atom0  */
  YYSYMBOL_set_atom = 692,                 /* set_atom  */
  YYSYMBOL_switch_atom = 693,              /* switch_atom  */
  YYSYMBOL_cnum = 694,                     /* cnum  */
  YYSYMBOL_pair_item = 695,                /* pair_item  */
  YYSYMBOL_ec_kind = 696,                  /* ec_kind  */
  YYSYMBOL_ec_item = 697,                  /* ec_item  */
  YYSYMBOL_lc_item = 698,                  /* lc_item  */
  YYSYMBOL_set_item = 699,                 /* set_item  */
  YYSYMBOL_switch_item = 700,              /* switch_item  */
  YYSYMBOL_ec_items = 701,                 /* ec_items  */
  YYSYMBOL_set_items = 702,                /* set_items  */
  YYSYMBOL_switch_items = 703,             /* switch_items  */
  YYSYMBOL_fprefix = 704,                  /* fprefix  */
  YYSYMBOL_fprefix_set = 705,              /* fprefix_set  */
  YYSYMBOL_switch_body = 706,              /* switch_body  */
  YYSYMBOL_bgp_path_expr = 707,            /* bgp_path_expr  */
  YYSYMBOL_bgp_path = 708,                 /* bgp_path  */
  YYSYMBOL_bgp_path_tail = 709,            /* bgp_path_tail  */
  YYSYMBOL_constant = 710,                 /* constant  */
  YYSYMBOL_constructor = 711,              /* constructor  */
  YYSYMBOL_var_list_r = 712,               /* var_list_r  */
  YYSYMBOL_var_list = 713,                 /* var_list  */
  YYSYMBOL_function_call = 714,            /* function_call  */
  YYSYMBOL_static_attr = 715,              /* static_attr  */
  YYSYMBOL_term_dot_method = 716,          /* term_dot_method  */
  YYSYMBOL_717_7 = 717,                    /* $@7  */
  YYSYMBOL_method_name_cont = 718,         /* method_name_cont  */
  YYSYMBOL_719_8 = 719,                    /* $@8  */
  YYSYMBOL_term = 720,                     /* term  */
  YYSYMBOL_term_bs = 721,                  /* term_bs  */
  YYSYMBOL_break_command = 722,            /* break_command  */
  YYSYMBOL_var = 723,                      /* var  */
  YYSYMBOL_for_var = 724,                  /* for_var  */
  YYSYMBOL_cmd = 725,                      /* cmd  */
  YYSYMBOL_726_9 = 726,                    /* $@9  */
  YYSYMBOL_727_10 = 727,                   /* $@10  */
  YYSYMBOL_728_11 = 728,                   /* $@11  */
  YYSYMBOL_729_12 = 729,                   /* $@12  */
  YYSYMBOL_730_13 = 730,                   /* $@13  */
  YYSYMBOL_731_14 = 731,                   /* $@14  */
  YYSYMBOL_get_cf_position = 732,          /* get_cf_position  */
  YYSYMBOL_lvalue = 733,                   /* lvalue  */
  YYSYMBOL_rtrid = 734,                    /* rtrid  */
  YYSYMBOL_idval = 735,                    /* idval  */
  YYSYMBOL_hostname_override = 736,        /* hostname_override  */
  YYSYMBOL_gr_opts = 737,                  /* gr_opts  */
  YYSYMBOL_net_type_base = 738,            /* net_type_base  */
  YYSYMBOL_net_type = 739,                 /* net_type  */
  YYSYMBOL_table = 740,                    /* table  */
  YYSYMBOL_table_start = 741,              /* table_start  */
  YYSYMBOL_table_sorted = 742,             /* table_sorted  */
  YYSYMBOL_table_opt = 743,                /* table_opt  */
  YYSYMBOL_table_opts = 744,               /* table_opts  */
  YYSYMBOL_table_opt_list = 745,           /* table_opt_list  */
  YYSYMBOL_proto_start = 746,              /* proto_start  */
  YYSYMBOL_proto_name = 747,               /* proto_name  */
  YYSYMBOL_proto_item = 748,               /* proto_item  */
  YYSYMBOL_channel_start = 749,            /* channel_start  */
  YYSYMBOL_channel_item_ = 750,            /* channel_item_  */
  YYSYMBOL_channel_item = 751,             /* channel_item  */
  YYSYMBOL_channel_opts = 752,             /* channel_opts  */
  YYSYMBOL_channel_opt_list = 753,         /* channel_opt_list  */
  YYSYMBOL_channel_end = 754,              /* channel_end  */
  YYSYMBOL_proto_channel = 755,            /* proto_channel  */
  YYSYMBOL_rtable = 756,                   /* rtable  */
  YYSYMBOL_imexport = 757,                 /* imexport  */
  YYSYMBOL_limit_action = 758,             /* limit_action  */
  YYSYMBOL_limit_spec = 759,               /* limit_spec  */
  YYSYMBOL_debug_default = 760,            /* debug_default  */
  YYSYMBOL_timeformat_base = 761,          /* timeformat_base  */
  YYSYMBOL_timeformat_which = 762,         /* timeformat_which  */
  YYSYMBOL_timeformat_spec = 763,          /* timeformat_spec  */
  YYSYMBOL_iface_patt_node_init = 764,     /* iface_patt_node_init  */
  YYSYMBOL_iface_patt_node_body = 765,     /* iface_patt_node_body  */
  YYSYMBOL_iface_negate = 766,             /* iface_negate  */
  YYSYMBOL_iface_patt_node = 767,          /* iface_patt_node  */
  YYSYMBOL_iface_patt_list = 768,          /* iface_patt_list  */
  YYSYMBOL_iface_patt_list_nopx = 769,     /* iface_patt_list_nopx  */
  YYSYMBOL_iface_patt_init = 770,          /* iface_patt_init  */
  YYSYMBOL_iface_patt = 771,               /* iface_patt  */
  YYSYMBOL_tos = 772,                      /* tos  */
  YYSYMBOL_proto = 773,                    /* proto  */
  YYSYMBOL_dev_proto_start = 774,          /* dev_proto_start  */
  YYSYMBOL_dev_proto = 775,                /* dev_proto  */
  YYSYMBOL_dev_iface_init = 776,           /* dev_iface_init  */
  YYSYMBOL_dev_iface_patt = 777,           /* dev_iface_patt  */
  YYSYMBOL_debug_mask = 778,               /* debug_mask  */
  YYSYMBOL_debug_list = 779,               /* debug_list  */
  YYSYMBOL_debug_flag = 780,               /* debug_flag  */
  YYSYMBOL_mrtdump_mask = 781,             /* mrtdump_mask  */
  YYSYMBOL_mrtdump_list = 782,             /* mrtdump_list  */
  YYSYMBOL_mrtdump_flag = 783,             /* mrtdump_flag  */
  YYSYMBOL_password_list = 784,            /* password_list  */
  YYSYMBOL_password_list_body = 785,       /* password_list_body  */
  YYSYMBOL_password_items = 786,           /* password_items  */
  YYSYMBOL_password_item = 787,            /* password_item  */
  YYSYMBOL_pass_key = 788,                 /* pass_key  */
  YYSYMBOL_password_item_begin = 789,      /* password_item_begin  */
  YYSYMBOL_password_item_params = 790,     /* password_item_params  */
  YYSYMBOL_password_algorithm = 791,       /* password_algorithm  */
  YYSYMBOL_password_item_end = 792,        /* password_item_end  */
  YYSYMBOL_bfd_opts = 793,                 /* bfd_opts  */
  YYSYMBOL_cmd_SHOW_STATUS = 794,          /* cmd_SHOW_STATUS  */
  YYSYMBOL_cmd_SHOW_MEMORY = 795,          /* cmd_SHOW_MEMORY  */
  YYSYMBOL_cmd_SHOW_PROTOCOLS = 796,       /* cmd_SHOW_PROTOCOLS  */
  YYSYMBOL_cmd_SHOW_PROTOCOLS_ALL = 797,   /* cmd_SHOW_PROTOCOLS_ALL  */
  YYSYMBOL_optproto = 798,                 /* optproto  */
  YYSYMBOL_cmd_SHOW_INTERFACES = 799,      /* cmd_SHOW_INTERFACES  */
  YYSYMBOL_cmd_SHOW_INTERFACES_SUMMARY = 800, /* cmd_SHOW_INTERFACES_SUMMARY  */
  YYSYMBOL_cmd_SHOW_ROUTE = 801,           /* cmd_SHOW_ROUTE  */
  YYSYMBOL_r_args = 802,                   /* r_args  */
  YYSYMBOL_r_args_for = 803,               /* r_args_for  */
  YYSYMBOL_r_args_for_val = 804,           /* r_args_for_val  */
  YYSYMBOL_export_mode = 805,              /* export_mode  */
  YYSYMBOL_channel_sym = 806,              /* channel_sym  */
  YYSYMBOL_channel_arg = 807,              /* channel_arg  */
  YYSYMBOL_cmd_SHOW_SYMBOLS = 808,         /* cmd_SHOW_SYMBOLS  */
  YYSYMBOL_sym_args = 809,                 /* sym_args  */
  YYSYMBOL_cmd_DUMP_RESOURCES = 810,       /* cmd_DUMP_RESOURCES  */
  YYSYMBOL_cmd_DUMP_SOCKETS = 811,         /* cmd_DUMP_SOCKETS  */
  YYSYMBOL_cmd_DUMP_EVENTS = 812,          /* cmd_DUMP_EVENTS  */
  YYSYMBOL_cmd_DUMP_INTERFACES = 813,      /* cmd_DUMP_INTERFACES  */
  YYSYMBOL_cmd_DUMP_NEIGHBORS = 814,       /* cmd_DUMP_NEIGHBORS  */
  YYSYMBOL_cmd_DUMP_ATTRIBUTES = 815,      /* cmd_DUMP_ATTRIBUTES  */
  YYSYMBOL_cmd_DUMP_ROUTES = 816,          /* cmd_DUMP_ROUTES  */
  YYSYMBOL_cmd_DUMP_TABLES = 817,          /* cmd_DUMP_TABLES  */
  YYSYMBOL_cmd_DUMP_PROTOCOLS = 818,       /* cmd_DUMP_PROTOCOLS  */
  YYSYMBOL_cmd_DUMP_FILTER_ALL = 819,      /* cmd_DUMP_FILTER_ALL  */
  YYSYMBOL_cmd_EVAL = 820,                 /* cmd_EVAL  */
  YYSYMBOL_partial_opt = 821,              /* partial_opt  */
  YYSYMBOL_cmd_DISABLE = 822,              /* cmd_DISABLE  */
  YYSYMBOL_cmd_ENABLE = 823,               /* cmd_ENABLE  */
  YYSYMBOL_cmd_RESTART = 824,              /* cmd_RESTART  */
  YYSYMBOL_cmd_RELOAD_FILTERS = 825,       /* cmd_RELOAD_FILTERS  */
  YYSYMBOL_cmd_RELOAD_FILTERS_IN = 826,    /* cmd_RELOAD_FILTERS_IN  */
  YYSYMBOL_cmd_RELOAD_FILTERS_OUT = 827,   /* cmd_RELOAD_FILTERS_OUT  */
  YYSYMBOL_cmd_DEBUG = 828,                /* cmd_DEBUG  */
  YYSYMBOL_debug_args = 829,               /* debug_args  */
  YYSYMBOL_cmd_MRTDUMP = 830,              /* cmd_MRTDUMP  */
  YYSYMBOL_cmd_RESTRICT = 831,             /* cmd_RESTRICT  */
  YYSYMBOL_cmd_TIMEFORMAT = 832,           /* cmd_TIMEFORMAT  */
  YYSYMBOL_proto_patt = 833,               /* proto_patt  */
  YYSYMBOL_proto_patt2 = 834,              /* proto_patt2  */
  YYSYMBOL_mpls_domain = 835,              /* mpls_domain  */
  YYSYMBOL_mpls_domain_start = 836,        /* mpls_domain_start  */
  YYSYMBOL_mpls_domain_opt = 837,          /* mpls_domain_opt  */
  YYSYMBOL_mpls_domain_opts = 838,         /* mpls_domain_opts  */
  YYSYMBOL_mpls_domain_opt_list = 839,     /* mpls_domain_opt_list  */
  YYSYMBOL_mpls_domain_end = 840,          /* mpls_domain_end  */
  YYSYMBOL_mpls_range = 841,               /* mpls_range  */
  YYSYMBOL_mpls_range_start = 842,         /* mpls_range_start  */
  YYSYMBOL_mpls_range_opt = 843,           /* mpls_range_opt  */
  YYSYMBOL_mpls_range_opts = 844,          /* mpls_range_opts  */
  YYSYMBOL_mpls_range_opt_list = 845,      /* mpls_range_opt_list  */
  YYSYMBOL_mpls_range_end = 846,           /* mpls_range_end  */
  YYSYMBOL_mpls_channel = 847,             /* mpls_channel  */
  YYSYMBOL_mpls_channel_start = 848,       /* mpls_channel_start  */
  YYSYMBOL_mpls_label_policy = 849,        /* mpls_label_policy  */
  YYSYMBOL_mpls_channel_opt = 850,         /* mpls_channel_opt  */
  YYSYMBOL_mpls_channel_opts = 851,        /* mpls_channel_opts  */
  YYSYMBOL_mpls_channel_opt_list = 852,    /* mpls_channel_opt_list  */
  YYSYMBOL_mpls_channel_end = 853,         /* mpls_channel_end  */
  YYSYMBOL_854_15 = 854,                   /* $@15  */
  YYSYMBOL_show_mpls_ranges_args = 855,    /* show_mpls_ranges_args  */
  YYSYMBOL_cmd_SHOW_MPLS_RANGES = 856,     /* cmd_SHOW_MPLS_RANGES  */
  YYSYMBOL_aggregator_proto_start = 857,   /* aggregator_proto_start  */
  YYSYMBOL_aggregator_proto_item = 858,    /* aggregator_proto_item  */
  YYSYMBOL_859_16 = 859,                   /* $@16  */
  YYSYMBOL_860_17 = 860,                   /* $@17  */
  YYSYMBOL_aggregator_proto_opts = 861,    /* aggregator_proto_opts  */
  YYSYMBOL_aggregator_proto = 862,         /* aggregator_proto  */
  YYSYMBOL_aggr_list = 863,                /* aggr_list  */
  YYSYMBOL_aggr_item = 864,                /* aggr_item  */
  YYSYMBOL_babel_proto_start = 865,        /* babel_proto_start  */
  YYSYMBOL_babel_proto_item = 866,         /* babel_proto_item  */
  YYSYMBOL_babel_proto_opts = 867,         /* babel_proto_opts  */
  YYSYMBOL_babel_proto = 868,              /* babel_proto  */
  YYSYMBOL_babel_iface_start = 869,        /* babel_iface_start  */
  YYSYMBOL_babel_iface_finish = 870,       /* babel_iface_finish  */
  YYSYMBOL_babel_iface_item = 871,         /* babel_iface_item  */
  YYSYMBOL_babel_iface_opts = 872,         /* babel_iface_opts  */
  YYSYMBOL_babel_iface_opt_list = 873,     /* babel_iface_opt_list  */
  YYSYMBOL_babel_iface = 874,              /* babel_iface  */
  YYSYMBOL_cmd_SHOW_BABEL_INTERFACES = 875, /* cmd_SHOW_BABEL_INTERFACES  */
  YYSYMBOL_cmd_SHOW_BABEL_NEIGHBORS = 876, /* cmd_SHOW_BABEL_NEIGHBORS  */
  YYSYMBOL_cmd_SHOW_BABEL_ENTRIES = 877,   /* cmd_SHOW_BABEL_ENTRIES  */
  YYSYMBOL_cmd_SHOW_BABEL_ROUTES = 878,    /* cmd_SHOW_BABEL_ROUTES  */
  YYSYMBOL_bfd_proto_start = 879,          /* bfd_proto_start  */
  YYSYMBOL_bfd_proto_item = 880,           /* bfd_proto_item  */
  YYSYMBOL_bfd_proto_opts = 881,           /* bfd_proto_opts  */
  YYSYMBOL_bfd_proto = 882,                /* bfd_proto  */
  YYSYMBOL_bfd_accept_item = 883,          /* bfd_accept_item  */
  YYSYMBOL_bfd_accept = 884,               /* bfd_accept  */
  YYSYMBOL_bfd_iface_start = 885,          /* bfd_iface_start  */
  YYSYMBOL_bfd_iface_finish = 886,         /* bfd_iface_finish  */
  YYSYMBOL_bfd_auth_type = 887,            /* bfd_auth_type  */
  YYSYMBOL_bfd_iface_opt_list = 888,       /* bfd_iface_opt_list  */
  YYSYMBOL_bfd_iface = 889,                /* bfd_iface  */
  YYSYMBOL_bfd_multihop = 890,             /* bfd_multihop  */
  YYSYMBOL_bfd_neigh_iface = 891,          /* bfd_neigh_iface  */
  YYSYMBOL_bfd_neigh_local = 892,          /* bfd_neigh_local  */
  YYSYMBOL_bfd_neigh_multihop = 893,       /* bfd_neigh_multihop  */
  YYSYMBOL_bfd_neighbor = 894,             /* bfd_neighbor  */
  YYSYMBOL_bfd_item = 895,                 /* bfd_item  */
  YYSYMBOL_bfd_items = 896,                /* bfd_items  */
  YYSYMBOL_bfd_opts_start = 897,           /* bfd_opts_start  */
  YYSYMBOL_bfd_opts_end = 898,             /* bfd_opts_end  */
  YYSYMBOL_cmd_SHOW_BFD_SESSIONS = 899,    /* cmd_SHOW_BFD_SESSIONS  */
  YYSYMBOL_bfd_show_sessions_args = 900,   /* bfd_show_sessions_args  */
  YYSYMBOL_bgp_proto_start = 901,          /* bgp_proto_start  */
  YYSYMBOL_bgp_loc_opts = 902,             /* bgp_loc_opts  */
  YYSYMBOL_bgp_nbr_opts = 903,             /* bgp_nbr_opts  */
  YYSYMBOL_bgp_cease_mask = 904,           /* bgp_cease_mask  */
  YYSYMBOL_bgp_cease_list = 905,           /* bgp_cease_list  */
  YYSYMBOL_bgp_cease_flag = 906,           /* bgp_cease_flag  */
  YYSYMBOL_bgp_role_name = 907,            /* bgp_role_name  */
  YYSYMBOL_bgp_proto = 908,                /* bgp_proto  */
  YYSYMBOL_909_18 = 909,                   /* $@18  */
  YYSYMBOL_910_19 = 910,                   /* $@19  */
  YYSYMBOL_bgp_afi = 911,                  /* bgp_afi  */
  YYSYMBOL_bgp_channel_start = 912,        /* bgp_channel_start  */
  YYSYMBOL_bgp_nh = 913,                   /* bgp_nh  */
  YYSYMBOL_bgp_lladdr = 914,               /* bgp_lladdr  */
  YYSYMBOL_bgp_channel_item = 915,         /* bgp_channel_item  */
  YYSYMBOL_bgp_channel_opts = 916,         /* bgp_channel_opts  */
  YYSYMBOL_bgp_channel_opt_list = 917,     /* bgp_channel_opt_list  */
  YYSYMBOL_bgp_channel_end = 918,          /* bgp_channel_end  */
  YYSYMBOL_bgp_proto_channel = 919,        /* bgp_proto_channel  */
  YYSYMBOL_cmd_RELOAD_BGP = 920,           /* cmd_RELOAD_BGP  */
  YYSYMBOL_cmd_RELOAD_BGP_IN = 921,        /* cmd_RELOAD_BGP_IN  */
  YYSYMBOL_cmd_RELOAD_BGP_OUT = 922,       /* cmd_RELOAD_BGP_OUT  */
  YYSYMBOL_bmp_proto_start = 923,          /* bmp_proto_start  */
  YYSYMBOL_bmp_station_address = 924,      /* bmp_station_address  */
  YYSYMBOL_bmp_proto = 925,                /* bmp_proto  */
  YYSYMBOL_l3vpn_channel_start = 926,      /* l3vpn_channel_start  */
  YYSYMBOL_l3vpn_channel = 927,            /* l3vpn_channel  */
  YYSYMBOL_l3vpn_proto_start = 928,        /* l3vpn_proto_start  */
  YYSYMBOL_l3vpn_proto_item = 929,         /* l3vpn_proto_item  */
  YYSYMBOL_l3vpn_proto_opts = 930,         /* l3vpn_proto_opts  */
  YYSYMBOL_l3vpn_proto = 931,              /* l3vpn_proto  */
  YYSYMBOL_l3vpn_targets = 932,            /* l3vpn_targets  */
  YYSYMBOL_mrt_proto_start = 933,          /* mrt_proto_start  */
  YYSYMBOL_mrt_proto_item = 934,           /* mrt_proto_item  */
  YYSYMBOL_mrt_proto_opts = 935,           /* mrt_proto_opts  */
  YYSYMBOL_mrt_proto = 936,                /* mrt_proto  */
  YYSYMBOL_cmd_MRT_DUMP = 937,             /* cmd_MRT_DUMP  */
  YYSYMBOL_mrt_dump_args = 938,            /* mrt_dump_args  */
  YYSYMBOL_ospf_variant = 939,             /* ospf_variant  */
  YYSYMBOL_ospf_proto_start = 940,         /* ospf_proto_start  */
  YYSYMBOL_ospf_proto = 941,               /* ospf_proto  */
  YYSYMBOL_ospf_af_mc = 942,               /* ospf_af_mc  */
  YYSYMBOL_ospf_channel_start = 943,       /* ospf_channel_start  */
  YYSYMBOL_ospf_channel = 944,             /* ospf_channel  */
  YYSYMBOL_ospf_proto_item = 945,          /* ospf_proto_item  */
  YYSYMBOL_ospf_area_start = 946,          /* ospf_area_start  */
  YYSYMBOL_ospf_area = 947,                /* ospf_area  */
  YYSYMBOL_ospf_area_opts = 948,           /* ospf_area_opts  */
  YYSYMBOL_ospf_area_item = 949,           /* ospf_area_item  */
  YYSYMBOL_950_20 = 950,                   /* $@20  */
  YYSYMBOL_951_21 = 951,                   /* $@21  */
  YYSYMBOL_ospf_stubnet = 952,             /* ospf_stubnet  */
  YYSYMBOL_ospf_stubnet_start = 953,       /* ospf_stubnet_start  */
  YYSYMBOL_ospf_stubnet_opts = 954,        /* ospf_stubnet_opts  */
  YYSYMBOL_ospf_stubnet_item = 955,        /* ospf_stubnet_item  */
  YYSYMBOL_ospf_vlink = 956,               /* ospf_vlink  */
  YYSYMBOL_ospf_vlink_opts = 957,          /* ospf_vlink_opts  */
  YYSYMBOL_ospf_vlink_item = 958,          /* ospf_vlink_item  */
  YYSYMBOL_ospf_vlink_start = 959,         /* ospf_vlink_start  */
  YYSYMBOL_ospf_iface_item = 960,          /* ospf_iface_item  */
  YYSYMBOL_pref_list = 961,                /* pref_list  */
  YYSYMBOL_pref_item = 962,                /* pref_item  */
  YYSYMBOL_pref_base = 963,                /* pref_base  */
  YYSYMBOL_pref_opt = 964,                 /* pref_opt  */
  YYSYMBOL_nbma_list = 965,                /* nbma_list  */
  YYSYMBOL_nbma_eligible = 966,            /* nbma_eligible  */
  YYSYMBOL_nbma_item = 967,                /* nbma_item  */
  YYSYMBOL_ospf_iface_start = 968,         /* ospf_iface_start  */
  YYSYMBOL_ospf_instance_id = 969,         /* ospf_instance_id  */
  YYSYMBOL_ospf_iface_patt_list = 970,     /* ospf_iface_patt_list  */
  YYSYMBOL_971_22 = 971,                   /* $@22  */
  YYSYMBOL_ospf_iface_opts = 972,          /* ospf_iface_opts  */
  YYSYMBOL_ospf_iface_opt_list = 973,      /* ospf_iface_opt_list  */
  YYSYMBOL_ospf_iface = 974,               /* ospf_iface  */
  YYSYMBOL_cmd_SHOW_OSPF = 975,            /* cmd_SHOW_OSPF  */
  YYSYMBOL_cmd_SHOW_OSPF_NEIGHBORS = 976,  /* cmd_SHOW_OSPF_NEIGHBORS  */
  YYSYMBOL_cmd_SHOW_OSPF_INTERFACE = 977,  /* cmd_SHOW_OSPF_INTERFACE  */
  YYSYMBOL_cmd_SHOW_OSPF_TOPOLOGY = 978,   /* cmd_SHOW_OSPF_TOPOLOGY  */
  YYSYMBOL_cmd_SHOW_OSPF_TOPOLOGY_ALL = 979, /* cmd_SHOW_OSPF_TOPOLOGY_ALL  */
  YYSYMBOL_cmd_SHOW_OSPF_STATE = 980,      /* cmd_SHOW_OSPF_STATE  */
  YYSYMBOL_cmd_SHOW_OSPF_STATE_ALL = 981,  /* cmd_SHOW_OSPF_STATE_ALL  */
  YYSYMBOL_cmd_SHOW_OSPF_LSADB = 982,      /* cmd_SHOW_OSPF_LSADB  */
  YYSYMBOL_lsadb_args = 983,               /* lsadb_args  */
  YYSYMBOL_pipe_proto_start = 984,         /* pipe_proto_start  */
  YYSYMBOL_985_23 = 985,                   /* $@23  */
  YYSYMBOL_pipe_proto = 986,               /* pipe_proto  */
  YYSYMBOL_radv_proto_start = 987,         /* radv_proto_start  */
  YYSYMBOL_radv_proto_item = 988,          /* radv_proto_item  */
  YYSYMBOL_989_24 = 989,                   /* $@24  */
  YYSYMBOL_990_25 = 990,                   /* $@25  */
  YYSYMBOL_radv_proto_opts = 991,          /* radv_proto_opts  */
  YYSYMBOL_radv_proto = 992,               /* radv_proto  */
  YYSYMBOL_radv_iface_start = 993,         /* radv_iface_start  */
  YYSYMBOL_radv_iface_item = 994,          /* radv_iface_item  */
  YYSYMBOL_995_26 = 995,                   /* $@26  */
  YYSYMBOL_996_27 = 996,                   /* $@27  */
  YYSYMBOL_radv_preference = 997,          /* radv_preference  */
  YYSYMBOL_radv_iface_finish = 998,        /* radv_iface_finish  */
  YYSYMBOL_radv_iface_opts = 999,          /* radv_iface_opts  */
  YYSYMBOL_radv_iface_opt_list = 1000,     /* radv_iface_opt_list  */
  YYSYMBOL_radv_iface = 1001,              /* radv_iface  */
  YYSYMBOL_radv_prefix_start = 1002,       /* radv_prefix_start  */
  YYSYMBOL_radv_prefix_item = 1003,        /* radv_prefix_item  */
  YYSYMBOL_radv_prefix_finish = 1004,      /* radv_prefix_finish  */
  YYSYMBOL_radv_prefix_opts = 1005,        /* radv_prefix_opts  */
  YYSYMBOL_radv_prefix_opt_list = 1006,    /* radv_prefix_opt_list  */
  YYSYMBOL_radv_prefix = 1007,             /* radv_prefix  */
  YYSYMBOL_radv_rdnss_node = 1008,         /* radv_rdnss_node  */
  YYSYMBOL_radv_rdnss_start = 1009,        /* radv_rdnss_start  */
  YYSYMBOL_radv_rdnss_item = 1010,         /* radv_rdnss_item  */
  YYSYMBOL_radv_rdnss_finish = 1011,       /* radv_rdnss_finish  */
  YYSYMBOL_radv_rdnss_opts = 1012,         /* radv_rdnss_opts  */
  YYSYMBOL_radv_rdnss = 1013,              /* radv_rdnss  */
  YYSYMBOL_radv_dnssl_node = 1014,         /* radv_dnssl_node  */
  YYSYMBOL_radv_dnssl_start = 1015,        /* radv_dnssl_start  */
  YYSYMBOL_radv_dnssl_item = 1016,         /* radv_dnssl_item  */
  YYSYMBOL_radv_dnssl_finish = 1017,       /* radv_dnssl_finish  */
  YYSYMBOL_radv_dnssl_opts = 1018,         /* radv_dnssl_opts  */
  YYSYMBOL_radv_dnssl = 1019,              /* radv_dnssl  */
  YYSYMBOL_radv_mult = 1020,               /* radv_mult  */
  YYSYMBOL_radv_sensitive = 1021,          /* radv_sensitive  */
  YYSYMBOL_rip_variant = 1022,             /* rip_variant  */
  YYSYMBOL_rip_proto_start = 1023,         /* rip_proto_start  */
  YYSYMBOL_rip_proto_item = 1024,          /* rip_proto_item  */
  YYSYMBOL_rip_proto_opts = 1025,          /* rip_proto_opts  */
  YYSYMBOL_rip_proto = 1026,               /* rip_proto  */
  YYSYMBOL_rip_iface_start = 1027,         /* rip_iface_start  */
  YYSYMBOL_rip_iface_finish = 1028,        /* rip_iface_finish  */
  YYSYMBOL_rip_iface_item = 1029,          /* rip_iface_item  */
  YYSYMBOL_rip_auth = 1030,                /* rip_auth  */
  YYSYMBOL_rip_iface_opts = 1031,          /* rip_iface_opts  */
  YYSYMBOL_rip_iface_opt_list = 1032,      /* rip_iface_opt_list  */
  YYSYMBOL_rip_iface = 1033,               /* rip_iface  */
  YYSYMBOL_cmd_SHOW_RIP_INTERFACES = 1034, /* cmd_SHOW_RIP_INTERFACES  */
  YYSYMBOL_cmd_SHOW_RIP_NEIGHBORS = 1035,  /* cmd_SHOW_RIP_NEIGHBORS  */
  YYSYMBOL_rpki_proto_start = 1036,        /* rpki_proto_start  */
  YYSYMBOL_rpki_proto = 1037,              /* rpki_proto  */
  YYSYMBOL_rpki_proto_opts = 1038,         /* rpki_proto_opts  */
  YYSYMBOL_rpki_proto_item = 1039,         /* rpki_proto_item  */
  YYSYMBOL_rpki_keep_interval = 1040,      /* rpki_keep_interval  */
  YYSYMBOL_rpki_proto_item_port = 1041,    /* rpki_proto_item_port  */
  YYSYMBOL_rpki_cache_addr = 1042,         /* rpki_cache_addr  */
  YYSYMBOL_rpki_transport = 1043,          /* rpki_transport  */
  YYSYMBOL_rpki_transport_tcp_init = 1044, /* rpki_transport_tcp_init  */
  YYSYMBOL_rpki_transport_tcp_opts_list = 1045, /* rpki_transport_tcp_opts_list  */
  YYSYMBOL_rpki_transport_tcp_opts = 1046, /* rpki_transport_tcp_opts  */
  YYSYMBOL_rpki_transport_tcp_item = 1047, /* rpki_transport_tcp_item  */
  YYSYMBOL_rpki_transport_tcp_check = 1048, /* rpki_transport_tcp_check  */
  YYSYMBOL_rpki_transport_ssh_init = 1049, /* rpki_transport_ssh_init  */
  YYSYMBOL_rpki_transport_ssh_opts = 1050, /* rpki_transport_ssh_opts  */
  YYSYMBOL_rpki_transport_ssh_item = 1051, /* rpki_transport_ssh_item  */
  YYSYMBOL_rpki_transport_ssh_check = 1052, /* rpki_transport_ssh_check  */
  YYSYMBOL_static_proto_start = 1053,      /* static_proto_start  */
  YYSYMBOL_static_proto = 1054,            /* static_proto  */
  YYSYMBOL_stat_nexthop = 1055,            /* stat_nexthop  */
  YYSYMBOL_stat_nexthops = 1056,           /* stat_nexthops  */
  YYSYMBOL_stat_mpls = 1057,               /* stat_mpls  */
  YYSYMBOL_stat_route0 = 1058,             /* stat_route0  */
  YYSYMBOL_1059_28 = 1059,                 /* $@28  */
  YYSYMBOL_stat_route = 1060,              /* stat_route  */
  YYSYMBOL_1061_29 = 1061,                 /* $@29  */
  YYSYMBOL_stat_aspa_provider = 1062,      /* stat_aspa_provider  */
  YYSYMBOL_stat_aspa_providers = 1063,     /* stat_aspa_providers  */
  YYSYMBOL_stat_route_item = 1064,         /* stat_route_item  */
  YYSYMBOL_stat_route_opts = 1065,         /* stat_route_opts  */
  YYSYMBOL_stat_route_opt_list = 1066,     /* stat_route_opt_list  */
  YYSYMBOL_1067_30 = 1067,                 /* $@30  */
  YYSYMBOL_cmd_SHOW_STATIC = 1068,         /* cmd_SHOW_STATIC  */
  YYSYMBOL_kern_proto = 1069,              /* kern_proto  */
  YYSYMBOL_kern_sys_item = 1070,           /* kern_sys_item  */
  YYSYMBOL_attr_bit = 1071,                /* attr_bit  */
  YYSYMBOL_log_begin = 1072,               /* log_begin  */
  YYSYMBOL_log_config = 1073,              /* log_config  */
  YYSYMBOL_syslog_name = 1074,             /* syslog_name  */
  YYSYMBOL_log_limit = 1075,               /* log_limit  */
  YYSYMBOL_log_file = 1076,                /* log_file  */
  YYSYMBOL_log_udp_host = 1077,            /* log_udp_host  */
  YYSYMBOL_log_udp_port = 1078,            /* log_udp_port  */
  YYSYMBOL_log_mask = 1079,                /* log_mask  */
  YYSYMBOL_log_mask_list = 1080,           /* log_mask_list  */
  YYSYMBOL_log_cat = 1081,                 /* log_cat  */
  YYSYMBOL_mrtdump_base = 1082,            /* mrtdump_base  */
  YYSYMBOL_cli = 1083,                     /* cli  */
  YYSYMBOL_cli_opts = 1084,                /* cli_opts  */
  YYSYMBOL_cli_opts_begin = 1085,          /* cli_opts_begin  */
  YYSYMBOL_cli_opts_block = 1086,          /* cli_opts_block  */
  YYSYMBOL_debug_unix = 1087,              /* debug_unix  */
  YYSYMBOL_latency_debug_mask = 1088,      /* latency_debug_mask  */
  YYSYMBOL_latency_debug_list = 1089,      /* latency_debug_list  */
  YYSYMBOL_latency_debug_flag = 1090,      /* latency_debug_flag  */
  YYSYMBOL_cmd_CONFIGURE = 1091,           /* cmd_CONFIGURE  */
  YYSYMBOL_cmd_CONFIGURE_SOFT = 1092,      /* cmd_CONFIGURE_SOFT  */
  YYSYMBOL_cmd_CONFIGURE_CONFIRM = 1093,   /* cmd_CONFIGURE_CONFIRM  */
  YYSYMBOL_cmd_CONFIGURE_UNDO = 1094,      /* cmd_CONFIGURE_UNDO  */
  YYSYMBOL_cmd_CONFIGURE_STATUS = 1095,    /* cmd_CONFIGURE_STATUS  */
  YYSYMBOL_cmd_CONFIGURE_CHECK = 1096,     /* cmd_CONFIGURE_CHECK  */
  YYSYMBOL_cmd_DOWN = 1097,                /* cmd_DOWN  */
  YYSYMBOL_cmd_GRACEFUL_RESTART = 1098,    /* cmd_GRACEFUL_RESTART  */
  YYSYMBOL_cmd_SHOW_THREADS = 1099,        /* cmd_SHOW_THREADS  */
  YYSYMBOL_cmd_SHOW_THREADS_ALL = 1100,    /* cmd_SHOW_THREADS_ALL  */
  YYSYMBOL_cfg_name = 1101,                /* cfg_name  */
  YYSYMBOL_cfg_timeout = 1102,             /* cfg_timeout  */
  YYSYMBOL_kern_proto_start = 1103,        /* kern_proto_start  */
  YYSYMBOL_kern_learn = 1104,              /* kern_learn  */
  YYSYMBOL_kern_mp_limit = 1105,           /* kern_mp_limit  */
  YYSYMBOL_kern_channel = 1106,            /* kern_channel  */
  YYSYMBOL_kern_item = 1107,               /* kern_item  */
  YYSYMBOL_kif_proto_start = 1108,         /* kif_proto_start  */
  YYSYMBOL_kif_proto = 1109,               /* kif_proto  */
  YYSYMBOL_kif_item = 1110,                /* kif_item  */
  YYSYMBOL_kif_iface_start = 1111,         /* kif_iface_start  */
  YYSYMBOL_kif_iface_item = 1112,          /* kif_iface_item  */
  YYSYMBOL_kif_iface_opts = 1113,          /* kif_iface_opts  */
  YYSYMBOL_kif_iface_opt_list = 1114,      /* kif_iface_opt_list  */
  YYSYMBOL_kif_iface = 1115                /* kif_iface  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  86
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   6174

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  595
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  521
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1644
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  3087

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   826


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    43,     2,     2,     2,    42,    37,     2,
      60,    61,    40,    38,    85,    39,    44,    41,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   154,    59,
      32,    31,    33,   157,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   155,     2,   156,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    86,    36,    87,    34,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    35,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,    57,    57,    57,    57,    57,    57,    57,    57,    57,
      57,    57,   156,   157,   160,   162,   165,   170,   173,   180,
     181,   182,   188,   189,   190,   193,   193,   198,   199,   200,
     201,   202,   203,   210,   211,   212,   219,   220,   227,   233,
     243,   249,   268,   296,   302,   308,   316,   324,   330,   336,
     336,   337,   337,   338,   338,   341,   342,   343,   344,   345,
     346,   347,   354,   355,   363,   364,   372,   373,   381,   382,
     390,   391,   392,   393,   394,   404,   412,   413,   424,   432,
     439,   440,   447,   448,   452,   453,   454,   455,   462,   470,
     471,   475,   476,   477,   485,   486,   487,    37,    38,    39,
      40,    41,    42,    43,    44,    48,    49,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    65,    66,    67,
      70,    71,    75,    79,    83,    84,    88,    92,   101,   102,
     106,   110,   114,   121,   122,   126,   127,   128,   129,   133,
     136,   139,   145,   149,   150,   151,   155,   159,   165,   166,
     167,   170,   172,   175,   177,   181,   188,   189,   191,   197,
     203,   203,     9,     9,    10,    10,    11,    11,   403,   412,
     414,   414,   429,   431,   434,   435,   450,   452,   463,   465,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   518,   517,
     527,   528,   537,   538,   546,   547,   554,   555,   558,   561,
     565,   565,   580,   580,   590,   596,   599,   604,   599,   632,
     633,   636,   636,   638,   646,   647,   664,   665,   678,   679,
     680,   681,   682,   690,   691,   700,   704,   707,   708,   709,
     710,   711,   712,   713,   714,   715,   716,   721,   722,   723,
     724,   728,   729,   730,   734,   735,   736,   737,   738,   739,
     740,   741,   746,   747,   748,   749,   750,   754,   755,   756,
     757,   758,   762,   763,   767,   768,   772,   773,   777,   778,
     779,   780,   788,   789,   792,   793,   800,   810,   811,   815,
     819,   820,   821,   822,   826,   827,   828,   829,   830,   834,
     835,   836,   837,   838,   839,   840,   841,   842,   843,   848,
     849,   853,   854,   855,   856,   862,   863,   864,   867,   883,
     894,   895,   896,   897,   898,   899,   900,   901,   904,   904,
     906,   909,   909,   914,   919,   929,   930,   931,   932,   933,
     934,   935,   936,   937,   938,   939,   940,   941,   942,   943,
     944,   945,   946,   947,   949,   950,   952,   954,   956,   957,
     958,   959,   961,   962,   963,   964,   966,   967,   968,   970,
     972,   973,   977,   981,   982,   983,   987,   991,   998,   999,
    1003,  1003,  1003,  1004,  1007,  1010,  1016,  1018,  1010,  1023,
    1026,  1042,  1049,  1052,  1055,  1058,  1059,  1062,  1062,  1068,
    1069,  1073,  1078,  1094,   206,   209,   210,   214,   215,   216,
     217,   227,   229,   231,   233,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   252,   253,   259,   261,   263,
     268,   270,   274,   275,   276,   281,   282,   283,   287,   288,
     289,   292,   294,   297,   299,   305,   308,   309,   313,   319,
     323,   333,   343,   345,   346,   347,   348,   349,   350,   351,
     352,   356,   362,   367,   368,   374,   375,   376,   377,   378,
     379,   387,   392,   393,   396,   398,   401,   403,   407,   414,
     417,   424,   425,   426,   427,   431,   432,   433,   434,   435,
     439,   440,   444,   447,   448,   449,   450,   451,   456,   459,
     463,   464,   465,   466,   470,   471,   472,   473,   474,   475,
     476,   477,   483,   491,   492,   496,   497,   501,   506,   507,
     511,   513,   521,   525,   526,   531,   533,   541,   542,   543,
     544,   545,   549,   557,   563,   564,   565,   569,   570,   574,
     575,   576,   577,   578,   579,   585,   586,   587,   591,   592,
     596,   597,   603,   607,   608,   611,   613,   617,   618,   621,
     621,   623,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   663,   669,   675,   675,   678,
     678,   681,   681,   684,   684,   688,   689,   692,   692,   695,
     695,   699,   699,   720,   727,   733,   739,   746,   753,   760,
     767,   773,   778,   783,   787,   791,   795,   805,   812,   821,
     825,   832,   836,   837,   838,   839,   843,   847,   851,   865,
     866,   867,   868,   871,   872,   873,   874,   879,   880,   881,
     882,   883,   884,   885,   886,   887,   888,   889,   890,   891,
     892,   893,   894,   895,   896,   897,   898,   899,   903,   913,
     913,   923,   927,   928,   929,   930,   931,   932,   936,   936,
     938,   938,   940,   940,   942,   942,   944,   944,   946,   946,
     948,   948,   950,   950,   952,   952,   954,   954,   957,   957,
     961,   967,   970,   970,   972,   972,   974,   974,   976,   976,
     978,   978,   980,   980,   984,   984,   997,   998,  1002,  1002,
    1005,  1005,  1009,  1009,  1019,  1020,  1021,  1025,  1026,  1027,
      31,    33,    35,    38,    41,    43,    46,    48,    51,    54,
      56,    60,    64,    69,    70,    73,    75,    78,    80,    84,
      97,    99,   119,   120,   121,   122,   126,   127,   128,   129,
     130,   131,   134,   136,   139,   141,   144,   144,   149,   155,
     178,   186,   196,   196,    28,    30,    40,    41,    42,    43,
      43,    73,    73,    85,    85,    86,    90,    91,   105,   127,
      36,    38,    50,    51,    52,    53,    54,    55,    56,    59,
      61,    65,    69,    70,    71,    72,    76,    80,    84,   100,
     122,   123,   124,   125,   126,   127,   130,   132,   136,   139,
     144,   145,   146,   150,   151,   155,   156,   159,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   191,   193,   197,
     200,   220,   226,   226,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,    33,    35,    43,    44,    45,    46,
      49,    51,    55,    59,    80,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   173,   175,   178,   180,   185,   189,   189,   192,   192,
     195,   195,   198,   198,    49,    51,    87,    89,    90,    93,
      95,    96,    97,    98,   103,   104,   108,   109,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   125,   126,   127,
     128,   129,   133,   134,   135,   136,   137,   138,   142,   143,
     149,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   226,   226,
     227,   228,   229,   230,   231,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   249,   276,   277,
     278,   280,   280,   280,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   324,   336,   338,   341,   343,   347,   357,   359,   372,
     372,   378,   378,   383,   383,   389,   400,    49,    52,    65,
      67,    74,    75,    76,    77,    78,    79,    80,    81,    84,
      86,    90,    94,    95,   211,   214,   215,   216,   219,   235,
     236,   240,   241,   245,   254,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     274,   289,   292,   294,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   307,   308,   308,   309,   310,   311,
     315,   316,   320,   328,   330,   334,   335,   336,   340,   341,
     344,   346,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   362,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   422,   424,   427,   429,   437,   439,   440,
     443,   445,   449,   450,   453,   463,   485,   487,   491,   491,
     494,   496,   499,   501,   505,   509,   509,   512,   512,   515,
     515,   520,   520,   523,   523,   528,   528,   531,   531,   535,
     535,   552,   555,   556,   557,   558,   559,   560,   561,   562,
      23,    26,    25,    42,    43,    44,    45,    51,    52,    53,
      55,    68,    69,    70,    71,    72,    72,    73,    73,    74,
      75,    76,    79,    81,    85,    89,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   128,   132,   133,
     134,   135,   136,   137,   137,   138,   138,   139,   140,   141,
     142,   146,   147,   148,   151,   189,   191,   194,   196,   200,
     203,   215,   216,   217,   218,   222,   229,   237,   239,   242,
     244,   248,   252,   262,   267,   268,   269,   273,   285,   287,
     291,   292,   296,   309,   314,   315,   316,   320,   332,   334,
     338,   339,   344,   345,   349,   350,    46,    49,    50,    53,
      67,    68,    69,    70,    71,    72,    75,    77,    81,    85,
     110,   140,   141,   142,   143,   144,   145,   146,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   173,   174,
     175,   176,   179,   181,   184,   186,   190,   195,   195,   198,
     198,    43,    45,    55,    57,    59,    63,    64,    65,    66,
      67,    68,    69,    70,    76,    82,    88,    89,    93,   100,
     101,   104,   106,   124,   125,   129,   135,   137,   140,   142,
     146,   147,   148,   152,   158,   168,   170,   174,   175,   176,
     180,    56,    58,    65,    66,    67,    68,    69,    70,    78,
      82,    87,    92,    95,    98,   103,   107,   115,   116,   119,
     121,   124,   124,   137,   138,   142,   147,   148,   149,   150,
     151,   152,   153,   153,   158,   167,   180,   180,   183,   192,
     194,   197,   199,   199,   203,   203,    26,    28,    35,    36,
      37,    38,    39,    40,    41,    42,    45,    47,    51,    54,
      54,    63,    64,    65,    66,    67,    68,    24,    26,    35,
      37,    42,    50,    51,    52,    55,    56,    63,    70,    73,
      76,    26,    29,    30,    31,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    46,    47,    48,    49,    50,
      53,    54,    57,    32,    34,    36,    43,    44,    47,    49,
      53,    61,    69,    70,    71,    74,    84,    85,    89,    90,
      94,    95,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   111,   114,   115,   125,   127,   133,   133,   135,   143,
     145,   148,   154,   157,   158,   159,   160,   164,   165,   166,
     169,   169,   172,   173,   174,   175,   176,   177,   178,   186,
     186,   189,   189,   196,   196,   199,   199,   202,   202,   205,
     205,   208,   208,   213,   213,   216,   216,   219,   219,   223,
     224,   228,   229,   230,    43,    45,    50,    51,    54,    55,
      59,    60,    65,    66,    70,    71,    72,    73,    77,    84,
      85,    96,    98,   101,   102,   105,   106,   107,   114,   121,
     124,   126,   129,   131,   135
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "QUIT", "EXIT", "HELP",
  "END", "CLI_MARKER", "INVALID_TOKEN", "ELSECOL", "DDOT", "GEQ", "LEQ",
  "NEQ", "AND", "OR", "IMP", "PO", "PC", "NUM", "ENUM_TOKEN", "IP4", "IP6",
  "VPN_RD", "CF_SYM_KNOWN", "CF_SYM_UNDEFINED", "CF_SYM_METHOD_BARE",
  "CF_SYM_METHOD_ARGS", "TEXT", "BYTETEXT", "PREFIX_DUMMY", "'='", "'<'",
  "'>'", "'~'", "NMA", "'|'", "'&'", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'!'", "'.'", "DEFINE", "ON", "OFF", "YES", "NO", "S", "MS", "US",
  "PORT", "VPN", "MPLS", "FROM", "MAX", "AS", "';'", "'('", "')'", "FLOW4",
  "FLOW6", "DST", "SRC", "PROTO", "NEXT", "HEADER", "DPORT", "SPORT",
  "ICMP", "TYPE", "CODE", "TCP", "FLAGS", "LENGTH", "DSCP",
  "DONT_FRAGMENT", "IS_FRAGMENT", "FIRST_FRAGMENT", "LAST_FRAGMENT",
  "FRAGMENT", "LABEL", "OFFSET", "','", "'{'", "'}'", "FUNCTION", "PRINT",
  "PRINTN", "UNSET", "RETURN", "ACCEPT", "REJECT", "ERROR", "INT", "BOOL",
  "IP", "PREFIX", "RD", "PAIR", "QUAD", "EC", "LC", "ENUM", "SET",
  "STRING", "BYTESTRING", "BGPMASK", "BGPPATH", "CLIST", "ECLIST",
  "LCLIST", "IF", "THEN", "ELSE", "CASE", "FOR", "IN", "DO", "TRUE",
  "FALSE", "RT", "RO", "UNKNOWN", "GENERIC", "GW", "NET", "SCOPE", "DEST",
  "IFNAME", "IFINDEX", "WEIGHT", "GW_MPLS", "ROA_CHECK", "ASPA_CHECK",
  "DEFINED", "ADD", "DELETE", "RESET", "PREPEND", "EMPTY", "FILTER",
  "WHERE", "EVAL", "ATTRIBUTE", "FROM_HEX", "BT_ASSERT", "BT_TEST_SUITE",
  "BT_CHECK_ASSIGN", "BT_TEST_SAME", "FORMAT", "STACKS", "':'", "'['",
  "']'", "'?'", "ROUTER", "ID", "HOSTNAME", "PROTOCOL", "TEMPLATE",
  "PREFERENCE", "DISABLED", "DEBUG", "ALL", "DIRECT", "PIPE", "INTERFACE",
  "IMPORT", "EXPORT", "NONE", "VRF", "DEFAULT", "TABLE", "TABLES",
  "STATES", "ROUTES", "FILTERS", "IPV4", "IPV6", "VPN4", "VPN6", "ROA4",
  "ROA6", "SADR", "ASPA", "RECEIVE", "LIMIT", "ACTION", "WARN", "BLOCK",
  "RESTART", "DISABLE", "KEEP", "FILTERED", "RPKI", "PASSWORD", "KEY",
  "PASSIVE", "TO", "EVENTS", "PACKETS", "PROTOCOLS", "CHANNELS",
  "INTERFACES", "ALGORITHM", "KEYED", "HMAC", "MD5", "SHA1", "SHA256",
  "SHA384", "SHA512", "BLAKE2S128", "BLAKE2S256", "BLAKE2B256",
  "BLAKE2B512", "PRIMARY", "STATS", "COUNT", "COMMANDS", "PREEXPORT",
  "NOEXPORT", "EXPORTED", "GENERATE", "BGP", "PASSWORDS", "DESCRIPTION",
  "RELOAD", "OUT", "MRTDUMP", "MESSAGES", "RESTRICT", "MEMORY", "CLASS",
  "PARTIAL", "TIMEFORMAT", "ISO", "SHORT", "LONG", "ROUTE", "BASE", "LOG",
  "GRACEFUL", "WAIT", "CHECK", "LINK", "CORK", "SORTED", "TRIE", "MIN",
  "ROA", "DIGEST", "REFRESH", "SETTLE", "TIME", "GC", "THRESHOLD",
  "PERIOD", "MPLS_LABEL", "MPLS_POLICY", "MPLS_CLASS", "ASPA_PROVIDERS",
  "IPV4_MC", "IPV4_MPLS", "IPV6_MC", "IPV6_MPLS", "IPV6_SADR", "VPN4_MC",
  "VPN4_MPLS", "VPN6_MC", "VPN6_MPLS", "PRI", "SEC", "NET_TYPE", "RTS",
  "RTD", "AF", "SHOW", "STATUS", "SUMMARY", "SYMBOLS", "DUMP", "RESOURCES",
  "SOCKETS", "NEIGHBORS", "ATTRIBUTES", "ENABLE", "DOMAIN", "RANGE",
  "STATIC", "DYNAMIC", "START", "POLICY", "AGGREGATE", "RANGES",
  "AGGREGATOR", "PEER", "MERGE", "BY", "BABEL", "METRIC", "RXCOST",
  "HELLO", "UPDATE", "WIRED", "WIRELESS", "BUFFER", "PRIORITY", "HOP",
  "ENTRIES", "RANDOMIZE", "MAC", "PERMISSIVE", "EXTENDED", "TUNNEL", "RTT",
  "DECAY", "SEND", "TIMESTAMPS", "COST", "DELAY", "BFD", "IDLE", "RX",
  "TX", "INTERVAL", "MULTIPLIER", "MULTIHOP", "NEIGHBOR", "DEV", "LOCAL",
  "AUTHENTICATION", "SIMPLE", "METICULOUS", "STRICT", "BIND", "ZERO",
  "UDP6", "CHECKSUM", "SESSIONS", "HOLD", "CONNECT", "RETRY", "KEEPALIVE",
  "STARTUP", "VIA", "SELF", "PATH", "FORGET", "AFTER", "BGP_LOCAL_PREF",
  "BGP_MED", "SOURCE", "ADDRESS", "RR", "RS", "CLIENT", "CLUSTER", "AS4",
  "ADVERTISE", "CAPABILITIES", "PREFER", "OLDER", "MISSING", "LLADDR",
  "DROP", "IGNORE", "ENHANCED", "INTERPRET", "COMMUNITIES", "IGP",
  "GATEWAY", "RECURSIVE", "MED", "TTL", "SECURITY", "DETERMINISTIC",
  "SECONDARY", "ALLOW", "PATHS", "AWARE", "SETKEY", "CONFEDERATION",
  "MEMBER", "MULTICAST", "LIVED", "STALE", "IBGP", "EBGP", "MANDATORY",
  "INTERNAL", "EXTERNAL", "SETS", "NAME", "DIGITS", "AIGP", "ORIGINATE",
  "ENFORCE", "FIRST", "FREE", "VALIDATE", "ROLE", "ROLES", "PROVIDER",
  "CUSTOMER", "RS_SERVER", "RS_CLIENT", "REQUIRE", "BGP_OTC", "GLOBAL",
  "SIZE", "WARNING", "BGP_ORIGIN", "CEASE", "HIT", "ADMINISTRATIVE",
  "SHUTDOWN", "CONFIGURATION", "CHANGE", "DECONFIGURED", "CONNECTION",
  "REJECTED", "COLLISION", "OF", "ASPA_CHECK_UPSTREAM",
  "ASPA_CHECK_DOWNSTREAM", "BMP", "ENABLED", "MONITORING", "PRE_POLICY",
  "POST_POLICY", "RIB", "STATION", "SYSTEM", "L3VPN", "TARGET",
  "DISTINGUISHER", "MRT", "FILENAME", "ALWAYS", "OSPF", "V2", "V3", "AREA",
  "RFC1583COMPAT", "STUB", "TICK", "COST2", "RETRANSMIT", "TRANSMIT",
  "DEAD", "BROADCAST", "BCAST", "NONBROADCAST", "NBMA", "POINTOPOINT",
  "PTP", "POINTOMULTIPOINT", "PTMP", "CRYPTOGRAPHIC", "ELIGIBLE", "POLL",
  "NETWORKS", "HIDDEN", "VIRTUAL", "ONLY", "LARGE", "NORMAL", "STUBNET",
  "TAG", "LSADB", "ECMP", "NSSA", "TRANSLATOR", "STABILITY", "LSID",
  "INSTANCE", "REAL", "NETMASK", "LSA", "SUPPRESSION", "RFC5838", "PE",
  "TOPOLOGY", "STATE", "GENERATION", "RADV", "RA", "SOLICITED", "UNICAST",
  "MANAGED", "OTHER", "CONFIG", "LINGER", "MTU", "REACHABLE", "RETRANS",
  "TIMER", "CURRENT", "VALID", "PREFERRED", "MULT", "LIFETIME", "SKIP",
  "ONLINK", "AUTONOMOUS", "RDNSS", "DNSSL", "NS", "TRIGGER", "SENSITIVE",
  "LOW", "MEDIUM", "HIGH", "PROPAGATE", "CUSTOM", "OPTION", "VALUE",
  "RA_PREFERENCE", "RIP", "NG", "INFINITY", "TIMEOUT", "GARBAGE", "MODE",
  "VERSION", "SPLIT", "HORIZON", "POISON", "REVERSE", "PLAINTEXT",
  "DEMAND", "CIRCUIT", "REMOTE", "BIRD", "PRIVATE", "PUBLIC", "SSH",
  "TRANSPORT", "USER", "EXPIRE", "PROHIBIT", "BLACKHOLE", "UNREACHABLE",
  "TRANSIT", "PROVIDERS", "KERNEL", "NETLINK", "KRT_LOCK_MTU",
  "KRT_LOCK_WINDOW", "KRT_LOCK_RTT", "KRT_LOCK_RTTVAR",
  "KRT_LOCK_SSTHRESH", "KRT_LOCK_CWND", "KRT_LOCK_ADVMSS",
  "KRT_LOCK_REORDERING", "KRT_LOCK_HOPLIMIT", "KRT_LOCK_INITCWND",
  "KRT_LOCK_RTO_MIN", "KRT_LOCK_INITRWND", "KRT_LOCK_QUICKACK",
  "KRT_LOCK_CONGCTL", "KRT_LOCK_FASTOPEN_NO_COOKIE", "KRT_FEATURE_ECN",
  "KRT_FEATURE_ALLFRAG", "SYSLOG", "TRACE", "INFO", "AUTH", "FATAL", "BUG",
  "STDERR", "SOFT", "UDP", "CLI", "CONFIRM", "UNDO", "LATENCY", "WATCHDOG",
  "PING", "WAKEUP", "SCHEDULING", "TIMERS", "ALLOCATOR", "FIXED",
  "CONFIGURE", "DOWN", "THREADS", "PERSIST", "SCAN", "LEARN", "DEVICE",
  "$accept", "cli_cmd", "cmd_QUIT", "cmd_EXIT", "cmd_HELP", "config",
  "conf_entries", "conf", "definition", "expr", "expr_us", "symbol",
  "bool", "ipa", "ipa_scope", "pxlen4", "net_ip4_", "net_ip6_slash",
  "net_ip6_", "net_ip6_sadr_", "net_vpn4_", "net_vpn6_", "net_roa4_",
  "net_roa6_", "net_mpls_", "net_aspa_", "net_ip_", "net_vpn_", "net_roa_",
  "net_", "net_ip4", "net_ip6", "net_ip", "net_any", "net_or_ipa",
  "label_stack_start", "label_stack", "time", "settle", "text", "opttext",
  "text_or_ipa", "bytestring", "bytestring_text", "bytestring_expr",
  "flow_num_op", "flow_logic_op", "flow_num_type_", "flow_num_type",
  "flow_flag_type", "flow_frag_type", "flow_srcdst", "flow_num_opts",
  "flow_num_opt_ext_expr", "flow_num_opt_ext", "flow_bmk_opts", "flow_neg",
  "flow_frag_val", "flow_frag_opts", "flow4_item", "flow6_item",
  "flow4_opts", "flow6_opts", "flow_builder_init", "flow_builder_set_ipv4",
  "flow_builder_set_ipv6", "net_flow4_", "net_flow6_", "net_flow_",
  "enum_type", "filter_def", "$@1", "filter_eval", "custom_attr",
  "bt_test_suite", "bt_test_same", "type", "@2", "function_argsn",
  "function_args", "function_vars", "function_type", "filter_body",
  "filter", "$@3", "where_filter", "$@4", "function_body", "function_def",
  "$@5", "$@6", "cmds", "cmd_var", "cmd_prep", "cmds_int", "fipa",
  "set_atom0", "set_atom", "switch_atom", "cnum", "pair_item", "ec_kind",
  "ec_item", "lc_item", "set_item", "switch_item", "ec_items", "set_items",
  "switch_items", "fprefix", "fprefix_set", "switch_body", "bgp_path_expr",
  "bgp_path", "bgp_path_tail", "constant", "constructor", "var_list_r",
  "var_list", "function_call", "static_attr", "term_dot_method", "$@7",
  "method_name_cont", "$@8", "term", "term_bs", "break_command", "var",
  "for_var", "cmd", "$@9", "$@10", "$@11", "$@12", "$@13", "$@14",
  "get_cf_position", "lvalue", "rtrid", "idval", "hostname_override",
  "gr_opts", "net_type_base", "net_type", "table", "table_start",
  "table_sorted", "table_opt", "table_opts", "table_opt_list",
  "proto_start", "proto_name", "proto_item", "channel_start",
  "channel_item_", "channel_item", "channel_opts", "channel_opt_list",
  "channel_end", "proto_channel", "rtable", "imexport", "limit_action",
  "limit_spec", "debug_default", "timeformat_base", "timeformat_which",
  "timeformat_spec", "iface_patt_node_init", "iface_patt_node_body",
  "iface_negate", "iface_patt_node", "iface_patt_list",
  "iface_patt_list_nopx", "iface_patt_init", "iface_patt", "tos", "proto",
  "dev_proto_start", "dev_proto", "dev_iface_init", "dev_iface_patt",
  "debug_mask", "debug_list", "debug_flag", "mrtdump_mask", "mrtdump_list",
  "mrtdump_flag", "password_list", "password_list_body", "password_items",
  "password_item", "pass_key", "password_item_begin",
  "password_item_params", "password_algorithm", "password_item_end",
  "bfd_opts", "cmd_SHOW_STATUS", "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS",
  "cmd_SHOW_PROTOCOLS_ALL", "optproto", "cmd_SHOW_INTERFACES",
  "cmd_SHOW_INTERFACES_SUMMARY", "cmd_SHOW_ROUTE", "r_args", "r_args_for",
  "r_args_for_val", "export_mode", "channel_sym", "channel_arg",
  "cmd_SHOW_SYMBOLS", "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS",
  "cmd_DUMP_EVENTS", "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS",
  "cmd_DUMP_ATTRIBUTES", "cmd_DUMP_ROUTES", "cmd_DUMP_TABLES",
  "cmd_DUMP_PROTOCOLS", "cmd_DUMP_FILTER_ALL", "cmd_EVAL", "partial_opt",
  "cmd_DISABLE", "cmd_ENABLE", "cmd_RESTART", "cmd_RELOAD_FILTERS",
  "cmd_RELOAD_FILTERS_IN", "cmd_RELOAD_FILTERS_OUT", "cmd_DEBUG",
  "debug_args", "cmd_MRTDUMP", "cmd_RESTRICT", "cmd_TIMEFORMAT",
  "proto_patt", "proto_patt2", "mpls_domain", "mpls_domain_start",
  "mpls_domain_opt", "mpls_domain_opts", "mpls_domain_opt_list",
  "mpls_domain_end", "mpls_range", "mpls_range_start", "mpls_range_opt",
  "mpls_range_opts", "mpls_range_opt_list", "mpls_range_end",
  "mpls_channel", "mpls_channel_start", "mpls_label_policy",
  "mpls_channel_opt", "mpls_channel_opts", "mpls_channel_opt_list",
  "mpls_channel_end", "$@15", "show_mpls_ranges_args",
  "cmd_SHOW_MPLS_RANGES", "aggregator_proto_start",
  "aggregator_proto_item", "$@16", "$@17", "aggregator_proto_opts",
  "aggregator_proto", "aggr_list", "aggr_item", "babel_proto_start",
  "babel_proto_item", "babel_proto_opts", "babel_proto",
  "babel_iface_start", "babel_iface_finish", "babel_iface_item",
  "babel_iface_opts", "babel_iface_opt_list", "babel_iface",
  "cmd_SHOW_BABEL_INTERFACES", "cmd_SHOW_BABEL_NEIGHBORS",
  "cmd_SHOW_BABEL_ENTRIES", "cmd_SHOW_BABEL_ROUTES", "bfd_proto_start",
  "bfd_proto_item", "bfd_proto_opts", "bfd_proto", "bfd_accept_item",
  "bfd_accept", "bfd_iface_start", "bfd_iface_finish", "bfd_auth_type",
  "bfd_iface_opt_list", "bfd_iface", "bfd_multihop", "bfd_neigh_iface",
  "bfd_neigh_local", "bfd_neigh_multihop", "bfd_neighbor", "bfd_item",
  "bfd_items", "bfd_opts_start", "bfd_opts_end", "cmd_SHOW_BFD_SESSIONS",
  "bfd_show_sessions_args", "bgp_proto_start", "bgp_loc_opts",
  "bgp_nbr_opts", "bgp_cease_mask", "bgp_cease_list", "bgp_cease_flag",
  "bgp_role_name", "bgp_proto", "$@18", "$@19", "bgp_afi",
  "bgp_channel_start", "bgp_nh", "bgp_lladdr", "bgp_channel_item",
  "bgp_channel_opts", "bgp_channel_opt_list", "bgp_channel_end",
  "bgp_proto_channel", "cmd_RELOAD_BGP", "cmd_RELOAD_BGP_IN",
  "cmd_RELOAD_BGP_OUT", "bmp_proto_start", "bmp_station_address",
  "bmp_proto", "l3vpn_channel_start", "l3vpn_channel", "l3vpn_proto_start",
  "l3vpn_proto_item", "l3vpn_proto_opts", "l3vpn_proto", "l3vpn_targets",
  "mrt_proto_start", "mrt_proto_item", "mrt_proto_opts", "mrt_proto",
  "cmd_MRT_DUMP", "mrt_dump_args", "ospf_variant", "ospf_proto_start",
  "ospf_proto", "ospf_af_mc", "ospf_channel_start", "ospf_channel",
  "ospf_proto_item", "ospf_area_start", "ospf_area", "ospf_area_opts",
  "ospf_area_item", "$@20", "$@21", "ospf_stubnet", "ospf_stubnet_start",
  "ospf_stubnet_opts", "ospf_stubnet_item", "ospf_vlink",
  "ospf_vlink_opts", "ospf_vlink_item", "ospf_vlink_start",
  "ospf_iface_item", "pref_list", "pref_item", "pref_base", "pref_opt",
  "nbma_list", "nbma_eligible", "nbma_item", "ospf_iface_start",
  "ospf_instance_id", "ospf_iface_patt_list", "$@22", "ospf_iface_opts",
  "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "pipe_proto_start", "$@23", "pipe_proto",
  "radv_proto_start", "radv_proto_item", "$@24", "$@25", "radv_proto_opts",
  "radv_proto", "radv_iface_start", "radv_iface_item", "$@26", "$@27",
  "radv_preference", "radv_iface_finish", "radv_iface_opts",
  "radv_iface_opt_list", "radv_iface", "radv_prefix_start",
  "radv_prefix_item", "radv_prefix_finish", "radv_prefix_opts",
  "radv_prefix_opt_list", "radv_prefix", "radv_rdnss_node",
  "radv_rdnss_start", "radv_rdnss_item", "radv_rdnss_finish",
  "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node", "radv_dnssl_start",
  "radv_dnssl_item", "radv_dnssl_finish", "radv_dnssl_opts", "radv_dnssl",
  "radv_mult", "radv_sensitive", "rip_variant", "rip_proto_start",
  "rip_proto_item", "rip_proto_opts", "rip_proto", "rip_iface_start",
  "rip_iface_finish", "rip_iface_item", "rip_auth", "rip_iface_opts",
  "rip_iface_opt_list", "rip_iface", "cmd_SHOW_RIP_INTERFACES",
  "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start", "rpki_proto",
  "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_tcp_opts_list",
  "rpki_transport_tcp_opts", "rpki_transport_tcp_item",
  "rpki_transport_tcp_check", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_mpls", "stat_route0", "$@28",
  "stat_route", "$@29", "stat_aspa_provider", "stat_aspa_providers",
  "stat_route_item", "stat_route_opts", "stat_route_opt_list", "$@30",
  "cmd_SHOW_STATIC", "kern_proto", "kern_sys_item", "attr_bit",
  "log_begin", "log_config", "syslog_name", "log_limit", "log_file",
  "log_udp_host", "log_udp_port", "log_mask", "log_mask_list", "log_cat",
  "mrtdump_base", "cli", "cli_opts", "cli_opts_begin", "cli_opts_block",
  "debug_unix", "latency_debug_mask", "latency_debug_list",
  "latency_debug_flag", "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT",
  "cmd_CONFIGURE_CONFIRM", "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_STATUS",
  "cmd_CONFIGURE_CHECK", "cmd_DOWN", "cmd_GRACEFUL_RESTART",
  "cmd_SHOW_THREADS", "cmd_SHOW_THREADS_ALL", "cfg_name", "cfg_timeout",
  "kern_proto_start", "kern_learn", "kern_mp_limit", "kern_channel",
  "kern_item", "kif_proto_start", "kif_proto", "kif_item",
  "kif_iface_start", "kif_iface_item", "kif_iface_opts",
  "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-2453)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-998)

#define yytable_value_is_error(Yyn) \
  ((Yyn) == YYTABLE_NINF)

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     189,   190,   311,  1274,   383,   391,   508,  4182,   204,   236,
     236,   611,   236,   527,   123,   298,    34,  1380,   236,   329,
      53,   684, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,   752,   418,
   -2453, -2453, -2453,   752,   250,  4182,  3150,   671,   733,   681,
     238, -2453, -2453,     0, -2453,   666, -2453, -2453, -2453, -2453,
   -2453,   188,   497, -2453,   682,   238,  -233,  1207, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
     712, -2453,   654,  1042, -2453, -2453, -2453,  1071,  3424, -2453,
     864,  1071, -2453,  1071, -2453,  1071, -2453,  1071,  4802,  1071,
     854,  1071, -2453,  1071, -2453,  1071,  4458,   890,  2010,  1071,
   -2453,  1071, -2453,  1071, -2453,  1071,  2528,  2198, -2453, -2453,
   -2453, -2453,  1071,  1071,   -30, -2453, -2453, -2453,   937, -2453,
   -2453,   966,   976,  1222,   935, -2453, -2453,   924,   214,  4182,
    1034,  3069,   986,  1004, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453,  1024,  1061,  1074,  1092,  1095,  1111,
    1128,  1138,  1141,  1653,  1120,  1147,  1159, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453,  1041,  1208,  1177, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,  6116, -2453,
   -2453, -2453,  1219, -2453, -2453,   617,  1278,   617, -2453,  1258,
    1258,   593,   879,   619, -2453,  1207,  1091,  1285,  1292,  1015,
     568,   143,  1295, -2453,  1310, -2453,  1294,   504,   980,    98,
     361,   194,  1169,   238,   238,   238,   238,   238,   238,   238,
     238,   238,  1258, -2453, -2453,  1328,  1345,  1328,  1352,  1362,
     813, -2453, -2453, -2453,  1330,   752, -2453,  1207, -2453,  6130,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453,  1354, -2453,   728,
    1390,  1392,  1173, -2453, -2453,  1327,   617,   617,   617,  1207,
    1155,   603, -2453,   619,  1363, -2453, -2453, -2453, -2453,   123,
      25,  1195, -2453,  1207,  1207, -2453, -2453,  4182, -2453,   752,
   -2453,  1367, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453,   909, -2453,   915, -2453, -2453, -2453, -2453,
    1453,  1424,  1398, -2453,  1346,  2058,   617, -2453,   269,  1229,
     238,   619,  1262, -2453,  1461,  1444,  1477,  1479, -2453, -2453,
    1473,  1480,  1484,  1488, -2453, -2453, -2453, -2453,   -39,  1521,
    1557,  1010,    27,    36,    40,    44,   394,   238,  2058,  1228,
    1426,  1377,   688,   804,  1233,  1311,  1301,  1323,  1235,  1056,
     151,    79,  1313,  1401,     9,  1403,  1326,  1375,  1333,  1046,
    1321,  1522,  2058,  1319,  1314,  1399,  1406,  1351,  1316,    84,
    2058,    86,  1338,  1393,   562,  1675,  1684,  1679, -2453,  1681,
    1702,  1685, -2453,  1460,  1417,  1349,  1420,   -20,  1733,  1709,
    1711,  1712,  1322, -2453, -2453,  1615,  1418,  1135,  2058,  1664,
    1207,  2058,  1667,  2058,  1436, -2453,  1444, -2453,  1769,  1745,
   -2453, -2453,  1356, -2453,  1207,  1719,  1446,  1815,  1656,  1618,
    1701,  1801,  1818,  1764,  1804,  1806,  1807, -2453,  1758,  1646,
    1726,  1840,  1844,  1847,   130,  1821, -2453,  1717,  1529,  1207,
    1740,  1590,  2058,  1661,  1355, -2453, -2453, -2453,  1862, -2453,
    1866,  1833,  1841, -2453, -2453,  1680, -2453,  1881,  1573, -2453,
     937,   937,  4182,  1860,   937,   937,  1926, -2453,  1927, -2453,
   -2453,   966,   976, -2453,  1930, -2453,  4182,  1917,   224,  1918,
    1912, -2453, -2453, -2453,  1940, -2453,  1876,  4552, -2453, -2453,
    1815,  1815,  4182,  4182,  4182,  4182,  4182,  4182,  4182, -2453,
   -2453, -2453, -2453,  2916, -2453, -2453, -2453,  1023, -2453, -2453,
    1952, -2453, -2453, -2453, -2453,   183, -2453,   515, -2453,  1815,
    1815,  1945,  1909,  1947, -2453,  4182,  4182,  4182,  4182,  4182,
    4182,  4182,  4182,  4182,  4182,  4182,  4182,  4182,  4182,  4182,
    4182, -2453,  2807, -2453,  1421, -2453, -2453, -2453, -2453, -2453,
    1961,  1962,   236,   236,  1732,   236,   236,  1966, -2453,   485,
   -2453,  1967,  1946,  1396,  1416, -2453, -2453, -2453, -2453, -2453,
     664,  1969, -2453,  1974, -2453,  5088, -2453,  1018, -2453,  1975,
    1294,  1294,  1294,  1294, -2453,  1294,  1294, -2453,   147,   205,
    1976,  1294,  1294, -2453,  1977,   238,  1978,  1980,  1981,  1982,
    1983,  2007,  2008,  2009,  2018,  2019,   930,  2020, -2453,   813,
   -2453, -2453,  1207,  2028,  4182, -2453,  1986,  1207, -2453,   534,
    2744, -2453,  1968,  1950,  1956, -2453, -2453, -2453, -2453,  4182,
    1988, -2453, -2453, -2453, -2453, -2453,   617, -2453,  -124, -2453,
    1207, -2453,  1993, -2453,  1994,  1658, -2453,  1324,   238,  1207,
     122,  1207, -2453,   729,  1379, -2453, -2453,  4156, -2453, -2453,
   -2453,  1071, -2453, -2453, -2453, -2453,  2033, -2453,  1135, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,  1207,
   -2453, -2453,  2058, -2453, -2453, -2453, -2453, -2453,   939, -2453,
   -2453, -2453, -2453, -2453,  1808,  1812, -2453,  2004,  1207,  1207,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,  2058,    23,
    2022,  2024,     1,   235,  2058,  1822,  1823,  1830,  1853,  2058,
    1845,    88,  1834,  1835,  2031,  2036,  2013,  1688, -2453,  2044,
   -2453, -2453, -2453,  1366,  2067,   172,   849,  2067,   544,  2058,
    1207,  1856,  1857,  1207,  1858,  2058,  1528,  2058,  1951,  2058,
    2058,  2053,  2058,  2058,  2058,  2058,  2058,  2058,  1722,  2061,
    2058,  2058,  2062,  2058,  2063,  2083,  2058,  2058,  1754,  1888,
    1970,  1928,  2058,  1920,  2058, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453,  1987,  1528,  2045, -2453,   238,   238, -2453,
   -2453, -2453, -2453,  2058,   677,  2058, -2453, -2453,  2058, -2453,
    1989,  1207, -2453, -2453, -2453, -2453, -2453, -2453,  1207, -2453,
    1758,  2142, -2453, -2453, -2453,  1093,  1973, -2453, -2453,  1758,
    1093, -2453, -2453, -2453,  1093,  2058,  1815, -2453, -2453, -2453,
   -2453, -2453, -2453,  1222, -2453, -2453, -2453,  2058,  1815, -2453,
   -2453, -2453, -2453,  1511, -2453,  1528, -2453, -2453, -2453, -2453,
   -2453,    35,  1829, -2453,  2120,  2058,  2058, -2453,  1207,  1878,
   -2453,  1207, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453,  1207, -2453,  2170, -2453, -2453, -2453,  4383, -2453, -2453,
     937,   550, -2453, -2453, -2453, -2453, -2453,  2105,  2132,  6130,
   -2453,  2055,  2167, -2453, -2453,  4182, -2453,  4182, -2453, -2453,
     738,  2125,  4847,  4621,  4756,  4975,  5185,  5434,  5468,  2126,
     248,  2127,  5502, -2453, -2453,  2195,  1910,  1999, -2453,  1222,
   -2453,  2154,  2155,  2161,  2202,  2183,  3288,  3288,  3288,  3789,
    3789,  3288,  3288,  3288,  3288,  3288,  1337,  1337,  1038,  1038,
    1912,  1912,  2408, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453,   491, -2453, -2453, -2453,  1732,  1732,  4182,  2238,  2239,
    2241, -2453, -2453, -2453,   569, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453,   197,  2242, -2453, -2453, -2453,  1389,  1758,  2142,
    2226, -2453,  2076,  2079,   377, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453,  2231, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453,  1258,  1258,  1258,  1258,  1009,  1258,  1258,
     233,  1294,  1258,  1294,  1258, -2453,  1258,  1258, -2453,  2250,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453,  2142,  1020,   238, -2453, -2453,  2251, -2453, -2453,  5978,
    2201,  2243,  2206,  2899, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453,   728, -2453,   238,
    2249, -2453,  2207,  5536, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453,  1057, -2453, -2453, -2453, -2453,   238, -2453,
   -2453, -2453, -2453, -2453,  4182, -2453,  2230,  1207,   238, -2453,
     -21, -2453,  2225,  2227, -2453, -2453, -2453, -2453, -2453, -2453,
    1607, -2453, -2453, -2453,  2252, -2453,  2204, -2453,  2234,  2021,
   -2453,  2005, -2453,  2236, -2453,  2212,  2588,  1891,  1731,  1207,
    1207, -2453,  2240,  2245,  2246,  2058,  1427, -2453, -2453,  2107,
    2050,  1207,  2253,  2255,  2266,  1207,  1207,  2058,  2058,  2274,
    2080,  1207,  2275,  1207,  1207, -2453, -2453,  2300, -2453,  1207,
   -2453, -2453, -2453, -2453,   752, -2453,  1207,  1207, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453,  2277, -2453,  1207,  1207,
   -2453,  2279,  2281,  1207,  1207,  2282,  1207,  2283,  2285,  2286,
    1135,  2288,  2292, -2453,  2293,  2294,  2295,  2296,  2299,  2301,
    2058,  1153,  2302,  2305, -2453,  2306, -2453,  2058,  2307,  2308,
    2124,  2058,  2058,  2058,  2311,  2117,  2314,  1520, -2453, -2453,
    4950, -2453,  1207,  2315,  1094,   721,  2316,  2317,  3503,  1506,
   -2453,  1207, -2453, -2453, -2453, -2453,  1207, -2453, -2453,   770,
    2318,   830, -2453, -2453, -2453,  4182, -2453,  2194, -2453,  2058,
     830, -2453, -2453, -2453,  2327,  4268,   856,  3177,  2333,  2331,
    2334, -2453,  2067,  2339,  2376,  2377,  1207,  2058,  2369,  2058,
      35, -2453, -2453, -2453,  2209, -2453,  1207, -2453,  2204,  2322,
   -2453,   937, -2453, -2453,   937,  4182, -2453,  2361,  2362,  5332,
    4887, -2453, -2453, -2453,  4182,  4182, -2453,  4182,  4182,  4182,
    4182, -2453, -2453,  3252,  4182,  3733,  4182, -2453,  2319,  4182,
   -2453, -2453, -2453, -2453, -2453,  2383,  2368,  2384, -2453, -2453,
   -2453, -2453, -2453,  1421, -2453,  2404,  2405,  6130, -2453, -2453,
   -2453,   485, -2453, -2453, -2453, -2453, -2453, -2453,   966,   765,
    1533, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453,  2388,  2388, -2453, -2453,  1219, -2453,  2407,  2409,
    2410,  2411, -2453, -2453, -2453, -2453,   238, -2453, -2453, -2453,
     238,  1539,  2412,  2413, -2453, -2453,  2401,  1135, -2453, -2453,
   -2453,  1135,  1135,  1258,  2415,  1258,  2416,  2417,  2420, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453,  2744,  2744, -2453,
   -2453,   427,   728,  2372,  2367,  2351,  2204, -2453, -2453,  -124,
   -2453, -2453,  5570,  2422, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453,  1073, -2453, -2453, -2453,
      80, -2453,   617,  2190,  2184,  2192,  2058,  2058,  2203,  1342,
    2403, -2453,  2432, -2453, -2453, -2453,   617,  2051, -2453,  2406,
     316, -2453, -2453, -2453, -2453,  2423,  2297,  2162, -2453, -2453,
    2414, -2453, -2453,  2312, -2453, -2453,  2419, -2453, -2453, -2453,
   -2453,  1528,  2133,  2135, -2453,  2424,  2391,  2425, -2453, -2453,
   -2453,  2426,   342, -2453,  2427,   282,  1207,  2428, -2453, -2453,
   -2453,  2429,  2430,  2433,  2441, -2453,  2058,  2443, -2453,  2445,
    2447,  2392, -2453,  2448,  2449,   212, -2453,   249, -2453, -2453,
   -2453,  1224, -2453, -2453, -2453, -2453,  2450,  2451, -2453,  2453,
   -2453, -2453, -2453,  2455, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453,  2456, -2453,  2457, -2453, -2453, -2453,  2458, -2453,
   -2453,  2289,  2461,  2462,  2463, -2453,  2058, -2453,   833, -2453,
    2499, -2453,  2465, -2453,  2214, -2453,  2146,  1122,  1544,  2141,
    2355,  2338,  2466,  1207,  2176,  2359,    11,  2058,  2058,   195,
    2058,    31, -2453,  2478,  2488, -2453,  2058,  2058,  1207, -2453,
    1528, -2453, -2453, -2453,  2529,  2113,  2115,  1171, -2453, -2453,
   -2453,  1444, -2453,  2495, -2453,  2142,  1108,  1207,   238,  2418,
   -2453, -2453,  2496, -2453, -2453, -2453, -2453,  -131,  2058, -2453,
     708, -2453,  2309,  1366, -2453,   106,  2500, -2453,  2082, -2453,
    2504, -2453,  6130,  1463, -2453, -2453, -2453, -2453, -2453,  1192,
   -2453, -2453, -2453,  1192,  2386,  2046, -2453, -2453,  2507, -2453,
   -2453,  2058,  1207, -2453, -2453,  2508,  1207,  2041, -2453,  2042,
    2378,  2215,  2378,  2515,  1324,   -28,  2378, -2453, -2453,  2519,
   -2453,  1207, -2453, -2453, -2453, -2453,  2377, -2453, -2453,  2494,
   -2453, -2453,  2541, -2453, -2453, -2453, -2453,  2363,  1207, -2453,
   -2453, -2453, -2453, -2453, -2453,  6130,  2548, -2453,  4182, -2453,
    4182,  2205,  3051,  5366,  5400,  5604,  5638,  5672,  5706,   792,
     358,  6130,  2503,   848,   537,  2509,  2570,  5502, -2453,  2573,
   -2453,  2533, -2453, -2453, -2453, -2453,  2574,   966,   976,  1219,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,   966,   976,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
    2589, -2453,  2591, -2453, -2453, -2453,   728,  2492, -2453, -2453,
    4182,  4182,  2539,  4182, -2453, -2453, -2453,  4182,  4182, -2453,
    2540,  2542,   728,  2514, -2453, -2453,   427,  2545,  4182, -2453,
   -2453,   858,  2547, -2453, -2453,  2590, -2453, -2453, -2453,   -21,
   -2453,  2552, -2453, -2453,  2350,  2446,  1207, -2453, -2453,  2357,
    1207,  1207, -2453,  1584,  1539, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453,   169, -2453, -2453,  1815, -2453, -2453, -2453, -2453,
    2464, -2453,   518, -2453, -2453,  2526, -2453,   137, -2453,  2058,
    2280, -2453,  1207, -2453, -2453,  2431,  2199,  2208, -2453,    52,
    2210,  1190,  1167, -2453, -2453,  2557,  2565,  2567, -2453, -2453,
   -2453, -2453, -2453,  2568, -2453, -2453, -2453, -2453,  1115, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453,  2058, -2453, -2453, -2453,  2569,   296,    61, -2453, -2453,
      16,   724,  2058,  2058,  2381,     7,  1815,  2058,  2323, -2453,
     835,  1815, -2453, -2453, -2453, -2453, -2453, -2453, -2453,  2247,
    2566, -2453, -2453,  2580,  2581, -2453, -2453, -2453,   163,   163,
     163,  2618, -2453, -2453, -2453, -2453, -2453, -2453, -2453,  2298,
   -2453, -2453, -2453,  1207,  1207,  2058, -2453,  2556,  1207, -2453,
    2558,  1135, -2453, -2453,  2559,  1207, -2453, -2453,  1207,  2560,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,  2563, -2453,
   -2453, -2453,   942,   192, -2453,  2058,  2571, -2453, -2453, -2453,
    2467, -2453, -2453, -2453,  1207,  1207, -2453,  1207,  1528,  1207,
    2575, -2453,  2597, -2453, -2453, -2453,  1207, -2453, -2453,  2541,
    2376,  2633, -2453, -2453, -2453, -2453,    -7,  2616,  5740,  5774,
   -2453, -2453, -2453, -2453,  2593, -2453, -2453,  1559,  2587, -2453,
   -2453, -2453, -2453, -2453, -2453,  2189,  2620,  2620,  1087,  2605,
   -2453,  2189,  2620,  2620,  1192,  2606,  4182,  4182, -2453, -2453,
   -2453, -2453, -2453,  2629,  4182, -2453,  3914, -2453,  2630,  4182,
    2661,  3977,  4119,  2585, -2453,  4182, -2453, -2453, -2453,  1211,
   -2453,   427,   759,   827,  2649,  6012,  3413,  4538,  2219, -2453,
   -2453,   265, -2453, -2453, -2453,   837,  4182, -2453, -2453,  2615,
   -2453, -2453,  1207,  2421,  1207,  1207, -2453, -2453, -2453,  1207,
   -2453,  1207,  2619,  1193, -2453, -2453,  2595,  2058, -2453, -2453,
   -2453, -2453, -2453,  2526, -2453, -2453,   752,   238,  2364, -2453,
    2370,  2635,  2278,  2434, -2453, -2453, -2453, -2453, -2453, -2453,
     342, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,  2058,
    2613, -2453,  1320,  2375,  1207,  1207,    64, -2453, -2453, -2453,
    1593,  2617,  2645,  2647, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453,   303,   303,  1528,  2304, -2453, -2453, -2453,
   -2453, -2453,  1207,  2521,  2460, -2453, -2453,  2058, -2453, -2453,
   -2453, -2453, -2453,  2058,  2396, -2453, -2453,  1691,  2658, -2453,
   -2453, -2453, -2453, -2453, -2453,  2058,  2204,  2634, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453,  2636, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453,  1207,  2637,  1207, -2453, -2453, -2453, -2453, -2453,  2058,
   -2453,  2638,  2639, -2453, -2453, -2453, -2453,  1528,  2667, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453,  2717,  1207,  1683, -2453,  2643, -2453,
     735,  1207,  1791,   931, -2453, -2453, -2453, -2453,  1683,   735,
     931,  2646, -2453,  5808,  5842,  2668,  2676,   870,   630,  2684,
     938,  2690,  2693,   634,  2695,   703, -2453,  2703, -2453, -2453,
   -2453, -2453, -2453,  2707, -2453,  4258, -2453, -2453,   728,  2650,
    4182,  1445,  4182, -2453, -2453,  6046,  2408, -2453,  1207, -2453,
    2517, -2453, -2453, -2453, -2453, -2453,  4182, -2453,  2686, -2453,
   -2453, -2453, -2453, -2453, -2453,  1200, -2453, -2453, -2453,  1528,
    2454,  2058, -2453, -2453, -2453, -2453, -2453, -2453,  1513,  2452,
    2459,  2469, -2453, -2453, -2453,  1504, -2453,  2578, -2453, -2453,
   -2453,  4182, -2453, -2453, -2453, -2453,   998, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,  2058,  1207,
   -2453, -2453,  2058, -2453,   644, -2453,  2082, -2453, -2453,   989,
    1035,    87,   517,   131, -2453, -2453, -2453, -2453, -2453,  2257,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,  1207,
   -2453, -2453,  1207,  1855,  1207, -2453,  2620,  2620,  2737, -2453,
   -2453, -2453, -2453, -2453,  2620,  2620,  2760, -2453, -2453, -2453,
   -2453, -2453,  2743,  4182, -2453, -2453, -2453,  2748,  4182, -2453,
    4182,  2782, -2453,  4182, -2453, -2453,  2706,  2735,  2679,  1373,
   -2453, -2453,  6130, -2453,  6080, -2453,  2742, -2453,  1207,  5876,
    1193,  1724, -2453, -2453, -2453, -2453,  2058, -2453, -2453,  2715,
    2745,  1207,  1207,  1207, -2453, -2453,  1526,  5910,  2775,   124,
    1207,  2775,  1299,   142,  2718, -2453, -2453, -2453,  2658, -2453,
   -2453,  4628, -2453, -2453, -2453,   476, -2453, -2453,  2058,  1207,
    2058,  2747, -2453,  1207,  1207,   -58,  1207,  2484,   191, -2453,
    2749, -2453,  2310,  2313,  2058,  2058,  2058,  2754,   407, -2453,
      58,   -17,  2608,  3215, -2453,   139, -2453,   -35, -2453,  2643,
    1207, -2453,  1207,  1207,  1207,  1791,  1791, -2453,  2753,  2755,
    2758,  2736,  2761,  2763,  2764, -2453, -2453,  4258,  4258, -2453,
   -2453,  2814, -2453, -2453, -2453, -2453,   150,  4182,  2765,  2750,
   -2453, -2453, -2453, -2453, -2453,  1207,  2516,   954, -2453,  1207,
    2584,  1207,  2501,  2505,  2767,   338,  2518,  2527,   432,   312,
   -2453,  2769, -2453, -2453,  1513, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453,  2778,  2775,  2775,  2779,  2799,  1252,  1332, -2453,
   -2453, -2453, -2453,  2800,  2775,  2775, -2453, -2453,  1773, -2453,
    1207,  2612,  2379,  2777,  1207,  1207,  1207,  2058,  2555,   434,
     -36,  2435,  2487,  2058,  1207,  2543,   678,  -195,  1207,  2734,
    2436, -2453,  2809, -2453,  1207,  2812, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453,  1207,  1207, -2453, -2453,
    1207,  1207, -2453, -2453, -2453, -2453,  2382, -2453,    72,   -76,
     -75,  2380,  -126,  2389,  2058,  2385,  2621,  2373,  2572,  2549,
    2561,  2387,  2815, -2453,    60,  1528,  2817, -2453,  2853,    60,
    2830, -2453, -2453, -2453,  1207, -2453,  2058,   256,  1207,  2641,
    2058,  2583,   610,   -46,  1528,  2522,  2642,  2762,  2648,  2653,
    -108,    78,  2366,  2371,  2399, -2453,  2845, -2453,   238,   457,
    2852, -2453,  2374,  2437,   238,  2882, -2453,  2871,  2901, -2453,
   -2453, -2453, -2453, -2453, -2453,  4182, -2453,  4182, -2453, -2453,
   -2453,  1782,  1972,  4258,  6130,  2884,  4182, -2453,  1561, -2453,
   -2453, -2453, -2453,  2058, -2453,  1207,  1207,  2654,  1207,  1207,
    1207,  1207,  2058,  1207,  1207,  1207,  1207,  1207, -2453, -2453,
    2631, -2453, -2453,   998,  2888,  2889,   998,   998, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,   998,  2890,
    2891, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453,  2058,  2470, -2453, -2453, -2453, -2453, -2453,   146,  1207,
    1207, -2453, -2453, -2453, -2453,  2058,   905, -2453, -2453,  1207,
    1207, -2453,  2058,  2058, -2453,  1207,  2058, -2453, -2453, -2453,
   -2453, -2453,  2439,  2439,  2632,  2700, -2453,  1080,  1207,  1080,
    2701,  1207,  1207,  1207,  2640,  2472, -2453,  2058,  1207,  1207,
    2780,  2058,   942,  2058,   192,    75, -2453, -2453,  1207, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,  2058,
    2058, -2453,  1207, -2453,  1207,  1207,  1207, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453,   911,  1207,  1207,  1207,  1207, -2453,
   -2453,  2058, -2453,  2058,  2058,  2058, -2453, -2453, -2453, -2453,
   -2453, -2453,  2771,  2773, -2453, -2453,  1207,  1207,  2905,  2892,
   -2453, -2453, -2453,  2854, -2453,  5944,  1528,  1528, -2453, -2453,
   -2453,  2058, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453,   998,   998, -2453, -2453, -2453,   998,
     998, -2453,  2058,  1079, -2453, -2453, -2453, -2453, -2453, -2453,
    2512, -2453, -2453, -2453, -2453, -2453, -2453, -2453,  2058, -2453,
   -2453,  1207,  1207, -2453, -2453, -2453, -2453,  2439, -2453,  1207,
    2439, -2453, -2453,  1207,  2058, -2453, -2453, -2453,  1207, -2453,
   -2453, -2453, -2453,  1207,  2058, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453,  2513, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453,   238,   238, -2453, -2453, -2453,  4182,  4258,  2914,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,  2520,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453,  2473, -2453, -2453, -2453, -2453,  2928, -2453, -2453, -2453,
    2925,  2608,  4182, -2453, -2453,  2953, -2453
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
      14,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1609,     0,    13,   162,   164,   166,   587,   589,   591,   593,
     597,   599,   601,   659,   668,   670,   672,   674,   676,   678,
     680,   682,   684,   686,   688,   692,   694,   696,   698,   700,
     702,   704,   708,   710,   712,   762,   886,   888,   890,   892,
     832,  1059,  1061,  1063,  1489,  1215,  1217,  1219,  1221,  1223,
    1225,  1227,  1229,  1387,  1389,  1474,  1589,  1591,  1593,  1595,
    1597,  1599,  1601,  1603,  1605,  1607,     1,    12,     0,   426,
      16,   422,   423,     0,     0,     0,     0,     0,     0,     0,
       0,   446,   447,     0,   415,   416,   418,   419,   420,   421,
     424,     0,     0,  1534,     0,     0,     0,     0,    15,    17,
     169,   172,   174,   176,   178,   215,   404,   411,   413,   425,
       0,   427,   430,     0,   492,   498,   445,   448,   452,   720,
     726,   448,   764,   448,   844,   448,   780,   448,   452,   448,
     452,   448,  1067,   448,  1476,   448,   452,     0,   452,   448,
    1249,   448,  1336,   448,  1391,   448,   452,   452,  1533,  1561,
    1564,  1572,   448,   448,   452,   163,   165,   167,   298,   299,
     310,   226,   227,   305,   402,   302,   303,     0,     0,     0,
       0,     0,     0,     0,   322,   300,   301,   320,   321,   323,
     324,   325,   326,   327,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1515,  1516,  1517,
    1518,  1519,  1520,  1521,  1522,  1523,  1524,  1525,  1526,  1527,
    1528,  1529,  1530,  1531,    49,     0,    50,    59,    51,    52,
      53,    54,    60,    61,    55,    56,    57,   306,   160,   161,
      58,   304,   314,   354,   355,   371,   403,   357,     0,   370,
     356,  1532,   714,   716,   715,     0,     0,     0,   714,    83,
      83,     0,     0,     0,   711,   504,     0,     0,     0,     0,
     718,     0,     0,   603,     0,   661,   596,     0,     0,   596,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    83,  1491,  1610,  1609,     0,  1609,     0,     0,
    1611,  1602,    26,    25,     0,     0,   216,     0,   170,   173,
     180,   181,   182,   184,   183,   185,   186,   187,   188,   198,
     189,   190,   191,   192,   193,   194,   195,     0,   196,     0,
       0,     0,     0,    81,    80,     0,     0,     0,     0,     0,
       0,     0,   417,     0,     0,   501,   500,   502,   503,     0,
       0,     0,  1568,     0,     0,    19,    21,     0,  1571,     0,
     431,   443,   526,  1241,  1392,   895,  1432,   765,   845,   781,
    1498,  1070,  1477,  1085,  1250,  1337,  1615,  1632,  1088,  1339,
       0,   449,     0,   525,     0,    32,     0,   532,     0,     0,
       0,     0,     0,   461,     0,   476,     0,     0,   724,   728,
       0,     0,     0,     0,   741,  1015,  1016,   894,     0,     0,
       0,     0,  1005,  1006,     0,     0,     0,     0,    32,     0,
       0,     0,     0,     0,     0,     0,     0,    32,     0,     0,
     899,   896,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    32,     0,     0,     0,     0,     0,     0,     0,
      32,     0,     0,     0,     0,     0,     0,   754,  1017,  1054,
       0,     0,  1497,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   426,  1084,     0,     0,     0,    32,     0,
       0,    32,     0,    32,  1091,  1095,   476,  1096,     0,     0,
    1109,  1243,     0,  1240,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1431,     0,     0,
       0,     0,     0,     0,  1456,  1471,  1614,     0,     0,     0,
       0,     0,    32,     0,    32,  1624,  1622,  1623,     0,  1625,
       0,     0,     0,  1631,  1638,     0,  1635,     0,   298,   402,
     298,   298,     0,     0,   298,   298,     0,   287,     0,    39,
      40,     0,     0,    43,     0,    44,   315,     0,     0,     0,
     352,    47,   247,   248,     0,   250,     0,     0,   155,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   228,
     231,   230,   234,     0,   307,    49,    50,   278,   229,   233,
     265,   262,   263,   264,   274,     0,   282,     0,    48,     0,
       0,     0,    41,     0,   689,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   328,     0,   535,     0,   534,   707,   705,   706,    82,
       0,     0,     0,     0,   691,     0,     0,     0,   546,     0,
     545,     0,     0,   506,   509,   713,  1604,   758,   717,   719,
     718,     0,   598,     0,   590,     0,   588,     0,   595,     0,
     596,   596,   596,   596,   834,   596,   596,  1231,   596,   596,
       0,   596,   596,  1606,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1598,  1611,
    1594,  1596,  1612,     0,     0,   722,     0,     0,   204,     0,
       0,   197,     0,     0,     0,   407,   409,   410,   521,     0,
       0,   412,   495,   493,   494,   496,     0,  1578,     0,  1577,
       0,  1573,     0,  1563,     0,  1537,  1543,     0,     0,  1538,
       0,     0,  1565,     0,     0,  1575,  1576,     0,   429,   441,
     428,   448,  1086,  1087,  1338,   450,     0,   527,     0,    28,
      30,    29,    31,    27,   453,   455,   512,   460,   459,     0,
     458,   456,    32,   528,   474,   478,   529,   530,     0,   721,
     773,   850,   789,   922,     0,     0,   940,     0,     0,     0,
    1009,  1007,  1010,  1008,  1011,  1013,  1012,  1014,    32,     0,
       0,     0,     0,    32,    32,     0,     0,     0,     0,    32,
       0,     0,     0,     0,     0,     0,     0,     0,   941,     0,
      33,    34,    35,     0,    36,     0,     0,    36,     0,    32,
       0,     0,     0,     0,     0,    32,     0,    32,     0,    32,
      32,     0,    32,    32,    32,    32,    32,    32,     0,     0,
      32,    32,     0,    32,     0,     0,    32,    32,     0,     0,
       0,     0,    32,     0,    32,   923,   925,   752,   756,  1052,
    1056,   924,  1502,     0,     0,     0,  1499,     0,     0,  1503,
    1079,  1486,  1089,    32,    32,    32,  1110,  1097,    32,  1107,
    1104,     0,  1098,  1092,  1093,   478,  1090,  1112,     0,   469,
       0,   210,   212,   483,   484,     0,     0,   482,   463,     0,
       0,   465,   480,   462,     0,    32,     0,  1244,  1245,  1262,
    1346,  1394,  1433,     0,    69,    68,  1451,    32,     0,  1434,
    1435,  1436,  1458,     0,  1457,     0,  1461,  1459,  1460,  1464,
    1462,  1447,  1453,  1472,     0,    32,    32,  1513,     0,     0,
    1626,     0,  1619,  1618,  1628,  1511,  1617,  1616,  1633,   512,
    1636,     0,  1634,     0,   290,   296,   294,     0,   226,   227,
     298,     0,   295,   297,   289,    38,    41,   318,     0,   316,
     358,     0,     0,   359,   249,     0,   335,     0,   156,   157,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,   279,   280,     0,     0,     0,   308,     0,
     309,     0,     0,     0,     0,     0,   349,   347,   345,   342,
     343,   344,   346,   348,   350,   351,   341,   340,   336,   337,
     338,   339,     0,   654,   652,   653,   637,   640,   644,   647,
     650,   651,   655,   638,   639,   641,   642,   643,   645,   646,
     648,   649,   656,   657,   658,   539,   540,   541,   543,   544,
     542,     0,   537,   697,   693,   691,   691,     0,     0,     0,
       0,  1060,   550,   551,     0,   548,   709,   505,   507,   508,
     510,   511,     0,     0,   592,   600,   602,     0,     0,   210,
       0,   613,     0,   634,     0,   615,   614,   619,   620,   633,
     635,   636,   604,   612,     0,   660,   667,   664,   663,   665,
     666,   662,  1475,    83,    83,    83,    83,     0,    83,    83,
       0,   596,    83,   596,    83,  1216,    83,    83,  1608,     0,
     683,   681,   673,   685,   675,   669,   671,   677,   679,   695,
    1490,   210,     0,     0,  1495,  1600,     0,  1613,  1590,     0,
     200,   206,     0,     0,   171,   208,     4,     7,     6,     9,
       2,     3,     5,     8,    10,    11,   199,     0,   175,     0,
       0,   512,     0,     0,   405,   497,  1587,  1584,  1582,  1583,
    1585,  1588,  1586,     0,  1580,  1574,  1562,   499,     0,  1542,
      85,    86,    87,    84,     0,  1545,  1546,     0,     0,  1540,
       0,  1548,     0,     0,  1567,  1569,    22,    23,    24,    20,
       0,  1242,   451,   457,   515,   518,   533,   454,     0,     0,
     479,     0,   727,     0,   723,   737,   452,   452,   452,     0,
       0,   931,     0,     0,     0,    32,    32,   978,   980,     0,
       0,     0,     0,     0,     0,     0,     0,    32,    32,     0,
       0,     0,     0,     0,     0,   996,   995,   829,   998,     0,
     942,    67,    66,   899,     0,   899,     0,     0,   928,   902,
     903,   917,   918,   919,   920,   921,     0,   896,     0,     0,
     926,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   977,     0,     0,     0,     0,     0,     0,
      32,     0,     0,     0,   979,     0,   935,    32,     0,     0,
       0,    32,    32,    32,     0,     0,     0,     0,   740,   478,
       0,  1057,     0,     0,     0,     0,     0,     0,   452,   452,
    1099,     0,  1102,  1101,  1106,  1100,     0,  1108,  1094,     0,
       0,     0,   209,   481,   204,     0,   491,   485,   467,    32,
       0,   468,   466,   471,     0,   452,   452,   452,  1449,     0,
       0,  1441,    36,  1454,     0,     0,     0,    32,     0,    32,
    1448,  1469,  1439,  1629,  1620,  1512,     0,  1627,   520,  1642,
    1637,   298,   288,   292,   298,     0,   319,     0,     0,     0,
       0,   151,   153,   366,     0,     0,   353,     0,     0,     0,
       0,   372,   369,     0,     0,     0,     0,   232,     0,     0,
     266,   275,   283,  1066,  1065,     0,     0,     0,   334,   330,
     331,   333,   329,     0,   536,     0,     0,   690,   699,  1062,
    1064,     0,   547,   763,   759,   760,   761,   594,   631,   632,
       0,   628,   629,   630,   624,   622,   623,   605,   621,   606,
     611,   618,     0,     0,   607,   608,   616,   617,     0,     0,
       0,     0,   833,   835,   839,   842,     0,   840,   841,   843,
       0,     0,     0,     0,  1230,  1239,     0,     0,  1234,  1237,
    1232,     0,     0,    83,     0,    83,     0,     0,     0,   687,
    1494,  1493,  1492,  1496,  1592,    18,   202,     0,     0,   217,
     168,   219,     0,     0,     0,     0,   522,   406,   408,     0,
    1579,  1536,     0,     0,  1544,  1541,  1539,  1557,  1552,  1556,
    1555,  1553,  1554,  1558,  1559,  1560,     0,  1550,  1535,   414,
       0,   444,     0,     0,     0,     0,    32,    32,     0,     0,
       0,   516,    83,   512,   531,   477,     0,     0,   472,     0,
       0,   725,   735,   739,   775,     0,     0,     0,   766,   767,
       0,   852,   853,     0,   846,   847,     0,   791,   796,   798,
     798,     0,     0,     0,   782,     0,     0,     0,   953,   952,
    1003,     0,     0,   904,     0,    32,     0,     0,   988,   987,
     994,     0,     0,     0,     0,   967,    32,     0,   943,     0,
       0,     0,   827,     0,     0,     0,    37,     0,   900,   901,
    1001,     0,   897,   898,   945,   937,     0,     0,   958,     0,
     947,   954,   933,     0,   934,   969,   950,   981,   949,   948,
     993,   951,     0,   982,     0,   984,   985,   936,     0,   946,
     974,     0,     0,     0,     0,   972,    32,  1002,     0,   755,
       0,   746,     0,   757,     0,  1055,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    32,    32,    32,
      32,     0,  1024,     0,     0,  1504,    32,    32,     0,  1505,
       0,  1506,  1507,  1081,     0,     0,     0,     0,  1068,  1071,
    1073,   476,  1072,     0,  1488,   210,     0,     0,     0,     0,
    1482,  1478,     0,  1103,  1105,  1111,  1205,     0,    32,  1125,
      32,  1123,     0,     0,  1115,    32,     0,  1129,  1206,  1248,
       0,   211,   213,     0,   490,   470,   464,  1247,  1264,     0,
    1265,  1255,  1257,     0,     0,     0,  1251,  1252,     0,  1348,
    1349,    32,     0,  1340,  1341,     0,     0,     0,  1393,     0,
    1409,     0,  1409,     0,     0,     0,  1409,  1396,  1397,     0,
    1400,     0,  1452,  1437,  1438,  1440,     0,  1465,  1466,  1463,
      75,    76,  1443,  1445,  1446,  1442,  1444,     0,     0,  1630,
    1514,  1640,  1644,   291,   293,   317,     0,   360,     0,   311,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,     0,     0,     0,     0,     0,     0,    45,     0,
      46,     0,   538,   701,   703,   549,     0,   625,   626,     0,
     609,   610,   893,   887,   889,   891,   837,   838,    72,    73,
      74,    70,    71,   836,  1220,  1218,  1235,  1238,  1233,  1236,
       0,  1222,     0,  1226,  1388,  1390,     0,   207,   204,   380,
     315,   315,     0,     0,   373,   374,   375,     0,     0,   385,
       0,     0,     0,     0,   223,   224,   220,     0,   315,   221,
     222,     0,     0,  1058,   177,     0,  1581,    88,  1547,     0,
    1549,     0,  1570,   433,     0,     0,     0,   432,   434,     0,
       0,     0,   442,   513,     0,   517,   519,   473,   475,   730,
     731,   732,     0,   729,   769,     0,   771,   774,   512,   848,
       0,   851,   783,   512,   784,   806,   785,   810,   786,    32,
       0,   790,     0,   961,   963,     0,     0,     0,   908,     0,
       0,     0,     0,   906,   964,     0,     0,     0,   989,   938,
     959,   965,   968,     0,   944,   955,   960,   586,     0,   999,
    1004,   930,   929,   927,   956,   957,   939,   932,   986,   983,
    1000,    32,   970,   975,   973,     0,     0,     0,   747,   753,
       0,    32,    32,    32,     0,     0,     0,    32,     0,  1049,
       0,     0,  1031,  1032,  1033,  1029,  1048,  1047,  1034,     0,
       0,  1053,  1510,     0,     0,  1501,  1500,  1074,     0,     0,
       0,     0,   478,  1080,  1481,  1480,  1479,  1484,  1483,     0,
    1487,   512,  1128,     0,     0,    32,  1116,     0,     0,  1114,
       0,     0,  1132,  1127,  1131,     0,  1121,  1113,     0,  1139,
    1246,   486,   487,   488,   489,    65,    64,  1300,  1309,  1254,
     512,  1253,     0,     0,  1260,    32,     0,  1263,   512,  1345,
    1342,  1344,  1347,  1411,     0,     0,  1410,     0,     0,     0,
       0,  1412,  1398,  1415,  1424,  1402,     0,  1395,  1450,  1455,
       0,     0,  1473,  1468,  1470,  1621,     0,     0,     0,     0,
     109,   120,   121,   107,     0,   110,   111,     0,     0,   114,
     115,   119,   116,   158,   117,     0,   133,   133,     0,     0,
     159,     0,   133,   133,     0,     0,     0,     0,   363,   364,
     362,   365,   245,     0,     0,   243,     0,   239,     0,     0,
     237,     0,     0,     0,    42,   315,   627,  1224,  1228,     0,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   401,
     401,     0,   214,   225,   395,     0,     0,   397,   205,     0,
    1551,  1566,     0,     0,     0,     0,   435,   436,   514,     0,
     738,     0,     0,     0,   768,   204,   883,    32,   794,   792,
     793,   795,   797,   806,   827,   799,     0,     0,   813,   787,
       0,     0,     0,     0,   911,   912,   910,   914,   913,   915,
       0,   905,   991,   990,   992,   966,   830,   559,   560,    32,
       0,   824,     0,     0,     0,     0,     0,   826,   552,   554,
       0,   585,     0,     0,   971,   748,   749,   750,   743,   745,
     742,   744,   751,    32,    32,     0,     0,  1040,  1041,  1042,
    1044,  1045,     0,     0,     0,  1051,  1035,    32,  1021,  1022,
    1023,  1030,  1050,    32,     0,  1508,  1509,     0,     0,  1082,
    1076,  1077,  1078,  1075,  1069,    32,  1208,  1212,  1118,  1119,
    1117,  1193,  1120,  1193,  1153,  1133,  1122,  1207,  1140,  1307,
    1306,  1297,  1313,  1312,  1320,  1256,  1322,  1323,  1330,  1258,
    1261,     0,  1384,     0,  1408,  1407,  1403,  1401,  1404,    32,
    1399,  1416,     0,  1405,  1467,    77,  1643,     0,     0,   361,
     312,   313,   108,   112,   113,   118,   103,   101,    99,    98,
     100,   102,    97,   104,   126,     0,   143,   128,   124,   134,
     144,     0,     0,   145,    63,    62,   142,   152,   148,   149,
     150,   146,   154,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   281,     0,   201,   203,
     381,   393,   394,     0,   390,     0,   284,   379,     0,     0,
       0,     0,     0,   377,   392,     0,     0,   179,     0,   438,
       0,   437,   440,   734,   733,   736,     0,   779,   770,   776,
     772,   881,   854,   849,   799,     0,   809,   811,   812,     0,
     815,    32,   962,   909,   916,   907,   831,   823,   555,     0,
       0,     0,   818,   822,   800,     0,   801,     0,   825,    92,
      91,     0,   561,    93,    95,    94,   562,   558,   828,   976,
    1019,  1020,  1018,  1027,  1026,  1025,  1028,  1046,    32,     0,
    1038,  1043,    32,   272,     0,  1485,  1206,  1210,  1214,     0,
       0,     0,  1142,     0,  1311,  1295,  1294,  1318,  1328,     0,
    1382,  1350,  1343,  1406,  1418,  1423,  1425,  1639,  1641,     0,
     122,   106,   105,     0,     0,   105,   133,   133,     0,   135,
     136,   137,   138,   139,   133,   133,     0,   367,   368,   260,
     244,   242,     0,     0,   240,   258,   238,     0,     0,   256,
       0,   254,   253,     0,   251,   332,     0,     0,   383,     0,
     378,   386,   401,   401,     0,   389,     0,    79,     0,     0,
       0,   855,   885,   808,   807,   814,    32,   817,   788,     0,
       0,     0,     0,     0,   802,   803,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1036,  1037,  1039,     0,  1083,
    1209,     0,  1126,  1196,  1194,  1197,  1124,  1130,    32,     0,
      32,     0,  1138,     0,     0,     0,     0,     0,     0,  1152,
       0,  1310,     0,     0,    32,    32,    32,     0,     0,  1299,
    1314,  1324,     0,     0,  1386,     0,  1413,     0,   127,   125,
       0,   129,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,   382,   391,     0,     0,   396,
     235,   270,   267,   268,   269,   276,     0,     0,     0,     0,
     376,   398,   439,   778,   777,     0,     0,     0,   884,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     880,     0,   816,   553,   555,   819,   820,   821,   804,   805,
      96,    78,     0,     0,     0,     0,     0,     0,     0,   581,
     582,   583,   584,     0,     0,     0,   585,   273,     0,  1213,
       0,     0,     0,     0,     0,     0,     0,    32,     0,     0,
       0,     0,     0,    32,     0,     0,     0,     0,     0,     0,
       0,  1192,     0,  1198,     0,     0,  1136,  1137,  1135,  1134,
    1146,  1143,  1149,  1150,  1151,  1144,     0,     0,  1147,  1141,
       0,     0,  1301,  1302,  1303,  1308,     0,  1298,     0,     0,
       0,     0,     0,     0,    32,     0,     0,     0,     0,  1283,
    1285,     0,     0,  1317,     0,     0,     0,  1327,     0,     0,
       0,    89,  1259,    90,     0,  1385,    32,     0,     0,     0,
      32,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1377,     0,  1417,     0,     0,
       0,  1430,     0,     0,     0,     0,   123,     0,     0,   130,
     141,   140,   259,   241,   257,     0,   255,     0,   252,   384,
     286,     0,     0,     0,   387,     0,     0,   856,     0,   859,
     860,   861,   858,    32,   857,     0,     0,     0,     0,     0,
       0,     0,    32,     0,     0,     0,     0,     0,   866,   872,
     873,   882,   556,   562,     0,     0,   562,   562,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   562,     0,
       0,   557,  1161,  1162,  1163,  1164,  1165,  1166,  1167,  1168,
    1158,    32,     0,  1200,  1155,  1173,  1154,  1191,     0,     0,
       0,  1186,  1180,  1181,  1182,    32,    32,  1175,  1157,     0,
       0,  1159,    32,    32,  1156,     0,    32,  1211,  1199,  1195,
    1145,  1148,  1334,  1334,     0,     0,  1282,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1270,    32,     0,     0,
       0,    32,     0,    32,     0,     0,  1296,  1321,     0,  1332,
    1316,  1315,  1319,  1331,  1325,  1326,  1329,  1356,  1354,    32,
      32,  1351,     0,  1375,     0,     0,     0,  1370,  1378,  1381,
    1380,  1379,  1376,  1355,    32,     0,     0,     0,     0,  1352,
    1353,    32,  1357,    32,    32,    32,  1383,  1422,  1420,  1421,
    1419,  1414,     0,     0,  1429,  1426,     0,     0,     0,     0,
     271,   277,   285,     0,   399,     0,     0,     0,   868,   862,
     863,    32,   876,   875,   878,   877,   879,   864,   865,   524,
     523,   867,   874,   567,   562,   562,   569,   568,   570,   562,
     562,  1176,    32,     0,  1184,  1183,  1185,  1188,  1187,  1174,
       0,  1189,  1172,  1160,  1171,  1170,  1177,  1169,    32,  1304,
    1305,     0,     0,  1291,  1292,  1293,  1278,  1334,  1279,     0,
    1334,  1272,  1268,     0,    32,  1271,  1273,  1274,     0,  1288,
    1284,  1289,  1286,     0,    32,  1333,  1374,  1361,  1363,  1368,
    1369,  1371,     0,  1372,  1366,  1367,  1364,  1365,  1358,  1359,
    1360,  1362,     0,     0,   132,   131,   246,     0,     0,     0,
     869,   870,   871,   565,   566,   563,   564,  1178,  1179,  1202,
    1201,  1190,  1335,  1267,  1280,  1276,  1281,  1277,  1266,  1269,
    1275,     0,  1290,  1373,  1428,  1427,     0,   388,   400,  1203,
       0,     0,     0,  1204,  1287,     0,   261
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,  -116,
    -351,   -78,   990,  -438,  -783, -2453,  -172,  -162,  -176,  1929,
    1931,  1932, -2453, -2453, -2453, -2453,  -204, -2453, -2453,  -452,
   -2453, -1650,  -785,  -606,  1121, -2453,  1251, -1717, -2005,  -111,
    -234,  1266,   -60, -2453,   812,   560, -1027, -2453,  1232,  1234,
    1236,  1238,   926,   561,   570,   929, -1999,  -822,   933, -2453,
   -2453, -2453, -2453,  2477, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453,   -90, -2453, -2453, -2453,
   -2453, -2453,  1689, -1049, -2453,  -620, -2453, -1700, -2453, -2453,
   -2453,   903, -2453,  1179, -2453,  -205, -2375,  2052,   279, -1386,
   -2367,  2870, -1927, -2342,  2057,   280, -2453,  2530, -2453,  2056,
   -2453, -2453, -2453, -2453,  -490, -2453, -2453,  -668,   941, -1479,
   -1009, -2453, -2453,   701, -2453,   243, -2167, -2453, -2453, -2453,
   -1748, -2453, -2453, -2453, -2453, -2453, -2453, -2003,  -173, -2453,
    -473, -2453, -2453,    21,  2913, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453,   -32,   -81, -2453,  -127,  -194, -2453,  -466,  -853,
    -134,  -555,  -467, -2453,   259, -2453, -2453, -2453,  2711, -2453,
   -2453, -2453,  1541,  -738, -1127, -2453, -2453, -2452, -2453, -2453,
   -2453, -2453, -2453,  -240, -2453,  1662,   455, -2453,  1663, -1601,
   -2453,   453, -2240, -2453, -2453, -1974, -2453,   439, -2453, -2453,
   -2453, -2453, -2453,  -226, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -1042, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453,   720, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,    38,  2440,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453,  -132, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,   586,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
    1531,   715, -2453,   932, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453,   928, -2453, -2453, -2453, -2453, -2453,  1832,    42, -2453,
   -2453,   916, -2453, -2453, -2453, -2453, -2453, -2453,   886, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453,  -210, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453,   850, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453,   675, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453,   240, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453,   406,   398, -2453, -2453, -2453, -2453,   234,   402,
   -2453, -2453, -2453, -2453,   242,   408, -2303, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453,  -516,  1077, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
    2200, -2453, -2453, -2453, -2453, -2453, -2453,  1070, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453,  1264, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453,  1635, -2453, -2453, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453,   974,  2479, -2453, -2453,
   -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453, -2453,
   -2453
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,    22,    23,    24,    25,     2,     3,   118,   119,   763,
    2368,   391,  2422,  2273,  1265,   559,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
    2326,  2037,  2543,   926,  1833,  1771,  1772,  2642,  2369,   345,
     640,  1195,  2732,  2412,  2733,  2315,  2463,  2094,  2095,  2096,
    2097,  2098,  2316,  2317,  2318,  2320,  2321,  2473,  2323,  2099,
    2105,  1791,  1792,   988,  1391,  1392,   248,   249,   250,  1166,
     120,   708,   121,   122,   123,   124,  1862,   709,  1497,  1151,
    1153,  1499,  1154,  1343,  1344,   907,  1345,  1155,   125,   706,
    1848,  1863,  1864,  1865,  1866,   251,   599,   600,  2601,  1000,
     601,  1001,   602,   603,   604,  2605,  2434,   605,  2606,   606,
     607,  2499,   555,   252,   556,   253,   254,   977,   978,   255,
     256,   257,  1032,  1422,  1811,  1801,   259,  1868,  1869,  2359,
    1870,  2131,  2496,  2138,  2607,  2953,  2366,  2360,   260,   126,
     720,   127,   128,   403,   130,   131,   132,   371,  1540,  1210,
     750,   133,   392,   404,   405,  1548,  1549,  1219,   775,  1220,
     406,   913,   908,  1724,  1348,   134,   135,   359,   277,  1214,
    1895,  1542,  1215,  1378,  1379,  1171,  1172,  2808,   136,   137,
     138,   766,   407,   636,  1061,  1062,   651,  1074,  1075,  2207,
    2208,  2519,  2209,  2210,  2211,  2534,  2653,  2417,  1258,    26,
      27,    28,    29,   669,    30,    31,    32,   665,  1447,  1448,
    1104,  1054,   265,    33,   667,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,  1068,    45,    46,    47,
      48,    49,    50,    51,   266,    52,    53,    54,   267,   661,
     139,   140,  1223,   778,   409,   779,  1224,  1225,  2162,  1902,
    1553,  1903,   466,   467,  2222,  1652,  1317,   868,  1318,  1319,
    1082,    55,   141,  1560,  2163,  2165,  1226,   142,  2378,  2379,
     143,  1566,  1227,   144,  1908,  2512,  2631,  2511,  2382,  1909,
      56,    57,    58,    59,   145,  1575,  1228,   146,  2172,  1912,
    1913,  2386,  2408,  2175,  1914,  1916,  2178,  2390,  2517,  1918,
    2212,  1948,  1602,  2396,    60,  1117,   147,   828,   825,  1584,
    1932,  1933,  1276,   148,   816,  1603,   468,   469,  2423,  2241,
    1673,  1320,   870,  1321,   470,    61,    62,    63,   149,  1325,
     150,  1691,  1692,   151,  1693,  1328,   152,  2250,   153,  1702,
    1329,   154,    64,   696,   388,   155,   156,   894,   496,   497,
     498,   499,   500,  1339,  1716,  2020,  2017,  2023,  2024,  2441,
    2551,  1717,  2442,  2560,  1718,  2682,  2439,  2544,  2545,  2685,
    2983,  3080,  3060,  2011,  2029,  2257,  2436,  2541,  2438,  2012,
      65,    66,    67,    68,    69,    70,    71,    72,  1120,   157,
     751,   158,   159,  1738,  2042,  2043,  1355,   160,  2040,  2722,
    2892,  2894,  3006,  2569,  2568,  2446,  2041,  2038,  2567,  2444,
    2443,  2270,  2039,  2274,  2447,  2726,  2897,  2570,  2275,  2278,
    2448,  2730,  2903,  2571,  2279,  2900,  2999,   389,   161,  1745,
    1356,   162,  2048,  2574,  2756,  2922,  2573,  2451,  2049,    73,
      74,   163,   164,  1357,  1759,  2057,  1760,  2062,  2065,  2291,
    2455,  2575,  2760,  2576,  2292,  2577,  2765,  2941,   165,   166,
     941,   942,  1762,   524,  1358,   525,  1364,  1768,  1769,  2074,
    1777,   944,  1371,    75,   167,   538,   261,   360,   168,  1189,
    1199,   740,  1196,  1514,  1202,  1526,  1527,   169,   170,   742,
     743,  1530,   171,   731,  1183,  1184,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,   310,   703,   172,   954,
    1779,   539,   540,   173,   174,   547,   959,  2298,  2076,  1782,
     960
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     354,   368,   824,   827,   362,   557,   339,   565,   598,   597,
     314,   563,   745,   746,   886,   316,   318,  1800,  1802,  1804,
    1805,   564,  1867,  1421,   129,   990,   991,   638,  1216,  2073,
     895,   512,   522,   536,   523,   537,   641,   596,  1263,   911,
    1450,   595,  1338,  2414,  1277,  1103,  2063,   269,   270,   343,
     273,   564,  2761,   344,  1011,  1012,   302,   543,   964,  1102,
     965,   966,  1457,   680,   972,   973,   925,   465,   695,   478,
    2727,  2249,  2249,  2249,  1517,   495,  1144,   511,  1176,   365,
    2296,   304,   790,  2044,   366,   521,   535,  2877,  2879,   279,
    1365,   792,  1490,   546,   562,   794,  2035,   365,  2322,   796,
     820,   821,   366,   822,  2322,   365,   722,   723,   724,   410,
     366,   411,   343,   412,  2692,   413,   344,   471,  1235,   479,
     367,   480,   668,   481,  2600,   365,  2918,   513,   394,   514,
     366,   515,  2602,   516,   395,   396,  2852,  2361,   367,   544,
     541,   542,   848,   398,  1518,  2723,   367,  3023,  2130,   662,
    2372,   275,   759,   760,   761,   762,   765,  2604,  2520,   652,
    2218,  2862,  1177,   399,  2919,   365,   367,  1881,  1366,  1989,
     366,   668,   820,   821,  2547,   822,   346,   129,  1982,  2176,
    2643,   363,   686,   687,   688,   689,   690,   691,   692,   693,
     694,  2013,  2185,     4,     5,     6,     1,  2883,  2654,   400,
     683,   707,   401,  1433,   347,   348,   367,   784,  1200,   877,
     365,  2223,   343,   925,   365,   366,   344,  2851,  2561,   366,
    2276,  1434,   349,  2247,   932,  1266,  2757,  2427,   262,   668,
    1267,  1268,   263,   725,  2219,  2782,  2404,   705,   280,  1474,
     281,   759,   760,   761,   762,  2159,  1239,   744,   744,   739,
     258,   367,  2233,   568,   365,   367,  2160,  1475,  1404,   366,
     268,   712,   343,   981,   263,  1266,   344,   675,  1007,   282,
    1267,  1951,  2405,  2728,   312,   313,   283,  2693,  2277,  2929,
     350,   759,   760,   761,   762,  1213,  2863,   768,  1201,   770,
    2917,   748,   364,   343,  1341,   367,  2362,   344,  1867,  2853,
     305,   365,  1266,  1350,  2783,  1476,   366,  1267,  1952,   644,
     647,    86,   785,  1121,  1882,   284,   800,   285,  2248,  2014,
    2215,  2433,   365,   819,  2363,  2644,   286,   366,   759,   760,
     761,   762,   831,  1405,   306,     7,   287,  2758,   319,  1008,
     312,   313,   367,  2655,  2015,   854,  2930,  1990,   598,   759,
     760,   761,   762,  2220,   832,     8,   569,  2221,   288,  1367,
     684,  1354,   276,   367,  2884,  2224,   982,  1368,  2114,  2548,
     264,  1123,  2225,  1360,   889,   557,   878,   557,   557,  1185,
    2226,   557,   557,     9,    10,   676,  1983,  1867,   899,   175,
    1240,  1477,   353,  1519,  2520,  2798,  2234,   176,  1288,  2406,
    2407,  1454,   264,   317,  2694,  2414,  2600,  2600,  3024,  2549,
    1820,  1821,  2697,   947,   791,  2602,  2920,   849,  1217,  2115,
      11,  2880,    12,   793,    13,   663,  2854,   795,    14,  2878,
    2881,   797,   570,  1506,   577,    15,  1323,   850,   851,  1236,
    2604,  1925,   823,   767,  1113,  1114,  1115,  1116,   925,  1118,
    1119,   184,  1122,  1124,  2331,  1126,  1127,   925,  1178,  1179,
    1180,  1181,  1182,  2161,  2706,  2380,  1653,  2582,  2583,  2177,
      16,  2186,   853,  2759,    17,  2585,  2586,   289,   933,    18,
    1383,  1478,  1449,   826,  2809,  1251,  1175,  2921,  2729,  1435,
    1436,   278,  1241,   194,  2707,  1362,  2297,  1363,   934,  2608,
    2609,  2762,  2763,  2612,  2909,   935,  2708,  2764,  2804,  2805,
    2849,  2805,  2064,  1849,   177,  1520,  1850,  1851,  1852,  1853,
    1854,  1855,  1856,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   274,   330,   331,   332,   333,   334,   335,
     336,  1857,  1369,  1455,  1858,  1859,  2931,  2119,  1521,  1522,
    1523,  1524,  1525,  2550,   197,   198,   290,   199,   200,   201,
     202,   203,   545,  2724,  2898,  1269,  1270,   681,  2875,  2725,
    3000,   677,  2603,  1926,  1129,  1860,  1423,  1861,  1424,  1765,
     351,  2709,  1479,  2025,   678,   679,  1147,  1492,  2216,  2217,
    2799,  1152,   658,   735,  1986,  2910,   659,  1278,  2120,   736,
    1009,   737,  1279,  1280,  2552,  1269,  1270,  2498,  1899,  1900,
     747,  2657,   738,   303,   744,  2984,  2985,   268,  1242,  1262,
    1167,   263,  2121,  1198,   291,  1203,  2810,  1197,   307,  2938,
      19,   308,   309,  2562,  2563,  1007,   925,  2564,  2565,  2566,
    2483,  1927,  1269,  1270,  2490,  1480,  2004,   596,   682,  2710,
     727,   595,  1867,   744,  1431,  2711,  1432,  2800,   355,  2712,
    2801,   564,  1072,  1156,   633,  1935,   648,  2939,  2806,   338,
    2806,  1010,  1232,  1233,   936,   937,   938,   939,   940,  1481,
    1065,  1066,   670,  1069,  1070,  2168,  2915,  2805,   658,   728,
     311,  2484,   659,  2420,  2421,  2491,   365,   365,  2169,  2170,
    1252,   366,   366,   634,  3065,   649,  1384,  3067,   315,  1700,
     671,  1482,   642,  2493,  1282,  2197,  2198,  1285,  1073,  1211,
     798,  1157,   857,   759,   760,   761,   762,   365,  2336,  2538,
    2338,   340,   366,  2340,   660,  2343,  2345,   367,   367,   356,
     357,   358,  2807,   365,  2850,  2200,   799,   565,   366,  2461,
    2465,   563,   312,   313,   759,   760,   761,   762,  1928,   264,
    1929,   564,  1930,  2553,  2494,  1931,  1326,  1327,   367,   729,
     759,   760,   761,   762,  1678,  1337,   312,   313,    20,    21,
    1679,  2166,  1340,   635,   367,   650,  2173,  1158,  1204,  1347,
     271,   672,   730,   341,  1347,   967,  1159,   557,  1347,  1393,
    2539,   598,   598,   858,   859,   597,   560,   860,   732,   979,
    1160,  1161,  1162,  1163,  2646,  1205,   673,  1623,  2351,  1680,
    2466,  1816,  2554,  1394,   643,   992,   993,   994,   995,   996,
     997,   998,  1375,   596,   711,  1377,  1002,   595,   272,  2973,
     342,  2559,  2976,  2977,  1385,  1380,  2806,   564,  2171,  2779,
    2780,  2555,   352,  2112,  2978,  2603,   771,  1705,  1016,  1017,
    1018,  1019,  1020,  1021,  1022,  1023,  1024,  1025,  1026,  1027,
    1028,  1029,  1030,  1031,  1720,   361,  1867,  2113,   861,  1458,
    1459,  1460,  1461,  1726,  1472,  1473,  2352,   369,  1484,  2146,
    1486,  1783,  1487,  1488,  1784,  1483,  2364,  1485,  2713,  2860,
    2714,  2715,  2147,   268,   370,  2716,  2717,   263,  2718,  2117,
    2630,  1443,  1385,  2271,  2414,  1442,  2719,  2720,    91,    92,
    2916,  2282,  1385,   862,   365,  2721,  2814,  2815,  2022,   366,
     365,  2481,   863,  2118,  1331,   366,  1140,  2829,  2830,  1706,
    2681,   472,  2683,  1739,  1707,  2461,  2465,  1149,  2684,  1164,
     408,   759,   760,   761,   762,  2482,   548,   759,   760,   761,
     762,   549,  1173,   820,   821,   367,   822,   864,  2556,  2557,
    2558,   367,  2755,   901,   902,   550,   501,   551,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   566,   903,   552,   645,  2486,
    3053,  3054,   904,   194,  1837,  3055,  3056,   558,  1838,  1839,
     561,   562,   394,  1261,   394,  1462,  2474,   560,   395,   396,
     395,   396,  1221,  2487,  1105,  1740,  1222,   398,  2272,   398,
    2018,   805,  1493,  1463,   806,  2952,   104,   105,   106,   107,
     108,   109,  1106,   110,   912,   264,   807,   399,  1491,   399,
    2227,  2228,  1708,   571,  2528,  1165,   561,   562,  1504,  1261,
    1332,  1003,  1004,  1502,   197,   198,   567,   199,   200,   201,
     202,   203,   578,  1141,   902,   365,  2542,  1511,   629,   630,
     366,  1515,   631,   400,   580,   400,   401,  1516,   401,  1503,
     579,  2529,   553,  1565,   554,   312,   313,  2589,   611,  1559,
     820,   821,  2591,   822,  2592,  1142,  1107,  2594,   561,  1005,
     646,  2324,   365,  1576,  1577,   818,   367,   366,  1867,  1867,
     808,   581,  2546,  1651,  1966,  1587,  1672,   390,  1967,  1591,
    1592,  1143,   912,  1917,   582,  1597,  2005,  1599,  1600,   608,
    1346,  2006,  1509,  1604,  1510,  1558,  1564,  1574,  1271,  2254,
    1608,  1609,   583,   367,   715,   584,   716,  2530,  1879,   717,
    1880,  1108,  1612,  1613,  1709,   809,  3058,  1616,  1617,  1351,
    1619,   585,   365,  1352,   810,  1464,  1465,   366,  1466,  1109,
    1110,   473,  2132,  2133,  2238,  1634,  1606,   474,   586,  1467,
    1468,   911,   715,  1111,   716,   719,  1690,   717,   587,  2531,
    2145,   588,  2196,  2239,  2240,  2532,  1674,   609,   557,   372,
     373,   557,  1633,   367,   562,  1703,  2035,   549,  1710,   610,
    1704,  1737,  1744,  1758,  2533,  2002,   365,   612,  1389,   718,
    1390,   366,  2990,   719,   613,  1711,  2059,  1712,  3032,   374,
    2066,  1713,  1996,   561,   562,  1714,  1715,  1689,  1701,  1840,
    1773,  1842,  2190,  2376,  2191,  1272,  1273,  1274,  1275,   194,
    1780,  2789,  2790,   632,   565,   901,   902,   367,   563,   375,
    2348,  2791,  2349,  2256,  1736,  1743,  1757,  1278,   564,   697,
      87,   699,  1279,  1953,   637,   475,   639,  2514,   903,   476,
     477,   655,  1883,  2467,   904,  1832,  2475,  1972,   656,  1831,
    3077,   664,  2467,  2475,  1867,  1605,  1897,  1607,  1894,   564,
    1427,   905,   657,  2197,  2198,  2199,   666,   906,   668,    88,
     197,   198,   674,   199,   200,   201,   202,   203,  1871,    89,
    1741,   653,   654,    90,   376,   685,    91,    92,   702,  1469,
     377,  1470,   365,  2200,   378,  1190,  1191,   366,  1192,  1688,
    2164,   698,  1193,   752,   753,  1826,   304,  1421,   700,  1827,
    2201,   704,    93,   788,   789,  1471,   379,  2202,   701,   759,
     760,   761,   762,   710,   365,   627,   628,   629,   630,   366,
    1742,   631,  2598,   367,  1194,   764,   721,   561,   562,  2948,
    1261,  2949,   589,   590,   968,   969,   591,   726,  2197,  2198,
    2199,   759,   760,   761,   762,   837,   838,  1846,  1847,  -997,
    1438,  1439,  1440,  1441,   713,   367,   714,    94,   801,    95,
      96,  2235,   733,    97,  1872,    98,  2242,   815,  2200,  1206,
    1207,  1208,    99,   593,   100,   101,   102,  1512,   754,   103,
    2203,   741,   841,  2204,  2205,  2201,   365,  1078,  1079,  2206,
     852,   366,  2202,   749,   104,   105,   106,   107,   108,   109,
    2599,   110,  2818,  2819,  2820,  2821,  2822,  1080,  1081,   549,
    1937,   380,  1901,   759,   760,   761,   762,   755,   887,   381,
     756,   890,   382,   892,   757,   383,   769,   367,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   758,   111,  2647,  2648,  1262,
     772,   194,   112,  1582,  2649,  2650,  2651,  2652,   113,   114,
     773,   952,   950,   292,   953,  2203,  1676,  1677,  2204,  2205,
     774,   384,   820,   821,  2206,   822,   776,   596,   777,  1361,
    2157,   595,  2823,  2824,  2825,  2826,  2827,  1979,  2264,   820,
     821,   564,   822,  2036,  1817,  1818,   293,  2036,   294,   780,
    1828,  1829,  1995,  1830,   385,   909,   781,   564,   814,  1867,
     782,   564,   197,   198,   783,   199,   200,   201,   202,   203,
     786,  2007,   295,   963,   296,   787,   297,  2008,  1722,   901,
     902,   386,   548,  1694,  3003,  3004,  3005,   549,  1055,  1056,
    1057,  1890,  1891,  1648,  1871,   -82,   -82,  1649,   -82,  2000,
    2001,   550,   903,   551,  2188,  2189,   802,   549,   904,   803,
    2287,  2409,  2410,  1058,  1059,   804,  2051,  1060,  1785,   811,
    2053,  2303,  2304,   552,   812,   910,   387,  1793,  1794,   194,
    1795,  1796,  1797,  1798,   813,  2068,  2399,  2400,   817,  1695,
     902,   829,  1807,  2411,  2031,  2032,  2033,  2034,   830,   194,
     833,  3076,  2075,   909,   394,   298,   299,   300,   301,   834,
     395,   396,   589,   590,   181,   182,   591,   592,   835,   398,
     839,  1696,   840,   504,   842,  1546,   843,   901,   902,   836,
    1547,   506,   847,  1871,  1531,   507,  3085,  2461,  2462,   399,
     197,   198,   844,   199,   200,   201,   202,   203,   508,   845,
     903,  2197,  2198,   593,  2524,  2525,   904,   509,  1832,  1973,
     197,   198,  1831,   199,   200,   201,   202,   203,   553,   846,
     554,   856,   564,   910,   865,   400,  2638,  2639,   401,   855,
     211,  2956,  2957,   866,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   871,  1218,  2770,  2771,   867,  1697,   869,  2129,   873,
    2154,   872,  1532,   874,  2156,   744,   876,  2615,  1533,   561,
     562,   923,   924,   875,  2141,  1425,  1426,  2425,  1234,  2251,
    2252,  2616,   879,  1243,  1244,   880,  2617,   881,   882,  1249,
    1974,   589,   590,   968,   969,   591,  2181,   883,   884,   594,
    1650,  2618,   885,   190,   572,   573,   574,   575,  1567,  1281,
     192,   193,   888,   893,  1568,  1287,   891,  1289,   896,  1291,
    1292,   897,  1294,  1295,  1296,  1297,  1298,  1299,   900,   912,
    1302,  1303,  1409,  1305,   898,   914,  1308,  1309,   915,  1534,
     919,   115,  1314,  2402,  1316,   116,  1535,  1536,  1537,  2457,
     917,  1538,   901,   902,   117,  1539,  2306,  2307,  2308,  2469,
    2470,  2471,  2472,  1330,  1333,  1334,   916,   918,  1335,   589,
     590,   968,   969,   591,   592,   903,  2309,  2310,  2311,   394,
     920,   904,   921,   922,   927,   395,   396,  2258,  2259,   929,
    1569,   928,  2262,   930,   398,  1353,   931,   943,   905,  2266,
     945,   946,  2267,  2619,   906,   948,   949,  1359,   951,   957,
     593,   955,  2197,  2198,   399,   956,  2325,   958,  2036,   589,
     590,   968,   969,   591,   592,  1373,  1374,   961,  2284,  2285,
     962,  2286,   564,  2288,   974,   214,   975,  1698,  1699,   976,
    2293,  2515,  2200,    91,    92,   980,   631,   983,  1871,   984,
     400,   985,  1006,   401,  1013,  1014,  1015,  1063,  1064,  1067,
    1409,  2620,  1071,  1076,  1077,  1084,  2312,  2313,  1561,  2314,
    1085,  1112,  1125,  1128,  1130,  2314,  1131,  1132,  1133,  1134,
    2377,   589,   590,   968,   969,   591,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,  1135,  1136,  1137,   970,  2507,   589,   590,
     968,   969,   591,   592,  1138,  1139,  1145,  1168,  2621,  2622,
    2623,  2078,   593,  2079,  1148,  1169,   744,  2415,  2371,   744,
    2624,  1170,  2625,  2373,  2626,  2374,  1150,  1174,  2358,   394,
    2627,  2628,  1186,  1187,  1188,   395,   396,  1212,  2629,   593,
    1562,  1570,  1571,  1231,   398,  1229,  2388,   502,  1572,  1230,
    1573,   104,   105,   106,   107,   108,   109,   365,   110,  1245,
    1246,  1237,   366,  1238,   399,  1247,  1248,  1250,   744,  2403,
    1255,  1253,  1254,   979,   979,  1256,  2135,   503,  2387,  1257,
    2136,  2137,  1259,  1260,   759,   760,   761,   762,  1545,  1264,
    1290,   979,  1293,  1283,  1284,  1286,   744,  1300,   367,  1301,
     400,  1304,  1306,   401,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,  1307,  1310,  1311,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,  1313,  1315,  1312,  1324,  2449,  1342,  2452,   394,  1349,
    2635,  2636,  2637,   504,   395,   396,  1322,   933,  1336,  1372,
     505,   506,  1871,   398,   504,   507,  1546,  1376,  2503,  1381,
    1385,  1547,   506,  1386,   901,   902,   507,  1387,   508,  2460,
    2306,  2307,  2308,   399,  1563,  2468,  1388,   509,   365,   508,
    1395,  1403,  1406,   366,  1408,  1413,  1414,   903,   509,  1415,
    2309,  2310,  2311,   904,  1416,  1581,  1583,  2832,  2833,  2834,
    2835,  2836,  2837,  2838,  2839,  1262,  1262,  1593,  1594,   400,
     905,  1417,   401,  2357,  1428,  1429,   906,  1430,  1437,   367,
    1451,  1452,   744,   414,  1453,  1456,  1489,  1494,  2080,  1498,
      91,    92,  1496,   596,   596,  1500,  1507,   595,   595,  2081,
    2082,  2083,  2084,  1505,  2085,  2086,  2087,   564,   564,  2088,
    2500,  2089,  2090,  1513,  1528,   526,  1529,  2091,  2092,  1543,
    1632,  1541,  2093,  1544,   598,  1551,  1550,  1638,  1552,  1578,
    1585,  1642,  1643,  1644,  1579,  1580,  2923,  1586,  1601,   510,
    2312,  2313,  1588,  2536,  1589,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,  1590,   330,   331,   332,   333,
     334,   335,   336,  1595,  1598,  1596,  1610,  2377,  1614,  1725,
    1615,  1618,  1620,  2578,  1621,  1622,  2314,  1624,  2314,  2333,
    2334,  1625,  1626,  1627,  1628,  1629,   394,  1774,  1630,  1776,
    1631,  1635,   395,   396,  1636,  1637,  1639,  1640,   979,  1641,
    1645,   398,  1646,  1647,  1675,  1681,  1682,  1719,   104,   105,
     106,   107,   108,   109,  1723,   110,  1727,   184,  1761,  2365,
    1763,   399,   744,  1764,  1766,  1767,  1770,  1775,  1778,  2415,
    1786,  1787,  1808,  1810,  1806,   744,   744,   744,  1781,  1809,
    1813,  1814,  1819,  1822,  2645,  1823,  1824,  1825,  1834,  1835,
    1836,  1841,  1843,  1844,  1871,  1871,  1845,   400,  1874,   194,
     401,  1873,  1418,  2687,  1419,  1420,  1875,  2690,  2691,  1885,
    2695,  1878,  2698,   527,  2959,  2960,  1884,  2962,  2963,  1849,
    2072,  1886,  1850,  1851,  1852,  1853,  1854,  1855,  1856,  1889,
    1893,   338,  1892,  1906,  2766,  1898,  2767,  2768,  2769,  1904,
    1910,  1919,  1905,  1907,   194,  1920,  1922,  1857,  1911,  1947,
    1858,  1859,  1961,  1921,  1923,  1924,  1934,  1938,  1939,  1940,
     197,   198,  1941,   199,   200,   201,   202,   203,   528,  2787,
    1942,   529,  1944,  2792,  1945,  2794,  1946,  1949,  1950,  1954,
    1955,  1860,  1956,  1861,  1957,  1958,  1959,  1960,  3050,  3051,
    1962,  1963,  1964,  1968,  1969,  1970,  1887,  1888,  1971,  1975,
    1976,  1977,  2036,  1978,  1981,   197,   198,  1991,   199,   200,
     201,   202,   203,  1980,  2840,  3059,   564,  1992,  2844,  2845,
    2846,  1998,  1997,  1999,  2003,  2010,  2009,  2021,  2858,  2027,
    2861,  2028,  2864,  2030,  2045,  2046,  2047,  2052,  2868,  2054,
    2055,  2058,  2060,  2056,  3034,  1936,   598,   598,  2067,  2070,
    2870,  2871,  2071,   414,  2872,  2873,  1943,  2077,  2116,  2123,
      91,    92,  2124,  2125,  2122,  2127,  2126,  2128,   711,  2134,
    2139,  2142,  2140,  2502,  2144,  2504,  2148,  2152,  2899,  2149,
    1871,  2151,  2174,  2899,  2155,   517,  2192,  2153,  2907,  2509,
    2182,  2180,  2911,  2167,  2193,  2183,  2194,  2195,  2214,  2243,
    2184,  2187,   549,  2244,  2237,  2932,  1965,  2731,  2232,  2245,
    2246,  2253,  2261,  2281,  2263,  2265,  2268,  2937,  2255,  2269,
    1746,  2289,  2295,  2944,  2527,  2299,  2283,  1984,  1985,  1987,
    1988,  2302,  2305,  2319,  2327,  2332,  1993,  1994,  2411,  2335,
    2339,  2341,  2346,  2353,   194,  1554,  2367,  2370,  2375,   744,
     744,  2381,   744,   744,  2964,  2965,   394,  2967,  2968,  2969,
    2970,  2971,   395,   396,  2392,  2393,  2391,  2389,  2016,  2398,
    2019,   398,  2401,  2416,  2418,  2026,  2419,  2432,   104,   105,
     106,   107,   108,   109,  2428,   110,  2426,  2429,  2247,  2394,
    2437,   399,  2445,  2450,  2454,  2456,  2458,  2459,  2464,  2479,
    2476,  2050,  2986,  2987,  2988,   197,   198,  2480,   199,   200,
     201,   202,   203,  2992,  2993,  2485,   394,   530,   531,  2996,
    2488,   504,   395,   396,  2489,   211,  2492,   400,  1547,   506,
     401,   398,  3007,   507,  2495,  3010,  3011,  3012,  2497,  2501,
     518,  2510,  3016,  3017,  2508,   519,   508,  2572,  2584,  2587,
    2521,   399,  3025,  2588,  2516,   509,  2526,  2522,  2590,   532,
     533,   534,  2593,  2595,  2596,  2597,  3028,  2523,  3029,  3030,
    3031,  2611,  2633,  2641,  2634,  2656,  2689,  2696,  2699,   744,
    3035,  3036,  3037,  2705,  2772,  2700,  2773,   400,  2701,  2774,
     401,  2775,  2776,  2777,  2781,  2778,  2785,  2788,  2811,  2795,
    3044,  3045,  2793,  2796,  2797,  2786,  2803,  2813,  2816,  2802,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
    2784,   330,   331,   332,   333,   334,   335,   336,  2817,  2828,
    2841,  2842,  1033,  2843,  2848,  2856,  2859,  2865,  2867,  1034,
    1035,  2869,  2874,  2889,  2896,  1871,  2902,  2882,  2888,  2885,
    2887,  2276,  2891,  2890,  1555,  3063,  3064,  1556,  1557,  2906,
    2866,  2855,  2914,  3066,  2893,  2926,  2933,  3068,  2912,  2925,
    2924,   520,  3070,  2934,  2936,  2927,  2895,  3071,  2415,  2179,
    2928,  2940,  2946,  2942,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,  3074,  3075,   178,  2935,   179,   180,   181,   182,   183,
     184,  2945,  2947,  2954,   185,   186,  2972,  2974,  2975,  2979,
    2980,  2213,  2998,  2982,   187,   188,   999,  3002,  3009,   189,
    3001,  2229,  2230,  2231,  3014,  2961,  3046,  2236,  3013,  3018,
    3042,   190,  3043,  3078,  3048,  2943,   191,  3047,   192,   193,
    3061,  3073,   194,  3079,  3083,  1501,   338,  1036,  1037,  1038,
    1039,  1040,  1041,  3081,  1042,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,  2260,   330,   331,   332,   333,
     334,   335,   336,  3082,  3086,  2158,  1444,  2069,  1445,  1446,
    2061,  3084,  2413,  2580,  2101,  2581,  2102,  2328,  2103,  2955,
    2104,  2329,  2579,  1721,  2350,  2280,  2330,   195,   196,   572,
     573,   574,   575,   197,   198,  2143,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   989,   209,  1410,   210,
    2950,   576,  2951,   211,  1411,  1412,  2347,  2506,   212,   494,
     734,   213,  1043,  1044,  1045,  1046,  1047,  1048,  1049,  1050,
    1051,  1052,  1053,   971,  1896,  1812,   178,  2812,   179,   180,
     181,   182,   183,   184,  1815,  2831,  2614,   185,   186,  2513,
    1083,  1915,  2385,   214,  2080,  2384,  2395,   187,   188,  1611,
    2424,  2540,   189,  2440,  2876,  2081,  2082,  2083,  2084,  3008,
    2085,  2086,  2087,  2901,   190,  2088,  3020,  2089,  2090,   191,
    2904,   192,   193,  2091,  2092,   194,  3022,  2905,  2100,  2290,
    2294,   338,  1370,  2150,  1876,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2383,     0,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,     0,     0,  1146,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2397,
     195,   196,   572,   573,   574,   575,   197,   198,     0,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,     0,
     209,     0,   210,     0,     0,     0,   211,     0,     0,     0,
       0,   212,     0,     0,   213,     0,     0,  2430,     0,     0,
    1746,     0,     0,  2431,  1747,     0,     0,     0,     0,    91,
      92,     0,     0,     0,     0,  2435,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   214,   330,   331,   332,
     333,   334,   335,   336,  1748,     0,     0,     0,  2734,   178,
       0,   179,   180,   181,   182,   183,   184,     0,     0,  2453,
     185,   186,     0,     0,     0,     0,     0,     0,     0,     0,
     187,   188,  1799,     0,     0,   189,     0,     0,     0,  -998,
    -998,  -998,  2735,     0,     0,     0,     0,   190,     0,     0,
       0,     0,   191,     0,   192,   193,     0,     0,   194,  -998,
    -998,  -998,  -998,  -998,   625,   626,   627,   628,   629,   630,
       0,     0,   631,     0,     0,   394,     0,     0,     0,     0,
       0,   395,   396,   215,   216,     0,     0,     0,     0,     0,
     398,     0,     0,     0,     0,     0,     0,   104,   105,   106,
     107,   108,   109,     0,   110,     0,     0,     0,     0,     0,
     399,     0,     0,   195,   196,     0,     0,   337,     0,   197,
     198,  2518,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   338,   209,     0,   210,     0,     0,     0,   211,
       0,     0,     0,     0,   212,     0,   400,   213,     0,   401,
       0,     0,     0,  2197,  2198,  2736,     0,     0,  2535,     0,
       0,     0,  2537,     0,   615,   616,   617,   618,   619,  1749,
       0,     0,  1750,     0,     0,     0,     0,     0,     0,   214,
       0,     0,     0,  2200,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,     0,     0,   631,     0,     0,
       0,     0,  2737,     0,     0,     0,     0,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,     0,     0,    91,    92,     0,     0,
       0,     0,     0,     0,     0,     0,   215,   216,     0,     0,
       0,     0,     0,     0,     0,     0,  2632,     0,     0,     0,
    1751,   393,     0,     0,     0,     0,     0,     0,  2738,     0,
       0,  2739,  1752,     0,     0,     0,     0,     0,  2355,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2686,  2740,
    2688,  2741,  2742,     0,     0,     0,  1753,     0,     0,  2743,
       0,     0,     0,     0,  2702,  2703,  2704,     0,   414,     0,
       0,     0,     0,     0,     0,    91,    92,     0,     0,     0,
       0,  2744,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   394,     0,     0,     0,     0,     0,   395,   396,
    1683,     0,  2745,   397,     0,     0,     0,   398,     0,     0,
       0,     0,     0,  1684,   104,   105,   106,   107,   108,   109,
       0,   110,     0,     0,     0,     0,     0,   399,     0,     0,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   400,     0,     0,   401,  2847,     0,     0,
       0,   394,     0,  2857,     0,     0,  2746,   395,   396,     0,
       0,   402,     0,  1685,  1686,     0,   398,     0,     0,   215,
     216,     0,     0,   104,   105,   106,   107,   108,   109,  2747,
     110,     0,     0,     0,     0,     0,   399,     0,     0,     0,
       0,     0,     0,     0,  2886,     0,     0,     0,     0,     0,
       0,     0,     0,  1754,     0,     0,     0,     0,  1755,     0,
    1756,     0,     0,     0,     0,     0,  2908,     0,     0,     0,
    2913,     0,   400,     0,     0,   401,     0,     0,     0,     0,
    2748,  2749,  2750,  2751,  2752,  1687,  2753,     0,     0,  2754,
     178,     0,   179,   180,   181,   182,   183,   184,     0,     0,
       0,   185,   186,     0,     0,     0,     0,     0,     0,     0,
       0,   187,   188,  1803,     0,     0,   189,     0,     0,     0,
       0,     0,     0,  2958,     0,     0,     0,     0,   190,     0,
       0,     0,  2966,   191,     0,   192,   193,     0,     0,   194,
     615,   616,   617,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,  2981,     0,   631,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2989,  2991,     0,     0,     0,
       0,     0,  2994,  2995,   195,   196,  2997,     0,     0,     0,
     197,   198,     0,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,     0,   209,     0,   210,  3015,     0,     0,
     211,  3019,     0,  3021,     0,   212,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3026,
    3027,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3033,     0,     0,     0,     0,     0,
     214,  3038,     0,  3039,  3040,  3041,     0,     0,     0,     0,
       0,   178,     0,   179,   180,   181,   182,   183,   184,     0,
       0,     0,   185,   186,     0,     0,     0,     0,     0,     0,
       0,  3052,   187,   188,  2337,     0,     0,   189,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   190,
       0,     0,  3057,     0,   191,     0,   192,   193,     0,     0,
     194,     0,     0,     0,     0,     0,     0,     0,  3062,     0,
       0,     0,     0,     0,   178,     0,   179,   180,   181,   182,
     183,   184,     0,     0,  3069,   185,   186,     0,     0,     0,
       0,     0,     0,     0,  3072,   187,   188,  2342,     0,     0,
     189,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   190,     0,     0,   195,   196,   191,     0,   192,
     193,   197,   198,   194,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,     0,   209,     0,   210,     0,     0,
       0,   211,     0,     0,     0,     0,   212,     0,     0,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   195,   196,
       0,   214,     0,     0,   197,   198,     0,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,     0,   209,     0,
     210,     0,     0,     0,   211,     0,     0,     0,     0,   212,
       0,     0,   213,     0,     0,     0,   178,     0,   179,   180,
     181,   182,   183,   184,     0,     0,     0,   185,   186,     0,
       0,     0,     0,     0,     0,     0,     0,   187,   188,  2344,
     215,   216,   189,     0,   214,     0,     0,   615,   616,   617,
     618,   619,     0,     0,   190,     0,     0,     0,     0,   191,
       0,   192,   193,     0,     0,   194,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   178,
     631,   179,   180,   181,   182,   183,   184,     0,     0,     0,
     185,   186,     0,     0,     0,     0,     0,  1209,     0,     0,
     187,   188,     0,     0,     0,   189,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   190,     0,     0,
     195,   196,   191,     0,   192,   193,   197,   198,   194,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,     0,
     209,     0,   210,     0,     0,     0,   211,     0,     0,     0,
       0,   212,     0,     0,   213,     0,     0,     0,     0,     0,
       0,     0,   184,     0,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,     0,     0,   195,   196,     0,   214,     0,     0,   197,
     198,     0,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,     0,   209,   194,   210,     0,     0,     0,   211,
      91,    92,     0,     0,   212,     0,     0,   213,     0,     0,
       0,   215,   216,     0,  1849,     0,     0,  1850,  1851,  1852,
    1853,  1854,  1855,  1856,     0,  1728,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1729,     0,   214,
       0,     0,  1857,     0,     0,  1858,  1859,     0,     0,     0,
       0,     0,     0,     0,     0,   197,   198,     0,   199,   200,
     201,   202,   203,     0,   615,   616,   617,   618,   619,     0,
       0,     0,     0,     0,   215,   216,  1860,     0,  1861,     0,
       0,     0,     0,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,     0,   394,   631,     0,     0,
       0,     0,   395,   396,     0,     0,     0,  1730,     0,     0,
       0,   398,     0,     0,  1382,     0,     0,     0,   104,   105,
     106,   107,   108,   109,     0,   110,     0,     0,     0,     0,
       0,   399,     0,     0,     0,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   400,     0,     0,
     401,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   482,   483,     0,     0,     0,     0,     0,     0,
      91,    92,     0,     0,     0,     0,     0,     0,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   484,   215,   216,     0,   615,
     616,   617,   618,   619,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   615,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,     0,   631,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,     0,   631,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   215,
     216,     0,     0,   986,     0,     0,   394,     0,     0,     0,
       0,     0,   395,   396,  2356,     0,     0,     0,     0,     0,
       0,   398,   615,   616,   617,   618,   619,   987,   104,   105,
     106,   107,   108,   109,     0,   110,     0,     0,     0,     0,
       0,   399,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,     0,     0,   631,     0,     0,     0,     0,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   400,     0,     0,
     401,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2658,     0,     0,   485,     0,     0,  1397,     0,     0,     0,
       0,     0,     0,     0,     0,  2659,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
       0,     0,     0,     0,     0,     0,     0,     0,   486,     0,
       0,     0,     0,     0,     0,     0,     0,   615,   616,   617,
     618,   619,     0,     0,     0,     0,     0,  1731,  1732,     0,
    1733,     0,     0,     0,     0,  1734,  1735,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,     0,
     631,     0,     0,     0,     0,     0,     0,     0,     0,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,  2197,  2198,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1398,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2200,   414,   615,   616,
     617,   618,   619,     0,   415,   416,     0,     0,     0,     0,
       0,     0,     0,     0,  2660,  2661,  2662,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   417,
       0,   631,     0,     0,     0,     0,     0,   418,   615,   616,
     617,   618,   619,     0,   487,   488,   489,   490,  1396,     0,
       0,     0,     0,     0,     0,  2663,     0,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,     0,
       0,   631,   491,  2664,     0,     0,     0,   492,  2665,     0,
       0,     0,   493,     0,     0,     0,     0,     0,  1789,     0,
    2666,     0,  2667,     0,  2668,  2669,     0,     0,     0,     0,
     394,     0,  2670,     0,     0,  2671,   395,   396,     0,   419,
       0,   420,  1790,     0,     0,   398,   421,     0,     0,     0,
       0,     0,   422,   423,   424,   425,   615,   616,   617,   618,
     619,     0,     0,     0,     0,   399,   426,     0,     0,     0,
     427,     0,   428,     0,     0,  2672,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,  1654,     0,   631,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   400,     0,     0,   401,     0,     0,  1655,     0,     0,
       0,     0,     0,   429,     0,     0,     0,   430,     0,   431,
       0,     0,     0,     0,   432,     0,     0,     0,     0,     0,
    1399,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2673,     0,     0,  2674,
    2675,  2676,     0,     0,     0,     0,     0,  2677,  1656,     0,
       0,   433,  2678,     0,  1086,   434,   435,     0,     0,     0,
       0,     0,  2679,     0,     0,     0,     0,     0,  2680,   561,
     562,   923,   924,   504,     0,  1546,     0,     0,     0,     0,
    1657,  1658,   436,     0,     0,   507,   437,     0,     0,   438,
       0,     0,   439,   440,     0,   441,     0,     0,   508,   442,
       0,     0,     0,   190,     0,   443,   444,   509,   445,   446,
     192,   193,   447,     0,     0,     0,     0,   448,     0,   449,
     450,     0,     0,     0,   451,   452,   453,     0,     0,     0,
       0,     0,     0,   454,     0,   455,     0,     0,   456,   457,
       0,   458,     0,   459,     0,     0,   460,   461,     0,     0,
       0,  1659,     0,  1660,     0,  1661,   615,   616,   617,   618,
     619,     0,   462,     0,   463,     0,  1087,  1088,     0,     0,
       0,     0,   464,     0,     0,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,     0,     0,   631,
       0,  1089,   902,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1090,
       0,     0,     0,     0,  1091,     0,     0,     0,  1092,  1093,
       0,     0,     0,  1094,     0,     0,  1662,     0,     0,     0,
    1400,     0,  1663,     0,     0,   214,     0,     0,     0,     0,
       0,     0,     0,     0,  1095,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1096,  1097,  1098,
       0,  1099,  1100,  1101,     0,     0,  1664,     0,     0,     0,
       0,     0,     0,  1665,  1666,     0,     0,     0,     0,     0,
    1667,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1668,   615,   616,   617,   618,   619,  1669,     0,
       0,     0,     0,  1670,     0,     0,     0,     0,     0,     0,
    1671,     0,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,     0,   631,   615,   616,   617,
     618,   619,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,     0,
     631,   615,   616,   617,   618,   619,     0,  1788,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,     0,   631,   615,   616,   617,   618,   619,
       0,  2106,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,     0,   631,   615,
     616,   617,   618,   619,     0,  2107,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1401,     0,     0,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,     0,   631,   615,   616,   617,   618,   619,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1402,
       0,     0,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,     0,   631,   615,   616,   617,
     618,   619,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1407,     0,     0,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,     0,
     631,   615,   616,   617,   618,   619,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1508,     0,     0,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,     0,   631,   615,   616,   617,   618,   619,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1877,     0,     0,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,     0,   631,   615,
     616,   617,   618,   619,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2108,     0,     0,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,     0,   631,   615,   616,   617,   618,   619,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2109,
       0,     0,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,     0,   631,   615,   616,   617,
     618,   619,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2110,     0,     0,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,     0,
     631,   615,   616,   617,   618,   619,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2111,     0,     0,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,     0,   631,   615,   616,   617,   618,   619,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2300,     0,     0,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,     0,   631,   615,
     616,   617,   618,   619,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2301,     0,     0,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,     0,   631,   615,   616,   617,   618,   619,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2477,
       0,     0,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,     0,   631,   615,   616,   617,
     618,   619,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2478,     0,     0,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,     0,
     631,   615,   616,   617,   618,   619,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2613,     0,     0,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,     0,   631,   615,   616,   617,   618,   619,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2640,     0,     0,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,     0,   631,   615,
     616,   617,   618,   619,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3049,     0,     0,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,     0,   631,   615,   616,   617,   618,   619,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
       0,     0,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,     0,   631,   615,   616,   617,
     618,   619,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2354,     0,     0,     0,     0,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,     0,
     631,   615,   616,   617,   618,   619,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2505,     0,     0,     0,     0,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   614,     0,   631,     0,     0,   615,   616,   617,
     618,   619,     0,     0,     0,     0,     0,     0,     0,  2610,
       0,   615,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,     0,
     631,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,     0,   631
};

static const yytype_int16 yycheck[] =
{
     111,   117,   440,   441,   115,   178,    96,   183,   213,   213,
      88,   183,   363,   364,   487,    93,    94,  1403,  1404,  1405,
    1406,   183,  1501,  1032,     3,   580,   581,   267,   766,  1777,
     496,   158,   166,   167,   166,   167,   270,   213,   823,   506,
    1089,   213,   895,  2210,   827,   665,    74,     9,    10,    24,
      12,   213,    87,    28,   609,   610,    18,    87,   548,   665,
     550,   551,  1104,   289,   554,   555,   518,   148,   302,   150,
      87,  1998,  1999,  2000,    95,   156,   696,   158,   202,    19,
      87,    28,    55,  1733,    24,   166,   167,   163,   163,    55,
      55,    55,  1141,   174,    22,    55,    24,    19,  2097,    55,
      21,    22,    24,    24,  2103,    19,   346,   347,   348,   141,
      24,   143,    24,   145,   172,   147,    28,   149,    95,   151,
      60,   153,    24,   155,  2499,    19,   172,   159,   158,   161,
      24,   163,  2499,   165,   164,   165,   172,  2140,    60,   169,
     172,   173,    58,   173,   165,    87,    60,    72,  1848,     6,
    2155,    28,    46,    47,    48,    49,   396,  2499,  2398,   275,
      99,   356,   286,   193,   210,    19,    60,    87,   133,   138,
      24,    24,    21,    22,    87,    24,   176,   156,   167,    42,
      56,   414,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   322,   140,     3,     4,     5,     7,   323,    56,   229,
       6,   317,   232,     6,   204,   205,    60,   246,    86,   229,
      19,   195,    24,   665,    19,    24,    28,  2669,    87,    24,
      28,    24,   222,    60,    94,    53,    87,  2232,    24,    24,
      58,    59,    28,   349,   173,    85,   172,   315,   204,     6,
     206,    46,    47,    48,    49,    76,   245,   363,   364,   360,
       7,    60,   245,    39,    19,    60,    87,    24,    10,    24,
      24,   339,    24,    39,    28,    53,    28,   169,    85,   235,
      58,    59,   208,   290,    24,    25,   242,   335,    86,   387,
     280,    46,    47,    48,    49,   758,   481,   398,   166,   400,
    2742,   369,   525,    24,   900,    60,    31,    28,  1777,   335,
     247,    19,    53,   909,   154,    72,    24,    58,    59,   271,
     272,     0,   351,   166,   234,   281,   427,   283,   155,   450,
      24,  2248,    19,   439,    59,   201,   292,    24,    46,    47,
      48,    49,   323,    85,   281,   145,   302,   198,    95,   156,
      24,    25,    60,   201,   475,   461,   454,   316,   553,    46,
      47,    48,    49,   292,   345,   165,   142,   296,   324,   324,
     166,   916,   239,    60,   490,   349,   142,   332,    10,   282,
     166,   166,   356,   928,   490,   548,   396,   550,   551,   730,
     364,   554,   555,   193,   194,   287,   375,  1866,   504,     6,
     389,   158,   204,   414,  2634,    57,   389,     6,   836,   335,
     336,    24,   166,   153,   462,  2572,  2781,  2782,   333,   322,
    1452,  1453,   221,   529,   387,  2782,   462,   333,   769,    61,
     230,   496,   232,   387,   234,   282,   462,   387,   238,   505,
     505,   387,   189,  1171,   191,   245,   874,   353,   354,   416,
    2782,    99,   291,   174,   670,   671,   672,   673,   900,   675,
     676,    24,   678,   679,  2104,   681,   682,   909,   582,   583,
     584,   585,   586,   294,    57,  2165,  1319,  2466,  2467,   332,
     280,   419,   386,   334,   284,  2474,  2475,   443,   348,   289,
     970,   248,  1088,   404,   172,   397,   726,   533,   505,   292,
     293,   193,   257,    66,    87,   933,   503,   935,   368,  2502,
    2503,   536,   537,  2508,   248,   375,    99,   542,    76,    77,
      76,    77,   540,    86,     6,   536,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,     6,   107,   108,   109,   110,   111,   112,
     113,   114,   507,   166,   117,   118,   468,    10,   569,   570,
     571,   572,   573,   466,   127,   128,   522,   130,   131,   132,
     133,   134,   592,   505,   504,   393,   394,   206,   496,   511,
    2873,   473,  2499,   231,   685,   148,    85,   150,    87,  1362,
     580,   174,   349,   477,   486,   487,   702,  1142,   292,   293,
     252,   707,    24,   568,   399,   339,    28,    53,    61,   574,
      85,   576,    58,    59,    87,   393,   394,  2355,   292,   293,
     367,  2538,   587,   284,   730,   469,   470,    24,   383,   823,
     710,    28,    85,   739,   590,   741,   314,   738,   575,   172,
     440,   578,   579,   502,   503,    85,  1088,   506,   507,   508,
      10,   299,   393,   394,    10,   412,  1695,   823,   287,   242,
      47,   823,  2131,   769,    85,   248,    87,   319,   161,   252,
     322,   823,   177,   129,    47,   383,    47,   210,   236,   242,
     236,   156,   788,   789,   544,   545,   546,   547,   548,   446,
     642,   643,   178,   645,   646,   167,    76,    77,    24,    86,
       6,    61,    28,   390,   391,    61,    19,    19,   180,   181,
     811,    24,    24,    86,  3007,    86,   156,  3010,   290,  1329,
     206,   478,   119,    10,   830,   198,   199,   833,   233,   751,
     326,   187,   160,    46,    47,    48,    49,    19,  2114,    85,
    2116,    60,    24,  2119,   166,  2121,  2122,    60,    60,   242,
     243,   244,   310,    19,   310,   228,   352,   923,    24,    14,
      15,   923,    24,    25,    46,    47,    48,    49,   416,   166,
     418,   923,   420,   246,    61,   423,   877,   878,    60,   166,
      46,    47,    48,    49,    53,   891,    24,    25,   588,   589,
      59,  1908,   898,   166,    60,   166,  1913,   253,    59,   905,
     179,   287,   189,    60,   910,   552,   262,   970,   914,    61,
     156,  1006,  1007,   241,   242,  1009,    41,   245,   353,   566,
     276,   277,   278,   279,  2531,    86,   312,  1290,    59,    98,
      85,    56,   305,    85,   231,   582,   583,   584,   585,   586,
     587,   588,   948,  1009,   106,   951,   593,  1009,   227,  2813,
     159,  2442,  2816,  2817,    85,   961,   236,  1009,   330,  2597,
    2598,   334,   186,    61,  2828,  2782,   401,    87,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,  1341,   193,  2355,    85,   316,  1113,
    1114,  1115,  1116,  1350,  1118,  1119,    59,   175,  1122,    31,
    1124,  1381,  1126,  1127,  1384,  1121,    59,  1123,   491,   221,
     493,   494,    44,    24,   250,   498,   499,    28,   501,    61,
    2511,  1087,    85,  2040,  3081,  1087,   509,   510,    62,    63,
     310,  2048,    85,   361,    19,   518,  2643,  2644,  1713,    24,
      19,    61,   370,    85,   257,    24,     6,  2654,  2655,   169,
    2541,    87,   466,    87,   174,    14,    15,   704,   472,   415,
      86,    46,    47,    48,    49,    85,    19,    46,    47,    48,
      49,    24,   719,    21,    22,    60,    24,   405,   451,   452,
     453,    60,  2573,   143,   144,    38,    86,    40,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,    60,   166,    60,   119,    61,
    2974,  2975,   172,    66,  1477,  2979,  2980,    41,  1481,  1482,
      21,    22,   158,    24,   158,     6,    85,    41,   164,   165,
     164,   165,    83,    85,     6,   169,    87,   173,    86,   173,
     322,   343,  1143,    24,   346,  2783,   180,   181,   182,   183,
     184,   185,    24,   187,    24,   166,   242,   193,    28,   193,
     326,   327,   282,    19,    56,   521,    21,    22,  1169,    24,
     383,    38,    39,  1153,   127,   128,   142,   130,   131,   132,
     133,   134,    86,   143,   144,    19,    87,  1188,    40,    41,
      24,  1197,    44,   229,    60,   229,   232,  1198,   232,  1167,
      86,    93,   155,  1227,   157,    24,    25,  2483,    57,  1226,
      21,    22,  2488,    24,  2490,   175,    88,  2493,    21,    86,
     231,    24,    19,  1229,  1230,    59,    60,    24,  2597,  2598,
     316,    60,    87,  1317,   291,  1241,  1320,    56,   295,  1245,
    1246,   201,    24,  1571,    60,  1251,    28,  1253,  1254,    19,
      47,  1696,    85,  1259,    87,  1226,  1227,  1228,   299,  2002,
    1266,  1267,    60,    60,    19,    60,    21,   159,    85,    24,
      87,   143,  1278,  1279,   394,   361,    87,  1283,  1284,   910,
    1286,    60,    19,   914,   370,   166,   167,    24,   169,   161,
     162,   327,  1850,  1851,   349,  1301,  1264,   333,    60,   180,
     181,  1658,    19,   175,    21,    60,  1328,    24,    60,   201,
    1868,    60,    87,   368,   369,   207,  1322,    60,  1381,   167,
     168,  1384,    59,    60,    22,  1331,    24,    24,   448,    60,
    1336,  1355,  1356,  1357,   226,  1691,    19,    19,   985,    56,
     987,    24,   327,    60,    57,   465,  1752,   467,   327,   197,
    1756,   471,  1680,    21,    22,   475,   476,  1328,  1329,  1483,
    1366,  1485,    85,    60,    87,   406,   407,   408,   409,    66,
    1376,   307,   308,    44,  1440,   143,   144,    60,  1440,   227,
      59,   317,    61,  2011,  1355,  1356,  1357,    53,  1440,   305,
       6,   307,    58,    59,     6,   431,    28,    87,   166,   435,
     436,     6,  1532,  2320,   172,  1471,  2323,   175,     6,  1471,
    3048,     6,  2329,  2330,  2783,  1263,  1546,  1265,  1542,  1471,
    1067,   189,   297,   198,   199,   200,     6,   195,    24,    45,
     127,   128,   342,   130,   131,   132,   133,   134,  1501,    55,
     474,   240,   241,    59,   292,   166,    62,    63,   525,   330,
     298,   332,    19,   228,   302,    21,    22,    24,    24,  1328,
    1905,     6,    28,   444,   445,  1466,    28,  2366,     6,  1470,
     245,    31,    88,   353,   354,   356,   324,   252,     6,    46,
      47,    48,    49,    19,    19,    38,    39,    40,    41,    24,
     524,    44,     9,    60,    60,   395,    59,    21,    22,  2775,
      24,  2777,    19,    20,    21,    22,    23,   242,   198,   199,
     200,    46,    47,    48,    49,   359,   360,  1497,  1498,    86,
      21,    22,    23,    24,    24,    60,    24,   143,   428,   145,
     146,  1976,    59,   149,  1502,   151,  1981,   437,   228,    50,
      51,    52,   158,    60,   160,   161,   162,  1194,   523,   165,
     325,   246,   452,   328,   329,   245,    19,    51,    52,   334,
     460,    24,   252,    86,   180,   181,   182,   183,   184,   185,
      87,   187,   210,   211,   212,   213,   214,    51,    52,    24,
    1586,   429,  1550,    46,    47,    48,    49,    24,   488,   437,
      56,   491,   440,   493,    86,   443,   257,    60,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   159,   232,   208,   209,  1713,
     248,    66,   238,    86,   215,   216,   217,   218,   244,   245,
      59,   166,   532,   143,   534,   325,   432,   433,   328,   329,
      86,   489,    21,    22,   334,    24,    59,  1713,    59,    28,
    1891,  1713,   210,   211,   212,   213,   214,  1663,  2021,    21,
      22,  1713,    24,  1729,    21,    22,   176,  1733,   178,    86,
      21,    22,  1678,    24,   522,   119,    86,  1729,   245,  3048,
      86,  1733,   127,   128,    86,   130,   131,   132,   133,   134,
      59,  1697,   202,    10,   204,    28,   206,  1698,  1345,   143,
     144,   549,    19,    87,   514,   515,   516,    24,   177,   178,
     179,   259,   260,    83,  1777,    21,    22,    87,    24,   438,
     439,    38,   166,    40,   424,   425,   388,    24,   172,   193,
    2058,    28,    29,   202,   203,   248,  1742,   206,  1385,   396,
    1746,    72,    73,    60,   323,   189,   594,  1394,  1395,    66,
    1397,  1398,  1399,  1400,   343,  1761,   326,   327,   413,   143,
     144,   338,  1409,    60,   191,   192,   193,   194,   257,    66,
     257,  3047,  1778,   119,   158,   285,   286,   287,   288,   343,
     164,   165,    19,    20,    21,    22,    23,    24,   303,   173,
     359,   175,   160,   163,   365,   165,   372,   143,   144,   356,
     170,   171,   376,  1866,    87,   175,  3082,    14,    15,   193,
     127,   128,   303,   130,   131,   132,   133,   134,   188,   303,
     166,   198,   199,    60,   210,   211,   172,   197,  1894,   175,
     127,   128,  1894,   130,   131,   132,   133,   134,   155,   378,
     157,   338,  1894,   189,    59,   229,   210,   211,   232,   401,
     147,   180,   181,    59,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,    59,   772,  2585,  2586,    86,   260,    86,  1846,   309,
    1886,    86,   165,   356,  1890,  1891,   356,    53,   171,    21,
      22,    23,    24,   434,  1862,  1065,  1066,  2225,   798,  1999,
    2000,    67,    59,   803,   804,    86,    72,    86,    86,   809,
     256,    19,    20,    21,    22,    23,  1922,   485,   193,   156,
     290,    87,   394,    55,   123,   124,   125,   126,    87,   829,
      62,    63,   158,   387,    93,   835,   159,   837,    59,   839,
     840,    86,   842,   843,   844,   845,   846,   847,   119,    24,
     850,   851,    60,   853,   488,   189,   856,   857,   230,   242,
      86,   577,   862,  2204,   864,   581,   249,   250,   251,  2297,
      59,   254,   143,   144,   590,   258,    11,    12,    13,    78,
      79,    80,    81,   883,   884,   885,   175,    59,   888,    19,
      20,    21,    22,    23,    24,   166,    31,    32,    33,   158,
      86,   172,    86,    86,   248,   164,   165,  2013,  2014,    59,
     169,   175,  2018,    59,   173,   915,    59,    86,   189,  2025,
     193,   382,  2028,   189,   195,   175,   326,   927,   257,    86,
      60,    59,   198,   199,   193,    59,  2098,    86,  2104,    19,
      20,    21,    22,    23,    24,   945,   946,   257,  2054,  2055,
      59,  2057,  2104,  2059,    18,   187,    19,   441,   442,    19,
    2066,  2389,   228,    62,    63,    38,    44,    39,  2131,    19,
     229,    85,    10,   232,    19,    56,    19,     6,     6,   237,
      60,   247,     6,     6,    28,     6,   121,   122,    87,  2095,
       6,     6,     6,     6,     6,  2101,     6,     6,     6,     6,
    2163,    19,    20,    21,    22,    23,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,     6,     6,     6,   156,  2368,    19,    20,
      21,    22,    23,    24,     6,     6,     6,    59,   304,   305,
     306,  1788,    60,  1790,     6,    85,  2152,  2210,  2154,  2155,
     316,    85,   318,  2159,   320,  2161,    60,    59,  2138,   158,
     326,   327,    59,    59,   396,   164,   165,    24,   334,    60,
     169,   330,   331,    59,   173,   257,  2177,    57,   337,   257,
     339,   180,   181,   182,   183,   184,   185,    19,   187,   257,
     257,    59,    24,    59,   193,   255,   233,   242,  2204,  2205,
      59,   257,   257,  1850,  1851,    59,  1853,    87,  2176,    86,
    1857,  1858,   414,    59,    46,    47,    48,    49,    87,    42,
     159,  1868,    59,   257,   257,   257,  2232,   395,    60,    58,
     229,    59,    59,   232,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,    58,   388,   255,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   233,   242,   193,   119,  2281,    24,  2283,   158,   196,
    2521,  2522,  2523,   163,   164,   165,   189,   348,   189,    59,
     170,   171,  2355,   173,   163,   175,   165,   309,  2361,    19,
      85,   170,   171,    61,   143,   144,   175,   142,   188,  2315,
      11,    12,    13,   193,   313,  2321,    39,   197,    19,   188,
      85,    85,    85,    24,    19,    61,    61,   166,   197,    58,
      31,    32,    33,   172,    22,  1235,  1236,   454,   455,   456,
     457,   458,   459,   460,   461,  2439,  2440,  1247,  1248,   229,
     189,    58,   232,    24,     6,     6,   195,     6,     6,    60,
      24,   175,  2368,    55,   175,    24,     6,     6,    53,    16,
      62,    63,    61,  2439,  2440,    59,    59,  2439,  2440,    64,
      65,    66,    67,    24,    69,    70,    71,  2439,  2440,    74,
    2358,    76,    77,    53,    59,    87,    59,    82,    83,    85,
    1300,    39,    87,    59,  2499,    59,   291,  1307,    86,    59,
     193,  1311,  1312,  1313,    59,    59,  2744,   257,     8,   299,
     121,   122,    59,  2429,    59,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    59,   107,   108,   109,   110,
     111,   112,   113,    59,    59,   255,    59,  2510,    59,  1349,
      59,    59,    59,  2459,    59,    59,  2462,    59,  2464,  2106,
    2107,    59,    59,    59,    59,    59,   158,  1367,    59,  1369,
      59,    59,   164,   165,    59,    59,    59,    59,  2125,   245,
      59,   173,   255,    59,    59,    59,    59,    59,   180,   181,
     182,   183,   184,   185,   190,   187,    59,    24,    55,  2146,
      59,   193,  2508,    59,    55,    19,    19,    28,   189,  2572,
      39,    39,    19,    19,    85,  2521,  2522,  2523,    86,    41,
       6,     6,    24,     6,  2530,     6,     6,     6,     6,     6,
      19,     6,     6,     6,  2597,  2598,     6,   229,    61,    66,
     232,    59,    24,  2549,    26,    27,    85,  2553,  2554,   255,
    2556,    19,  2558,   245,  2795,  2796,   256,  2798,  2799,    86,
      87,   259,    89,    90,    91,    92,    93,    94,    95,   256,
      28,   242,    59,   301,  2580,    59,  2582,  2583,  2584,    46,
     158,   338,   175,    59,    66,   340,    85,   114,    59,    87,
     117,   118,   193,    59,    59,    59,    59,    59,    59,    59,
     127,   128,    59,   130,   131,   132,   133,   134,   300,  2615,
      59,   303,    59,  2619,    59,  2621,    59,    59,    59,    59,
      59,   148,    59,   150,    59,    59,    59,    59,  2956,  2957,
      59,    59,    59,    24,    59,   311,  1536,  1537,   382,   388,
     175,   193,  2708,    67,   175,   127,   128,    59,   130,   131,
     132,   133,   134,   367,  2660,  2983,  2708,    59,  2664,  2665,
    2666,   438,    23,   438,    59,    59,   138,   248,  2674,    59,
    2676,   479,  2678,    59,   178,   519,    59,    59,  2684,   528,
     528,   356,    57,   195,  2925,  1585,  2781,  2782,    59,    85,
    2696,  2697,    41,    55,  2700,  2701,  1596,    39,    85,    19,
      62,    63,    19,    60,    85,     6,    22,     6,   106,    60,
      60,    87,    60,  2360,    59,  2362,    59,   257,  2724,    19,
    2783,    59,    86,  2729,   257,    87,    59,   171,  2734,  2376,
     189,   341,  2738,   159,    59,   426,    59,    59,    59,   382,
     422,   421,    24,    67,   311,  2751,  1646,    29,   257,    59,
      59,    23,    86,    72,    86,    86,    86,  2758,   350,    86,
      53,    76,    19,  2764,  2411,    39,   189,  1667,  1668,  1669,
    1670,    68,    75,    43,    59,    59,  1676,  1677,    60,    40,
      40,    10,    87,    24,    66,    87,    61,   256,    59,  2795,
    2796,    86,  2798,  2799,  2800,  2801,   158,  2803,  2804,  2805,
    2806,  2807,   164,   165,    59,   417,   326,   333,  1708,    86,
    1710,   173,   327,    86,    59,  1715,    59,   311,   180,   181,
     182,   183,   184,   185,   193,   187,   412,   257,    60,   285,
      86,   193,    86,    86,    86,    86,    59,    10,    85,    61,
      84,  1741,  2848,  2849,  2850,   127,   128,    61,   130,   131,
     132,   133,   134,  2859,  2860,    61,   158,   549,   550,  2865,
      60,   163,   164,   165,    61,   147,    61,   229,   170,   171,
     232,   173,  2878,   175,    61,  2881,  2882,  2883,    61,   119,
     242,    85,  2888,  2889,   257,   247,   188,   520,    41,    19,
     328,   193,  2898,    40,   330,   197,   208,   328,    40,   591,
     592,   593,    10,    87,    59,   116,  2912,   328,  2914,  2915,
    2916,    59,    87,    28,    59,    87,    59,   323,    59,  2925,
    2926,  2927,  2928,    59,    61,   505,    61,   229,   505,    61,
     232,    85,    61,    60,    10,    61,    61,   311,    59,   328,
    2946,  2947,   248,   328,    67,    85,   309,    59,    59,   321,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
    2607,   107,   108,   109,   110,   111,   112,   113,    59,    59,
     248,   482,    55,    86,   309,   378,   323,   133,    59,    62,
      63,    59,   490,   500,    59,  3048,    59,   497,   257,   490,
     495,    28,   333,   311,   296,  3001,  3002,   299,   300,    59,
     454,   456,   309,  3009,   333,   133,   530,  3013,   257,   257,
     378,   373,  3018,   532,    59,   257,   519,  3023,  3081,  1919,
     257,    59,    41,   539,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,  3042,  3043,    17,   535,    19,    20,    21,    22,    23,
      24,    59,    41,    59,    28,    29,   315,    59,    59,    59,
      59,  1961,   513,   483,    38,    39,    40,   257,   257,    43,
     328,  1971,  1972,  1973,   492,   311,    61,  1977,   328,   189,
     199,    55,   199,    59,   120,   538,    60,    85,    62,    63,
     468,   468,    66,   463,    59,    86,   242,   180,   181,   182,
     183,   184,   185,   520,   187,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,  2015,   107,   108,   109,   110,
     111,   112,   113,    85,    61,  1894,  1087,  1766,  1087,  1087,
    1754,  3081,  2210,  2463,  1792,  2464,  1792,  2101,  1792,  2786,
    1792,  2102,  2462,  1344,  2131,  2045,  2103,   121,   122,   123,
     124,   125,   126,   127,   128,  1866,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   579,   141,  1006,   143,
    2781,   191,  2782,   147,  1007,  1009,  2125,  2366,   152,   156,
     359,   155,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   553,  1543,  1423,    17,  2634,    19,    20,
      21,    22,    23,    24,  1431,  2656,  2510,    28,    29,  2384,
     660,  1570,  2174,   187,    53,  2173,  2190,    38,    39,  1277,
    2224,  2436,    43,  2263,  2708,    64,    65,    66,    67,  2879,
      69,    70,    71,  2725,    55,    74,  2892,    76,    77,    60,
    2728,    62,    63,    82,    83,    66,  2894,  2729,    87,  2062,
    2070,   242,   942,  1879,  1509,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2167,    -1,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,   567,    -1,    -1,   699,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2199,
     121,   122,   123,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,    -1,    -1,    -1,   147,    -1,    -1,    -1,
      -1,   152,    -1,    -1,   155,    -1,    -1,  2237,    -1,    -1,
      53,    -1,    -1,  2243,    57,    -1,    -1,    -1,    -1,    62,
      63,    -1,    -1,    -1,    -1,  2255,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   187,   107,   108,   109,
     110,   111,   112,   113,    87,    -1,    -1,    -1,    53,    17,
      -1,    19,    20,    21,    22,    23,    24,    -1,    -1,  2289,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      38,    39,    40,    -1,    -1,    43,    -1,    -1,    -1,    11,
      12,    13,    87,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    60,    -1,    62,    63,    -1,    -1,    66,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      -1,    -1,    44,    -1,    -1,   158,    -1,    -1,    -1,    -1,
      -1,   164,   165,   427,   428,    -1,    -1,    -1,    -1,    -1,
     173,    -1,    -1,    -1,    -1,    -1,    -1,   180,   181,   182,
     183,   184,   185,    -1,   187,    -1,    -1,    -1,    -1,    -1,
     193,    -1,    -1,   121,   122,    -1,    -1,   227,    -1,   127,
     128,  2391,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   242,   141,    -1,   143,    -1,    -1,    -1,   147,
      -1,    -1,    -1,    -1,   152,    -1,   229,   155,    -1,   232,
      -1,    -1,    -1,   198,   199,   200,    -1,    -1,  2428,    -1,
      -1,    -1,  2432,    -1,    11,    12,    13,    14,    15,   252,
      -1,    -1,   255,    -1,    -1,    -1,    -1,    -1,    -1,   187,
      -1,    -1,    -1,   228,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    -1,    -1,    44,    -1,    -1,
      -1,    -1,   247,    -1,    -1,    -1,    -1,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,    -1,    -1,    62,    63,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2516,    -1,    -1,    -1,
     333,    87,    -1,    -1,    -1,    -1,    -1,    -1,   303,    -1,
      -1,   306,   345,    -1,    -1,    -1,    -1,    -1,   115,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2548,   324,
    2550,   326,   327,    -1,    -1,    -1,   369,    -1,    -1,   334,
      -1,    -1,    -1,    -1,  2564,  2565,  2566,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    62,    63,    -1,    -1,    -1,
      -1,   356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   158,    -1,    -1,    -1,    -1,    -1,   164,   165,
      87,    -1,   377,   169,    -1,    -1,    -1,   173,    -1,    -1,
      -1,    -1,    -1,   100,   180,   181,   182,   183,   184,   185,
      -1,   187,    -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   229,    -1,    -1,   232,  2667,    -1,    -1,
      -1,   158,    -1,  2673,    -1,    -1,   451,   164,   165,    -1,
      -1,   247,    -1,   170,   171,    -1,   173,    -1,    -1,   427,
     428,    -1,    -1,   180,   181,   182,   183,   184,   185,   474,
     187,    -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2714,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   536,    -1,    -1,    -1,    -1,   541,    -1,
     543,    -1,    -1,    -1,    -1,    -1,  2736,    -1,    -1,    -1,
    2740,    -1,   229,    -1,    -1,   232,    -1,    -1,    -1,    -1,
     525,   526,   527,   528,   529,   242,   531,    -1,    -1,   534,
      17,    -1,    19,    20,    21,    22,    23,    24,    -1,    -1,
      -1,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    38,    39,    40,    -1,    -1,    43,    -1,    -1,    -1,
      -1,    -1,    -1,  2793,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,  2802,    60,    -1,    62,    63,    -1,    -1,    66,
      11,    12,    13,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,  2841,    -1,    44,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2855,  2856,    -1,    -1,    -1,
      -1,    -1,  2862,  2863,   121,   122,  2866,    -1,    -1,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,  2887,    -1,    -1,
     147,  2891,    -1,  2893,    -1,   152,    -1,    -1,   155,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2909,
    2910,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2924,    -1,    -1,    -1,    -1,    -1,
     187,  2931,    -1,  2933,  2934,  2935,    -1,    -1,    -1,    -1,
      -1,    17,    -1,    19,    20,    21,    22,    23,    24,    -1,
      -1,    -1,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2961,    38,    39,    40,    -1,    -1,    43,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    55,
      -1,    -1,  2982,    -1,    60,    -1,    62,    63,    -1,    -1,
      66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2998,    -1,
      -1,    -1,    -1,    -1,    17,    -1,    19,    20,    21,    22,
      23,    24,    -1,    -1,  3014,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3024,    38,    39,    40,    -1,    -1,
      43,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    55,    -1,    -1,   121,   122,    60,    -1,    62,
      63,   127,   128,    66,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,    -1,    -1,
      -1,   147,    -1,    -1,    -1,    -1,   152,    -1,    -1,   155,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   121,   122,
      -1,   187,    -1,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,   152,
      -1,    -1,   155,    -1,    -1,    -1,    17,    -1,    19,    20,
      21,    22,    23,    24,    -1,    -1,    -1,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    38,    39,    40,
     427,   428,    43,    -1,   187,    -1,    -1,    11,    12,    13,
      14,    15,    -1,    -1,    55,    -1,    -1,    -1,    -1,    60,
      -1,    62,    63,    -1,    -1,    66,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    -1,    17,
      44,    19,    20,    21,    22,    23,    24,    -1,    -1,    -1,
      28,    29,    -1,    -1,    -1,    -1,    -1,    61,    -1,    -1,
      38,    39,    -1,    -1,    -1,    43,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    55,    -1,    -1,
     121,   122,    60,    -1,    62,    63,   127,   128,    66,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,    -1,    -1,    -1,   147,    -1,    -1,    -1,
      -1,   152,    -1,    -1,   155,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    24,    -1,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,    -1,    -1,   121,   122,    -1,   187,    -1,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    66,   143,    -1,    -1,    -1,   147,
      62,    63,    -1,    -1,   152,    -1,    -1,   155,    -1,    -1,
      -1,   427,   428,    -1,    86,    -1,    -1,    89,    90,    91,
      92,    93,    94,    95,    -1,    87,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    99,    -1,   187,
      -1,    -1,   114,    -1,    -1,   117,   118,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,    -1,    11,    12,    13,    14,    15,    -1,
      -1,    -1,    -1,    -1,   427,   428,   148,    -1,   150,    -1,
      -1,    -1,    -1,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    -1,   158,    44,    -1,    -1,
      -1,    -1,   164,   165,    -1,    -1,    -1,   169,    -1,    -1,
      -1,   173,    -1,    -1,    61,    -1,    -1,    -1,   180,   181,
     182,   183,   184,   185,    -1,   187,    -1,    -1,    -1,    -1,
      -1,   193,    -1,    -1,    -1,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   229,    -1,    -1,
     232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    54,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      62,    63,    -1,    -1,    -1,    -1,    -1,    -1,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,    87,   427,   428,    -1,    11,
      12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    11,    12,    13,    14,    15,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      -1,    -1,    44,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    -1,    -1,    44,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
     428,    -1,    -1,    61,    -1,    -1,   158,    -1,    -1,    -1,
      -1,    -1,   164,   165,    86,    -1,    -1,    -1,    -1,    -1,
      -1,   173,    11,    12,    13,    14,    15,    85,   180,   181,
     182,   183,   184,   185,    -1,   187,    -1,    -1,    -1,    -1,
      -1,   193,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    -1,    -1,    44,    -1,    -1,    -1,    -1,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   229,    -1,    -1,
     232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      72,    -1,    -1,   245,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    87,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   300,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,   509,   510,    -1,
     512,    -1,    -1,    -1,    -1,   517,   518,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    -1,    -1,
      44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   198,   199,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   228,    55,    11,    12,
      13,    14,    15,    -1,    62,    63,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   246,   247,   248,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    87,
      -1,    44,    -1,    -1,    -1,    -1,    -1,    95,    11,    12,
      13,    14,    15,    -1,   446,   447,   448,   449,    61,    -1,
      -1,    -1,    -1,    -1,    -1,   287,    -1,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    -1,
      -1,    44,   474,   305,    -1,    -1,    -1,   479,   310,    -1,
      -1,    -1,   484,    -1,    -1,    -1,    -1,    -1,    61,    -1,
     322,    -1,   324,    -1,   326,   327,    -1,    -1,    -1,    -1,
     158,    -1,   334,    -1,    -1,   337,   164,   165,    -1,   167,
      -1,   169,    85,    -1,    -1,   173,   174,    -1,    -1,    -1,
      -1,    -1,   180,   181,   182,   183,    11,    12,    13,    14,
      15,    -1,    -1,    -1,    -1,   193,   194,    -1,    -1,    -1,
     198,    -1,   200,    -1,    -1,   377,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    67,    -1,    44,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   229,    -1,    -1,   232,    -1,    -1,    87,    -1,    -1,
      -1,    -1,    -1,   241,    -1,    -1,    -1,   245,    -1,   247,
      -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,   451,
     452,   453,    -1,    -1,    -1,    -1,    -1,   459,   138,    -1,
      -1,   289,   464,    -1,     6,   293,   294,    -1,    -1,    -1,
      -1,    -1,   474,    -1,    -1,    -1,    -1,    -1,   480,    21,
      22,    23,    24,   163,    -1,   165,    -1,    -1,    -1,    -1,
     170,   171,   320,    -1,    -1,   175,   324,    -1,    -1,   327,
      -1,    -1,   330,   331,    -1,   333,    -1,    -1,   188,   337,
      -1,    -1,    -1,    55,    -1,   343,   344,   197,   346,   347,
      62,    63,   350,    -1,    -1,    -1,    -1,   355,    -1,   357,
     358,    -1,    -1,    -1,   362,   363,   364,    -1,    -1,    -1,
      -1,    -1,    -1,   371,    -1,   373,    -1,    -1,   376,   377,
      -1,   379,    -1,   381,    -1,    -1,   384,   385,    -1,    -1,
      -1,   241,    -1,   243,    -1,   245,    11,    12,    13,    14,
      15,    -1,   400,    -1,   402,    -1,   118,   119,    -1,    -1,
      -1,    -1,   410,    -1,    -1,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    -1,    -1,    44,
      -1,   143,   144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
      -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,   170,   171,
      -1,    -1,    -1,   175,    -1,    -1,   316,    -1,    -1,    -1,
      85,    -1,   322,    -1,    -1,   187,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   366,    -1,    -1,    -1,
      -1,    -1,    -1,   373,   374,    -1,    -1,    -1,    -1,    -1,
     380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   392,    11,    12,    13,    14,    15,   398,    -1,
      -1,    -1,    -1,   403,    -1,    -1,    -1,    -1,    -1,    -1,
     410,    -1,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    -1,    -1,    44,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    -1,    -1,
      44,    11,    12,    13,    14,    15,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    -1,    -1,    44,    11,    12,    13,    14,    15,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    -1,    -1,    44,    11,
      12,    13,    14,    15,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    61,    -1,    -1,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      -1,    -1,    44,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    61,
      -1,    -1,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    -1,    -1,    44,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    61,    -1,    -1,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    -1,    -1,
      44,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    61,    -1,    -1,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    -1,    -1,    44,    11,    12,    13,    14,    15,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    61,    -1,    -1,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    -1,    -1,    44,    11,
      12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    61,    -1,    -1,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      -1,    -1,    44,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    61,
      -1,    -1,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    -1,    -1,    44,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    61,    -1,    -1,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    -1,    -1,
      44,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    61,    -1,    -1,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    -1,    -1,    44,    11,    12,    13,    14,    15,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    61,    -1,    -1,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    -1,    -1,    44,    11,
      12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    61,    -1,    -1,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      -1,    -1,    44,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    61,
      -1,    -1,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    -1,    -1,    44,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    61,    -1,    -1,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    -1,    -1,
      44,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    61,    -1,    -1,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    -1,    -1,    44,    11,    12,    13,    14,    15,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    61,    -1,    -1,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    -1,    -1,    44,    11,
      12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    61,    -1,    -1,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      -1,    -1,    44,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,    -1,    -1,
      -1,    -1,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    -1,    -1,    44,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    59,    -1,    -1,    -1,    -1,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    -1,    -1,
      44,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,     6,    -1,    44,    -1,    -1,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,
      -1,    11,    12,    13,    14,    15,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    -1,    -1,
      44,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    -1,    -1,    44
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,     7,   600,   601,     3,     4,     5,   145,   165,   193,
     194,   230,   232,   234,   238,   245,   280,   284,   289,   440,
     588,   589,   596,   597,   598,   599,   794,   795,   796,   797,
     799,   800,   801,   808,   810,   811,   812,   813,   814,   815,
     816,   817,   818,   819,   820,   822,   823,   824,   825,   826,
     827,   828,   830,   831,   832,   856,   875,   876,   877,   878,
     899,   920,   921,   922,   937,   975,   976,   977,   978,   979,
     980,   981,   982,  1034,  1035,  1068,  1091,  1092,  1093,  1094,
    1095,  1096,  1097,  1098,  1099,  1100,     0,     6,    45,    55,
      59,    62,    63,    88,   143,   145,   146,   149,   151,   158,
     160,   161,   162,   165,   180,   181,   182,   183,   184,   185,
     187,   232,   238,   244,   245,   577,   581,   590,   602,   603,
     665,   667,   668,   669,   670,   683,   734,   736,   737,   738,
     739,   740,   741,   746,   760,   761,   773,   774,   775,   835,
     836,   857,   862,   865,   868,   879,   882,   901,   908,   923,
     925,   928,   931,   933,   936,   940,   941,   984,   986,   987,
     992,  1023,  1026,  1036,  1037,  1053,  1054,  1069,  1073,  1082,
    1083,  1087,  1103,  1108,  1109,     6,     6,     6,    17,    19,
      20,    21,    22,    23,    24,    28,    29,    38,    39,    43,
      55,    60,    62,    63,    66,   121,   122,   127,   128,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   141,
     143,   147,   152,   155,   187,   427,   428,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   661,   662,
     663,   690,   708,   710,   711,   714,   715,   716,   720,   721,
     733,  1071,    24,    28,   166,   807,   829,   833,    24,   833,
     833,   179,   227,   833,     6,    28,   239,   763,   193,    55,
     204,   206,   235,   242,   281,   283,   292,   302,   324,   443,
     522,   590,   143,   176,   178,   202,   204,   206,   285,   286,
     287,   288,   833,   284,    28,   247,   281,   575,   578,   579,
    1101,     6,    24,    25,   606,   290,   606,   153,   606,   720,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     107,   108,   109,   110,   111,   112,   113,   227,   242,   671,
      60,    60,   159,    24,    28,   634,   176,   204,   205,   222,
     280,   580,   186,   204,   634,   161,   242,   243,   244,   762,
    1072,   193,   634,   414,   525,    19,    24,    60,   604,   175,
     250,   742,   167,   168,   197,   227,   292,   298,   302,   324,
     429,   437,   440,   443,   489,   522,   549,   594,   939,  1022,
      56,   606,   747,    87,   158,   164,   165,   169,   173,   193,
     229,   232,   247,   738,   748,   749,   755,   777,    86,   839,
     747,   747,   747,   747,    55,    62,    63,    87,    95,   167,
     169,   174,   180,   181,   182,   183,   194,   198,   200,   241,
     245,   247,   252,   289,   293,   294,   320,   324,   327,   330,
     331,   333,   337,   343,   344,   346,   347,   350,   355,   357,
     358,   362,   363,   364,   371,   373,   376,   377,   379,   381,
     384,   385,   400,   402,   410,   748,   847,   848,   911,   912,
     919,   747,    87,   327,   333,   431,   435,   436,   748,   747,
     747,   747,    54,    55,    87,   245,   300,   446,   447,   448,
     449,   474,   479,   484,   739,   748,   943,   944,   945,   946,
     947,    86,    57,    87,   163,   170,   171,   175,   188,   197,
     299,   748,   750,   747,   747,   747,   747,    87,   242,   247,
     373,   748,   755,   847,  1058,  1060,    87,   245,   300,   303,
     549,   550,   591,   592,   593,   748,   755,   847,  1070,  1106,
    1107,   747,   747,    87,   169,   592,   748,  1110,    19,    24,
      38,    40,    60,   155,   157,   707,   709,   733,    41,   610,
      41,    21,    22,   611,   612,   613,    60,   142,    39,   142,
     720,    19,   123,   124,   125,   126,   696,   720,    86,    86,
      60,    60,    60,    60,    60,    60,    60,    60,    60,    19,
      20,    23,    24,    60,   156,   611,   613,   621,   690,   691,
     692,   695,   697,   698,   699,   702,   704,   705,    19,    60,
      60,    57,    19,    57,     6,    11,    12,    13,    14,    15,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    44,    44,    47,    86,   166,   778,     6,   778,    28,
     635,   635,   119,   231,   833,   119,   231,   833,    47,    86,
     166,   781,   604,   240,   241,     6,     6,   297,    24,    28,
     166,   834,     6,   282,     6,   802,     6,   809,    24,   798,
     178,   206,   287,   312,   342,   169,   287,   473,   486,   487,
     798,   206,   287,     6,   166,   166,   634,   634,   634,   634,
     634,   634,   634,   634,   634,   635,   938,  1101,     6,  1101,
       6,     6,   525,  1102,    31,   606,   684,   604,   666,   672,
      19,   106,   606,    24,    24,    19,    21,    24,    56,    60,
     735,    59,   778,   778,   778,   604,   242,    47,    86,   166,
     189,  1088,   781,    59,   763,   568,   574,   576,   587,   634,
    1076,   246,  1084,  1085,   604,   605,   605,   720,   606,    86,
     745,   985,   444,   445,   523,    24,    56,    86,   159,    46,
      47,    48,    49,   604,   607,   778,   776,   174,   634,   257,
     634,   781,   248,    59,    86,   753,    59,    59,   838,   840,
      86,    86,    86,    86,   246,   351,    59,    28,   353,   354,
      55,   387,    55,   387,    55,   387,    55,   387,   326,   352,
     634,   607,   388,   193,   248,   343,   346,   242,   316,   361,
     370,   396,   323,   343,   245,   607,   909,   413,    59,   604,
      21,    22,    24,   291,   608,   903,   404,   608,   902,   338,
     257,   323,   345,   257,   343,   303,   356,   359,   360,   359,
     160,   607,   365,   372,   303,   303,   378,   376,    58,   333,
     353,   354,   607,   386,   604,   401,   338,   160,   241,   242,
     245,   316,   361,   370,   405,    59,    59,    86,   852,    86,
     917,    59,    86,   309,   356,   434,   356,   229,   396,    59,
      86,    86,    86,   485,   193,   394,   735,   607,   158,   604,
     607,   159,   607,   387,   942,   753,    59,    86,   488,   604,
     119,   143,   144,   166,   172,   189,   195,   680,   757,   119,
     189,   757,    24,   756,   189,   230,   175,    59,    59,    86,
      86,    86,    86,    23,    24,   624,   628,   248,   175,    59,
      59,    59,    94,   348,   368,   375,   544,   545,   546,   547,
     548,  1055,  1056,    86,  1066,   193,   382,   604,   175,   326,
     607,   257,   166,   607,  1104,    59,    59,    86,    86,  1111,
    1115,   257,    59,    10,   709,   709,   709,   720,    21,    22,
     156,   702,   709,   709,    18,    19,    19,   712,   713,   720,
      38,    39,   142,    39,    19,    85,    61,    85,   658,   658,
     756,   756,   720,   720,   720,   720,   720,   720,   720,    40,
     694,   696,   720,    38,    39,    86,    10,    85,   156,    85,
     156,   756,   756,    19,    56,    19,   720,   720,   720,   720,
     720,   720,   720,   720,   720,   720,   720,   720,   720,   720,
     720,   720,   717,    55,    62,    63,   180,   181,   182,   183,
     184,   185,   187,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   806,   177,   178,   179,   202,   203,
     206,   779,   780,     6,     6,   833,   833,   237,   821,   833,
     833,     6,   177,   233,   782,   783,     6,    28,    51,    52,
      51,    52,   855,   834,     6,     6,     6,   118,   119,   143,
     161,   166,   170,   171,   175,   196,   219,   220,   221,   223,
     224,   225,   628,   680,   805,     6,    24,    88,   143,   161,
     162,   175,     6,   798,   798,   798,   798,   900,   798,   798,
     983,   166,   798,   166,   798,     6,   798,   798,     6,   634,
       6,     6,     6,     6,     6,     6,     6,     6,     6,     6,
       6,   143,   175,   201,   680,     6,  1102,   604,     6,   720,
      60,   674,   604,   675,   677,   682,   129,   187,   253,   262,
     276,   277,   278,   279,   415,   521,   664,   671,    59,    85,
      85,   770,   771,   720,    59,   778,   202,   286,   582,   583,
     584,   585,   586,  1089,  1090,   605,    59,    59,   396,  1074,
      21,    22,    24,    28,    60,   636,  1077,   634,   604,  1075,
      86,   166,  1079,   604,    59,    86,    50,    51,    52,    61,
     744,   747,    24,   735,   764,   767,   768,   605,   607,   752,
     754,    83,    87,   837,   841,   842,   861,   867,   881,   257,
     257,    59,   604,   604,   607,    95,   416,    59,    59,   245,
     389,   257,   383,   607,   607,   257,   257,   255,   233,   607,
     242,   397,   634,   257,   257,    59,    59,    86,   793,   414,
      59,    24,   621,   627,    42,   609,    53,    58,    59,   393,
     394,   299,   406,   407,   408,   409,   907,   609,    53,    58,
      59,   607,   604,   257,   257,   604,   257,   607,   608,   607,
     159,   607,   607,    59,   607,   607,   607,   607,   607,   607,
     395,    58,   607,   607,    59,   607,    59,    58,   607,   607,
     388,   255,   193,   233,   607,   242,   607,   851,   853,   854,
     916,   918,   189,   608,   119,   924,   634,   634,   930,   935,
     607,   257,   383,   607,   607,   607,   189,   604,   754,   948,
     604,   628,    24,   678,   679,   681,    47,   604,   759,   196,
     628,   759,   759,   607,   756,   991,  1025,  1038,  1059,   607,
     756,    28,   608,   608,  1061,    55,   133,   324,   332,   507,
    1055,  1067,    59,   607,   607,   604,   309,   604,   768,   769,
     604,    19,    61,   709,   156,    85,    61,   142,    39,   720,
     720,   659,   660,    61,    85,    85,    61,    85,    85,    85,
      85,    61,    61,    85,    10,    85,    85,    61,    19,    60,
     692,   699,   704,    61,    61,    58,    22,    58,    24,    26,
      27,   715,   718,    85,    87,   821,   821,   720,     6,     6,
       6,    85,    87,     6,    24,   292,   293,     6,    21,    22,
      23,    24,   611,   613,   614,   615,   616,   803,   804,   628,
     678,    24,   175,   175,    24,   166,    24,   807,   635,   635,
     635,   635,     6,    24,   166,   167,   169,   180,   181,   330,
     332,   356,   635,   635,     6,    24,    72,   158,   248,   349,
     412,   446,   478,   798,   635,   798,   635,   635,   635,     6,
     678,    28,   756,   634,     6,    59,    61,   673,    16,   676,
      59,    86,   671,   606,   634,    24,   768,    59,    61,    85,
      87,   634,   720,    53,  1078,   604,   634,    95,   165,   414,
     536,   569,   570,   571,   572,   573,  1080,  1081,    59,    59,
    1086,    87,   165,   171,   242,   249,   250,   251,   254,   258,
     743,    39,   766,    85,    59,    87,   165,   170,   750,   751,
     291,    59,    86,   845,    87,   296,   299,   300,   748,   750,
     858,    87,   169,   313,   748,   755,   866,    87,    93,   169,
     330,   331,   337,   339,   748,   880,   604,   604,    59,    59,
      59,   607,    86,   607,   904,   193,   257,   604,    59,    59,
      59,   604,   604,   607,   607,    59,   255,   604,    59,   604,
     604,     8,   897,   910,   604,   903,   606,   903,   604,   604,
      59,   902,   604,   604,    59,    59,   604,   604,    59,   604,
      59,    59,    59,   735,    59,    59,    59,    59,    59,    59,
      59,    59,   607,    59,   604,    59,    59,    59,   607,    59,
      59,   245,   607,   607,   607,    59,   255,    59,    83,    87,
     290,   751,   850,   754,    67,    87,   138,   170,   171,   241,
     243,   245,   316,   322,   366,   373,   374,   380,   392,   398,
     403,   410,   751,   915,   604,    59,   432,   433,    53,    59,
      98,    59,    59,    87,   100,   170,   171,   242,   738,   748,
     847,   926,   927,   929,    87,   143,   175,   260,   441,   442,
     680,   748,   934,   604,   604,    87,   169,   174,   282,   394,
     448,   465,   467,   471,   475,   476,   949,   956,   959,    59,
     757,   677,   720,   190,   758,   607,   757,    59,    87,    99,
     169,   509,   510,   512,   517,   518,   748,   755,   988,    87,
     169,   474,   524,   748,   755,  1024,    53,    57,    87,   252,
     255,   333,   345,   369,   536,   541,   543,   748,   755,  1039,
    1041,    55,  1057,    59,    59,   609,    55,    19,  1062,  1063,
      19,   630,   631,   604,   607,    28,   607,  1065,   189,  1105,
     604,    86,  1114,   709,   709,   720,    39,    39,    85,    61,
      85,   656,   657,   720,   720,   720,   720,   720,   720,    40,
     694,   720,   694,    40,   694,   694,    85,   720,    19,    41,
      19,   719,   780,     6,     6,   783,    56,    21,    22,    24,
     807,   807,     6,     6,     6,     6,   634,   634,    21,    22,
      24,   611,   613,   629,     6,     6,    19,   735,   735,   735,
     635,     6,   635,     6,     6,     6,   671,   671,   685,    86,
      89,    90,    91,    92,    93,    94,    95,   114,   117,   118,
     148,   150,   671,   686,   687,   688,   689,   714,   722,   723,
     725,   733,   606,    59,    61,    85,  1090,    61,    19,    85,
      87,    87,   234,   778,   256,   255,   259,   607,   607,   256,
     259,   260,    59,    28,   635,   765,   767,   778,    59,   292,
     293,   606,   844,   846,    46,   175,   301,    59,   869,   874,
     158,    59,   884,   885,   889,   885,   890,   608,   894,   338,
     340,    59,    85,    59,    59,    99,   231,   299,   416,   418,
     420,   423,   905,   906,    59,   383,   607,   604,    59,    59,
      59,    59,    59,   607,    59,    59,    59,    87,   896,    59,
      59,    59,    59,    59,    59,    59,    59,    59,    59,    59,
      59,   193,    59,    59,    59,   607,   291,   295,    24,    59,
     311,   382,   175,   175,   256,   388,   175,   193,    67,   604,
     367,   175,   167,   375,   607,   607,   399,   607,   607,   138,
     316,    59,    59,   607,   607,   604,   608,    23,   438,   438,
     438,   439,   753,    59,   678,    28,   756,   604,   634,   138,
      59,   968,   974,   322,   450,   475,   607,   951,   322,   607,
     950,   248,   627,   952,   953,   477,   607,    59,   479,   969,
      59,   191,   192,   193,   194,    24,   613,   626,  1002,  1007,
     993,  1001,   989,   990,   626,   178,   519,    59,  1027,  1033,
     607,   604,    59,   604,   528,   528,   195,  1040,   356,  1040,
      57,   636,  1042,    74,   540,  1043,  1040,    59,   604,   631,
      85,    41,    87,   725,  1064,   604,  1113,    39,   720,   720,
      53,    64,    65,    66,    67,    69,    70,    71,    74,    76,
      77,    82,    83,    87,   642,   643,   644,   645,   646,   654,
      87,   643,   644,   645,   646,   655,    85,    85,    61,    61,
      61,    61,    61,    85,    10,    61,    85,    61,    85,    10,
      61,    85,    85,    19,    19,    60,    22,     6,     6,   606,
     682,   726,   712,   712,    60,   720,   720,   720,   728,    60,
      60,   606,    87,   688,    59,   712,    31,    44,    59,    19,
    1081,    59,   257,   171,   604,   257,   604,   605,   629,    76,
      87,   294,   843,   859,   756,   860,   769,   159,   167,   180,
     181,   330,   883,   769,    86,   888,    42,   332,   891,   607,
     341,   604,   189,   426,   422,   140,   419,   421,   424,   425,
      85,    87,    59,    59,    59,    59,    87,   198,   199,   200,
     228,   245,   252,   325,   328,   329,   334,   784,   785,   787,
     788,   789,   895,   607,    59,    24,   292,   293,    99,   173,
     292,   296,   849,   195,   349,   356,   364,   326,   327,   607,
     607,   607,   257,   245,   389,   756,   607,   311,   349,   368,
     369,   914,   756,   382,    67,    59,    59,    60,   155,   697,
     932,   932,   932,    23,   754,   350,   768,   970,   604,   604,
     607,    86,   604,    86,   735,    86,   604,   604,    86,    86,
    1006,   769,    86,   608,  1008,  1013,    28,    86,  1014,  1019,
     607,    72,   769,   189,   604,   604,   604,   608,   604,    76,
    1041,  1044,  1049,   604,  1062,    19,    87,   503,  1112,    39,
      61,    61,    68,    72,    73,    75,    11,    12,    13,    31,
      32,    33,   121,   122,   604,   640,   647,   648,   649,    43,
     650,   651,   651,   653,    24,   611,   625,    59,   647,   650,
     653,   626,    59,   720,   720,    40,   694,    40,   694,    40,
     694,    10,    40,   694,    40,   694,    87,   713,    59,    61,
     686,    59,    59,    24,    59,   115,    86,    24,   671,   724,
     732,   732,    31,    59,    59,   720,   731,    61,   605,   633,
     256,   604,   633,   604,   604,    59,    60,   733,   863,   864,
     682,    86,   873,   607,   888,   896,   886,   606,   634,   333,
     892,   326,    59,   417,   285,   906,   898,   607,    86,   326,
     327,   327,   605,   604,   172,   208,   335,   336,   887,    28,
      29,    60,   638,   639,   721,   733,    86,   792,    59,    59,
     390,   391,   607,   913,   913,   608,   412,   633,   193,   257,
     607,   607,   311,   697,   701,   607,   971,    86,   973,   961,
     961,   954,   957,  1005,  1004,    86,  1000,  1009,  1015,   604,
      86,  1032,   604,   607,    86,  1045,    86,   608,    59,    10,
     604,    14,    15,   641,    85,    15,    85,   641,   604,    78,
      79,    80,    81,   652,    85,   641,    84,    61,    61,    61,
      61,    61,    85,    10,    61,    61,    61,    85,    60,    61,
      10,    61,    61,    10,    61,    61,   727,    61,   725,   706,
     606,   119,   720,   733,   720,    59,   718,   605,   257,   720,
      85,   872,   870,   886,    87,   608,   330,   893,   607,   786,
     787,   328,   328,   328,   210,   211,   208,   720,    56,    93,
     159,   201,   207,   226,   790,   607,   604,   607,    85,   156,
     969,   972,    87,   627,   962,   963,    87,    87,   282,   322,
     466,   955,    87,   246,   305,   334,   451,   452,   453,   784,
     958,    87,   502,   503,   506,   507,   508,  1003,   999,   998,
    1012,  1018,   520,  1031,  1028,  1046,  1048,  1050,   604,   649,
     640,   648,   651,   651,    41,   651,   651,    19,    40,   694,
      40,   694,   694,    10,   694,    87,    59,   116,     9,    87,
     691,   693,   695,   697,   698,   700,   703,   729,   732,   732,
      59,    59,   633,    61,   864,    53,    67,    72,    87,   189,
     247,   304,   305,   306,   316,   318,   320,   326,   327,   334,
     784,   871,   607,    87,    59,   605,   605,   605,   210,   211,
      61,    28,   632,    56,   201,   604,   632,   208,   209,   215,
     216,   217,   218,   791,    56,   201,    87,   697,    72,    87,
     246,   247,   248,   287,   305,   310,   322,   324,   326,   327,
     334,   337,   377,   448,   451,   452,   453,   459,   464,   474,
     480,   784,   960,   466,   472,   964,   607,   604,   607,    59,
     604,   604,   172,   335,   462,   604,   323,   221,   604,    59,
     505,   505,   607,   607,   607,    59,    57,    87,    99,   174,
     242,   248,   252,   491,   493,   494,   498,   499,   501,   509,
     510,   518,   994,    87,   505,   511,  1010,    87,   290,   505,
    1016,    29,   637,   639,    53,    87,   200,   247,   303,   306,
     324,   326,   327,   334,   356,   377,   451,   474,   525,   526,
     527,   528,   529,   531,   534,   784,  1029,    87,   198,   334,
    1047,    87,   536,   537,   542,  1051,   604,   604,   604,   604,
     652,   652,    61,    61,    61,    85,    61,    60,    61,   725,
     725,    10,    85,   154,   720,    61,    85,   604,   311,   307,
     308,   317,   604,   248,   604,   328,   328,    67,    57,   252,
     319,   322,   321,   309,    76,    77,   236,   310,   772,   172,
     314,    59,   786,    59,   632,   632,    59,    59,   210,   211,
     212,   213,   214,   210,   211,   212,   213,   214,    59,   632,
     632,   792,   454,   455,   456,   457,   458,   459,   460,   461,
     604,   248,   482,    86,   604,   604,   604,   607,   309,    76,
     310,   772,   172,   335,   462,   456,   378,   607,   604,   323,
     221,   604,   356,   481,   604,   133,   454,    59,   604,    59,
     604,   604,   604,   604,   490,   496,  1007,   163,   505,   163,
     496,   505,   497,   323,   490,   490,   607,   495,   257,   500,
     311,   333,   995,   333,   996,   519,    59,  1011,   504,   604,
    1020,  1008,    59,  1017,  1014,  1020,    59,   604,   607,   248,
     339,   604,   257,   607,   309,    76,   310,   772,   172,   210,
     462,   533,  1030,   608,   378,   257,   133,   257,   257,   387,
     454,   468,   604,   530,   532,   535,    59,   634,   172,   210,
      59,  1052,   539,   538,   634,    59,    41,    41,   694,   694,
     693,   700,   725,   730,    59,   720,   180,   181,   607,   605,
     605,   311,   605,   605,   604,   604,   607,   604,   604,   604,
     604,   604,   315,   790,    59,    59,   790,   790,   790,    59,
      59,   607,   483,   965,   469,   470,   604,   604,   604,   607,
     327,   607,   604,   604,   607,   607,   604,   607,   513,  1021,
    1021,   328,   257,   514,   515,   516,   997,   604,   997,   257,
     604,   604,   604,   328,   492,   607,   604,   604,   189,   607,
    1013,   607,  1019,    72,   333,   604,   607,   607,   604,   604,
     604,   604,   327,   607,   605,   604,   604,   604,   607,   607,
     607,   607,   199,   199,   604,   604,    61,    85,   120,    61,
     608,   608,   607,   790,   790,   790,   790,   607,    87,   608,
     967,   468,   607,   604,   604,  1021,   604,  1021,   604,   607,
     604,   604,   607,   468,   634,   634,   694,   725,    59,   463,
     966,   520,    85,    59,   637,   694,    61
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   595,   664,   664,   664,   664,   664,   664,   664,   664,
     664,   664,   600,   600,   601,   601,   602,   602,   603,   604,
     604,   604,   605,   605,   605,   606,   606,   607,   607,   607,
     607,   607,   607,   608,   608,   608,   609,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   618,   619,   620,   621,
     621,   622,   622,   623,   623,   624,   624,   624,   624,   624,
     624,   624,   625,   625,   626,   626,   627,   627,   628,   628,
     629,   629,   629,   629,   629,   630,   631,   631,   632,   633,
     634,   634,   635,   635,   636,   636,   636,   636,   636,   637,
     637,   638,   638,   638,   639,   639,   639,   640,   640,   640,
     640,   640,   640,   640,   640,   641,   641,   642,   642,   642,
     642,   642,   642,   642,   642,   642,   642,   643,   644,   645,
     646,   646,   647,   647,   647,   647,   648,   648,   649,   649,
     650,   650,   650,   651,   651,   652,   652,   652,   652,   653,
     653,   653,   654,   654,   654,   654,   655,   655,   655,   655,
     655,   656,   656,   657,   657,   658,   659,   660,   661,   662,
     663,   663,   596,   597,   596,   598,   596,   599,   602,   602,
     666,   665,   602,   667,   602,   668,   602,   669,   602,   670,
     671,   671,   671,   671,   671,   671,   671,   671,   671,   671,
     671,   671,   671,   671,   671,   671,   671,   671,   672,   671,
     673,   673,   674,   674,   675,   675,   676,   676,   677,   678,
     679,   678,   681,   680,   682,   602,   684,   685,   683,   686,
     686,   687,   687,   688,   689,   689,   690,   690,   691,   691,
     691,   691,   691,   692,   692,   693,   694,   695,   695,   695,
     695,   695,   695,   695,   695,   695,   695,   696,   696,   696,
     696,   697,   697,   697,   698,   698,   698,   698,   698,   698,
     698,   698,   699,   699,   699,   699,   699,   700,   700,   700,
     700,   700,   701,   701,   702,   702,   703,   703,   704,   704,
     704,   704,   705,   705,   706,   706,   706,   707,   707,   708,
     709,   709,   709,   709,   709,   709,   709,   709,   709,   710,
     710,   710,   710,   710,   710,   710,   710,   710,   710,   710,
     710,   711,   711,   711,   711,   712,   712,   712,   713,   714,
     715,   715,   715,   715,   715,   715,   715,   715,   717,   716,
     718,   719,   718,   718,   718,   720,   720,   720,   720,   720,
     720,   720,   720,   720,   720,   720,   720,   720,   720,   720,
     720,   720,   720,   720,   720,   720,   720,   720,   720,   720,
     720,   720,   720,   720,   720,   720,   720,   720,   720,   720,
     720,   720,   721,   722,   722,   722,   723,   723,   724,   724,
     726,   727,   725,   725,   725,   728,   729,   730,   725,   725,
     725,   725,   725,   725,   725,   725,   725,   731,   725,   725,
     725,   732,   733,   733,   602,   734,   734,   735,   735,   735,
     735,   602,   736,   602,   737,   738,   738,   738,   738,   738,
     738,   738,   738,   738,   738,   739,   739,   602,   740,   741,
     742,   742,   743,   743,   743,   743,   743,   743,   743,   743,
     743,   744,   744,   745,   745,   602,   746,   746,   747,   747,
     747,   747,   748,   748,   748,   748,   748,   748,   748,   748,
     748,   749,   750,   750,   750,   750,   750,   750,   750,   750,
     750,   750,   751,   751,   752,   752,   753,   753,   754,   755,
     756,   757,   757,   757,   757,   758,   758,   758,   758,   758,
     759,   759,   602,   760,   760,   760,   760,   760,   602,   761,
     762,   762,   762,   762,   763,   763,   763,   763,   763,   763,
     763,   763,   764,   765,   765,   766,   766,   767,   768,   768,
     769,   770,   771,   772,   772,   773,   774,   775,   775,   775,
     775,   775,   776,   777,   778,   778,   778,   779,   779,   780,
     780,   780,   780,   780,   780,   781,   781,   781,   782,   782,
     783,   783,   784,   785,   785,   786,   786,   787,   787,   788,
     788,   789,   790,   790,   790,   790,   790,   790,   790,   790,
     790,   791,   791,   791,   791,   791,   791,   791,   791,   791,
     791,   791,   791,   791,   791,   792,   793,   596,   794,   596,
     795,   596,   796,   596,   797,   798,   798,   596,   799,   596,
     800,   596,   801,   802,   802,   802,   802,   802,   802,   802,
     802,   802,   802,   802,   802,   802,   802,   802,   802,   802,
     802,   803,   803,   803,   803,   803,   803,   803,   803,   804,
     804,   804,   804,   805,   805,   805,   805,   806,   806,   806,
     806,   806,   806,   806,   806,   806,   806,   806,   806,   806,
     806,   806,   806,   806,   806,   806,   806,   806,   807,   596,
     808,   809,   809,   809,   809,   809,   809,   809,   596,   810,
     596,   811,   596,   812,   596,   813,   596,   814,   596,   815,
     596,   816,   596,   817,   596,   818,   596,   819,   596,   820,
     821,   821,   596,   822,   596,   823,   596,   824,   596,   825,
     596,   826,   596,   827,   596,   828,   829,   829,   596,   830,
     596,   831,   596,   832,   833,   833,   833,   834,   834,   834,
     602,   835,   836,   837,   838,   838,   839,   839,   840,   841,
     842,   842,   842,   843,   843,   844,   844,   845,   845,   846,
     847,   848,   849,   849,   849,   849,   850,   850,   850,   850,
     850,   850,   851,   851,   852,   852,   854,   853,   855,   855,
     855,   855,   596,   856,   773,   857,   858,   858,   858,   859,
     858,   860,   858,   861,   861,   862,   863,   863,   864,   864,
     773,   879,   880,   880,   880,   880,   880,   880,   880,   881,
     881,   882,   883,   883,   883,   883,   884,   884,   885,   886,
     887,   887,   887,   887,   887,   887,   888,   888,   889,   890,
     891,   891,   891,   892,   892,   893,   893,   894,   895,   895,
     895,   895,   895,   895,   895,   895,   895,   896,   896,   897,
     898,   793,   596,   899,   900,   900,   900,   900,   900,   900,
     900,   900,   900,   900,   773,   865,   866,   866,   866,   866,
     867,   867,   868,   869,   870,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   872,   872,   873,   873,   874,   596,   875,   596,   876,
     596,   877,   596,   878,   773,   901,   902,   902,   902,   903,
     903,   903,   903,   903,   904,   904,   905,   905,   906,   906,
     906,   906,   906,   906,   906,   906,   906,   907,   907,   907,
     907,   907,   908,   908,   908,   908,   908,   908,   908,   908,
     908,   908,   908,   908,   908,   908,   908,   908,   908,   908,
     908,   908,   908,   908,   908,   908,   908,   908,   908,   908,
     908,   908,   908,   908,   908,   908,   908,   908,   908,   908,
     908,   908,   908,   908,   908,   908,   908,   908,   908,   908,
     908,   908,   908,   908,   908,   908,   908,   908,   908,   908,
     908,   908,   908,   908,   908,   908,   908,   908,   908,   908,
     908,   908,   908,   908,   908,   908,   908,   909,   910,   908,
     908,   908,   908,   908,   908,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   912,   913,   913,
     913,   914,   914,   914,   915,   915,   915,   915,   915,   915,
     915,   915,   915,   915,   915,   915,   915,   915,   915,   915,
     915,   915,   915,   915,   915,   915,   915,   915,   915,   915,
     915,   915,   916,   916,   917,   917,   918,   919,   668,   596,
     920,   596,   921,   596,   922,   720,   720,   773,   926,   927,
     928,   929,   929,   929,   929,   929,   929,   929,   929,   930,
     930,   931,   932,   932,   773,   939,   939,   939,   940,   941,
     941,   942,   942,   943,   944,   945,   945,   945,   945,   945,
     945,   945,   945,   945,   945,   945,   945,   945,   945,   945,
     946,   947,   948,   948,   949,   949,   949,   949,   949,   949,
     949,   949,   949,   950,   949,   951,   949,   949,   949,   949,
     952,   952,   953,   954,   954,   955,   955,   955,   956,   956,
     957,   957,   958,   958,   958,   958,   958,   958,   958,   958,
     958,   958,   958,   959,   960,   960,   960,   960,   960,   960,
     960,   960,   960,   960,   960,   960,   960,   960,   960,   960,
     960,   960,   960,   960,   960,   960,   960,   960,   960,   960,
     960,   960,   960,   960,   960,   960,   960,   960,   960,   960,
     960,   960,   960,   961,   961,   962,   963,   964,   964,   964,
     965,   965,   966,   966,   967,   968,   969,   969,   971,   970,
     972,   972,   973,   973,   974,   596,   975,   596,   976,   596,
     977,   596,   978,   596,   979,   596,   980,   596,   981,   596,
     982,   983,   983,   983,   983,   983,   983,   983,   983,   983,
     773,   985,   984,   986,   986,   986,   986,   986,   986,   773,
     987,   988,   988,   988,   988,   989,   988,   990,   988,   988,
     988,   988,   991,   991,   992,   993,   994,   994,   994,   994,
     994,   994,   994,   994,   994,   994,   994,   994,   994,   994,
     994,   994,   994,   995,   994,   996,   994,   994,   994,   994,
     994,   997,   997,   997,   998,   999,   999,  1000,  1000,  1001,
    1002,  1003,  1003,  1003,  1003,  1003,  1004,  1005,  1005,  1006,
    1006,  1007,  1008,  1009,  1010,  1010,  1010,  1011,  1012,  1012,
    1013,  1013,  1014,  1015,  1016,  1016,  1016,  1017,  1018,  1018,
    1019,  1019,  1020,  1020,  1021,  1021,   773,  1022,  1022,  1023,
    1024,  1024,  1024,  1024,  1024,  1024,  1025,  1025,  1026,  1027,
    1028,  1029,  1029,  1029,  1029,  1029,  1029,  1029,  1029,  1029,
    1029,  1029,  1029,  1029,  1029,  1029,  1029,  1029,  1029,  1029,
    1029,  1029,  1029,  1029,  1029,  1029,  1029,  1029,  1030,  1030,
    1030,  1030,  1031,  1031,  1032,  1032,  1033,   596,  1034,   596,
    1035,   773,  1036,  1037,  1038,  1038,  1039,  1039,  1039,  1039,
    1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,  1039,  1040,
    1040,  1041,  1042,  1043,  1043,  1044,  1045,  1045,  1046,  1046,
    1047,  1047,  1047,  1048,  1049,  1050,  1050,  1051,  1051,  1051,
    1052,   773,  1053,  1054,  1054,  1054,  1054,  1054,  1054,  1054,
    1055,  1055,  1055,  1055,  1055,  1055,  1055,  1056,  1056,  1057,
    1057,  1059,  1058,  1060,  1060,  1060,  1060,  1060,  1060,  1060,
    1060,  1060,  1061,  1060,  1060,  1062,  1063,  1063,  1064,  1065,
    1065,  1066,  1067,  1066,   596,  1068,   773,   933,   934,   934,
     934,   934,   934,   934,   934,   934,   935,   935,   936,   596,
     937,   938,   938,   938,   938,   938,   938,   773,   923,   924,
     924,   924,   925,   925,   925,   925,   925,   925,   925,   925,
     925,  1069,  1070,  1070,  1070,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,   733,   602,  1072,  1073,  1074,  1074,  1075,  1075,
    1076,  1076,  1076,  1076,  1076,  1077,  1078,  1078,  1079,  1079,
    1080,  1080,  1081,  1081,  1081,  1081,  1081,  1081,  1081,  1081,
    1081,   602,  1082,  1082,   602,  1083,  1084,  1084,  1085,  1086,
    1086,   602,   602,  1087,  1087,  1087,  1087,  1088,  1088,  1088,
    1089,  1089,  1090,  1090,  1090,  1090,  1090,  1090,  1090,   596,
    1091,   596,  1092,   596,  1093,   596,  1094,   596,  1095,   596,
    1096,   596,  1097,   596,  1098,   596,  1099,   596,  1100,  1101,
    1101,  1102,  1102,  1102,   773,  1103,  1069,  1069,  1104,  1104,
    1105,  1105,  1106,  1106,  1107,  1107,  1107,  1107,  1107,  1107,
    1107,   773,  1108,  1109,  1109,  1110,  1110,  1110,  1111,  1112,
    1113,  1113,  1114,  1114,  1115
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     2,     0,     2,     1,     1,     5,     1,
       3,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     1,     0,     2,     2,     2,
       2,     2,     6,     2,     2,     5,     5,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     2,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     2,     4,     1,     3,     1,     3,     1,     3,
       4,     6,     6,     0,     1,     1,     1,     1,     1,     2,
       4,     4,     2,     2,     2,     2,     2,     4,     2,     2,
       2,     0,     3,     0,     3,     0,     0,     0,     6,     6,
       1,     1,     1,     2,     1,     2,     1,     2,     5,     1,
       0,     4,     1,     2,     1,     4,     1,     6,     1,     8,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     0,     3,
       0,     4,     2,     5,     0,     4,     0,     2,     1,     1,
       0,     2,     0,     3,     4,     1,     0,     0,     7,     0,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     1,     3,     1,     1,     1,     1,     5,     7,     5,
       7,     9,     7,     5,     7,     5,    11,     1,     1,     2,
       1,     7,     9,     7,     7,     9,     7,     9,     7,     9,
       7,    15,     1,     1,     1,     1,     3,     1,     1,     1,
       1,     3,     1,     3,     1,     3,     1,     3,     1,     2,
       2,     6,     1,     3,     0,     4,     3,     1,     3,     3,
       2,     4,     3,     4,     2,     2,     2,     2,     0,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       1,     5,     7,     7,     1,     0,     1,     3,     1,     4,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     4,
       1,     0,     5,     1,     1,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     4,     1,     1,     1,     1,     3,     3,
       5,     7,     6,     6,     6,     6,     4,     8,     8,     4,
       1,     1,     4,     1,     1,     1,     5,     3,     2,     1,
       0,     0,     5,     4,     6,     0,     0,     0,     9,     4,
       3,     5,     3,     3,     3,     2,     5,     0,     5,     7,
       9,     0,     1,     1,     1,     4,     5,     1,     3,     1,
       1,     1,     3,     1,     5,     1,     1,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     3,
       0,     1,     2,     2,     2,     3,     3,     4,     4,     6,
       4,     0,     3,     0,     3,     1,     1,     1,     0,     1,
       2,     3,     0,     2,     3,     2,     2,     3,     2,     2,
       2,     1,     2,     2,     4,     2,     3,     3,     3,     2,
       4,     3,     1,     2,     0,     3,     0,     3,     0,     3,
       1,     2,     1,     1,     1,     0,     2,     2,     2,     2,
       2,     1,     1,     3,     3,     3,     3,     4,     1,     4,
       1,     1,     1,     1,     1,     3,     2,     3,     3,     2,
       3,     3,     0,     1,     2,     0,     1,     3,     1,     3,
       1,     0,     2,     2,     2,     2,     2,     3,     3,     3,
       3,     5,     0,     3,     1,     1,     3,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     3,
       1,     1,     1,     4,     1,     0,     3,     5,     2,     1,
       1,     2,     0,     5,     5,     5,     5,     4,     4,     4,
       4,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     1,     1,     1,     1,     0,     3,     1,     3,     1,
       3,     1,     4,     1,     5,     1,     0,     1,     3,     1,
       4,     1,     4,     0,     2,     3,     3,     3,     3,     4,
       4,     3,     2,     2,     2,     2,     3,     3,     3,     2,
       2,     1,     1,     1,     1,     2,     2,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       4,     0,     2,     2,     2,     2,     2,     2,     1,     4,
       1,     4,     1,     4,     1,     4,     1,     4,     1,     4,
       1,     4,     1,     4,     1,     4,     1,     5,     1,     3,
       2,     0,     1,     4,     1,     4,     1,     4,     1,     5,
       1,     6,     1,     6,     1,     3,     2,     2,     1,     4,
       1,     2,     1,     3,     1,     1,     1,     1,     0,     1,
       1,     3,     3,     1,     0,     3,     0,     3,     0,     3,
       3,     3,     3,     2,     2,     0,     3,     0,     3,     0,
       3,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       3,     3,     0,     3,     0,     3,     0,     2,     0,     2,
       2,     2,     1,     5,     1,     2,     1,     1,     3,     0,
       4,     0,     4,     0,     3,     5,     1,     3,     3,     1,
       1,     2,     1,     2,     2,     2,     2,     3,     5,     0,
       3,     5,     1,     1,     1,     1,     0,     2,     0,     0,
       1,     1,     2,     2,     3,     3,     0,     3,     4,     3,
       0,     2,     2,     0,     2,     0,     2,     4,     2,     4,
       4,     4,     2,     2,     1,     2,     1,     0,     3,     0,
       0,     5,     1,     5,     0,     2,     3,     3,     3,     2,
       2,     2,     2,     2,     1,     2,     1,     1,     2,     4,
       0,     3,     5,     0,     0,     0,     2,     2,     2,     2,
       2,     2,     3,     3,     3,     3,     2,     3,     3,     4,
       4,     4,     2,     2,     3,     3,     3,     3,     3,     3,
       1,     0,     3,     0,     3,     4,     1,     6,     1,     6,
       1,     6,     1,     6,     2,     2,     0,     3,     3,     0,
       3,     3,     2,     2,     1,     3,     1,     3,     1,     3,
       2,     2,     2,     2,     2,     2,     3,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     4,     6,     4,     6,
       6,     4,     6,     5,     5,     4,     5,     5,     6,     6,
       3,     3,     4,     5,     6,     5,     5,     5,     5,     5,
       5,     5,     5,     5,     5,     6,     6,     6,     5,     6,
       6,     6,     8,     6,     6,     6,     7,     5,     6,     5,
       6,     7,     5,     6,     5,     6,     8,     4,     4,     4,
       4,     5,     5,     6,     5,     5,     6,     5,     5,     6,
       7,     7,     7,     5,     5,     4,     4,     0,     0,     6,
       6,     5,     5,     5,     6,     1,     1,     2,     2,     2,
       2,     2,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     4,     4,     4,     2,
       3,     2,     2,     2,     2,     3,     5,     5,     4,     5,
       3,     3,     3,     4,     3,     3,     4,     2,     2,     2,
       3,     3,     0,     3,     0,     3,     0,     3,     6,     1,
       4,     1,     5,     1,     5,     4,     4,     1,     1,     3,
       2,     1,     1,     1,     2,     3,     3,     3,     3,     0,
       3,     5,     1,     3,     2,     1,     2,     2,     2,     3,
       3,     0,     1,     2,     3,     1,     1,     2,     2,     3,
       3,     3,     3,     4,     2,     4,     3,     2,     3,     1,
       2,     4,     0,     3,     2,     1,     2,     3,     3,     3,
       3,     2,     3,     0,     5,     0,     5,     2,     2,     1,
       4,     1,     1,     0,     3,     2,     2,     2,     5,     2,
       0,     3,     0,     2,     2,     3,     2,     2,     3,     2,
       2,     2,     1,     3,     2,     2,     2,     2,     2,     2,
       3,     2,     2,     2,     2,     2,     2,     2,     2,     3,
       3,     3,     3,     2,     3,     2,     3,     3,     4,     4,
       2,     2,     2,     3,     3,     3,     2,     3,     3,     3,
       4,     2,     1,     0,     2,     3,     1,     0,     1,     2,
       0,     2,     0,     1,     3,     0,     0,     2,     0,     3,
       0,     3,     0,     3,     3,     1,     4,     1,     6,     1,
       6,     1,     6,     1,     7,     1,     6,     1,     7,     1,
       5,     0,     2,     3,     2,     3,     3,     2,     3,     2,
       2,     0,     4,     2,     3,     3,     6,     5,     5,     1,
       2,     1,     1,     2,     2,     0,     3,     0,     3,     6,
       2,     3,     0,     3,     5,     0,     4,     4,     3,     4,
       2,     3,     3,     3,     3,     4,     4,     4,     3,     3,
       4,     4,     2,     0,     3,     0,     3,     6,     3,     3,
       4,     1,     1,     1,     0,     0,     3,     0,     3,     4,
       1,     2,     2,     2,     4,     4,     0,     0,     3,     0,
       3,     3,     1,     0,     0,     2,     2,     0,     0,     3,
       1,     5,     1,     0,     0,     2,     2,     0,     0,     3,
       1,     5,     1,     2,     0,     2,     1,     1,     2,     2,
       1,     1,     2,     4,     2,     2,     0,     3,     5,     0,
       0,     2,     2,     2,     2,     2,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     3,     3,     4,     3,     2,     2,     1,     1,     1,
       1,     1,     0,     3,     0,     3,     4,     1,     6,     1,
       6,     1,     2,     5,     0,     3,     1,     1,     2,     3,
       1,     3,     2,     3,     3,     3,     4,     3,     3,     0,
       1,     2,     1,     4,     6,     0,     0,     3,     0,     3,
       2,     2,     2,     0,     0,     0,     3,     4,     4,     2,
       0,     2,     2,     3,     3,     3,     3,     5,     5,     4,
       3,     2,     3,     3,     3,     3,     3,     1,     2,     0,
       2,     0,     4,     2,     3,     5,     1,     2,     2,     2,
       2,     2,     0,     4,     2,     1,     1,     3,     1,     0,
       2,     0,     0,     4,     1,     4,     1,     2,     1,     2,
       2,     2,     1,     2,     2,     4,     0,     3,     5,     1,
       4,     0,     3,     3,     3,     2,     3,     2,     2,     0,
       3,     3,     3,     3,     5,     5,     5,     5,     7,     7,
       6,     3,     3,     2,     4,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     5,     2,     0,     0,     2,
       2,     3,     2,     1,     3,     1,     0,     2,     1,     3,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     3,     1,     3,     5,     2,     0,     0,
       2,     2,     1,     3,     4,     3,     3,     1,     1,     3,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     1,     5,     1,     3,     1,     3,     1,     3,     1,
       4,     1,     2,     1,     3,     1,     3,     1,     4,     0,
       1,     0,     1,     2,     2,     2,     3,     3,     1,     1,
       0,     2,     1,     1,     1,     1,     2,     3,     2,     3,
       4,     2,     2,     3,     3,     1,     2,     3,     0,     2,
       0,     3,     0,     3,     3
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        YY_LAC_DISCARD ("YYBACKUP");                              \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return YYENOMEM if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYPTRDIFF_T *yycapacity, YYPTRDIFF_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yy_state_t **yybottom,
                      yy_state_t *yybottom_no_free,
                      yy_state_t **yytop, yy_state_t *yytop_empty)
{
  YYPTRDIFF_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYPTRDIFF_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYPTRDIFF_T yyalloc = 2 * yysize_new;
      yy_state_t *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return YYENOMEM;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        YY_CAST (yy_state_t *,
                 YYSTACK_ALLOC (YY_CAST (YYSIZE_T,
                                         yyalloc * YYSIZEOF (*yybottom_new))));
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return YYENOMEM;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                                \
do {                                                                    \
  if (!yy_lac_established)                                              \
    {                                                                   \
      YYDPRINTF ((stderr,                                               \
                  "LAC: initial context established for %s\n",          \
                  yysymbol_name (yytoken)));                            \
      yy_lac_established = 1;                                           \
      switch (yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken))    \
        {                                                               \
        case YYENOMEM:                                                  \
          YYNOMEM;                                                      \
        case 1:                                                         \
          goto yyerrlab;                                                \
        }                                                               \
    }                                                                   \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      YYDPRINTF ((stderr, "LAC: initial context discarded due to "       \
                  Event "\n"));                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return YYENOMEM if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yy_state_t *yyesa, yy_state_t **yyes,
        YYPTRDIFF_T *yyes_capacity, yy_state_t *yyssp, yysymbol_kind_t yytoken)
{
  yy_state_t *yyes_prev = yyssp;
  yy_state_t *yyesp = yyes_prev;
  /* Reduce until we encounter a shift and thereby accept the token.  */
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yysymbol_name (yytoken)));
  if (yytoken == YYSYMBOL_YYUNDEF)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[+*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          /* Use the default action.  */
          yyrule = yydefact[+*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          /* Use the action from yytable.  */
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      /* By now we know we have to simulate a reduce.  */
      YYDPRINTF ((stderr, " R%d", yyrule - 1));
      {
        /* Pop the corresponding number of values from the stack.  */
        YYPTRDIFF_T yylen = yyr2[yyrule];
        /* First pop from the LAC stack as many tokens as possible.  */
        if (yyesp != yyes_prev)
          {
            YYPTRDIFF_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yyesp = yyes_prev;
                yylen -= yysize;
              }
          }
        /* Only afterwards look at the main stack.  */
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      /* Push the resulting state of the reduction.  */
      {
        yy_state_fast_t yystate;
        {
          const int yylhs = yyr1[yyrule] - YYNTOKENS;
          const int yyi = yypgoto[yylhs] + *yyesp;
          yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyesp
                     ? yytable[yyi]
                     : yydefgoto[yylhs]);
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            YY_IGNORE_USELESS_CAST_BEGIN
            *yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return YYENOMEM;
              }
            YY_IGNORE_USELESS_CAST_BEGIN
            *++yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}

/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yy_state_t *yyesa;
  yy_state_t **yyes;
  YYPTRDIFF_T *yyes_capacity;
  yysymbol_kind_t yytoken;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;

  int yyx;
  for (yyx = 0; yyx < YYNTOKENS; ++yyx)
    {
      yysymbol_kind_t yysym = YY_CAST (yysymbol_kind_t, yyx);
      if (yysym != YYSYMBOL_YYerror && yysym != YYSYMBOL_YYUNDEF)
        switch (yy_lac (yyctx->yyesa, yyctx->yyes, yyctx->yyes_capacity, yyctx->yyssp, yysym))
          {
          case YYENOMEM:
            return YYENOMEM;
          case 1:
            continue;
          default:
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = yysym;
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else if (yyn == 0)
        YYDPRINTF ((stderr, "No expected tokens.\n"));
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store or if
   yy_lac returned YYENOMEM.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YY_USE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    yy_state_t yyesa[20];
    yy_state_t *yyes = yyesa;
    YYPTRDIFF_T yyes_capacity = 20 < YYMAXDEPTH ? 20 : YYMAXDEPTH;

  /* Whether LAC context is established.  A Boolean.  */
  int yy_lac_established = 0;
  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      YY_LAC_ESTABLISH;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
  case 2: /* enum_type: NET_TYPE  */
#line 57 "conf/gen_parser.m4"
                    { (yyval.i) = T_ENUM_NET_TYPE; }
#line 6716 "obj/conf/cf-parse.tab.c"
    break;

  case 3: /* enum_type: RTS  */
#line 57 "conf/gen_parser.m4"
                                                    { (yyval.i) = T_ENUM_RTS; }
#line 6722 "obj/conf/cf-parse.tab.c"
    break;

  case 4: /* enum_type: SCOPE  */
#line 57 "conf/gen_parser.m4"
                                                                                 { (yyval.i) = T_ENUM_SCOPE; }
#line 6728 "obj/conf/cf-parse.tab.c"
    break;

  case 5: /* enum_type: RTD  */
#line 57 "conf/gen_parser.m4"
                                                                                                              { (yyval.i) = T_ENUM_RTD; }
#line 6734 "obj/conf/cf-parse.tab.c"
    break;

  case 6: /* enum_type: ROA  */
#line 57 "conf/gen_parser.m4"
                                                                                                                                         { (yyval.i) = T_ENUM_ROA; }
#line 6740 "obj/conf/cf-parse.tab.c"
    break;

  case 7: /* enum_type: ASPA  */
#line 57 "conf/gen_parser.m4"
                                                                                                                                                                     { (yyval.i) = T_ENUM_ASPA; }
#line 6746 "obj/conf/cf-parse.tab.c"
    break;

  case 8: /* enum_type: AF  */
#line 57 "conf/gen_parser.m4"
                                                                                                                                                                                                { (yyval.i) = T_ENUM_AF; }
#line 6752 "obj/conf/cf-parse.tab.c"
    break;

  case 9: /* enum_type: MPLS_POLICY  */
#line 57 "conf/gen_parser.m4"
                                                                                                                                                                                                                                  { (yyval.i) = T_ENUM_MPLS_POLICY; }
#line 6758 "obj/conf/cf-parse.tab.c"
    break;

  case 10: /* enum_type: BGP_ORIGIN  */
#line 57 "conf/gen_parser.m4"
                                                                                                                                                                                                                                                                            { (yyval.i) = T_ENUM_BGP_ORIGIN; }
#line 6764 "obj/conf/cf-parse.tab.c"
    break;

  case 11: /* enum_type: RA_PREFERENCE  */
#line 57 "conf/gen_parser.m4"
                                                                                                                                                                                                                                                                                                                        { (yyval.i) = T_ENUM_RA_PREFERENCE; }
#line 6770 "obj/conf/cf-parse.tab.c"
    break;

  case 12: /* config: conf_entries END  */
#line 156 "conf/confbase.Y"
                         { return 0; }
#line 6776 "obj/conf/cf-parse.tab.c"
    break;

  case 13: /* config: CLI_MARKER cli_cmd  */
#line 157 "conf/confbase.Y"
                      { return 0; }
#line 6782 "obj/conf/cf-parse.tab.c"
    break;

  case 18: /* definition: DEFINE symbol '=' term ';'  */
#line 173 "conf/confbase.Y"
                              {
     struct f_val *val = cf_eval((yyvsp[-1].x), T_VOID);
     cf_define_symbol(new_config, (yyvsp[-3].s), SYM_CONSTANT | val->type, val, val);
   }
#line 6791 "obj/conf/cf-parse.tab.c"
    break;

  case 20: /* expr: '(' term ')'  */
#line 181 "conf/confbase.Y"
                { (yyval.i) = cf_eval_int((yyvsp[-1].x)); }
#line 6797 "obj/conf/cf-parse.tab.c"
    break;

  case 21: /* expr: CF_SYM_KNOWN  */
#line 182 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number constant expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 6805 "obj/conf/cf-parse.tab.c"
    break;

  case 22: /* expr_us: expr S  */
#line 188 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) S_; }
#line 6811 "obj/conf/cf-parse.tab.c"
    break;

  case 23: /* expr_us: expr MS  */
#line 189 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 6817 "obj/conf/cf-parse.tab.c"
    break;

  case 24: /* expr_us: expr US  */
#line 190 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) US_; }
#line 6823 "obj/conf/cf-parse.tab.c"
    break;

  case 27: /* bool: expr  */
#line 198 "conf/confbase.Y"
        { (yyval.i) = !!(yyvsp[0].i); }
#line 6829 "obj/conf/cf-parse.tab.c"
    break;

  case 28: /* bool: ON  */
#line 199 "conf/confbase.Y"
      { (yyval.i) = 1; }
#line 6835 "obj/conf/cf-parse.tab.c"
    break;

  case 29: /* bool: YES  */
#line 200 "conf/confbase.Y"
       { (yyval.i) = 1; }
#line 6841 "obj/conf/cf-parse.tab.c"
    break;

  case 30: /* bool: OFF  */
#line 201 "conf/confbase.Y"
       { (yyval.i) = 0; }
#line 6847 "obj/conf/cf-parse.tab.c"
    break;

  case 31: /* bool: NO  */
#line 202 "conf/confbase.Y"
      { (yyval.i) = 0; }
#line 6853 "obj/conf/cf-parse.tab.c"
    break;

  case 32: /* bool: %empty  */
#line 203 "conf/confbase.Y"
                                 { (yyval.i) = 1; }
#line 6859 "obj/conf/cf-parse.tab.c"
    break;

  case 33: /* ipa: IP4  */
#line 210 "conf/confbase.Y"
       { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 6865 "obj/conf/cf-parse.tab.c"
    break;

  case 34: /* ipa: IP6  */
#line 211 "conf/confbase.Y"
       { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 6871 "obj/conf/cf-parse.tab.c"
    break;

  case 35: /* ipa: CF_SYM_KNOWN  */
#line 212 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address constant expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 6880 "obj/conf/cf-parse.tab.c"
    break;

  case 36: /* ipa_scope: %empty  */
#line 219 "conf/confbase.Y"
               { (yyval.iface) = NULL; }
#line 6886 "obj/conf/cf-parse.tab.c"
    break;

  case 37: /* ipa_scope: '%' symbol  */
#line 220 "conf/confbase.Y"
              { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 6892 "obj/conf/cf-parse.tab.c"
    break;

  case 38: /* pxlen4: '/' NUM  */
#line 227 "conf/confbase.Y"
           {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 6901 "obj/conf/cf-parse.tab.c"
    break;

  case 39: /* net_ip4_: IP4 pxlen4  */
#line 234 "conf/confbase.Y"
{
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 6914 "obj/conf/cf-parse.tab.c"
    break;

  case 40: /* net_ip6_slash: IP6 '/'  */
#line 244 "conf/confbase.Y"
{
  this_sadr_from_hack_active = cf_maybe_exit_filters();
  (yyval.a) = (yyvsp[-1].ip6);
}
#line 6923 "obj/conf/cf-parse.tab.c"
    break;

  case 41: /* net_ip6_: net_ip6_slash NUM  */
#line 250 "conf/confbase.Y"
{
  if (this_sadr_from_hack_active)
  {
    cf_enter_filters();
    this_sadr_from_hack_active = 0;
  }

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-1].a), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 6945 "obj/conf/cf-parse.tab.c"
    break;

  case 42: /* net_ip6_sadr_: net_ip6_slash NUM FROM IP6 '/' NUM  */
#line 269 "conf/confbase.Y"
{
  if (this_sadr_from_hack_active)
  {
    cf_enter_filters();
    this_sadr_from_hack_active = 0;
  }

  if (((yyvsp[-3].s)->class != SYM_KEYWORD) || ((yyvsp[-3].s)->keyword->value != FROM))
    cf_error("Expected FROM after %I6/%d", (yyvsp[-5].a), (yyvsp[-4].i));

  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-5].a), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 6976 "obj/conf/cf-parse.tab.c"
    break;

  case 43: /* net_vpn4_: VPN_RD net_ip4_  */
#line 297 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].rd));
}
#line 6985 "obj/conf/cf-parse.tab.c"
    break;

  case 44: /* net_vpn6_: VPN_RD net_ip6_  */
#line 303 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].rd));
}
#line 6994 "obj/conf/cf-parse.tab.c"
    break;

  case 45: /* net_roa4_: net_ip4_ MAX NUM AS NUM  */
#line 309 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 7005 "obj/conf/cf-parse.tab.c"
    break;

  case 46: /* net_roa6_: net_ip6_ MAX NUM AS NUM  */
#line 317 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 7016 "obj/conf/cf-parse.tab.c"
    break;

  case 47: /* net_mpls_: MPLS NUM  */
#line 325 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_mpls));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 7025 "obj/conf/cf-parse.tab.c"
    break;

  case 48: /* net_aspa_: ASPA NUM  */
#line 331 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_aspa));
  net_fill_aspa((yyval.net_ptr), (yyvsp[0].i));
}
#line 7034 "obj/conf/cf-parse.tab.c"
    break;

  case 55: /* net_: net_ip_  */
#line 341 "conf/confbase.Y"
           { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 7040 "obj/conf/cf-parse.tab.c"
    break;

  case 63: /* net_ip4: CF_SYM_KNOWN  */
#line 355 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP4))
       cf_error("IPv4 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 7050 "obj/conf/cf-parse.tab.c"
    break;

  case 65: /* net_ip6: CF_SYM_KNOWN  */
#line 364 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 7060 "obj/conf/cf-parse.tab.c"
    break;

  case 67: /* net_ip: CF_SYM_KNOWN  */
#line 373 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 7070 "obj/conf/cf-parse.tab.c"
    break;

  case 69: /* net_any: CF_SYM_KNOWN  */
#line 382 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network constant expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 7080 "obj/conf/cf-parse.tab.c"
    break;

  case 72: /* net_or_ipa: IP4  */
#line 392 "conf/confbase.Y"
       { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 7086 "obj/conf/cf-parse.tab.c"
    break;

  case 73: /* net_or_ipa: IP6  */
#line 393 "conf/confbase.Y"
       { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 7092 "obj/conf/cf-parse.tab.c"
    break;

  case 74: /* net_or_ipa: CF_SYM_KNOWN  */
#line 394 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network constant expected");
   }
#line 7105 "obj/conf/cf-parse.tab.c"
    break;

  case 75: /* label_stack_start: NUM  */
#line 405 "conf/confbase.Y"
{
  (yyval.ad) = cfg_allocz(ADATA_SIZE(MPLS_MAX_LABEL_STACK * sizeof(u32)));
  (yyval.ad)->length = sizeof(u32);
  *((u32 *)(yyval.ad)->data) = (yyvsp[0].i);
}
#line 7115 "obj/conf/cf-parse.tab.c"
    break;

  case 77: /* label_stack: label_stack '/' NUM  */
#line 413 "conf/confbase.Y"
                        {
    if ((yyvsp[-2].ad)->length >= MPLS_MAX_LABEL_STACK * sizeof(u32))
      cf_error("Too many labels in stack");

    *((u32 *)((yyval.ad)->data + (yyvsp[-2].ad)->length)) = (yyvsp[0].i);
    (yyvsp[-2].ad)->length += sizeof(u32);
    (yyval.ad) = (yyvsp[-2].ad);
  }
#line 7128 "obj/conf/cf-parse.tab.c"
    break;

  case 78: /* time: TEXT  */
#line 424 "conf/confbase.Y"
        {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 7138 "obj/conf/cf-parse.tab.c"
    break;

  case 79: /* settle: expr_us expr_us  */
#line 432 "conf/confbase.Y"
                        {
  if ((yyvsp[-1].time) > (yyvsp[0].time)) cf_error("Minimum settle time %t is bigger than maximum settle time %t", (yyvsp[-1].time), (yyvsp[0].time));
  (yyval.settle).min = (yyvsp[-1].time);
  (yyval.settle).max = (yyvsp[0].time);
}
#line 7148 "obj/conf/cf-parse.tab.c"
    break;

  case 81: /* text: CF_SYM_KNOWN  */
#line 440 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String constant expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 7157 "obj/conf/cf-parse.tab.c"
    break;

  case 83: /* opttext: %empty  */
#line 448 "conf/confbase.Y"
               { (yyval.t) = NULL; }
#line 7163 "obj/conf/cf-parse.tab.c"
    break;

  case 84: /* text_or_ipa: TEXT  */
#line 452 "conf/confbase.Y"
        { (yyval.v).type = T_STRING; (yyval.v).val.s = (yyvsp[0].t); }
#line 7169 "obj/conf/cf-parse.tab.c"
    break;

  case 85: /* text_or_ipa: IP4  */
#line 453 "conf/confbase.Y"
       { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 7175 "obj/conf/cf-parse.tab.c"
    break;

  case 86: /* text_or_ipa: IP6  */
#line 454 "conf/confbase.Y"
       { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 7181 "obj/conf/cf-parse.tab.c"
    break;

  case 87: /* text_or_ipa: CF_SYM_KNOWN  */
#line 455 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_STRING)) ||
	 ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)))
       (yyval.v) = *((yyvsp[0].s)->val);
     else
       cf_error("String or IP constant expected");
   }
#line 7193 "obj/conf/cf-parse.tab.c"
    break;

  case 88: /* text_or_ipa: '(' term ')'  */
#line 462 "conf/confbase.Y"
                {
     (yyval.v) = *cf_eval((yyvsp[-1].x), T_VOID);
     if (((yyval.v).type != T_BYTESTRING) && ((yyval.v).type != T_STRING))
       cf_error("Bytestring or string value expected");
   }
#line 7203 "obj/conf/cf-parse.tab.c"
    break;

  case 90: /* bytestring: bytestring_expr  */
#line 471 "conf/confbase.Y"
                   { (yyval.bs) = cf_eval((yyvsp[0].x), T_BYTESTRING)->val.bs; }
#line 7209 "obj/conf/cf-parse.tab.c"
    break;

  case 91: /* bytestring_text: BYTETEXT  */
#line 475 "conf/confbase.Y"
            { (yyval.v).type = T_BYTESTRING; (yyval.v).val.bs = (yyvsp[0].bs); }
#line 7215 "obj/conf/cf-parse.tab.c"
    break;

  case 92: /* bytestring_text: TEXT  */
#line 476 "conf/confbase.Y"
        { (yyval.v).type = T_STRING; (yyval.v).val.s = (yyvsp[0].t); }
#line 7221 "obj/conf/cf-parse.tab.c"
    break;

  case 93: /* bytestring_text: bytestring_expr  */
#line 477 "conf/confbase.Y"
                   {
     (yyval.v) = *cf_eval((yyvsp[0].x), T_VOID);
     if (((yyval.v).type != T_BYTESTRING) && ((yyval.v).type != T_STRING))
       cf_error("Bytestring or string value expected");
   }
#line 7231 "obj/conf/cf-parse.tab.c"
    break;

  case 94: /* bytestring_expr: lvalue  */
#line 485 "conf/confbase.Y"
          { (yyval.x) = f_lval_getter(&(yyvsp[0].flv)); }
#line 7237 "obj/conf/cf-parse.tab.c"
    break;

  case 96: /* bytestring_expr: '(' term ')'  */
#line 487 "conf/confbase.Y"
                { (yyval.x) = (yyvsp[-1].x); }
#line 7243 "obj/conf/cf-parse.tab.c"
    break;

  case 97: /* flow_num_op: TRUE  */
#line 37 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_TRUE; }
#line 7249 "obj/conf/cf-parse.tab.c"
    break;

  case 98: /* flow_num_op: '='  */
#line 38 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_EQ;  }
#line 7255 "obj/conf/cf-parse.tab.c"
    break;

  case 99: /* flow_num_op: NEQ  */
#line 39 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_NEQ; }
#line 7261 "obj/conf/cf-parse.tab.c"
    break;

  case 100: /* flow_num_op: '<'  */
#line 40 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_LT;  }
#line 7267 "obj/conf/cf-parse.tab.c"
    break;

  case 101: /* flow_num_op: LEQ  */
#line 41 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_LEQ; }
#line 7273 "obj/conf/cf-parse.tab.c"
    break;

  case 102: /* flow_num_op: '>'  */
#line 42 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_GT;  }
#line 7279 "obj/conf/cf-parse.tab.c"
    break;

  case 103: /* flow_num_op: GEQ  */
#line 43 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_GEQ; }
#line 7285 "obj/conf/cf-parse.tab.c"
    break;

  case 104: /* flow_num_op: FALSE  */
#line 44 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_FALSE; }
#line 7291 "obj/conf/cf-parse.tab.c"
    break;

  case 105: /* flow_logic_op: OR  */
#line 48 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_OR; }
#line 7297 "obj/conf/cf-parse.tab.c"
    break;

  case 106: /* flow_logic_op: AND  */
#line 49 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_AND; }
#line 7303 "obj/conf/cf-parse.tab.c"
    break;

  case 107: /* flow_num_type_: PROTO  */
#line 53 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 7309 "obj/conf/cf-parse.tab.c"
    break;

  case 108: /* flow_num_type_: NEXT HEADER  */
#line 54 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 7315 "obj/conf/cf-parse.tab.c"
    break;

  case 109: /* flow_num_type_: PORT  */
#line 55 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_PORT; }
#line 7321 "obj/conf/cf-parse.tab.c"
    break;

  case 110: /* flow_num_type_: DPORT  */
#line 56 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 7327 "obj/conf/cf-parse.tab.c"
    break;

  case 111: /* flow_num_type_: SPORT  */
#line 57 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 7333 "obj/conf/cf-parse.tab.c"
    break;

  case 112: /* flow_num_type_: ICMP TYPE  */
#line 58 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 7339 "obj/conf/cf-parse.tab.c"
    break;

  case 113: /* flow_num_type_: ICMP CODE  */
#line 59 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 7345 "obj/conf/cf-parse.tab.c"
    break;

  case 114: /* flow_num_type_: LENGTH  */
#line 60 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 7351 "obj/conf/cf-parse.tab.c"
    break;

  case 115: /* flow_num_type_: DSCP  */
#line 61 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 7357 "obj/conf/cf-parse.tab.c"
    break;

  case 116: /* flow_num_type_: LABEL  */
#line 62 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_LABEL; }
#line 7363 "obj/conf/cf-parse.tab.c"
    break;

  case 117: /* flow_num_type: flow_num_type_  */
#line 65 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 7369 "obj/conf/cf-parse.tab.c"
    break;

  case 118: /* flow_flag_type: TCP FLAGS  */
#line 66 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 7375 "obj/conf/cf-parse.tab.c"
    break;

  case 119: /* flow_frag_type: FRAGMENT  */
#line 67 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 7381 "obj/conf/cf-parse.tab.c"
    break;

  case 120: /* flow_srcdst: DST  */
#line 70 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 7387 "obj/conf/cf-parse.tab.c"
    break;

  case 121: /* flow_srcdst: SRC  */
#line 71 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 7393 "obj/conf/cf-parse.tab.c"
    break;

  case 122: /* flow_num_opts: flow_num_op expr  */
#line 75 "conf/flowspec.Y"
                    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 7402 "obj/conf/cf-parse.tab.c"
    break;

  case 123: /* flow_num_opts: flow_num_opts flow_logic_op flow_num_op expr  */
#line 79 "conf/flowspec.Y"
                                                {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 7411 "obj/conf/cf-parse.tab.c"
    break;

  case 126: /* flow_num_opt_ext_expr: expr  */
#line 88 "conf/flowspec.Y"
        {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 7420 "obj/conf/cf-parse.tab.c"
    break;

  case 127: /* flow_num_opt_ext_expr: expr DDOT expr  */
#line 92 "conf/flowspec.Y"
                  {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 7431 "obj/conf/cf-parse.tab.c"
    break;

  case 130: /* flow_bmk_opts: flow_neg expr '/' expr  */
#line 106 "conf/flowspec.Y"
                          {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 7440 "obj/conf/cf-parse.tab.c"
    break;

  case 131: /* flow_bmk_opts: flow_bmk_opts flow_logic_op flow_neg expr '/' expr  */
#line 110 "conf/flowspec.Y"
                                                      {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 7449 "obj/conf/cf-parse.tab.c"
    break;

  case 132: /* flow_bmk_opts: flow_bmk_opts ',' flow_neg expr '/' expr  */
#line 114 "conf/flowspec.Y"
                                            {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 7458 "obj/conf/cf-parse.tab.c"
    break;

  case 133: /* flow_neg: %empty  */
#line 121 "conf/flowspec.Y"
                { (yyval.i32) = 0x00; }
#line 7464 "obj/conf/cf-parse.tab.c"
    break;

  case 134: /* flow_neg: '!'  */
#line 122 "conf/flowspec.Y"
                { (yyval.i32) = 0x02; }
#line 7470 "obj/conf/cf-parse.tab.c"
    break;

  case 135: /* flow_frag_val: DONT_FRAGMENT  */
#line 126 "conf/flowspec.Y"
                  { (yyval.i32) = 1; }
#line 7476 "obj/conf/cf-parse.tab.c"
    break;

  case 136: /* flow_frag_val: IS_FRAGMENT  */
#line 127 "conf/flowspec.Y"
                  { (yyval.i32) = 2; }
#line 7482 "obj/conf/cf-parse.tab.c"
    break;

  case 137: /* flow_frag_val: FIRST_FRAGMENT  */
#line 128 "conf/flowspec.Y"
                  { (yyval.i32) = 4; }
#line 7488 "obj/conf/cf-parse.tab.c"
    break;

  case 138: /* flow_frag_val: LAST_FRAGMENT  */
#line 129 "conf/flowspec.Y"
                  { (yyval.i32) = 8; }
#line 7494 "obj/conf/cf-parse.tab.c"
    break;

  case 139: /* flow_frag_opts: flow_neg flow_frag_val  */
#line 133 "conf/flowspec.Y"
                          {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 7502 "obj/conf/cf-parse.tab.c"
    break;

  case 140: /* flow_frag_opts: flow_frag_opts flow_logic_op flow_neg flow_frag_val  */
#line 136 "conf/flowspec.Y"
                                                       {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 7510 "obj/conf/cf-parse.tab.c"
    break;

  case 141: /* flow_frag_opts: flow_frag_opts ',' flow_neg flow_frag_val  */
#line 139 "conf/flowspec.Y"
                                             {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 7518 "obj/conf/cf-parse.tab.c"
    break;

  case 142: /* flow4_item: flow_srcdst net_ip4  */
#line 145 "conf/flowspec.Y"
                       {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 7527 "obj/conf/cf-parse.tab.c"
    break;

  case 146: /* flow6_item: flow_srcdst net_ip6  */
#line 155 "conf/flowspec.Y"
                       {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 7536 "obj/conf/cf-parse.tab.c"
    break;

  case 147: /* flow6_item: flow_srcdst net_ip6 OFFSET NUM  */
#line 159 "conf/flowspec.Y"
                                  {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 7547 "obj/conf/cf-parse.tab.c"
    break;

  case 155: /* flow_builder_init: %empty  */
#line 181 "conf/flowspec.Y"
{
  if (this_flow == NULL)
    this_flow = flow_builder_init(config_pool);	  /* FIXME: This should be allocated from tmp in future */
  else
    flow_builder_clear(this_flow);
}
#line 7558 "obj/conf/cf-parse.tab.c"
    break;

  case 156: /* flow_builder_set_ipv4: %empty  */
#line 188 "conf/flowspec.Y"
                       { this_flow->ipv6 = 0; }
#line 7564 "obj/conf/cf-parse.tab.c"
    break;

  case 157: /* flow_builder_set_ipv6: %empty  */
#line 189 "conf/flowspec.Y"
                       { this_flow->ipv6 = 1; }
#line 7570 "obj/conf/cf-parse.tab.c"
    break;

  case 158: /* net_flow4_: FLOW4 '{' flow_builder_init flow_builder_set_ipv4 flow4_opts '}'  */
#line 192 "conf/flowspec.Y"
{
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 7579 "obj/conf/cf-parse.tab.c"
    break;

  case 159: /* net_flow6_: FLOW6 '{' flow_builder_init flow_builder_set_ipv6 flow6_opts '}'  */
#line 198 "conf/flowspec.Y"
{
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 7588 "obj/conf/cf-parse.tab.c"
    break;

  case 168: /* conf: FILTER STACKS expr expr ';'  */
#line 403 "filter/config.Y"
                                  {
  if (((yyvsp[-2].i) < 16) || ((yyvsp[-1].i) < 16))
    /* Check for self-crippling values */
    cf_error("Filter stack values lesser than 16 not supported");
  new_config->filter_vstk = (yyvsp[-2].i);
  new_config->filter_estk = (yyvsp[-1].i);
 }
#line 7600 "obj/conf/cf-parse.tab.c"
    break;

  case 170: /* $@1: %empty  */
#line 414 "filter/config.Y"
                 {
     (yyvsp[0].s) = cf_define_symbol(new_config, (yyvsp[0].s), SYM_FILTER, filter, NULL);
     cf_enter_filters();
     cf_push_scope( new_config, (yyvsp[0].s) );
     this_function = NULL;
   }
#line 7611 "obj/conf/cf-parse.tab.c"
    break;

  case 171: /* filter_def: FILTER symbol $@1 filter_body  */
#line 419 "filter/config.Y"
                 {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .sym = (yyvsp[-2].s), .root = (yyvsp[0].fl) };
     (yyvsp[-2].s)->filter = f;

     cf_pop_scope(new_config);
     cf_exit_filters();
   }
#line 7624 "obj/conf/cf-parse.tab.c"
    break;

  case 173: /* filter_eval: EVAL term  */
#line 431 "filter/config.Y"
             { cf_eval_int((yyvsp[0].x)); }
#line 7630 "obj/conf/cf-parse.tab.c"
    break;

  case 175: /* custom_attr: ATTRIBUTE type symbol ';'  */
#line 435 "filter/config.Y"
                                       {
  cf_enter_filters();
  struct ea_class *ac = ea_class_find_by_name((yyvsp[-1].s)->name);
  cf_exit_filters();
  if (ac && (ac->type == (yyvsp[-2].i)))
    ea_ref_class(new_config->pool, ac);
  else
    ac = ea_register_alloc(new_config->pool, (struct ea_class) {
	.name = (yyvsp[-1].s)->name,
	.type = (yyvsp[-2].i),
    })->class;

  cf_define_symbol(new_config, (yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ac);
}
#line 7649 "obj/conf/cf-parse.tab.c"
    break;

  case 177: /* bt_test_suite: BT_TEST_SUITE '(' CF_SYM_KNOWN ',' text ')'  */
#line 452 "filter/config.Y"
                                             {
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->function;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 7663 "obj/conf/cf-parse.tab.c"
    break;

  case 179: /* bt_test_same: BT_TEST_SAME '(' CF_SYM_KNOWN ',' CF_SYM_KNOWN ',' NUM ')'  */
#line 465 "filter/config.Y"
                                                            {
  cf_assert_symbol((yyvsp[-5].s), SYM_FUNCTION);
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-5].s)->function;
  t->cmp = (yyvsp[-3].s)->function;
  t->result = (yyvsp[-1].i);
  t->fn_name = (yyvsp[-5].s)->name;
  t->dsc = (yyvsp[-3].s)->name;
  add_tail(&new_config->tests, &t->n);
 }
#line 7679 "obj/conf/cf-parse.tab.c"
    break;

  case 180: /* type: INT  */
#line 479 "filter/config.Y"
       { (yyval.i) = T_INT; }
#line 7685 "obj/conf/cf-parse.tab.c"
    break;

  case 181: /* type: BOOL  */
#line 480 "filter/config.Y"
        { (yyval.i) = T_BOOL; }
#line 7691 "obj/conf/cf-parse.tab.c"
    break;

  case 182: /* type: IP  */
#line 481 "filter/config.Y"
      { (yyval.i) = T_IP; }
#line 7697 "obj/conf/cf-parse.tab.c"
    break;

  case 183: /* type: RD  */
#line 482 "filter/config.Y"
      { (yyval.i) = T_RD; }
#line 7703 "obj/conf/cf-parse.tab.c"
    break;

  case 184: /* type: PREFIX  */
#line 483 "filter/config.Y"
          { (yyval.i) = T_NET; }
#line 7709 "obj/conf/cf-parse.tab.c"
    break;

  case 185: /* type: PAIR  */
#line 484 "filter/config.Y"
        { (yyval.i) = T_PAIR; }
#line 7715 "obj/conf/cf-parse.tab.c"
    break;

  case 186: /* type: QUAD  */
#line 485 "filter/config.Y"
        { (yyval.i) = T_QUAD; }
#line 7721 "obj/conf/cf-parse.tab.c"
    break;

  case 187: /* type: EC  */
#line 486 "filter/config.Y"
      { (yyval.i) = T_EC; }
#line 7727 "obj/conf/cf-parse.tab.c"
    break;

  case 188: /* type: LC  */
#line 487 "filter/config.Y"
      { (yyval.i) = T_LC; }
#line 7733 "obj/conf/cf-parse.tab.c"
    break;

  case 189: /* type: STRING  */
#line 488 "filter/config.Y"
          { (yyval.i) = T_STRING; }
#line 7739 "obj/conf/cf-parse.tab.c"
    break;

  case 190: /* type: BYTESTRING  */
#line 489 "filter/config.Y"
              { (yyval.i) = T_BYTESTRING; }
#line 7745 "obj/conf/cf-parse.tab.c"
    break;

  case 191: /* type: BGPMASK  */
#line 490 "filter/config.Y"
           { (yyval.i) = T_PATH_MASK; }
#line 7751 "obj/conf/cf-parse.tab.c"
    break;

  case 192: /* type: BGPPATH  */
#line 491 "filter/config.Y"
           { (yyval.i) = T_PATH; }
#line 7757 "obj/conf/cf-parse.tab.c"
    break;

  case 193: /* type: CLIST  */
#line 492 "filter/config.Y"
         { (yyval.i) = T_CLIST; }
#line 7763 "obj/conf/cf-parse.tab.c"
    break;

  case 194: /* type: ECLIST  */
#line 493 "filter/config.Y"
          { (yyval.i) = T_ECLIST; }
#line 7769 "obj/conf/cf-parse.tab.c"
    break;

  case 195: /* type: LCLIST  */
#line 494 "filter/config.Y"
          { (yyval.i) = T_LCLIST; }
#line 7775 "obj/conf/cf-parse.tab.c"
    break;

  case 196: /* type: ROUTE  */
#line 495 "filter/config.Y"
         { (yyval.i) = T_ROUTE; }
#line 7781 "obj/conf/cf-parse.tab.c"
    break;

  case 197: /* type: type SET  */
#line 496 "filter/config.Y"
            {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_ENUM:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 7807 "obj/conf/cf-parse.tab.c"
    break;

  case 198: /* @2: %empty  */
#line 518 "filter/config.Y"
   { (yyval.i) = cf_maybe_exit_filters(); }
#line 7813 "obj/conf/cf-parse.tab.c"
    break;

  case 199: /* type: ENUM @2 enum_type  */
#line 520 "filter/config.Y"
   {
     if ((yyvsp[-1].i)) cf_enter_filters();
     (yyval.i) = (yyvsp[0].i);
   }
#line 7822 "obj/conf/cf-parse.tab.c"
    break;

  case 200: /* function_argsn: %empty  */
#line 527 "filter/config.Y"
               { (yyval.fa) = NULL; }
#line 7828 "obj/conf/cf-parse.tab.c"
    break;

  case 201: /* function_argsn: function_argsn type symbol ';'  */
#line 528 "filter/config.Y"
                                  {
     if ((yyvsp[-1].s)->scope->slots >= 0xfe) cf_error("Too many declarations, at most 255 allowed");
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 7839 "obj/conf/cf-parse.tab.c"
    break;

  case 202: /* function_args: '(' ')'  */
#line 537 "filter/config.Y"
           { (yyval.fa) = NULL; }
#line 7845 "obj/conf/cf-parse.tab.c"
    break;

  case 203: /* function_args: '(' function_argsn type symbol ')'  */
#line 538 "filter/config.Y"
                                      {
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 7855 "obj/conf/cf-parse.tab.c"
    break;

  case 204: /* function_vars: %empty  */
#line 546 "filter/config.Y"
               { (yyval.i) = 0; }
#line 7861 "obj/conf/cf-parse.tab.c"
    break;

  case 205: /* function_vars: function_vars type symbol ';'  */
#line 547 "filter/config.Y"
                                 {
     cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.i) = (yyvsp[-3].i) + 1;
   }
#line 7870 "obj/conf/cf-parse.tab.c"
    break;

  case 206: /* function_type: %empty  */
#line 554 "filter/config.Y"
               { (yyval.i) = T_VOID; }
#line 7876 "obj/conf/cf-parse.tab.c"
    break;

  case 207: /* function_type: IMP type  */
#line 555 "filter/config.Y"
            { (yyval.i) = (yyvsp[0].i); }
#line 7882 "obj/conf/cf-parse.tab.c"
    break;

  case 209: /* filter: CF_SYM_KNOWN  */
#line 561 "filter/config.Y"
                {
     cf_assert_symbol((yyvsp[0].s), SYM_FILTER);
     (yyval.f) = (yyvsp[0].s)->filter;
   }
#line 7891 "obj/conf/cf-parse.tab.c"
    break;

  case 210: /* $@3: %empty  */
#line 565 "filter/config.Y"
   {
     cf_enter_filters();
     cf_push_scope(new_config, NULL);
     this_function = NULL;
   }
#line 7901 "obj/conf/cf-parse.tab.c"
    break;

  case 211: /* filter: $@3 filter_body  */
#line 569 "filter/config.Y"
                 {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .root = (yyvsp[0].fl) };
     (yyval.f) = f;

     cf_pop_scope(new_config);
     cf_exit_filters();
   }
#line 7914 "obj/conf/cf-parse.tab.c"
    break;

  case 212: /* $@4: %empty  */
#line 580 "filter/config.Y"
         {
     cf_enter_filters();
   }
#line 7922 "obj/conf/cf-parse.tab.c"
    break;

  case 213: /* where_filter: WHERE $@4 term  */
#line 582 "filter/config.Y"
          {
     /* Construct 'IF term THEN { ACCEPT; } ELSE { REJECT; }' */
     (yyval.f) = f_new_where((yyvsp[0].x));
     cf_exit_filters();
   }
#line 7932 "obj/conf/cf-parse.tab.c"
    break;

  case 214: /* function_body: function_vars '{' cmds '}'  */
#line 590 "filter/config.Y"
                              {
     (yyval.fl) = f_linearize((yyvsp[-1].x), 0);
     (yyval.fl)->vars = (yyvsp[-3].i);
   }
#line 7941 "obj/conf/cf-parse.tab.c"
    break;

  case 216: /* $@5: %empty  */
#line 599 "filter/config.Y"
                   {
     DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     this_function = cf_define_symbol(new_config, (yyvsp[0].s), SYM_FUNCTION, function, NULL);
     cf_enter_filters();
     cf_push_scope(new_config, this_function);
   }
#line 7952 "obj/conf/cf-parse.tab.c"
    break;

  case 217: /* $@6: %empty  */
#line 604 "filter/config.Y"
                                 {
     /* Make dummy f_line for storing function prototype */
     struct f_line *dummy = cfg_allocz(sizeof(struct f_line));
     this_function->function = dummy;

     dummy->return_type = (yyvsp[0].i);

     /* Revert the args */
     while ((yyvsp[-1].fa)) {
       struct f_arg *tmp = (yyvsp[-1].fa);
       (yyvsp[-1].fa) = (yyvsp[-1].fa)->next;

       tmp->next = dummy->arg_list;
       dummy->arg_list = tmp;
       dummy->args++;
     }
   }
#line 7974 "obj/conf/cf-parse.tab.c"
    break;

  case 218: /* function_def: FUNCTION symbol $@5 function_args function_type $@6 function_body  */
#line 620 "filter/config.Y"
                   {
     (yyvsp[0].fl)->args = this_function->function->args;
     (yyvsp[0].fl)->arg_list = this_function->function->arg_list;
     (yyvsp[0].fl)->return_type = this_function->function->return_type;
     (yyvsp[-5].s)->function = (yyvsp[0].fl);
     cf_pop_scope(new_config);
     cf_exit_filters();
   }
#line 7987 "obj/conf/cf-parse.tab.c"
    break;

  case 219: /* cmds: %empty  */
#line 632 "filter/config.Y"
                  { (yyval.x) = NULL; }
#line 7993 "obj/conf/cf-parse.tab.c"
    break;

  case 220: /* cmds: cmds_int  */
#line 633 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].xp).begin; }
#line 7999 "obj/conf/cf-parse.tab.c"
    break;

  case 223: /* cmd_prep: cmd_var  */
#line 638 "filter/config.Y"
                  {
  (yyval.xp).begin = (yyval.xp).end = (yyvsp[0].x);
  if ((yyvsp[0].x))
    while ((yyval.xp).end->next)
      (yyval.xp).end = (yyval.xp).end->next;
}
#line 8010 "obj/conf/cf-parse.tab.c"
    break;

  case 225: /* cmds_int: cmds_int cmd_prep  */
#line 647 "filter/config.Y"
                     {
  if (!(yyvsp[-1].xp).begin)
    (yyval.xp) = (yyvsp[0].xp);
  else if (!(yyvsp[0].xp).begin)
    (yyval.xp) = (yyvsp[-1].xp);
  else {
    (yyval.xp).begin = (yyvsp[-1].xp).begin;
    (yyval.xp).end = (yyvsp[0].xp).end;
    (yyvsp[-1].xp).end->next = (yyvsp[0].xp).begin;
  }
 }
#line 8026 "obj/conf/cf-parse.tab.c"
    break;

  case 226: /* fipa: IP4  */
#line 664 "filter/config.Y"
                          { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 8032 "obj/conf/cf-parse.tab.c"
    break;

  case 227: /* fipa: IP6  */
#line 665 "filter/config.Y"
                          { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 8038 "obj/conf/cf-parse.tab.c"
    break;

  case 228: /* set_atom0: NUM  */
#line 678 "filter/config.Y"
          { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 8044 "obj/conf/cf-parse.tab.c"
    break;

  case 229: /* set_atom0: fipa  */
#line 679 "filter/config.Y"
          { (yyval.v) = (yyvsp[0].v); }
#line 8050 "obj/conf/cf-parse.tab.c"
    break;

  case 230: /* set_atom0: VPN_RD  */
#line 680 "filter/config.Y"
          { (yyval.v).type = T_RD; (yyval.v).val.rd = (yyvsp[0].rd); }
#line 8056 "obj/conf/cf-parse.tab.c"
    break;

  case 231: /* set_atom0: ENUM_TOKEN  */
#line 681 "filter/config.Y"
              { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 8062 "obj/conf/cf-parse.tab.c"
    break;

  case 232: /* set_atom0: '(' term ')'  */
#line 682 "filter/config.Y"
                {
     (yyval.v) = cf_eval_tmp((yyvsp[-1].x), T_VOID);
     if (!f_valid_set_type((yyval.v).type))
       cf_error("Set-incompatible type (%s)", f_type_name((yyval.v).type));
   }
#line 8072 "obj/conf/cf-parse.tab.c"
    break;

  case 234: /* set_atom: CF_SYM_KNOWN  */
#line 691 "filter/config.Y"
                {
     cf_assert_symbol((yyvsp[0].s), SYM_CONSTANT);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s))))
       cf_error("%s: Set-incompatible type (%s)", (yyvsp[0].s)->name, f_type_name(SYM_TYPE((yyvsp[0].s))));
     (yyval.v) = *(yyvsp[0].s)->val;
   }
#line 8083 "obj/conf/cf-parse.tab.c"
    break;

  case 236: /* cnum: term  */
#line 704 "filter/config.Y"
        { (yyval.i32) = cf_eval_int((yyvsp[0].x)); }
#line 8089 "obj/conf/cf-parse.tab.c"
    break;

  case 237: /* pair_item: '(' cnum ',' cnum ')'  */
#line 707 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 8095 "obj/conf/cf-parse.tab.c"
    break;

  case 238: /* pair_item: '(' cnum ',' cnum DDOT cnum ')'  */
#line 708 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 8101 "obj/conf/cf-parse.tab.c"
    break;

  case 239: /* pair_item: '(' cnum ',' '*' ')'  */
#line 709 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 8107 "obj/conf/cf-parse.tab.c"
    break;

  case 240: /* pair_item: '(' cnum DDOT cnum ',' cnum ')'  */
#line 710 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 8113 "obj/conf/cf-parse.tab.c"
    break;

  case 241: /* pair_item: '(' cnum DDOT cnum ',' cnum DDOT cnum ')'  */
#line 711 "filter/config.Y"
                                             { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 8119 "obj/conf/cf-parse.tab.c"
    break;

  case 242: /* pair_item: '(' cnum DDOT cnum ',' '*' ')'  */
#line 712 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 8125 "obj/conf/cf-parse.tab.c"
    break;

  case 243: /* pair_item: '(' '*' ',' cnum ')'  */
#line 713 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 8131 "obj/conf/cf-parse.tab.c"
    break;

  case 244: /* pair_item: '(' '*' ',' cnum DDOT cnum ')'  */
#line 714 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 8137 "obj/conf/cf-parse.tab.c"
    break;

  case 245: /* pair_item: '(' '*' ',' '*' ')'  */
#line 715 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 8143 "obj/conf/cf-parse.tab.c"
    break;

  case 246: /* pair_item: '(' cnum ',' cnum ')' DDOT '(' cnum ',' cnum ')'  */
#line 717 "filter/config.Y"
   { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 8149 "obj/conf/cf-parse.tab.c"
    break;

  case 247: /* ec_kind: RT  */
#line 721 "filter/config.Y"
      { (yyval.ecs) = EC_RT; }
#line 8155 "obj/conf/cf-parse.tab.c"
    break;

  case 248: /* ec_kind: RO  */
#line 722 "filter/config.Y"
      { (yyval.ecs) = EC_RO; }
#line 8161 "obj/conf/cf-parse.tab.c"
    break;

  case 249: /* ec_kind: UNKNOWN NUM  */
#line 723 "filter/config.Y"
               { (yyval.ecs) = (yyvsp[0].i); }
#line 8167 "obj/conf/cf-parse.tab.c"
    break;

  case 250: /* ec_kind: GENERIC  */
#line 724 "filter/config.Y"
           { (yyval.ecs) = EC_GENERIC; }
#line 8173 "obj/conf/cf-parse.tab.c"
    break;

  case 251: /* ec_item: '(' ec_kind ',' cnum ',' cnum ')'  */
#line 728 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 8179 "obj/conf/cf-parse.tab.c"
    break;

  case 252: /* ec_item: '(' ec_kind ',' cnum ',' cnum DDOT cnum ')'  */
#line 729 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-7].ecs), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 8185 "obj/conf/cf-parse.tab.c"
    break;

  case 253: /* ec_item: '(' ec_kind ',' cnum ',' '*' ')'  */
#line 730 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 8191 "obj/conf/cf-parse.tab.c"
    break;

  case 254: /* lc_item: '(' cnum ',' cnum ',' cnum ')'  */
#line 734 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 8197 "obj/conf/cf-parse.tab.c"
    break;

  case 255: /* lc_item: '(' cnum ',' cnum ',' cnum DDOT cnum ')'  */
#line 735 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 8203 "obj/conf/cf-parse.tab.c"
    break;

  case 256: /* lc_item: '(' cnum ',' cnum ',' '*' ')'  */
#line 736 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 8209 "obj/conf/cf-parse.tab.c"
    break;

  case 257: /* lc_item: '(' cnum ',' cnum DDOT cnum ',' '*' ')'  */
#line 737 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 8215 "obj/conf/cf-parse.tab.c"
    break;

  case 258: /* lc_item: '(' cnum ',' '*' ',' '*' ')'  */
#line 738 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 8221 "obj/conf/cf-parse.tab.c"
    break;

  case 259: /* lc_item: '(' cnum DDOT cnum ',' '*' ',' '*' ')'  */
#line 739 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 8227 "obj/conf/cf-parse.tab.c"
    break;

  case 260: /* lc_item: '(' '*' ',' '*' ',' '*' ')'  */
#line 740 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 8233 "obj/conf/cf-parse.tab.c"
    break;

  case 261: /* lc_item: '(' cnum ',' cnum ',' cnum ')' DDOT '(' cnum ',' cnum ',' cnum ')'  */
#line 742 "filter/config.Y"
   { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 8239 "obj/conf/cf-parse.tab.c"
    break;

  case 265: /* set_item: set_atom  */
#line 749 "filter/config.Y"
            { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 8245 "obj/conf/cf-parse.tab.c"
    break;

  case 266: /* set_item: set_atom DDOT set_atom  */
#line 750 "filter/config.Y"
                          { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 8251 "obj/conf/cf-parse.tab.c"
    break;

  case 270: /* switch_item: switch_atom  */
#line 757 "filter/config.Y"
               { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 8257 "obj/conf/cf-parse.tab.c"
    break;

  case 271: /* switch_item: switch_atom DDOT switch_atom  */
#line 758 "filter/config.Y"
                                { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 8263 "obj/conf/cf-parse.tab.c"
    break;

  case 273: /* ec_items: ec_items ',' ec_item  */
#line 763 "filter/config.Y"
                        { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 8269 "obj/conf/cf-parse.tab.c"
    break;

  case 275: /* set_items: set_items ',' set_item  */
#line 768 "filter/config.Y"
                          { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 8275 "obj/conf/cf-parse.tab.c"
    break;

  case 277: /* switch_items: switch_items ',' switch_item  */
#line 773 "filter/config.Y"
                                { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 8281 "obj/conf/cf-parse.tab.c"
    break;

  case 278: /* fprefix: net_ip_  */
#line 777 "filter/config.Y"
                { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 8287 "obj/conf/cf-parse.tab.c"
    break;

  case 279: /* fprefix: net_ip_ '+'  */
#line 778 "filter/config.Y"
                { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 8293 "obj/conf/cf-parse.tab.c"
    break;

  case 280: /* fprefix: net_ip_ '-'  */
#line 779 "filter/config.Y"
                { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 8299 "obj/conf/cf-parse.tab.c"
    break;

  case 281: /* fprefix: net_ip_ '{' NUM ',' NUM '}'  */
#line 780 "filter/config.Y"
                               {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 8309 "obj/conf/cf-parse.tab.c"
    break;

  case 282: /* fprefix_set: fprefix  */
#line 788 "filter/config.Y"
           { (yyval.trie) = f_new_trie(cfg_mem, 0); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 8315 "obj/conf/cf-parse.tab.c"
    break;

  case 283: /* fprefix_set: fprefix_set ',' fprefix  */
#line 789 "filter/config.Y"
                           { (yyval.trie) = (yyvsp[-2].trie); if (!trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi)) cf_error("Mixed IPv4/IPv6 prefixes in prefix set"); }
#line 8321 "obj/conf/cf-parse.tab.c"
    break;

  case 284: /* switch_body: %empty  */
#line 792 "filter/config.Y"
                         { (yyval.e) = NULL; }
#line 8327 "obj/conf/cf-parse.tab.c"
    break;

  case 285: /* switch_body: switch_body switch_items ':' cmd  */
#line 793 "filter/config.Y"
                                    {
     /* Fill data fields */
     struct f_tree *t;
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 8339 "obj/conf/cf-parse.tab.c"
    break;

  case 286: /* switch_body: switch_body ELSECOL cmd  */
#line 800 "filter/config.Y"
                           {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 8351 "obj/conf/cf-parse.tab.c"
    break;

  case 287: /* bgp_path_expr: lvalue  */
#line 810 "filter/config.Y"
          { (yyval.x) = f_lval_getter(&(yyvsp[0].flv)); }
#line 8357 "obj/conf/cf-parse.tab.c"
    break;

  case 288: /* bgp_path_expr: '(' term ')'  */
#line 811 "filter/config.Y"
                { (yyval.x) = (yyvsp[-1].x); }
#line 8363 "obj/conf/cf-parse.tab.c"
    break;

  case 289: /* bgp_path: PO bgp_path_tail PC  */
#line 815 "filter/config.Y"
                         { (yyval.x) = (yyvsp[-1].x); }
#line 8369 "obj/conf/cf-parse.tab.c"
    break;

  case 290: /* bgp_path_tail: NUM bgp_path_tail  */
#line 819 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .asn = (yyvsp[-1].i), .kind = PM_ASN, }, }); (yyval.x)->next = (yyvsp[0].x);  }
#line 8375 "obj/conf/cf-parse.tab.c"
    break;

  case 291: /* bgp_path_tail: NUM DDOT NUM bgp_path_tail  */
#line 820 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .from = (yyvsp[-3].i), .to = (yyvsp[-1].i), .kind = PM_ASN_RANGE }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 8381 "obj/conf/cf-parse.tab.c"
    break;

  case 292: /* bgp_path_tail: '[' ']' bgp_path_tail  */
#line 821 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = NULL, .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 8387 "obj/conf/cf-parse.tab.c"
    break;

  case 293: /* bgp_path_tail: '[' set_items ']' bgp_path_tail  */
#line 822 "filter/config.Y"
                                   {
   if ((yyvsp[-2].e)->from.type != T_INT) cf_error("Only integer sets allowed in path mask");
   (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = build_tree((yyvsp[-2].e)), .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x);
 }
#line 8396 "obj/conf/cf-parse.tab.c"
    break;

  case 294: /* bgp_path_tail: '*' bgp_path_tail  */
#line 826 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_ASTERISK }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 8402 "obj/conf/cf-parse.tab.c"
    break;

  case 295: /* bgp_path_tail: '?' bgp_path_tail  */
#line 827 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_QUESTION }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 8408 "obj/conf/cf-parse.tab.c"
    break;

  case 296: /* bgp_path_tail: '+' bgp_path_tail  */
#line 828 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_LOOP }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 8414 "obj/conf/cf-parse.tab.c"
    break;

  case 297: /* bgp_path_tail: bgp_path_expr bgp_path_tail  */
#line 829 "filter/config.Y"
                                { (yyval.x) = (yyvsp[-1].x); (yyval.x)->next = (yyvsp[0].x); }
#line 8420 "obj/conf/cf-parse.tab.c"
    break;

  case 298: /* bgp_path_tail: %empty  */
#line 830 "filter/config.Y"
                                { (yyval.x) = NULL; }
#line 8426 "obj/conf/cf-parse.tab.c"
    break;

  case 299: /* constant: NUM  */
#line 834 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (yyvsp[0].i), }); }
#line 8432 "obj/conf/cf-parse.tab.c"
    break;

  case 300: /* constant: TRUE  */
#line 835 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }); }
#line 8438 "obj/conf/cf-parse.tab.c"
    break;

  case 301: /* constant: FALSE  */
#line 836 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }); }
#line 8444 "obj/conf/cf-parse.tab.c"
    break;

  case 302: /* constant: TEXT  */
#line 837 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_STRING, .val.s = (yyvsp[0].t), }); }
#line 8450 "obj/conf/cf-parse.tab.c"
    break;

  case 303: /* constant: BYTETEXT  */
#line 838 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BYTESTRING, .val.bs = (yyvsp[0].bs), }); }
#line 8456 "obj/conf/cf-parse.tab.c"
    break;

  case 304: /* constant: fipa  */
#line 839 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (yyvsp[0].v)); }
#line 8462 "obj/conf/cf-parse.tab.c"
    break;

  case 305: /* constant: VPN_RD  */
#line 840 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_RD, .val.rd = (yyvsp[0].rd), }); }
#line 8468 "obj/conf/cf-parse.tab.c"
    break;

  case 306: /* constant: net_  */
#line 841 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_NET, .val.net = (yyvsp[0].net_ptr), }); }
#line 8474 "obj/conf/cf-parse.tab.c"
    break;

  case 307: /* constant: '[' ']'  */
#line 842 "filter/config.Y"
           { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = NULL, }); }
#line 8480 "obj/conf/cf-parse.tab.c"
    break;

  case 308: /* constant: '[' set_items ']'  */
#line 843 "filter/config.Y"
                     {
     DBG( "We've got a set here..." );
     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = build_tree((yyvsp[-1].e)), });
     DBG( "ook\n" );
 }
#line 8490 "obj/conf/cf-parse.tab.c"
    break;

  case 309: /* constant: '[' fprefix_set ']'  */
#line 848 "filter/config.Y"
                       { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PREFIX_SET, .val.ti = (yyvsp[-1].trie), }); }
#line 8496 "obj/conf/cf-parse.tab.c"
    break;

  case 310: /* constant: ENUM_TOKEN  */
#line 849 "filter/config.Y"
              { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = (yyvsp[0].i) >> 16, .val.i = (yyvsp[0].i) & 0xffff, }); }
#line 8502 "obj/conf/cf-parse.tab.c"
    break;

  case 311: /* constructor: '(' term ',' term ')'  */
#line 853 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_PAIR_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8508 "obj/conf/cf-parse.tab.c"
    break;

  case 312: /* constructor: '(' ec_kind ',' term ',' term ')'  */
#line 854 "filter/config.Y"
                                     { (yyval.x) = f_new_inst(FI_EC_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].ecs)); }
#line 8514 "obj/conf/cf-parse.tab.c"
    break;

  case 313: /* constructor: '(' term ',' term ',' term ')'  */
#line 855 "filter/config.Y"
                                  { (yyval.x) = f_new_inst(FI_LC_CONSTRUCT, (yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8520 "obj/conf/cf-parse.tab.c"
    break;

  case 314: /* constructor: bgp_path  */
#line 856 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_PATHMASK_CONSTRUCT, (yyvsp[0].x)); }
#line 8526 "obj/conf/cf-parse.tab.c"
    break;

  case 315: /* var_list_r: %empty  */
#line 862 "filter/config.Y"
               { (yyval.x) = NULL; }
#line 8532 "obj/conf/cf-parse.tab.c"
    break;

  case 316: /* var_list_r: term  */
#line 863 "filter/config.Y"
        { (yyval.x) = (yyvsp[0].x); }
#line 8538 "obj/conf/cf-parse.tab.c"
    break;

  case 317: /* var_list_r: var_list_r ',' term  */
#line 864 "filter/config.Y"
                       { (yyval.x) = (yyvsp[0].x); (yyval.x)->next = (yyvsp[-2].x); }
#line 8544 "obj/conf/cf-parse.tab.c"
    break;

  case 318: /* var_list: var_list_r  */
#line 868 "filter/config.Y"
   {
     (yyval.x) = NULL;

     /* Revert the var_list_r */
     while ((yyvsp[0].x)) {
       struct f_inst *tmp = (yyvsp[0].x);
       (yyvsp[0].x) = (yyvsp[0].x)->next;

       tmp->next = (yyval.x);
       (yyval.x) = tmp;
     }
   }
#line 8561 "obj/conf/cf-parse.tab.c"
    break;

  case 319: /* function_call: CF_SYM_KNOWN '(' var_list ')'  */
#line 884 "filter/config.Y"
   {
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");

     (yyval.x) = f_new_inst(FI_CALL, (yyvsp[-1].x), (yyvsp[-3].s));
   }
#line 8572 "obj/conf/cf-parse.tab.c"
    break;

  case 320: /* static_attr: GW  */
#line 894 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	0); }
#line 8578 "obj/conf/cf-parse.tab.c"
    break;

  case 321: /* static_attr: NET  */
#line 895 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	1); }
#line 8584 "obj/conf/cf-parse.tab.c"
    break;

  case 322: /* static_attr: PROTO  */
#line 896 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	1); }
#line 8590 "obj/conf/cf-parse.tab.c"
    break;

  case 323: /* static_attr: DEST  */
#line 897 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	0); }
#line 8596 "obj/conf/cf-parse.tab.c"
    break;

  case 324: /* static_attr: IFNAME  */
#line 898 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	0); }
#line 8602 "obj/conf/cf-parse.tab.c"
    break;

  case 325: /* static_attr: IFINDEX  */
#line 899 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	1); }
#line 8608 "obj/conf/cf-parse.tab.c"
    break;

  case 326: /* static_attr: WEIGHT  */
#line 900 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_WEIGHT,	0); }
#line 8614 "obj/conf/cf-parse.tab.c"
    break;

  case 327: /* static_attr: GW_MPLS  */
#line 901 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_GW_MPLS,	0); }
#line 8620 "obj/conf/cf-parse.tab.c"
    break;

  case 328: /* $@7: %empty  */
#line 904 "filter/config.Y"
                          { f_method_call_start((yyvsp[-1].x)); }
#line 8626 "obj/conf/cf-parse.tab.c"
    break;

  case 329: /* term_dot_method: term '.' $@7 method_name_cont  */
#line 904 "filter/config.Y"
                                                                        { f_method_call_end(); (yyval.x) = (yyvsp[0].x); }
#line 8632 "obj/conf/cf-parse.tab.c"
    break;

  case 330: /* method_name_cont: CF_SYM_METHOD_BARE  */
#line 906 "filter/config.Y"
                      {
     (yyval.x) = f_dispatch_method((yyvsp[0].s), FM.object, NULL, 1);
   }
#line 8640 "obj/conf/cf-parse.tab.c"
    break;

  case 331: /* $@8: %empty  */
#line 909 "filter/config.Y"
                      {
     f_method_call_args();
   }
#line 8648 "obj/conf/cf-parse.tab.c"
    break;

  case 332: /* method_name_cont: CF_SYM_METHOD_ARGS $@8 '(' var_list ')'  */
#line 911 "filter/config.Y"
                      {
     (yyval.x) = f_dispatch_method((yyvsp[-4].s), FM.object, (yyvsp[-1].x), 1);
   }
#line 8656 "obj/conf/cf-parse.tab.c"
    break;

  case 333: /* method_name_cont: static_attr  */
#line 914 "filter/config.Y"
               {
     if (FM.object->type != T_ROUTE)
       cf_error("Getting a route attribute from %s, need a route", f_type_name(FM.object->type));
     (yyval.x) = f_new_inst(FI_RTA_GET, FM.object, (yyvsp[0].fsa));
   }
#line 8666 "obj/conf/cf-parse.tab.c"
    break;

  case 334: /* method_name_cont: CF_SYM_KNOWN  */
#line 919 "filter/config.Y"
                {
     if ((yyvsp[0].s)->class != SYM_ATTRIBUTE)
       cf_error("Not a method of %s: %s", f_type_name(FM.object->type), (yyvsp[0].s)->name);
     if (FM.object->type != T_ROUTE)
       cf_error("Getting a route attribute from %s, need a route", f_type_name(FM.object->type));
     (yyval.x) = f_new_inst(FI_EA_GET, FM.object, (yyvsp[0].s)->attribute);
   }
#line 8678 "obj/conf/cf-parse.tab.c"
    break;

  case 335: /* term: '(' term ')'  */
#line 929 "filter/config.Y"
                        { (yyval.x) = (yyvsp[-1].x); }
#line 8684 "obj/conf/cf-parse.tab.c"
    break;

  case 336: /* term: term '+' term  */
#line 930 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_ADD, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8690 "obj/conf/cf-parse.tab.c"
    break;

  case 337: /* term: term '-' term  */
#line 931 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_SUBTRACT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8696 "obj/conf/cf-parse.tab.c"
    break;

  case 338: /* term: term '*' term  */
#line 932 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_MULTIPLY, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8702 "obj/conf/cf-parse.tab.c"
    break;

  case 339: /* term: term '/' term  */
#line 933 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_DIVIDE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8708 "obj/conf/cf-parse.tab.c"
    break;

  case 340: /* term: term '&' term  */
#line 934 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_BITAND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8714 "obj/conf/cf-parse.tab.c"
    break;

  case 341: /* term: term '|' term  */
#line 935 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_BITOR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8720 "obj/conf/cf-parse.tab.c"
    break;

  case 342: /* term: term AND term  */
#line 936 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_AND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8726 "obj/conf/cf-parse.tab.c"
    break;

  case 343: /* term: term OR term  */
#line 937 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_OR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8732 "obj/conf/cf-parse.tab.c"
    break;

  case 344: /* term: term '=' term  */
#line 938 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_EQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8738 "obj/conf/cf-parse.tab.c"
    break;

  case 345: /* term: term NEQ term  */
#line 939 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NEQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8744 "obj/conf/cf-parse.tab.c"
    break;

  case 346: /* term: term '<' term  */
#line 940 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8750 "obj/conf/cf-parse.tab.c"
    break;

  case 347: /* term: term LEQ term  */
#line 941 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8756 "obj/conf/cf-parse.tab.c"
    break;

  case 348: /* term: term '>' term  */
#line 942 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LT, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 8762 "obj/conf/cf-parse.tab.c"
    break;

  case 349: /* term: term GEQ term  */
#line 943 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 8768 "obj/conf/cf-parse.tab.c"
    break;

  case 350: /* term: term '~' term  */
#line 944 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8774 "obj/conf/cf-parse.tab.c"
    break;

  case 351: /* term: term NMA term  */
#line 945 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NOT_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8780 "obj/conf/cf-parse.tab.c"
    break;

  case 352: /* term: '!' term  */
#line 946 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NOT, (yyvsp[0].x)); }
#line 8786 "obj/conf/cf-parse.tab.c"
    break;

  case 353: /* term: DEFINED '(' term ')'  */
#line 947 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_DEFINED, (yyvsp[-1].x)); }
#line 8792 "obj/conf/cf-parse.tab.c"
    break;

  case 354: /* term: constant  */
#line 949 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].x); }
#line 8798 "obj/conf/cf-parse.tab.c"
    break;

  case 355: /* term: constructor  */
#line 950 "filter/config.Y"
               { (yyval.x) = (yyvsp[0].x); }
#line 8804 "obj/conf/cf-parse.tab.c"
    break;

  case 356: /* term: lvalue  */
#line 952 "filter/config.Y"
          { (yyval.x) = f_lval_getter(&(yyvsp[0].flv)); }
#line 8810 "obj/conf/cf-parse.tab.c"
    break;

  case 358: /* term: '+' EMPTY '+'  */
#line 956 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_CONSTANT, f_get_empty(T_PATH)); }
#line 8816 "obj/conf/cf-parse.tab.c"
    break;

  case 359: /* term: '-' EMPTY '-'  */
#line 957 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_CONSTANT, f_get_empty(T_CLIST)); }
#line 8822 "obj/conf/cf-parse.tab.c"
    break;

  case 360: /* term: '-' '-' EMPTY '-' '-'  */
#line 958 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_CONSTANT, f_get_empty(T_ECLIST)); }
#line 8828 "obj/conf/cf-parse.tab.c"
    break;

  case 361: /* term: '-' '-' '-' EMPTY '-' '-' '-'  */
#line 959 "filter/config.Y"
                                 { (yyval.x) = f_new_inst(FI_CONSTANT, f_get_empty(T_LCLIST)); }
#line 8834 "obj/conf/cf-parse.tab.c"
    break;

  case 362: /* term: PREPEND '(' term ',' term ')'  */
#line 961 "filter/config.Y"
                                 { (yyval.x) = f_dispatch_method_x("prepend", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8840 "obj/conf/cf-parse.tab.c"
    break;

  case 363: /* term: ADD '(' term ',' term ')'  */
#line 962 "filter/config.Y"
                             { (yyval.x) = f_dispatch_method_x("add", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8846 "obj/conf/cf-parse.tab.c"
    break;

  case 364: /* term: DELETE '(' term ',' term ')'  */
#line 963 "filter/config.Y"
                                { (yyval.x) = f_dispatch_method_x("delete", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8852 "obj/conf/cf-parse.tab.c"
    break;

  case 365: /* term: FILTER '(' term ',' term ')'  */
#line 964 "filter/config.Y"
                                { (yyval.x) = f_dispatch_method_x("filter", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8858 "obj/conf/cf-parse.tab.c"
    break;

  case 366: /* term: ROA_CHECK '(' rtable ')'  */
#line 966 "filter/config.Y"
                            { (yyval.x) = f_implicit_roa_check((yyvsp[-1].r)); }
#line 8864 "obj/conf/cf-parse.tab.c"
    break;

  case 367: /* term: ROA_CHECK '(' rtable ',' term ',' term ')'  */
#line 967 "filter/config.Y"
                                              { (yyval.x) = f_new_inst(FI_ROA_CHECK, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 8870 "obj/conf/cf-parse.tab.c"
    break;

  case 368: /* term: ASPA_CHECK '(' rtable ',' term ',' term ')'  */
#line 968 "filter/config.Y"
                                               { (yyval.x) = f_new_inst(FI_ASPA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 8876 "obj/conf/cf-parse.tab.c"
    break;

  case 369: /* term: FORMAT '(' term ')'  */
#line 970 "filter/config.Y"
                       {  (yyval.x) = f_new_inst(FI_FORMAT, (yyvsp[-1].x)); }
#line 8882 "obj/conf/cf-parse.tab.c"
    break;

  case 372: /* term_bs: FROM_HEX '(' term ')'  */
#line 977 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_FROM_HEX, (yyvsp[-1].x)); }
#line 8888 "obj/conf/cf-parse.tab.c"
    break;

  case 373: /* break_command: ACCEPT  */
#line 981 "filter/config.Y"
          { (yyval.fret) = F_ACCEPT; }
#line 8894 "obj/conf/cf-parse.tab.c"
    break;

  case 374: /* break_command: REJECT  */
#line 982 "filter/config.Y"
          { (yyval.fret) = F_REJECT; }
#line 8900 "obj/conf/cf-parse.tab.c"
    break;

  case 375: /* break_command: ERROR  */
#line 983 "filter/config.Y"
         { (yyval.fret) = F_ERROR; }
#line 8906 "obj/conf/cf-parse.tab.c"
    break;

  case 376: /* var: type symbol '=' term ';'  */
#line 987 "filter/config.Y"
                            {
     struct symbol *sym = cf_define_symbol(new_config, (yyvsp[-3].s), SYM_VARIABLE | (yyvsp[-4].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT, (yyvsp[-1].x), sym);
   }
#line 8915 "obj/conf/cf-parse.tab.c"
    break;

  case 377: /* var: type symbol ';'  */
#line 991 "filter/config.Y"
                   {
     struct symbol *sym = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT0, sym);
   }
#line 8924 "obj/conf/cf-parse.tab.c"
    break;

  case 378: /* for_var: type symbol  */
#line 998 "filter/config.Y"
               { (yyval.s) = cf_define_symbol(new_config, (yyvsp[0].s), SYM_VARIABLE | (yyvsp[-1].i), offset, f_new_var(sym_->scope)); }
#line 8930 "obj/conf/cf-parse.tab.c"
    break;

  case 379: /* for_var: CF_SYM_KNOWN  */
#line 999 "filter/config.Y"
                { cf_error("Use of a pre-defined variable in for loop is not allowed"); }
#line 8936 "obj/conf/cf-parse.tab.c"
    break;

  case 380: /* $@9: %empty  */
#line 1003 "filter/config.Y"
       { cf_push_soft_scope(new_config); }
#line 8942 "obj/conf/cf-parse.tab.c"
    break;

  case 381: /* $@10: %empty  */
#line 1003 "filter/config.Y"
                                                { cf_pop_soft_scope(new_config); }
#line 8948 "obj/conf/cf-parse.tab.c"
    break;

  case 382: /* cmd: '{' $@9 cmds $@10 '}'  */
#line 1003 "filter/config.Y"
                                                                                       { (yyval.x) = (yyvsp[-2].x); }
#line 8954 "obj/conf/cf-parse.tab.c"
    break;

  case 383: /* cmd: IF term THEN cmd  */
#line 1004 "filter/config.Y"
                    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-2].x), (yyvsp[0].x), NULL);
   }
#line 8962 "obj/conf/cf-parse.tab.c"
    break;

  case 384: /* cmd: IF term THEN cmd ELSE cmd  */
#line 1007 "filter/config.Y"
                             {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-4].x), (yyvsp[-2].x), (yyvsp[0].x));
   }
#line 8970 "obj/conf/cf-parse.tab.c"
    break;

  case 385: /* $@11: %empty  */
#line 1010 "filter/config.Y"
       {
     /* Reserve space for walk data on stack */
     cf_push_block_scope(new_config);
     new_config->current_scope->slots += 2;
   }
#line 8980 "obj/conf/cf-parse.tab.c"
    break;

  case 386: /* $@12: %empty  */
#line 1016 "filter/config.Y"
   { this_for_scope = new_config->current_scope; new_config->current_scope = this_for_scope->next; }
#line 8986 "obj/conf/cf-parse.tab.c"
    break;

  case 387: /* $@13: %empty  */
#line 1018 "filter/config.Y"
   { new_config->current_scope = this_for_scope; this_for_scope = NULL; }
#line 8992 "obj/conf/cf-parse.tab.c"
    break;

  case 388: /* cmd: FOR $@11 for_var IN $@12 term $@13 DO cmd  */
#line 1019 "filter/config.Y"
          {
     cf_pop_block_scope(new_config);
     (yyval.x) = f_for_cycle((yyvsp[-6].s), (yyvsp[-3].x), (yyvsp[0].x));
   }
#line 9001 "obj/conf/cf-parse.tab.c"
    break;

  case 389: /* cmd: lvalue '=' term ';'  */
#line 1023 "filter/config.Y"
                       {
     (yyval.x) = f_lval_setter(&(yyvsp[-3].flv), (yyvsp[-1].x));
   }
#line 9009 "obj/conf/cf-parse.tab.c"
    break;

  case 390: /* cmd: RETURN term ';'  */
#line 1026 "filter/config.Y"
                   {
     DBG( "Ook, we'll return the value\n" );
     if (!this_function)
       cf_error("Can't return from a non-function, use accept or reject instead.");
     if (this_function->function->return_type == T_VOID)
     {
       if ((yyvsp[-1].x)->type != T_VOID)
	 cf_warn("Inferring function %s return type from its return value: %s", this_function->name, f_type_name((yyvsp[-1].x)->type));
       ((struct f_line *) this_function->function)->return_type = (yyvsp[-1].x)->type;
     }
     else if (this_function->function->return_type != (yyvsp[-1].x)->type)
       cf_error("Can't return type %s from function %s, expected %s",
		f_type_name((yyvsp[-1].x)->type), this_function->name, f_type_name(this_function->function->return_type));

     (yyval.x) = f_new_inst(FI_RETURN, (yyvsp[-1].x));
   }
#line 9030 "obj/conf/cf-parse.tab.c"
    break;

  case 391: /* cmd: UNSET '(' CF_SYM_KNOWN ')' ';'  */
#line 1042 "filter/config.Y"
                                  {
     if ((yyvsp[-2].s)->class != SYM_ATTRIBUTE)
       cf_error("Can't unset %s", (yyvsp[-2].s)->name);
     if ((yyvsp[-2].s)->attribute->readonly)
       cf_error("Attribute %s is read-only", (yyvsp[-2].s)->attribute->name);
     (yyval.x) = f_new_inst(FI_EA_UNSET, (yyvsp[-2].s)->attribute);
   }
#line 9042 "obj/conf/cf-parse.tab.c"
    break;

  case 392: /* cmd: break_command var_list_r ';'  */
#line 1049 "filter/config.Y"
                                {
    (yyval.x) = f_print((yyvsp[-1].x), !!(yyvsp[-1].x), (yyvsp[-2].fret));
   }
#line 9050 "obj/conf/cf-parse.tab.c"
    break;

  case 393: /* cmd: PRINT var_list_r ';'  */
#line 1052 "filter/config.Y"
                        {
    (yyval.x) = f_print((yyvsp[-1].x), 1, F_NOP);
   }
#line 9058 "obj/conf/cf-parse.tab.c"
    break;

  case 394: /* cmd: PRINTN var_list_r ';'  */
#line 1055 "filter/config.Y"
                         {
    (yyval.x) = f_print((yyvsp[-1].x), 0, F_NOP);
   }
#line 9066 "obj/conf/cf-parse.tab.c"
    break;

  case 395: /* cmd: function_call ';'  */
#line 1058 "filter/config.Y"
                     { (yyval.x) = f_new_inst(FI_DROP_RESULT, (yyvsp[-1].x)); }
#line 9072 "obj/conf/cf-parse.tab.c"
    break;

  case 396: /* cmd: CASE term '{' switch_body '}'  */
#line 1059 "filter/config.Y"
                                 {
      (yyval.x) = f_new_inst(FI_SWITCH, (yyvsp[-3].x), (yyvsp[-1].e));
   }
#line 9080 "obj/conf/cf-parse.tab.c"
    break;

  case 397: /* $@14: %empty  */
#line 1062 "filter/config.Y"
              {
     f_method_call_start(f_lval_getter(&(yyvsp[-1].flv)));
   }
#line 9088 "obj/conf/cf-parse.tab.c"
    break;

  case 398: /* cmd: lvalue '.' $@14 method_name_cont ';'  */
#line 1064 "filter/config.Y"
                          {
     f_method_call_end();
     (yyval.x) = f_lval_setter(&(yyvsp[-4].flv), (yyvsp[-1].x));
   }
#line 9097 "obj/conf/cf-parse.tab.c"
    break;

  case 399: /* cmd: BT_ASSERT '(' get_cf_position term get_cf_position ')' ';'  */
#line 1068 "filter/config.Y"
                                                              { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 9103 "obj/conf/cf-parse.tab.c"
    break;

  case 400: /* cmd: BT_CHECK_ASSIGN '(' get_cf_position lvalue get_cf_position ',' term ')' ';'  */
#line 1069 "filter/config.Y"
                                                                               { (yyval.x) = assert_assign(&(yyvsp[-5].flv), (yyvsp[-2].x), (yyvsp[-6].t) + 1, (yyvsp[-4].t) - 1); }
#line 9109 "obj/conf/cf-parse.tab.c"
    break;

  case 401: /* get_cf_position: %empty  */
#line 1073 "filter/config.Y"
{
  (yyval.t) = cf_text;
}
#line 9117 "obj/conf/cf-parse.tab.c"
    break;

  case 402: /* lvalue: CF_SYM_KNOWN  */
#line 1078 "filter/config.Y"
                {
     switch ((yyvsp[0].s)->class)
     {
       case SYM_CONSTANT_RANGE:
	 (yyval.flv) = (struct f_lval) { .type = F_LVAL_CONSTANT, .sym = (yyvsp[0].s), };
	 break;
       case SYM_VARIABLE_RANGE:
	 (yyval.flv) = (struct f_lval) { .type = F_LVAL_VARIABLE, .sym = (yyvsp[0].s), };
         break;
       case SYM_ATTRIBUTE:
         (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = (yyvsp[0].s)->attribute, .rte = f_new_inst(FI_CURRENT_ROUTE), };
	 break;
       default:
	 cf_error("Variable name or attribute name required");
     }
   }
#line 9138 "obj/conf/cf-parse.tab.c"
    break;

  case 403: /* lvalue: static_attr  */
#line 1094 "filter/config.Y"
               { (yyval.flv) = (struct f_lval) { .type = F_LVAL_SA, .sa = (yyvsp[0].fsa), .rte = f_new_inst(FI_CURRENT_ROUTE), }; }
#line 9144 "obj/conf/cf-parse.tab.c"
    break;

  case 405: /* rtrid: ROUTER ID idval ';'  */
#line 209 "nest/config.Y"
                       { new_config->router_id = (yyvsp[-1].i32); }
#line 9150 "obj/conf/cf-parse.tab.c"
    break;

  case 406: /* rtrid: ROUTER ID FROM iface_patt ';'  */
#line 210 "nest/config.Y"
                                 { new_config->router_id_from = this_ipatt; }
#line 9156 "obj/conf/cf-parse.tab.c"
    break;

  case 407: /* idval: NUM  */
#line 214 "nest/config.Y"
       { (yyval.i32) = (yyvsp[0].i); }
#line 9162 "obj/conf/cf-parse.tab.c"
    break;

  case 408: /* idval: '(' term ')'  */
#line 215 "nest/config.Y"
                { (yyval.i32) = cf_eval_int((yyvsp[-1].x)); }
#line 9168 "obj/conf/cf-parse.tab.c"
    break;

  case 409: /* idval: IP4  */
#line 216 "nest/config.Y"
       { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 9174 "obj/conf/cf-parse.tab.c"
    break;

  case 410: /* idval: CF_SYM_KNOWN  */
#line 217 "nest/config.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 9187 "obj/conf/cf-parse.tab.c"
    break;

  case 412: /* hostname_override: HOSTNAME text ';'  */
#line 229 "nest/config.Y"
                                     { new_config->hostname = (yyvsp[-1].t); }
#line 9193 "obj/conf/cf-parse.tab.c"
    break;

  case 414: /* gr_opts: GRACEFUL RESTART WAIT expr ';'  */
#line 233 "nest/config.Y"
                                        { new_config->gr_wait = (yyvsp[-1].i); }
#line 9199 "obj/conf/cf-parse.tab.c"
    break;

  case 415: /* net_type_base: IPV4  */
#line 239 "nest/config.Y"
        { (yyval.i) = NET_IP4; }
#line 9205 "obj/conf/cf-parse.tab.c"
    break;

  case 416: /* net_type_base: IPV6  */
#line 240 "nest/config.Y"
        { (yyval.i) = NET_IP6; }
#line 9211 "obj/conf/cf-parse.tab.c"
    break;

  case 417: /* net_type_base: IPV6 SADR  */
#line 241 "nest/config.Y"
             { (yyval.i) = NET_IP6_SADR; }
#line 9217 "obj/conf/cf-parse.tab.c"
    break;

  case 418: /* net_type_base: VPN4  */
#line 242 "nest/config.Y"
        { (yyval.i) = NET_VPN4; }
#line 9223 "obj/conf/cf-parse.tab.c"
    break;

  case 419: /* net_type_base: VPN6  */
#line 243 "nest/config.Y"
        { (yyval.i) = NET_VPN6; }
#line 9229 "obj/conf/cf-parse.tab.c"
    break;

  case 420: /* net_type_base: ROA4  */
#line 244 "nest/config.Y"
        { (yyval.i) = NET_ROA4; }
#line 9235 "obj/conf/cf-parse.tab.c"
    break;

  case 421: /* net_type_base: ROA6  */
#line 245 "nest/config.Y"
        { (yyval.i) = NET_ROA6; }
#line 9241 "obj/conf/cf-parse.tab.c"
    break;

  case 422: /* net_type_base: FLOW4  */
#line 246 "nest/config.Y"
        { (yyval.i) = NET_FLOW4; }
#line 9247 "obj/conf/cf-parse.tab.c"
    break;

  case 423: /* net_type_base: FLOW6  */
#line 247 "nest/config.Y"
        { (yyval.i) = NET_FLOW6; }
#line 9253 "obj/conf/cf-parse.tab.c"
    break;

  case 424: /* net_type_base: ASPA  */
#line 248 "nest/config.Y"
        { (yyval.i) = NET_ASPA; }
#line 9259 "obj/conf/cf-parse.tab.c"
    break;

  case 426: /* net_type: MPLS  */
#line 253 "nest/config.Y"
        { (yyval.i) = NET_MPLS; }
#line 9265 "obj/conf/cf-parse.tab.c"
    break;

  case 429: /* table_start: net_type TABLE symbol  */
#line 263 "nest/config.Y"
                                   {
   this_table = rt_new_table((yyvsp[0].s), (yyvsp[-2].i));
   }
#line 9273 "obj/conf/cf-parse.tab.c"
    break;

  case 431: /* table_sorted: SORTED  */
#line 270 "nest/config.Y"
          { this_table->sorted = 1; }
#line 9279 "obj/conf/cf-parse.tab.c"
    break;

  case 432: /* table_opt: SORTED bool  */
#line 274 "nest/config.Y"
               { this_table->sorted = (yyvsp[0].i); }
#line 9285 "obj/conf/cf-parse.tab.c"
    break;

  case 433: /* table_opt: DEBUG debug_mask  */
#line 275 "nest/config.Y"
                    { this_table->debug = (yyvsp[0].i); }
#line 9291 "obj/conf/cf-parse.tab.c"
    break;

  case 434: /* table_opt: TRIE bool  */
#line 276 "nest/config.Y"
             {
     if (!net_val_match(this_table->addr_type, NB_IP | NB_VPN | NB_ROA | NB_IP6_SADR))
       cf_error("Trie option not supported for %s table", net_label[this_table->addr_type]);
     this_table->trie_used = (yyvsp[0].i);
   }
#line 9301 "obj/conf/cf-parse.tab.c"
    break;

  case 435: /* table_opt: GC THRESHOLD expr  */
#line 281 "nest/config.Y"
                     { this_table->gc_threshold = (yyvsp[0].i); }
#line 9307 "obj/conf/cf-parse.tab.c"
    break;

  case 436: /* table_opt: GC PERIOD expr_us  */
#line 282 "nest/config.Y"
                     { this_table->gc_period = (uint) (yyvsp[0].time); if ((yyvsp[0].time) > 3600 S_) cf_error("GC period must be at most 3600 s"); }
#line 9313 "obj/conf/cf-parse.tab.c"
    break;

  case 437: /* table_opt: CORK THRESHOLD expr expr  */
#line 283 "nest/config.Y"
                            {
     if ((yyvsp[-1].i) > (yyvsp[0].i)) cf_error("Cork low threshold must be lower than the high threshold.");
     this_table->cork_threshold.low = (yyvsp[-1].i);
     this_table->cork_threshold.high = (yyvsp[0].i); }
#line 9322 "obj/conf/cf-parse.tab.c"
    break;

  case 438: /* table_opt: EXPORT SETTLE TIME settle  */
#line 287 "nest/config.Y"
                             { this_table->export_settle = (yyvsp[0].settle); }
#line 9328 "obj/conf/cf-parse.tab.c"
    break;

  case 439: /* table_opt: ROUTE REFRESH EXPORT SETTLE TIME settle  */
#line 288 "nest/config.Y"
                                           { this_table->export_rr_settle = (yyvsp[0].settle); }
#line 9334 "obj/conf/cf-parse.tab.c"
    break;

  case 440: /* table_opt: DIGEST SETTLE TIME settle  */
#line 289 "nest/config.Y"
                             { this_table->digest_settle = (yyvsp[0].settle); }
#line 9340 "obj/conf/cf-parse.tab.c"
    break;

  case 445: /* conf: proto  */
#line 305 "nest/config.Y"
            { proto_postconfig(); }
#line 9346 "obj/conf/cf-parse.tab.c"
    break;

  case 446: /* proto_start: PROTOCOL  */
#line 308 "nest/config.Y"
            { (yyval.i) = SYM_PROTO; }
#line 9352 "obj/conf/cf-parse.tab.c"
    break;

  case 447: /* proto_start: TEMPLATE  */
#line 309 "nest/config.Y"
            { (yyval.i) = SYM_TEMPLATE; }
#line 9358 "obj/conf/cf-parse.tab.c"
    break;

  case 448: /* proto_name: %empty  */
#line 313 "nest/config.Y"
               {
     struct symbol *s = cf_default_name(new_config, this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;
     }
#line 9369 "obj/conf/cf-parse.tab.c"
    break;

  case 449: /* proto_name: symbol  */
#line 319 "nest/config.Y"
          {
     cf_define_symbol(new_config, (yyvsp[0].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 9378 "obj/conf/cf-parse.tab.c"
    break;

  case 450: /* proto_name: FROM CF_SYM_KNOWN  */
#line 323 "nest/config.Y"
                     {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     struct symbol *s = cf_default_name(new_config, this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 9393 "obj/conf/cf-parse.tab.c"
    break;

  case 451: /* proto_name: symbol FROM CF_SYM_KNOWN  */
#line 333 "nest/config.Y"
                            {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     cf_define_symbol(new_config, (yyvsp[-2].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 9406 "obj/conf/cf-parse.tab.c"
    break;

  case 453: /* proto_item: DISABLED bool  */
#line 345 "nest/config.Y"
                 { this_proto->disabled = (yyvsp[0].i); }
#line 9412 "obj/conf/cf-parse.tab.c"
    break;

  case 454: /* proto_item: RESTART TIME expr_us  */
#line 346 "nest/config.Y"
                        { this_proto->restart_limit = (yyvsp[0].time); }
#line 9418 "obj/conf/cf-parse.tab.c"
    break;

  case 455: /* proto_item: DEBUG debug_mask  */
#line 347 "nest/config.Y"
                    { this_proto->debug = (yyvsp[0].i); }
#line 9424 "obj/conf/cf-parse.tab.c"
    break;

  case 456: /* proto_item: MRTDUMP mrtdump_mask  */
#line 348 "nest/config.Y"
                        { this_proto->mrtdump = (yyvsp[0].i); }
#line 9430 "obj/conf/cf-parse.tab.c"
    break;

  case 457: /* proto_item: ROUTER ID idval  */
#line 349 "nest/config.Y"
                   { this_proto->router_id = (yyvsp[0].i32); }
#line 9436 "obj/conf/cf-parse.tab.c"
    break;

  case 458: /* proto_item: DESCRIPTION text  */
#line 350 "nest/config.Y"
                    { this_proto->dsc = (yyvsp[0].t); }
#line 9442 "obj/conf/cf-parse.tab.c"
    break;

  case 459: /* proto_item: VRF text  */
#line 351 "nest/config.Y"
            { this_proto->vrf = if_get_by_name((yyvsp[0].t)); }
#line 9448 "obj/conf/cf-parse.tab.c"
    break;

  case 460: /* proto_item: VRF DEFAULT  */
#line 352 "nest/config.Y"
               { this_proto->vrf = &default_vrf; }
#line 9454 "obj/conf/cf-parse.tab.c"
    break;

  case 461: /* channel_start: net_type_base  */
#line 357 "nest/config.Y"
{
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 9462 "obj/conf/cf-parse.tab.c"
    break;

  case 462: /* channel_item_: TABLE rtable  */
#line 362 "nest/config.Y"
                {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 9472 "obj/conf/cf-parse.tab.c"
    break;

  case 463: /* channel_item_: IMPORT imexport  */
#line 367 "nest/config.Y"
                   { this_channel->in_filter = (yyvsp[0].f); }
#line 9478 "obj/conf/cf-parse.tab.c"
    break;

  case 464: /* channel_item_: EXPORT IN net_any imexport  */
#line 368 "nest/config.Y"
                              {
     if (this_channel->net_type && ((yyvsp[-1].net_ptr)->type != this_channel->net_type))
       cf_error("Incompatible export prefilter type");
     this_channel->out_subprefix = (yyvsp[-1].net_ptr);
     this_channel->out_filter = (yyvsp[0].f);
   }
#line 9489 "obj/conf/cf-parse.tab.c"
    break;

  case 465: /* channel_item_: EXPORT imexport  */
#line 374 "nest/config.Y"
                   { this_channel->out_filter = (yyvsp[0].f); }
#line 9495 "obj/conf/cf-parse.tab.c"
    break;

  case 466: /* channel_item_: RECEIVE LIMIT limit_spec  */
#line 375 "nest/config.Y"
                            { this_channel->rx_limit = (yyvsp[0].cl); }
#line 9501 "obj/conf/cf-parse.tab.c"
    break;

  case 467: /* channel_item_: IMPORT LIMIT limit_spec  */
#line 376 "nest/config.Y"
                           { this_channel->in_limit = (yyvsp[0].cl); }
#line 9507 "obj/conf/cf-parse.tab.c"
    break;

  case 468: /* channel_item_: EXPORT LIMIT limit_spec  */
#line 377 "nest/config.Y"
                           { this_channel->out_limit = (yyvsp[0].cl); }
#line 9513 "obj/conf/cf-parse.tab.c"
    break;

  case 469: /* channel_item_: PREFERENCE expr  */
#line 378 "nest/config.Y"
                   { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 9519 "obj/conf/cf-parse.tab.c"
    break;

  case 470: /* channel_item_: IMPORT KEEP FILTERED bool  */
#line 379 "nest/config.Y"
                             {
     if ((yyvsp[0].i))
       this_channel->in_keep |= RIK_REJECTED;
     else if ((this_channel->in_keep & RIK_PREFILTER) == RIK_PREFILTER)
       cf_error("Import keep filtered is implied by the import table.");
     else
       this_channel->in_keep &= ~RIK_REJECTED;
   }
#line 9532 "obj/conf/cf-parse.tab.c"
    break;

  case 471: /* channel_item_: RPKI RELOAD bool  */
#line 387 "nest/config.Y"
                    { this_channel->rpki_reload = (yyvsp[0].i); }
#line 9538 "obj/conf/cf-parse.tab.c"
    break;

  case 473: /* channel_item: DEBUG debug_mask  */
#line 393 "nest/config.Y"
                    { this_channel->debug = (yyvsp[0].i); }
#line 9544 "obj/conf/cf-parse.tab.c"
    break;

  case 478: /* channel_end: %empty  */
#line 407 "nest/config.Y"
{
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 9555 "obj/conf/cf-parse.tab.c"
    break;

  case 480: /* rtable: CF_SYM_KNOWN  */
#line 417 "nest/config.Y"
                     {
  cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
  if (!(yyvsp[0].s)->table) rt_new_default_table((yyvsp[0].s));
  (yyval.r) = (yyvsp[0].s)->table;
}
#line 9565 "obj/conf/cf-parse.tab.c"
    break;

  case 481: /* imexport: FILTER filter  */
#line 424 "nest/config.Y"
                 { (yyval.f) = (yyvsp[0].f); }
#line 9571 "obj/conf/cf-parse.tab.c"
    break;

  case 483: /* imexport: ALL  */
#line 426 "nest/config.Y"
       { (yyval.f) = FILTER_ACCEPT; }
#line 9577 "obj/conf/cf-parse.tab.c"
    break;

  case 484: /* imexport: NONE  */
#line 427 "nest/config.Y"
        { (yyval.f) = FILTER_REJECT; }
#line 9583 "obj/conf/cf-parse.tab.c"
    break;

  case 485: /* limit_action: %empty  */
#line 431 "nest/config.Y"
                 { (yyval.i) = PLA_DISABLE; }
#line 9589 "obj/conf/cf-parse.tab.c"
    break;

  case 486: /* limit_action: ACTION WARN  */
#line 432 "nest/config.Y"
               { (yyval.i) = PLA_WARN; }
#line 9595 "obj/conf/cf-parse.tab.c"
    break;

  case 487: /* limit_action: ACTION BLOCK  */
#line 433 "nest/config.Y"
                { (yyval.i) = PLA_BLOCK; }
#line 9601 "obj/conf/cf-parse.tab.c"
    break;

  case 488: /* limit_action: ACTION RESTART  */
#line 434 "nest/config.Y"
                  { (yyval.i) = PLA_RESTART; }
#line 9607 "obj/conf/cf-parse.tab.c"
    break;

  case 489: /* limit_action: ACTION DISABLE  */
#line 435 "nest/config.Y"
                  { (yyval.i) = PLA_DISABLE; }
#line 9613 "obj/conf/cf-parse.tab.c"
    break;

  case 490: /* limit_spec: expr limit_action  */
#line 439 "nest/config.Y"
                     { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 9619 "obj/conf/cf-parse.tab.c"
    break;

  case 491: /* limit_spec: OFF  */
#line 440 "nest/config.Y"
       { (yyval.cl) = (struct channel_limit){}; }
#line 9625 "obj/conf/cf-parse.tab.c"
    break;

  case 493: /* debug_default: DEBUG PROTOCOLS debug_mask  */
#line 447 "nest/config.Y"
                              { new_config->proto_default_debug = (yyvsp[0].i); }
#line 9631 "obj/conf/cf-parse.tab.c"
    break;

  case 494: /* debug_default: DEBUG CHANNELS debug_mask  */
#line 448 "nest/config.Y"
                             { new_config->channel_default_debug = (yyvsp[0].i); }
#line 9637 "obj/conf/cf-parse.tab.c"
    break;

  case 495: /* debug_default: DEBUG TABLES debug_mask  */
#line 449 "nest/config.Y"
                           { new_config->table_default_debug = (yyvsp[0].i); }
#line 9643 "obj/conf/cf-parse.tab.c"
    break;

  case 496: /* debug_default: DEBUG COMMANDS expr  */
#line 450 "nest/config.Y"
                       { new_config->cli_debug = (yyvsp[0].i); }
#line 9649 "obj/conf/cf-parse.tab.c"
    break;

  case 497: /* debug_default: DEBUG SHOW ROUTE debug_mask  */
#line 451 "nest/config.Y"
                               { new_config->show_route_debug = (yyvsp[0].i); }
#line 9655 "obj/conf/cf-parse.tab.c"
    break;

  case 499: /* timeformat_base: TIMEFORMAT timeformat_which timeformat_spec ';'  */
#line 459 "nest/config.Y"
                                                   { *(yyvsp[-2].tfp) = (yyvsp[-1].tf); }
#line 9661 "obj/conf/cf-parse.tab.c"
    break;

  case 500: /* timeformat_which: ROUTE  */
#line 463 "nest/config.Y"
         { (yyval.tfp) = &new_config->tf_route; }
#line 9667 "obj/conf/cf-parse.tab.c"
    break;

  case 501: /* timeformat_which: PROTOCOL  */
#line 464 "nest/config.Y"
            { (yyval.tfp) = &new_config->tf_proto; }
#line 9673 "obj/conf/cf-parse.tab.c"
    break;

  case 502: /* timeformat_which: BASE  */
#line 465 "nest/config.Y"
        { (yyval.tfp) = &new_config->tf_base; }
#line 9679 "obj/conf/cf-parse.tab.c"
    break;

  case 503: /* timeformat_which: LOG  */
#line 466 "nest/config.Y"
       { (yyval.tfp) = &new_config->tf_log; }
#line 9685 "obj/conf/cf-parse.tab.c"
    break;

  case 504: /* timeformat_spec: TEXT  */
#line 470 "nest/config.Y"
        { (yyval.tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 9691 "obj/conf/cf-parse.tab.c"
    break;

  case 505: /* timeformat_spec: TEXT expr TEXT  */
#line 471 "nest/config.Y"
                  { (yyval.tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 9697 "obj/conf/cf-parse.tab.c"
    break;

  case 506: /* timeformat_spec: ISO SHORT  */
#line 472 "nest/config.Y"
                { (yyval.tf) = TM_ISO_SHORT_S; }
#line 9703 "obj/conf/cf-parse.tab.c"
    break;

  case 507: /* timeformat_spec: ISO SHORT MS  */
#line 473 "nest/config.Y"
                { (yyval.tf) = TM_ISO_SHORT_MS; }
#line 9709 "obj/conf/cf-parse.tab.c"
    break;

  case 508: /* timeformat_spec: ISO SHORT US  */
#line 474 "nest/config.Y"
                { (yyval.tf) = TM_ISO_SHORT_US; }
#line 9715 "obj/conf/cf-parse.tab.c"
    break;

  case 509: /* timeformat_spec: ISO LONG  */
#line 475 "nest/config.Y"
                { (yyval.tf) = TM_ISO_LONG_S; }
#line 9721 "obj/conf/cf-parse.tab.c"
    break;

  case 510: /* timeformat_spec: ISO LONG MS  */
#line 476 "nest/config.Y"
                { (yyval.tf) = TM_ISO_LONG_MS; }
#line 9727 "obj/conf/cf-parse.tab.c"
    break;

  case 511: /* timeformat_spec: ISO LONG US  */
#line 477 "nest/config.Y"
                { (yyval.tf) = TM_ISO_LONG_US; }
#line 9733 "obj/conf/cf-parse.tab.c"
    break;

  case 512: /* iface_patt_node_init: %empty  */
#line 483 "nest/config.Y"
               {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 9743 "obj/conf/cf-parse.tab.c"
    break;

  case 513: /* iface_patt_node_body: TEXT  */
#line 491 "nest/config.Y"
        { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 9749 "obj/conf/cf-parse.tab.c"
    break;

  case 514: /* iface_patt_node_body: opttext net_or_ipa  */
#line 492 "nest/config.Y"
                      { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 9755 "obj/conf/cf-parse.tab.c"
    break;

  case 515: /* iface_negate: %empty  */
#line 496 "nest/config.Y"
       { this_ipn->positive = 1; }
#line 9761 "obj/conf/cf-parse.tab.c"
    break;

  case 516: /* iface_negate: '-'  */
#line 497 "nest/config.Y"
       { this_ipn->positive = 0; }
#line 9767 "obj/conf/cf-parse.tab.c"
    break;

  case 520: /* iface_patt_list_nopx: iface_patt_list  */
#line 511 "nest/config.Y"
                                      { iface_patt_check(); }
#line 9773 "obj/conf/cf-parse.tab.c"
    break;

  case 521: /* iface_patt_init: %empty  */
#line 513 "nest/config.Y"
                 {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 9783 "obj/conf/cf-parse.tab.c"
    break;

  case 523: /* tos: CLASS expr  */
#line 525 "nest/config.Y"
              { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 9789 "obj/conf/cf-parse.tab.c"
    break;

  case 524: /* tos: DSCP expr  */
#line 526 "nest/config.Y"
              { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 9795 "obj/conf/cf-parse.tab.c"
    break;

  case 526: /* dev_proto_start: proto_start DIRECT  */
#line 533 "nest/config.Y"
                                    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
     this_proto->late_if_feed = 1;
   }
#line 9805 "obj/conf/cf-parse.tab.c"
    break;

  case 531: /* dev_proto: dev_proto CHECK LINK bool ';'  */
#line 545 "nest/config.Y"
                                 { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 9811 "obj/conf/cf-parse.tab.c"
    break;

  case 532: /* dev_iface_init: %empty  */
#line 549 "nest/config.Y"
               {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 9821 "obj/conf/cf-parse.tab.c"
    break;

  case 534: /* debug_mask: ALL  */
#line 563 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 9827 "obj/conf/cf-parse.tab.c"
    break;

  case 535: /* debug_mask: OFF  */
#line 564 "nest/config.Y"
       { (yyval.i) = 0; }
#line 9833 "obj/conf/cf-parse.tab.c"
    break;

  case 536: /* debug_mask: '{' debug_list '}'  */
#line 565 "nest/config.Y"
                      { (yyval.i) = (yyvsp[-1].i); }
#line 9839 "obj/conf/cf-parse.tab.c"
    break;

  case 538: /* debug_list: debug_list ',' debug_flag  */
#line 570 "nest/config.Y"
                             { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 9845 "obj/conf/cf-parse.tab.c"
    break;

  case 539: /* debug_flag: STATES  */
#line 574 "nest/config.Y"
                { (yyval.i) = D_STATES; }
#line 9851 "obj/conf/cf-parse.tab.c"
    break;

  case 540: /* debug_flag: ROUTES  */
#line 575 "nest/config.Y"
                { (yyval.i) = D_ROUTES; }
#line 9857 "obj/conf/cf-parse.tab.c"
    break;

  case 541: /* debug_flag: FILTERS  */
#line 576 "nest/config.Y"
                { (yyval.i) = D_FILTERS; }
#line 9863 "obj/conf/cf-parse.tab.c"
    break;

  case 542: /* debug_flag: INTERFACES  */
#line 577 "nest/config.Y"
                { (yyval.i) = D_IFACES; }
#line 9869 "obj/conf/cf-parse.tab.c"
    break;

  case 543: /* debug_flag: EVENTS  */
#line 578 "nest/config.Y"
                { (yyval.i) = D_EVENTS; }
#line 9875 "obj/conf/cf-parse.tab.c"
    break;

  case 544: /* debug_flag: PACKETS  */
#line 579 "nest/config.Y"
                { (yyval.i) = D_PACKETS; }
#line 9881 "obj/conf/cf-parse.tab.c"
    break;

  case 545: /* mrtdump_mask: ALL  */
#line 585 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 9887 "obj/conf/cf-parse.tab.c"
    break;

  case 546: /* mrtdump_mask: OFF  */
#line 586 "nest/config.Y"
       { (yyval.i) = 0; }
#line 9893 "obj/conf/cf-parse.tab.c"
    break;

  case 547: /* mrtdump_mask: '{' mrtdump_list '}'  */
#line 587 "nest/config.Y"
                        { (yyval.i) = (yyvsp[-1].i); }
#line 9899 "obj/conf/cf-parse.tab.c"
    break;

  case 549: /* mrtdump_list: mrtdump_list ',' mrtdump_flag  */
#line 592 "nest/config.Y"
                                 { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 9905 "obj/conf/cf-parse.tab.c"
    break;

  case 550: /* mrtdump_flag: STATES  */
#line 596 "nest/config.Y"
                { (yyval.i) = MD_STATES; }
#line 9911 "obj/conf/cf-parse.tab.c"
    break;

  case 551: /* mrtdump_flag: MESSAGES  */
#line 597 "nest/config.Y"
                { (yyval.i) = MD_MESSAGES; }
#line 9917 "obj/conf/cf-parse.tab.c"
    break;

  case 561: /* password_item_begin: pass_key bytestring_text  */
#line 624 "nest/config.Y"
{
  init_password_list();
  if ((yyvsp[0].v).type == T_BYTESTRING)
    init_password((yyvsp[0].v).val.bs->data, (yyvsp[0].v).val.bs->length, password_id++);
  else if ((yyvsp[0].v).type == T_STRING)
    init_password((yyvsp[0].v).val.s, strlen((yyvsp[0].v).val.s), password_id++);
  else bug("Bad bytestring_text");
}
#line 9930 "obj/conf/cf-parse.tab.c"
    break;

  case 562: /* password_item_params: %empty  */
#line 634 "nest/config.Y"
               { }
#line 9936 "obj/conf/cf-parse.tab.c"
    break;

  case 563: /* password_item_params: GENERATE FROM time ';' password_item_params  */
#line 635 "nest/config.Y"
                                               { this_p_item->genfrom = (yyvsp[-2].time); }
#line 9942 "obj/conf/cf-parse.tab.c"
    break;

  case 564: /* password_item_params: GENERATE TO time ';' password_item_params  */
#line 636 "nest/config.Y"
                                             { this_p_item->gento = (yyvsp[-2].time); }
#line 9948 "obj/conf/cf-parse.tab.c"
    break;

  case 565: /* password_item_params: ACCEPT FROM time ';' password_item_params  */
#line 637 "nest/config.Y"
                                             { this_p_item->accfrom = (yyvsp[-2].time); }
#line 9954 "obj/conf/cf-parse.tab.c"
    break;

  case 566: /* password_item_params: ACCEPT TO time ';' password_item_params  */
#line 638 "nest/config.Y"
                                           { this_p_item->accto = (yyvsp[-2].time); }
#line 9960 "obj/conf/cf-parse.tab.c"
    break;

  case 567: /* password_item_params: FROM time ';' password_item_params  */
#line 639 "nest/config.Y"
                                      { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 9966 "obj/conf/cf-parse.tab.c"
    break;

  case 568: /* password_item_params: TO time ';' password_item_params  */
#line 640 "nest/config.Y"
                                    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 9972 "obj/conf/cf-parse.tab.c"
    break;

  case 569: /* password_item_params: ID expr ';' password_item_params  */
#line 641 "nest/config.Y"
                                    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) > 255) cf_error("Password ID must be in range 0-255"); }
#line 9978 "obj/conf/cf-parse.tab.c"
    break;

  case 570: /* password_item_params: ALGORITHM password_algorithm ';' password_item_params  */
#line 642 "nest/config.Y"
                                                         { this_p_item->alg = (yyvsp[-2].i); }
#line 9984 "obj/conf/cf-parse.tab.c"
    break;

  case 571: /* password_algorithm: KEYED MD5  */
#line 646 "nest/config.Y"
                { (yyval.i) = ALG_MD5; }
#line 9990 "obj/conf/cf-parse.tab.c"
    break;

  case 572: /* password_algorithm: KEYED SHA1  */
#line 647 "nest/config.Y"
                { (yyval.i) = ALG_SHA1; }
#line 9996 "obj/conf/cf-parse.tab.c"
    break;

  case 573: /* password_algorithm: KEYED SHA256  */
#line 648 "nest/config.Y"
                { (yyval.i) = ALG_SHA256; }
#line 10002 "obj/conf/cf-parse.tab.c"
    break;

  case 574: /* password_algorithm: KEYED SHA384  */
#line 649 "nest/config.Y"
                { (yyval.i) = ALG_SHA384; }
#line 10008 "obj/conf/cf-parse.tab.c"
    break;

  case 575: /* password_algorithm: KEYED SHA512  */
#line 650 "nest/config.Y"
                { (yyval.i) = ALG_SHA512; }
#line 10014 "obj/conf/cf-parse.tab.c"
    break;

  case 576: /* password_algorithm: HMAC MD5  */
#line 651 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_MD5; }
#line 10020 "obj/conf/cf-parse.tab.c"
    break;

  case 577: /* password_algorithm: HMAC SHA1  */
#line 652 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA1; }
#line 10026 "obj/conf/cf-parse.tab.c"
    break;

  case 578: /* password_algorithm: HMAC SHA256  */
#line 653 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA256; }
#line 10032 "obj/conf/cf-parse.tab.c"
    break;

  case 579: /* password_algorithm: HMAC SHA384  */
#line 654 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA384; }
#line 10038 "obj/conf/cf-parse.tab.c"
    break;

  case 580: /* password_algorithm: HMAC SHA512  */
#line 655 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA512; }
#line 10044 "obj/conf/cf-parse.tab.c"
    break;

  case 581: /* password_algorithm: BLAKE2S128  */
#line 656 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2S_128; }
#line 10050 "obj/conf/cf-parse.tab.c"
    break;

  case 582: /* password_algorithm: BLAKE2S256  */
#line 657 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2S_256; }
#line 10056 "obj/conf/cf-parse.tab.c"
    break;

  case 583: /* password_algorithm: BLAKE2B256  */
#line 658 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2B_256; }
#line 10062 "obj/conf/cf-parse.tab.c"
    break;

  case 584: /* password_algorithm: BLAKE2B512  */
#line 659 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2B_512; }
#line 10068 "obj/conf/cf-parse.tab.c"
    break;

  case 585: /* password_item_end: %empty  */
#line 663 "nest/config.Y"
{
  password_validate_length(this_p_item);
}
#line 10076 "obj/conf/cf-parse.tab.c"
    break;

  case 588: /* cmd_SHOW_STATUS: SHOW STATUS END  */
#line 676 "nest/config.Y"
{ cmd_show_status(); }
#line 10082 "obj/conf/cf-parse.tab.c"
    break;

  case 590: /* cmd_SHOW_MEMORY: SHOW MEMORY END  */
#line 679 "nest/config.Y"
{ cmd_show_memory(); }
#line 10088 "obj/conf/cf-parse.tab.c"
    break;

  case 592: /* cmd_SHOW_PROTOCOLS: SHOW PROTOCOLS proto_patt2 END  */
#line 682 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 10094 "obj/conf/cf-parse.tab.c"
    break;

  case 594: /* cmd_SHOW_PROTOCOLS_ALL: SHOW PROTOCOLS ALL proto_patt2 END  */
#line 685 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 10100 "obj/conf/cf-parse.tab.c"
    break;

  case 595: /* optproto: CF_SYM_KNOWN  */
#line 688 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.s) = (yyvsp[0].s); }
#line 10106 "obj/conf/cf-parse.tab.c"
    break;

  case 596: /* optproto: %empty  */
#line 689 "nest/config.Y"
               { (yyval.s) = NULL; }
#line 10112 "obj/conf/cf-parse.tab.c"
    break;

  case 598: /* cmd_SHOW_INTERFACES: SHOW INTERFACES END  */
#line 693 "nest/config.Y"
{ if_show(); }
#line 10118 "obj/conf/cf-parse.tab.c"
    break;

  case 600: /* cmd_SHOW_INTERFACES_SUMMARY: SHOW INTERFACES SUMMARY END  */
#line 696 "nest/config.Y"
{ if_show_summary(); }
#line 10124 "obj/conf/cf-parse.tab.c"
    break;

  case 602: /* cmd_SHOW_ROUTE: SHOW ROUTE r_args END  */
#line 700 "nest/config.Y"
{ rt_show((yyvsp[-1].ra)); }
#line 10130 "obj/conf/cf-parse.tab.c"
    break;

  case 603: /* r_args: %empty  */
#line 720 "nest/config.Y"
               {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->cli = this_cli;
     (yyval.ra)->tf_route = this_cli->main_config->tf_route;
   }
#line 10142 "obj/conf/cf-parse.tab.c"
    break;

  case 604: /* r_args: r_args net_any  */
#line 727 "nest/config.Y"
                  {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = TE_ADDR_EQUAL;
   }
#line 10153 "obj/conf/cf-parse.tab.c"
    break;

  case 605: /* r_args: r_args FOR r_args_for  */
#line 733 "nest/config.Y"
                         {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = TE_ADDR_FOR;
   }
#line 10164 "obj/conf/cf-parse.tab.c"
    break;

  case 606: /* r_args: r_args IN net_any  */
#line 739 "nest/config.Y"
                     {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     if (!net_type_match((yyvsp[0].net_ptr), NB_IP)) cf_error("Only IP networks accepted for 'in' argument");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = TE_ADDR_IN;
   }
#line 10176 "obj/conf/cf-parse.tab.c"
    break;

  case 607: /* r_args: r_args TABLE CF_SYM_KNOWN  */
#line 746 "nest/config.Y"
                            {
     cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
     if (!(yyvsp[0].s)->table) cf_error("Table %s not configured", (yyvsp[0].s)->name);
     (yyval.ra) = (yyvsp[-2].ra);
     rt_show_add_table((yyval.ra), (yyvsp[0].s)->table->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 10188 "obj/conf/cf-parse.tab.c"
    break;

  case 608: /* r_args: r_args TABLE ALL  */
#line 753 "nest/config.Y"
                    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, this_cli->main_config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 10200 "obj/conf/cf-parse.tab.c"
    break;

  case 609: /* r_args: r_args IMPORT TABLE channel_arg  */
#line 760 "nest/config.Y"
                                   {
     if (!((yyvsp[0].c)->in_keep & RIK_PREFILTER)) cf_error("No import table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     struct rt_show_data_rtable *rsdr = rt_show_add_table((yyval.ra), (yyvsp[0].c)->table);
     rsdr->name = "import";
     rsdr->prefilter = (yyvsp[0].c);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 10212 "obj/conf/cf-parse.tab.c"
    break;

  case 610: /* r_args: r_args EXPORT TABLE channel_arg  */
#line 767 "nest/config.Y"
                                   {
     if (!((yyvsp[0].c)->out_table)) cf_error("No export table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     struct rt_show_data_rtable *rsdr = rt_show_add_exporter((yyval.ra), (yyvsp[0].c)->out_table);
     rsdr->name = "export";
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 10223 "obj/conf/cf-parse.tab.c"
    break;

  case 611: /* r_args: r_args FILTER filter  */
#line 773 "nest/config.Y"
                        {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 10233 "obj/conf/cf-parse.tab.c"
    break;

  case 612: /* r_args: r_args where_filter  */
#line 778 "nest/config.Y"
                       {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 10243 "obj/conf/cf-parse.tab.c"
    break;

  case 613: /* r_args: r_args ALL  */
#line 783 "nest/config.Y"
              {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 10252 "obj/conf/cf-parse.tab.c"
    break;

  case 614: /* r_args: r_args PRIMARY  */
#line 787 "nest/config.Y"
                  {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 10261 "obj/conf/cf-parse.tab.c"
    break;

  case 615: /* r_args: r_args FILTERED  */
#line 791 "nest/config.Y"
                   {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 10270 "obj/conf/cf-parse.tab.c"
    break;

  case 616: /* r_args: r_args export_mode CF_SYM_KNOWN  */
#line 795 "nest/config.Y"
                                   {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 10285 "obj/conf/cf-parse.tab.c"
    break;

  case 617: /* r_args: r_args export_mode channel_arg  */
#line 805 "nest/config.Y"
                                  {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_channel = (yyvsp[0].c);
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 10297 "obj/conf/cf-parse.tab.c"
    break;

  case 618: /* r_args: r_args PROTOCOL CF_SYM_KNOWN  */
#line 812 "nest/config.Y"
                                {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 10311 "obj/conf/cf-parse.tab.c"
    break;

  case 619: /* r_args: r_args STATS  */
#line 821 "nest/config.Y"
                {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 10320 "obj/conf/cf-parse.tab.c"
    break;

  case 620: /* r_args: r_args COUNT  */
#line 825 "nest/config.Y"
                {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 10329 "obj/conf/cf-parse.tab.c"
    break;

  case 621: /* r_args_for: r_args_for_val  */
#line 832 "nest/config.Y"
                 {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 10338 "obj/conf/cf-parse.tab.c"
    break;

  case 625: /* r_args_for: VPN_RD IP4  */
#line 839 "nest/config.Y"
              {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].rd));
  }
#line 10347 "obj/conf/cf-parse.tab.c"
    break;

  case 626: /* r_args_for: VPN_RD IP6  */
#line 843 "nest/config.Y"
              {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].rd));
  }
#line 10356 "obj/conf/cf-parse.tab.c"
    break;

  case 627: /* r_args_for: IP6 FROM IP6  */
#line 847 "nest/config.Y"
                {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 10365 "obj/conf/cf-parse.tab.c"
    break;

  case 628: /* r_args_for: CF_SYM_KNOWN  */
#line 851 "nest/config.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network constant expected");
   }
#line 10381 "obj/conf/cf-parse.tab.c"
    break;

  case 631: /* r_args_for_val: IP4  */
#line 867 "nest/config.Y"
       { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 10387 "obj/conf/cf-parse.tab.c"
    break;

  case 632: /* r_args_for_val: IP6  */
#line 868 "nest/config.Y"
       { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 10393 "obj/conf/cf-parse.tab.c"
    break;

  case 633: /* export_mode: PREEXPORT  */
#line 871 "nest/config.Y"
                { (yyval.i) = RSEM_PREEXPORT; }
#line 10399 "obj/conf/cf-parse.tab.c"
    break;

  case 634: /* export_mode: EXPORT  */
#line 872 "nest/config.Y"
                { (yyval.i) = RSEM_EXPORT; }
#line 10405 "obj/conf/cf-parse.tab.c"
    break;

  case 635: /* export_mode: NOEXPORT  */
#line 873 "nest/config.Y"
                { (yyval.i) = RSEM_NOEXPORT; }
#line 10411 "obj/conf/cf-parse.tab.c"
    break;

  case 636: /* export_mode: EXPORTED  */
#line 874 "nest/config.Y"
                { (yyval.i) = RSEM_EXPORTED; }
#line 10417 "obj/conf/cf-parse.tab.c"
    break;

  case 637: /* channel_sym: IPV4  */
#line 879 "nest/config.Y"
                { (yyval.t) = "ipv4"; }
#line 10423 "obj/conf/cf-parse.tab.c"
    break;

  case 638: /* channel_sym: IPV4_MC  */
#line 880 "nest/config.Y"
                { (yyval.t) = "ipv4-mc"; }
#line 10429 "obj/conf/cf-parse.tab.c"
    break;

  case 639: /* channel_sym: IPV4_MPLS  */
#line 881 "nest/config.Y"
                { (yyval.t) = "ipv4-mpls"; }
#line 10435 "obj/conf/cf-parse.tab.c"
    break;

  case 640: /* channel_sym: IPV6  */
#line 882 "nest/config.Y"
                { (yyval.t) = "ipv6"; }
#line 10441 "obj/conf/cf-parse.tab.c"
    break;

  case 641: /* channel_sym: IPV6_MC  */
#line 883 "nest/config.Y"
                { (yyval.t) = "ipv6-mc"; }
#line 10447 "obj/conf/cf-parse.tab.c"
    break;

  case 642: /* channel_sym: IPV6_MPLS  */
#line 884 "nest/config.Y"
                { (yyval.t) = "ipv6-mpls"; }
#line 10453 "obj/conf/cf-parse.tab.c"
    break;

  case 643: /* channel_sym: IPV6_SADR  */
#line 885 "nest/config.Y"
                { (yyval.t) = "ipv6-sadr"; }
#line 10459 "obj/conf/cf-parse.tab.c"
    break;

  case 644: /* channel_sym: VPN4  */
#line 886 "nest/config.Y"
                { (yyval.t) = "vpn4"; }
#line 10465 "obj/conf/cf-parse.tab.c"
    break;

  case 645: /* channel_sym: VPN4_MC  */
#line 887 "nest/config.Y"
                { (yyval.t) = "vpn4-mc"; }
#line 10471 "obj/conf/cf-parse.tab.c"
    break;

  case 646: /* channel_sym: VPN4_MPLS  */
#line 888 "nest/config.Y"
                { (yyval.t) = "vpn4-mpls"; }
#line 10477 "obj/conf/cf-parse.tab.c"
    break;

  case 647: /* channel_sym: VPN6  */
#line 889 "nest/config.Y"
                { (yyval.t) = "vpn6"; }
#line 10483 "obj/conf/cf-parse.tab.c"
    break;

  case 648: /* channel_sym: VPN6_MC  */
#line 890 "nest/config.Y"
                { (yyval.t) = "vpn6-mc"; }
#line 10489 "obj/conf/cf-parse.tab.c"
    break;

  case 649: /* channel_sym: VPN6_MPLS  */
#line 891 "nest/config.Y"
                { (yyval.t) = "vpn6-mpls"; }
#line 10495 "obj/conf/cf-parse.tab.c"
    break;

  case 650: /* channel_sym: ROA4  */
#line 892 "nest/config.Y"
                { (yyval.t) = "roa4"; }
#line 10501 "obj/conf/cf-parse.tab.c"
    break;

  case 651: /* channel_sym: ROA6  */
#line 893 "nest/config.Y"
                { (yyval.t) = "roa6"; }
#line 10507 "obj/conf/cf-parse.tab.c"
    break;

  case 652: /* channel_sym: FLOW4  */
#line 894 "nest/config.Y"
                { (yyval.t) = "flow4"; }
#line 10513 "obj/conf/cf-parse.tab.c"
    break;

  case 653: /* channel_sym: FLOW6  */
#line 895 "nest/config.Y"
                { (yyval.t) = "flow6"; }
#line 10519 "obj/conf/cf-parse.tab.c"
    break;

  case 654: /* channel_sym: MPLS  */
#line 896 "nest/config.Y"
                { (yyval.t) = "mpls"; }
#line 10525 "obj/conf/cf-parse.tab.c"
    break;

  case 655: /* channel_sym: ASPA  */
#line 897 "nest/config.Y"
                { (yyval.t) = "aspa"; }
#line 10531 "obj/conf/cf-parse.tab.c"
    break;

  case 656: /* channel_sym: PRI  */
#line 898 "nest/config.Y"
                { (yyval.t) = "pri"; }
#line 10537 "obj/conf/cf-parse.tab.c"
    break;

  case 657: /* channel_sym: SEC  */
#line 899 "nest/config.Y"
                { (yyval.t) = "sec"; }
#line 10543 "obj/conf/cf-parse.tab.c"
    break;

  case 658: /* channel_arg: CF_SYM_KNOWN '.' channel_sym  */
#line 903 "nest/config.Y"
                                {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     struct proto *p =  (yyvsp[-2].s)->proto->proto;
     if (!p) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.c) = proto_find_channel_by_name(p, (yyvsp[0].t));
     if (!(yyval.c)) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
   }
#line 10555 "obj/conf/cf-parse.tab.c"
    break;

  case 660: /* cmd_SHOW_SYMBOLS: SHOW SYMBOLS sym_args END  */
#line 914 "nest/config.Y"
{ cmd_show_symbols((yyvsp[-1].sd)); }
#line 10561 "obj/conf/cf-parse.tab.c"
    break;

  case 661: /* sym_args: %empty  */
#line 923 "nest/config.Y"
               {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
     (yyval.sd)->config = this_cli->main_config;
   }
#line 10570 "obj/conf/cf-parse.tab.c"
    break;

  case 662: /* sym_args: sym_args TABLE  */
#line 927 "nest/config.Y"
                  { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 10576 "obj/conf/cf-parse.tab.c"
    break;

  case 663: /* sym_args: sym_args FILTER  */
#line 928 "nest/config.Y"
                   { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 10582 "obj/conf/cf-parse.tab.c"
    break;

  case 664: /* sym_args: sym_args FUNCTION  */
#line 929 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 10588 "obj/conf/cf-parse.tab.c"
    break;

  case 665: /* sym_args: sym_args PROTOCOL  */
#line 930 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 10594 "obj/conf/cf-parse.tab.c"
    break;

  case 666: /* sym_args: sym_args TEMPLATE  */
#line 931 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 10600 "obj/conf/cf-parse.tab.c"
    break;

  case 667: /* sym_args: sym_args CF_SYM_KNOWN  */
#line 932 "nest/config.Y"
                         { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 10606 "obj/conf/cf-parse.tab.c"
    break;

  case 669: /* cmd_DUMP_RESOURCES: DUMP RESOURCES text END  */
#line 937 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "resources", resource_dump); }
#line 10612 "obj/conf/cf-parse.tab.c"
    break;

  case 671: /* cmd_DUMP_SOCKETS: DUMP SOCKETS text END  */
#line 939 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "sockets", sk_dump_all); }
#line 10618 "obj/conf/cf-parse.tab.c"
    break;

  case 673: /* cmd_DUMP_EVENTS: DUMP EVENTS text END  */
#line 941 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "event log", io_log_dump); }
#line 10624 "obj/conf/cf-parse.tab.c"
    break;

  case 675: /* cmd_DUMP_INTERFACES: DUMP INTERFACES text END  */
#line 943 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "interfaces", if_dump_all); }
#line 10630 "obj/conf/cf-parse.tab.c"
    break;

  case 677: /* cmd_DUMP_NEIGHBORS: DUMP NEIGHBORS text END  */
#line 945 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "neighbor cache", neigh_dump_all); }
#line 10636 "obj/conf/cf-parse.tab.c"
    break;

  case 679: /* cmd_DUMP_ATTRIBUTES: DUMP ATTRIBUTES text END  */
#line 947 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "attribute cache", ea_dump_all); }
#line 10642 "obj/conf/cf-parse.tab.c"
    break;

  case 681: /* cmd_DUMP_ROUTES: DUMP ROUTES text END  */
#line 949 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "routing tables", rt_dump_all); }
#line 10648 "obj/conf/cf-parse.tab.c"
    break;

  case 683: /* cmd_DUMP_TABLES: DUMP TABLES text END  */
#line 951 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "table connections", rt_dump_hooks_all); }
#line 10654 "obj/conf/cf-parse.tab.c"
    break;

  case 685: /* cmd_DUMP_PROTOCOLS: DUMP PROTOCOLS text END  */
#line 953 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "protocols", protos_dump_all); }
#line 10660 "obj/conf/cf-parse.tab.c"
    break;

  case 687: /* cmd_DUMP_FILTER_ALL: DUMP FILTER ALL text END  */
#line 955 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "filter bytecode", filters_dump_all); }
#line 10666 "obj/conf/cf-parse.tab.c"
    break;

  case 689: /* cmd_EVAL: EVAL term END  */
#line 958 "nest/config.Y"
{ cmd_eval(f_linearize((yyvsp[-1].x), 1)); }
#line 10672 "obj/conf/cf-parse.tab.c"
    break;

  case 690: /* partial_opt: PARTIAL term  */
#line 961 "nest/config.Y"
               {
    struct f_val val;
    if (f_eval(f_linearize((yyvsp[0].x), 1), &val) > F_RETURN) cf_error("Runtime error");
    if (val.type != T_PREFIX_SET) cf_error("Partial spec must be prefix set");
    (yyval.const_trie) = val.val.ti;
  }
#line 10683 "obj/conf/cf-parse.tab.c"
    break;

  case 691: /* partial_opt: %empty  */
#line 967 "nest/config.Y"
                { (yyval.const_trie) = NULL; }
#line 10689 "obj/conf/cf-parse.tab.c"
    break;

  case 693: /* cmd_DISABLE: DISABLE proto_patt opttext END  */
#line 971 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 10695 "obj/conf/cf-parse.tab.c"
    break;

  case 695: /* cmd_ENABLE: ENABLE proto_patt opttext END  */
#line 973 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 10701 "obj/conf/cf-parse.tab.c"
    break;

  case 697: /* cmd_RESTART: RESTART proto_patt opttext END  */
#line 975 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 10707 "obj/conf/cf-parse.tab.c"
    break;

  case 699: /* cmd_RELOAD_FILTERS: RELOAD FILTERS proto_patt partial_opt END  */
#line 977 "nest/config.Y"
{ proto_call_cmd_reload((yyvsp[-2].ps), CMD_RELOAD, (yyvsp[-1].const_trie)); }
#line 10713 "obj/conf/cf-parse.tab.c"
    break;

  case 701: /* cmd_RELOAD_FILTERS_IN: RELOAD FILTERS IN proto_patt partial_opt END  */
#line 979 "nest/config.Y"
{ proto_call_cmd_reload((yyvsp[-2].ps), CMD_RELOAD_IN, (yyvsp[-1].const_trie)); }
#line 10719 "obj/conf/cf-parse.tab.c"
    break;

  case 703: /* cmd_RELOAD_FILTERS_OUT: RELOAD FILTERS OUT proto_patt partial_opt END  */
#line 981 "nest/config.Y"
{ proto_call_cmd_reload((yyvsp[-2].ps), CMD_RELOAD_OUT, (yyvsp[-1].const_trie)); }
#line 10725 "obj/conf/cf-parse.tab.c"
    break;

  case 705: /* cmd_DEBUG: DEBUG debug_args END  */
#line 985 "nest/config.Y"
{ /* Done in debug_args */  }
#line 10731 "obj/conf/cf-parse.tab.c"
    break;

  case 706: /* debug_args: proto_patt debug_mask  */
#line 997 "nest/config.Y"
                         { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_debug, 1, (yyvsp[0].i));  }
#line 10737 "obj/conf/cf-parse.tab.c"
    break;

  case 707: /* debug_args: channel_arg debug_mask  */
#line 998 "nest/config.Y"
                          { channel_cmd_debug((yyvsp[-1].c), (yyvsp[0].i)); }
#line 10743 "obj/conf/cf-parse.tab.c"
    break;

  case 709: /* cmd_MRTDUMP: MRTDUMP proto_patt mrtdump_mask END  */
#line 1003 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 10749 "obj/conf/cf-parse.tab.c"
    break;

  case 711: /* cmd_RESTRICT: RESTRICT END  */
#line 1006 "nest/config.Y"
{ this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 10755 "obj/conf/cf-parse.tab.c"
    break;

  case 713: /* cmd_TIMEFORMAT: TIMEFORMAT timeformat_spec END  */
#line 1010 "nest/config.Y"
{ cli_set_timeformat(this_cli, (yyvsp[-1].tf)); }
#line 10761 "obj/conf/cf-parse.tab.c"
    break;

  case 714: /* proto_patt: CF_SYM_KNOWN  */
#line 1019 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 10767 "obj/conf/cf-parse.tab.c"
    break;

  case 715: /* proto_patt: ALL  */
#line 1020 "nest/config.Y"
        { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 10773 "obj/conf/cf-parse.tab.c"
    break;

  case 716: /* proto_patt: TEXT  */
#line 1021 "nest/config.Y"
        { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 10779 "obj/conf/cf-parse.tab.c"
    break;

  case 717: /* proto_patt2: CF_SYM_KNOWN  */
#line 1025 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 10785 "obj/conf/cf-parse.tab.c"
    break;

  case 718: /* proto_patt2: %empty  */
#line 1026 "nest/config.Y"
        { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 10791 "obj/conf/cf-parse.tab.c"
    break;

  case 719: /* proto_patt2: TEXT  */
#line 1027 "nest/config.Y"
        { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 10797 "obj/conf/cf-parse.tab.c"
    break;

  case 722: /* mpls_domain_start: MPLS DOMAIN symbol  */
#line 35 "nest/mpls.Y"
                                      { this_mpls_domain = mpls_domain_config_new((yyvsp[0].s)); }
#line 10803 "obj/conf/cf-parse.tab.c"
    break;

  case 728: /* mpls_domain_end: %empty  */
#line 51 "nest/mpls.Y"
                 { mpls_domain_postconfig(this_mpls_domain); this_mpls_domain = NULL; }
#line 10809 "obj/conf/cf-parse.tab.c"
    break;

  case 730: /* mpls_range_start: LABEL RANGE STATIC  */
#line 56 "nest/mpls.Y"
                                     {
    this_mpls_range = this_mpls_domain->static_range;
}
#line 10817 "obj/conf/cf-parse.tab.c"
    break;

  case 731: /* mpls_range_start: LABEL RANGE DYNAMIC  */
#line 60 "nest/mpls.Y"
                                      {
    this_mpls_range = this_mpls_domain->dynamic_range;
}
#line 10825 "obj/conf/cf-parse.tab.c"
    break;

  case 732: /* mpls_range_start: LABEL RANGE symbol  */
#line 64 "nest/mpls.Y"
                                     {
    this_mpls_range = mpls_range_config_new(this_mpls_domain, (yyvsp[0].s));
}
#line 10833 "obj/conf/cf-parse.tab.c"
    break;

  case 733: /* mpls_range_opt: START expr  */
#line 69 "nest/mpls.Y"
              { this_mpls_range->start = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label range start must be less than 2^20"); }
#line 10839 "obj/conf/cf-parse.tab.c"
    break;

  case 734: /* mpls_range_opt: LENGTH expr  */
#line 70 "nest/mpls.Y"
               { this_mpls_range->length = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label range length must be less than 2^20"); if (!(yyvsp[0].i)) cf_error("MPLS label range length must be nonzero"); }
#line 10845 "obj/conf/cf-parse.tab.c"
    break;

  case 739: /* mpls_range_end: %empty  */
#line 84 "nest/mpls.Y"
{
  struct mpls_range_config *r = this_mpls_range;

  if ((r->start == (uint) -1) || (r->length == (uint) -1))
    cf_error("MPLS label range start and length must be specified");

  if (r->start + r->length > MPLS_MAX_LABEL)
    cf_error("MPLS label range end must be less than 2^20");

  this_mpls_range = NULL;
}
#line 10861 "obj/conf/cf-parse.tab.c"
    break;

  case 741: /* mpls_channel_start: MPLS  */
#line 100 "nest/mpls.Y"
{
  (yyval.cc) = this_channel = channel_config_get(&channel_mpls, net_label[NET_MPLS], NET_MPLS, this_proto);

  if (EMPTY_LIST(new_config->mpls_domains))
  {
    int counter = 0;
    mpls_domain_config_new(cf_default_name(new_config, "mpls%d", &counter));
    cf_warn("No MPLS domain defined");
  }

  /* Default values for new channel */
  if (!MPLS_CC->domain)
  {
    MPLS_CC->domain = cf_default_mpls_domain(new_config);
    MPLS_CC->label_policy = MPLS_POLICY_PREFIX;
  }
}
#line 10883 "obj/conf/cf-parse.tab.c"
    break;

  case 742: /* mpls_label_policy: STATIC  */
#line 119 "nest/mpls.Y"
          { (yyval.i) = MPLS_POLICY_STATIC; }
#line 10889 "obj/conf/cf-parse.tab.c"
    break;

  case 743: /* mpls_label_policy: PREFIX  */
#line 120 "nest/mpls.Y"
          { (yyval.i) = MPLS_POLICY_PREFIX; }
#line 10895 "obj/conf/cf-parse.tab.c"
    break;

  case 744: /* mpls_label_policy: AGGREGATE  */
#line 121 "nest/mpls.Y"
             { (yyval.i) = MPLS_POLICY_AGGREGATE; }
#line 10901 "obj/conf/cf-parse.tab.c"
    break;

  case 745: /* mpls_label_policy: VRF  */
#line 122 "nest/mpls.Y"
       { (yyval.i) = MPLS_POLICY_VRF; }
#line 10907 "obj/conf/cf-parse.tab.c"
    break;

  case 747: /* mpls_channel_opt: DOMAIN CF_SYM_KNOWN  */
#line 127 "nest/mpls.Y"
                       { cf_assert_symbol((yyvsp[0].s), SYM_MPLS_DOMAIN); MPLS_CC->domain = (yyvsp[0].s)->mpls_domain; }
#line 10913 "obj/conf/cf-parse.tab.c"
    break;

  case 748: /* mpls_channel_opt: LABEL RANGE CF_SYM_KNOWN  */
#line 128 "nest/mpls.Y"
                            { cf_assert_symbol((yyvsp[0].s), SYM_MPLS_RANGE); MPLS_CC->range = (yyvsp[0].s)->mpls_range; }
#line 10919 "obj/conf/cf-parse.tab.c"
    break;

  case 749: /* mpls_channel_opt: LABEL RANGE STATIC  */
#line 129 "nest/mpls.Y"
                       { MPLS_CC->range = MPLS_CC->domain->static_range; }
#line 10925 "obj/conf/cf-parse.tab.c"
    break;

  case 750: /* mpls_channel_opt: LABEL RANGE DYNAMIC  */
#line 130 "nest/mpls.Y"
                       { MPLS_CC->range = MPLS_CC->domain->dynamic_range; }
#line 10931 "obj/conf/cf-parse.tab.c"
    break;

  case 751: /* mpls_channel_opt: LABEL POLICY mpls_label_policy  */
#line 131 "nest/mpls.Y"
                                  { MPLS_CC->label_policy = (yyvsp[0].i); }
#line 10937 "obj/conf/cf-parse.tab.c"
    break;

  case 756: /* $@15: %empty  */
#line 144 "nest/mpls.Y"
                  { mpls_channel_postconfig(this_channel); }
#line 10943 "obj/conf/cf-parse.tab.c"
    break;

  case 758: /* show_mpls_ranges_args: %empty  */
#line 149 "nest/mpls.Y"
   {
     if (EMPTY_LIST(this_cli->main_config->mpls_domains))
       cf_error("No MPLS domain defined");

     (yyval.msrc) = cfg_allocz(sizeof(struct mpls_show_ranges_cmd));
   }
#line 10954 "obj/conf/cf-parse.tab.c"
    break;

  case 759: /* show_mpls_ranges_args: show_mpls_ranges_args CF_SYM_KNOWN  */
#line 156 "nest/mpls.Y"
   {
     if ((yyvsp[0].s)->class == SYM_MPLS_DOMAIN)
     {
       if ((yyval.msrc)->domain)
	cf_error("Only one MPLS domain expected");

       (yyval.msrc)->domain = (yyvsp[0].s)->mpls_domain;
     }
     else if ((yyvsp[0].s)->class == SYM_MPLS_RANGE)
     {
       if ((yyval.msrc)->range)
	cf_error("Only one MPLS label range expected");

       if ((yyval.msrc)->domain != (yyvsp[0].s)->mpls_range->domain)
	cf_error("MPLS label range from different MPLS domain");

       (yyval.msrc)->domain = (yyvsp[0].s)->mpls_range->domain;
       (yyval.msrc)->range = (yyvsp[0].s)->mpls_range;
     }
     else
       cf_error("MPLS domain or label range expected");
   }
#line 10981 "obj/conf/cf-parse.tab.c"
    break;

  case 760: /* show_mpls_ranges_args: show_mpls_ranges_args STATIC  */
#line 179 "nest/mpls.Y"
   {
     if ((yyval.msrc)->range)
       cf_error("Only one MPLS label range expected");

     (yyval.msrc)->domain = (yyval.msrc)->domain ?: cf_default_mpls_domain(this_cli->main_config);
     (yyval.msrc)->range = (yyval.msrc)->domain->static_range;
   }
#line 10993 "obj/conf/cf-parse.tab.c"
    break;

  case 761: /* show_mpls_ranges_args: show_mpls_ranges_args DYNAMIC  */
#line 187 "nest/mpls.Y"
   {
     if ((yyval.msrc)->range)
       cf_error("Only one MPLS label range expected");

     (yyval.msrc)->domain = (yyval.msrc)->domain ?: cf_default_mpls_domain(this_cli->main_config);
     (yyval.msrc)->range = (yyval.msrc)->domain->dynamic_range;
   }
#line 11005 "obj/conf/cf-parse.tab.c"
    break;

  case 763: /* cmd_SHOW_MPLS_RANGES: SHOW MPLS RANGES show_mpls_ranges_args END  */
#line 197 "nest/mpls.Y"
{ mpls_show_ranges((yyvsp[-1].msrc)); }
#line 11011 "obj/conf/cf-parse.tab.c"
    break;

  case 765: /* aggregator_proto_start: proto_start AGGREGATOR  */
#line 31 "proto/aggregator/config.Y"
{
  this_proto = proto_config_new(&proto_aggregator, (yyvsp[-1].i));
  this_channel = AGGREGATOR_CFG->src = channel_config_new(NULL, "source", 0, this_proto);
  AGGREGATOR_CFG->dst = channel_config_new(NULL, "destination", 0, this_proto);

  AGGREGATOR_CFG->src->ra_mode = AGGREGATOR_CFG->dst->ra_mode = RA_ANY;
}
#line 11023 "obj/conf/cf-parse.tab.c"
    break;

  case 768: /* aggregator_proto_item: PEER TABLE rtable  */
#line 42 "proto/aggregator/config.Y"
                     { AGGREGATOR_CFG->dst->table = (yyvsp[0].r); }
#line 11029 "obj/conf/cf-parse.tab.c"
    break;

  case 769: /* $@16: %empty  */
#line 43 "proto/aggregator/config.Y"
                {
    if (AGGREGATOR_CFG->aggr_on)
      cf_error("Only one aggregate on clause allowed");

    cf_enter_filters();
    cf_push_block_scope(new_config);
 }
#line 11041 "obj/conf/cf-parse.tab.c"
    break;

  case 770: /* aggregator_proto_item: AGGREGATE ON $@16 aggr_list  */
#line 49 "proto/aggregator/config.Y"
             {
    int count = new_config->current_scope->slots;
    cf_pop_block_scope(new_config);
    cf_exit_filters();

    if (!AGGREGATOR_CFG->aggr_on_net)
      cf_error("aggregate on must be always include 'net'.");

   struct f_inst *rot = NULL;
   while ((yyvsp[0].xp).begin)
   {
     struct f_inst *tmp = (yyvsp[0].xp).begin->next;
     (yyvsp[0].xp).begin->next = rot;
     rot = (yyvsp[0].xp).begin;
     (yyvsp[0].xp).begin = tmp;
   }

   AGGREGATOR_CFG->aggr_on_count = count;
   AGGREGATOR_CFG->aggr_on = f_linearize(rot, count);

   struct f_line *premerge = f_linearize((yyvsp[0].xp).end, 0);
   premerge->args = count;
   AGGREGATOR_CFG->premerge = premerge;
 }
#line 11070 "obj/conf/cf-parse.tab.c"
    break;

  case 771: /* $@17: %empty  */
#line 73 "proto/aggregator/config.Y"
            {
   cf_enter_filters();
   cf_push_block_scope(new_config);
   f_predefined_variable(new_config, "routes", T_ROUTES_BLOCK);
 }
#line 11080 "obj/conf/cf-parse.tab.c"
    break;

  case 772: /* aggregator_proto_item: MERGE BY $@17 function_body  */
#line 77 "proto/aggregator/config.Y"
                 {
   cf_pop_block_scope(new_config);
   cf_exit_filters();
   (yyvsp[0].fl)->args++;
   AGGREGATOR_CFG->merge_by = (yyvsp[0].fl);
 }
#line 11091 "obj/conf/cf-parse.tab.c"
    break;

  case 777: /* aggr_list: aggr_list ',' aggr_item  */
#line 91 "proto/aggregator/config.Y"
                           {
    if ((yyval.xp).begin = (yyvsp[0].xp).begin)
      (yyval.xp).begin->next = (yyvsp[-2].xp).begin;
    else
      (yyval.xp).begin = (yyvsp[-2].xp).begin;

    if ((yyval.xp).end = (yyvsp[0].xp).end)
      (yyval.xp).end->next = (yyvsp[-2].xp).end;
    else
      (yyval.xp).end = (yyvsp[-2].xp).end;
 }
#line 11107 "obj/conf/cf-parse.tab.c"
    break;

  case 778: /* aggr_item: '(' term ')'  */
#line 105 "proto/aggregator/config.Y"
                {
     switch ((yyvsp[-1].x)->type) {
       case T_INT:
       case T_BOOL:
       case T_PAIR:
       case T_QUAD:
       case T_ENUM:
       case T_IP:
       case T_EC:
       case T_LC:
       case T_RD:
	 /* Fits, OK */
	 break;

       default:
	 cf_error("Expression evaluated to type %s unsupported by aggregator. Store this value as a custom attribute instead", f_type_name((yyvsp[-1].x)->type));
     }

     (yyval.xp).begin = (yyvsp[-1].x);
     (yyval.xp).end = NULL;
     f_new_var(new_config->current_scope);
   }
#line 11134 "obj/conf/cf-parse.tab.c"
    break;

  case 779: /* aggr_item: lvalue  */
#line 127 "proto/aggregator/config.Y"
           {
    (yyval.xp).begin = f_lval_getter(&(yyvsp[0].flv));
    int vari = f_new_var(new_config->current_scope);

    if ((yyvsp[0].flv).type == F_LVAL_SA && (yyvsp[0].flv).sa.sa_code == SA_NET)
      AGGREGATOR_CFG->aggr_on_net = 1;
    if (((yyvsp[0].flv).type == F_LVAL_CONSTANT) || 
	((yyvsp[0].flv).type == F_LVAL_SA && (yyvsp[0].flv).sa.readonly))
      (yyval.xp).end = NULL;
    else
    {
      char varname[12];
      bsnprintf(varname, 12, "!aggr%d", vari);
      (yyval.xp).end = f_lval_setter(&(yyvsp[0].flv),
	  f_new_inst(FI_VAR_GET, cf_define_symbol(
	      new_config, cf_get_symbol(new_config, varname),
	      SYM_VARIABLE | (yyval.xp).begin->type, offset, vari
	      )));
    }
  }
#line 11159 "obj/conf/cf-parse.tab.c"
    break;

  case 781: /* bfd_proto_start: proto_start BFD  */
#line 39 "proto/bfd/config.Y"
{
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  this_proto->loop_order = DOMAIN_ORDER(proto);
  this_proto->loop_max_latency = 10 MS_;
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);
  BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
  BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
}
#line 11173 "obj/conf/cf-parse.tab.c"
    break;

  case 787: /* bfd_proto_item: STRICT BIND bool  */
#line 55 "proto/bfd/config.Y"
                    { BFD_CFG->strict_bind = (yyvsp[0].i); }
#line 11179 "obj/conf/cf-parse.tab.c"
    break;

  case 788: /* bfd_proto_item: ZERO UDP6 CHECKSUM RX bool  */
#line 56 "proto/bfd/config.Y"
                              { BFD_CFG->zero_udp6_checksum_rx = (yyvsp[0].i); }
#line 11185 "obj/conf/cf-parse.tab.c"
    break;

  case 792: /* bfd_accept_item: IPV4  */
#line 69 "proto/bfd/config.Y"
                        { BFD_CFG->accept_ipv4 = 1;  BFD_CFG->accept_ipv6 = 0; }
#line 11191 "obj/conf/cf-parse.tab.c"
    break;

  case 793: /* bfd_accept_item: IPV6  */
#line 70 "proto/bfd/config.Y"
                        { BFD_CFG->accept_ipv4 = 0;  BFD_CFG->accept_ipv6 = 1; }
#line 11197 "obj/conf/cf-parse.tab.c"
    break;

  case 794: /* bfd_accept_item: DIRECT  */
#line 71 "proto/bfd/config.Y"
                        { BFD_CFG->accept_direct = 1;  BFD_CFG->accept_multihop = 0; }
#line 11203 "obj/conf/cf-parse.tab.c"
    break;

  case 795: /* bfd_accept_item: MULTIHOP  */
#line 72 "proto/bfd/config.Y"
                        { BFD_CFG->accept_direct = 0;  BFD_CFG->accept_multihop = 1; }
#line 11209 "obj/conf/cf-parse.tab.c"
    break;

  case 796: /* bfd_accept: %empty  */
#line 76 "proto/bfd/config.Y"
   {
     BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
     BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
   }
#line 11218 "obj/conf/cf-parse.tab.c"
    break;

  case 798: /* bfd_iface_start: %empty  */
#line 84 "proto/bfd/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  this_bfd_opts = &BFD_IFACE->opts;

  this_bfd_opts->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  this_bfd_opts->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  this_bfd_opts->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  this_bfd_opts->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 11237 "obj/conf/cf-parse.tab.c"
    break;

  case 799: /* bfd_iface_finish: %empty  */
#line 100 "proto/bfd/config.Y"
{
  this_bfd_opts->passwords = get_passwords();

  if (!this_bfd_opts->auth_type != !this_bfd_opts->passwords)
    cf_warn("Authentication and password options should be used together");

  if (this_bfd_opts->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *this_bfd_opts->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[this_bfd_opts->auth_type];
    }
  }

  this_bfd_opts = NULL;
}
#line 11262 "obj/conf/cf-parse.tab.c"
    break;

  case 800: /* bfd_auth_type: NONE  */
#line 122 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_NONE; }
#line 11268 "obj/conf/cf-parse.tab.c"
    break;

  case 801: /* bfd_auth_type: SIMPLE  */
#line 123 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 11274 "obj/conf/cf-parse.tab.c"
    break;

  case 802: /* bfd_auth_type: KEYED MD5  */
#line 124 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 11280 "obj/conf/cf-parse.tab.c"
    break;

  case 803: /* bfd_auth_type: KEYED SHA1  */
#line 125 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 11286 "obj/conf/cf-parse.tab.c"
    break;

  case 804: /* bfd_auth_type: METICULOUS KEYED MD5  */
#line 126 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 11292 "obj/conf/cf-parse.tab.c"
    break;

  case 805: /* bfd_auth_type: METICULOUS KEYED SHA1  */
#line 127 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 11298 "obj/conf/cf-parse.tab.c"
    break;

  case 809: /* bfd_multihop: bfd_iface_start bfd_iface_opt_list bfd_iface_finish  */
#line 140 "proto/bfd/config.Y"
{ BFD_CFG->multihop = BFD_IFACE; }
#line 11304 "obj/conf/cf-parse.tab.c"
    break;

  case 810: /* bfd_neigh_iface: %empty  */
#line 144 "proto/bfd/config.Y"
               { (yyval.iface) = NULL; }
#line 11310 "obj/conf/cf-parse.tab.c"
    break;

  case 811: /* bfd_neigh_iface: '%' symbol  */
#line 145 "proto/bfd/config.Y"
              { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 11316 "obj/conf/cf-parse.tab.c"
    break;

  case 812: /* bfd_neigh_iface: DEV text  */
#line 146 "proto/bfd/config.Y"
            { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 11322 "obj/conf/cf-parse.tab.c"
    break;

  case 813: /* bfd_neigh_local: %empty  */
#line 150 "proto/bfd/config.Y"
               { (yyval.a) = IPA_NONE; }
#line 11328 "obj/conf/cf-parse.tab.c"
    break;

  case 814: /* bfd_neigh_local: LOCAL ipa  */
#line 151 "proto/bfd/config.Y"
             { (yyval.a) = (yyvsp[0].a); }
#line 11334 "obj/conf/cf-parse.tab.c"
    break;

  case 815: /* bfd_neigh_multihop: %empty  */
#line 155 "proto/bfd/config.Y"
               { (yyval.i) = 0; }
#line 11340 "obj/conf/cf-parse.tab.c"
    break;

  case 816: /* bfd_neigh_multihop: MULTIHOP bool  */
#line 156 "proto/bfd/config.Y"
                 { (yyval.i) = (yyvsp[0].i); }
#line 11346 "obj/conf/cf-parse.tab.c"
    break;

  case 817: /* bfd_neighbor: ipa bfd_neigh_iface bfd_neigh_local bfd_neigh_multihop  */
#line 160 "proto/bfd/config.Y"
{
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 11366 "obj/conf/cf-parse.tab.c"
    break;

  case 818: /* bfd_item: INTERVAL expr_us  */
#line 180 "proto/bfd/config.Y"
                    { this_bfd_opts->min_rx_int = this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 11372 "obj/conf/cf-parse.tab.c"
    break;

  case 819: /* bfd_item: MIN RX INTERVAL expr_us  */
#line 181 "proto/bfd/config.Y"
                           { this_bfd_opts->min_rx_int = (yyvsp[0].time); }
#line 11378 "obj/conf/cf-parse.tab.c"
    break;

  case 820: /* bfd_item: MIN TX INTERVAL expr_us  */
#line 182 "proto/bfd/config.Y"
                           { this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 11384 "obj/conf/cf-parse.tab.c"
    break;

  case 821: /* bfd_item: IDLE TX INTERVAL expr_us  */
#line 183 "proto/bfd/config.Y"
                            { this_bfd_opts->idle_tx_int = (yyvsp[0].time); }
#line 11390 "obj/conf/cf-parse.tab.c"
    break;

  case 822: /* bfd_item: MULTIPLIER expr  */
#line 184 "proto/bfd/config.Y"
                   { this_bfd_opts->multiplier = (yyvsp[0].i); }
#line 11396 "obj/conf/cf-parse.tab.c"
    break;

  case 823: /* bfd_item: PASSIVE bool  */
#line 185 "proto/bfd/config.Y"
                { this_bfd_opts->passive = (yyvsp[0].i) ? BFD_OPT_PASSIVE : BFD_OPT_NOT_PASSIVE; }
#line 11402 "obj/conf/cf-parse.tab.c"
    break;

  case 824: /* bfd_item: GRACEFUL  */
#line 186 "proto/bfd/config.Y"
            { this_bfd_opts->mode = BGP_BFD_GRACEFUL; }
#line 11408 "obj/conf/cf-parse.tab.c"
    break;

  case 825: /* bfd_item: AUTHENTICATION bfd_auth_type  */
#line 187 "proto/bfd/config.Y"
                                { this_bfd_opts->auth_type = (yyvsp[0].i); }
#line 11414 "obj/conf/cf-parse.tab.c"
    break;

  case 826: /* bfd_item: password_list  */
#line 188 "proto/bfd/config.Y"
                 {}
#line 11420 "obj/conf/cf-parse.tab.c"
    break;

  case 829: /* bfd_opts_start: %empty  */
#line 197 "proto/bfd/config.Y"
{ reset_passwords(); }
#line 11426 "obj/conf/cf-parse.tab.c"
    break;

  case 830: /* bfd_opts_end: %empty  */
#line 200 "proto/bfd/config.Y"
{
  this_bfd_opts->passwords = get_passwords();

  if (!this_bfd_opts->auth_type != !this_bfd_opts->passwords)
    cf_warn("Authentication and password options should be used together");

  if (this_bfd_opts->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *this_bfd_opts->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[this_bfd_opts->auth_type];
    }
  }
}
#line 11449 "obj/conf/cf-parse.tab.c"
    break;

  case 833: /* cmd_SHOW_BFD_SESSIONS: SHOW BFD SESSIONS bfd_show_sessions_args END  */
#line 227 "proto/bfd/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].bssc)->name, &proto_bfd, p) bfd_show_sessions(p, (yyvsp[-1].bssc)); }
#line 11455 "obj/conf/cf-parse.tab.c"
    break;

  case 834: /* bfd_show_sessions_args: %empty  */
#line 239 "proto/bfd/config.Y"
               { (yyval.bssc) = cfg_allocz(sizeof(struct bfd_show_sessions_cmd)); }
#line 11461 "obj/conf/cf-parse.tab.c"
    break;

  case 835: /* bfd_show_sessions_args: bfd_show_sessions_args CF_SYM_KNOWN  */
#line 240 "proto/bfd/config.Y"
                                       { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.bssc)->name = (yyvsp[0].s); }
#line 11467 "obj/conf/cf-parse.tab.c"
    break;

  case 836: /* bfd_show_sessions_args: bfd_show_sessions_args ADDRESS net_or_ipa  */
#line 241 "proto/bfd/config.Y"
                                             { net_copy(&((yyval.bssc)->address), &((yyvsp[0].net))); }
#line 11473 "obj/conf/cf-parse.tab.c"
    break;

  case 837: /* bfd_show_sessions_args: bfd_show_sessions_args INTERFACE text  */
#line 242 "proto/bfd/config.Y"
                                         { (yyval.bssc)->iface = if_get_by_name((yyvsp[0].t)); }
#line 11479 "obj/conf/cf-parse.tab.c"
    break;

  case 838: /* bfd_show_sessions_args: bfd_show_sessions_args DEV text  */
#line 243 "proto/bfd/config.Y"
                                   { (yyval.bssc)->iface = if_get_by_name((yyvsp[0].t)); }
#line 11485 "obj/conf/cf-parse.tab.c"
    break;

  case 839: /* bfd_show_sessions_args: bfd_show_sessions_args ALL  */
#line 244 "proto/bfd/config.Y"
                              { (yyval.bssc)->verbose = 1; }
#line 11491 "obj/conf/cf-parse.tab.c"
    break;

  case 840: /* bfd_show_sessions_args: bfd_show_sessions_args IPV4  */
#line 245 "proto/bfd/config.Y"
                               { (yyval.bssc)->ipv4 = 1; if ((yyval.bssc)->ipv6) cf_error("Options 'ipv4' and 'ipv6' are mutually exclusive"); }
#line 11497 "obj/conf/cf-parse.tab.c"
    break;

  case 841: /* bfd_show_sessions_args: bfd_show_sessions_args IPV6  */
#line 246 "proto/bfd/config.Y"
                               { (yyval.bssc)->ipv6 = 1; if ((yyval.bssc)->ipv4) cf_error("Options 'ipv4' and 'ipv6' are mutually exclusive"); }
#line 11503 "obj/conf/cf-parse.tab.c"
    break;

  case 842: /* bfd_show_sessions_args: bfd_show_sessions_args DIRECT  */
#line 247 "proto/bfd/config.Y"
                                 { (yyval.bssc)->direct = 1; if ((yyval.bssc)->multihop) cf_error("Options 'direct' and 'multihop' are mutually exclusive"); }
#line 11509 "obj/conf/cf-parse.tab.c"
    break;

  case 843: /* bfd_show_sessions_args: bfd_show_sessions_args MULTIHOP  */
#line 248 "proto/bfd/config.Y"
                                   { (yyval.bssc)->multihop = 1; if ((yyval.bssc)->direct) cf_error("Options 'direct' and 'multihop' are mutually exclusive"); }
#line 11515 "obj/conf/cf-parse.tab.c"
    break;

  case 845: /* babel_proto_start: proto_start BABEL  */
#line 36 "proto/babel/config.Y"
{
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 11525 "obj/conf/cf-parse.tab.c"
    break;

  case 849: /* babel_proto_item: RANDOMIZE ROUTER ID bool  */
#line 46 "proto/babel/config.Y"
                            { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 11531 "obj/conf/cf-parse.tab.c"
    break;

  case 853: /* babel_iface_start: %empty  */
#line 59 "proto/babel/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->rtt_min = BABEL_RTT_MIN;
  BABEL_IFACE->rtt_max = BABEL_RTT_MAX;
  BABEL_IFACE->rtt_decay = BABEL_RTT_DECAY;
  BABEL_IFACE->rtt_send = 1;
  BABEL_IFACE->check_link = 1;
  BABEL_IFACE->ext_next_hop = 1;
}
#line 11554 "obj/conf/cf-parse.tab.c"
    break;

  case 854: /* babel_iface_finish: %empty  */
#line 80 "proto/babel/config.Y"
{
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
    if (BABEL_IFACE->type == BABEL_IFACE_TYPE_TUNNEL && !BABEL_IFACE->rtt_cost)
      BABEL_IFACE->rtt_cost = BABEL_RXCOST_RTT;
  }

  if (BABEL_IFACE->rtt_cost && !BABEL_IFACE->rtt_send)
    cf_error("Can't set RTT cost when sending timestamps is disabled");

  if (BABEL_IFACE->rtt_min >= BABEL_IFACE->rtt_max)
    cf_error("Min RTT must be smaller than max RTT");

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);

  BABEL_IFACE->passwords = get_passwords();

  if (!BABEL_IFACE->auth_type != !BABEL_IFACE->passwords)
    cf_error("Authentication and password options should be used together");

  if (BABEL_IFACE->passwords)
  {
    struct password_item *pass;
    uint len = 0, i = 0;

    WALK_LIST(pass, *BABEL_IFACE->passwords)
    {
      /* Set default crypto algorithm (HMAC-SHA256) */
      if (!pass->alg)
	pass->alg = ALG_HMAC_SHA256;

      if (!((pass->alg & ALG_HMAC) ||
	    (pass->alg == ALG_BLAKE2S_128) ||
	    (pass->alg == ALG_BLAKE2S_256) ||
	    (pass->alg == ALG_BLAKE2B_256) ||
	    (pass->alg == ALG_BLAKE2B_512)))
	cf_error("Only HMAC and Blake2 algorithms are supported");

      len += mac_type_length(pass->alg);
      i++;
    }

    BABEL_IFACE->mac_num_keys = i;
    BABEL_IFACE->mac_total_len = len;
  }

}
#line 11622 "obj/conf/cf-parse.tab.c"
    break;

  case 856: /* babel_iface_item: PORT expr  */
#line 146 "proto/babel/config.Y"
             { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 11628 "obj/conf/cf-parse.tab.c"
    break;

  case 857: /* babel_iface_item: RXCOST expr  */
#line 147 "proto/babel/config.Y"
               { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 11634 "obj/conf/cf-parse.tab.c"
    break;

  case 858: /* babel_iface_item: LIMIT expr  */
#line 148 "proto/babel/config.Y"
              { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 11640 "obj/conf/cf-parse.tab.c"
    break;

  case 859: /* babel_iface_item: TYPE WIRED  */
#line 149 "proto/babel/config.Y"
              { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 11646 "obj/conf/cf-parse.tab.c"
    break;

  case 860: /* babel_iface_item: TYPE WIRELESS  */
#line 150 "proto/babel/config.Y"
                 { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 11652 "obj/conf/cf-parse.tab.c"
    break;

  case 861: /* babel_iface_item: TYPE TUNNEL  */
#line 151 "proto/babel/config.Y"
               { BABEL_IFACE->type = BABEL_IFACE_TYPE_TUNNEL; }
#line 11658 "obj/conf/cf-parse.tab.c"
    break;

  case 862: /* babel_iface_item: HELLO INTERVAL expr_us  */
#line 152 "proto/babel/config.Y"
                          { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 11664 "obj/conf/cf-parse.tab.c"
    break;

  case 863: /* babel_iface_item: UPDATE INTERVAL expr_us  */
#line 153 "proto/babel/config.Y"
                           { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 11670 "obj/conf/cf-parse.tab.c"
    break;

  case 864: /* babel_iface_item: RX BUFFER expr  */
#line 154 "proto/babel/config.Y"
                  { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 11676 "obj/conf/cf-parse.tab.c"
    break;

  case 865: /* babel_iface_item: TX LENGTH expr  */
#line 155 "proto/babel/config.Y"
                  { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 11682 "obj/conf/cf-parse.tab.c"
    break;

  case 866: /* babel_iface_item: TX tos  */
#line 156 "proto/babel/config.Y"
          { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 11688 "obj/conf/cf-parse.tab.c"
    break;

  case 867: /* babel_iface_item: TX PRIORITY expr  */
#line 157 "proto/babel/config.Y"
                    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 11694 "obj/conf/cf-parse.tab.c"
    break;

  case 868: /* babel_iface_item: CHECK LINK bool  */
#line 158 "proto/babel/config.Y"
                   { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 11700 "obj/conf/cf-parse.tab.c"
    break;

  case 869: /* babel_iface_item: NEXT HOP IPV4 ipa  */
#line 159 "proto/babel/config.Y"
                     { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 11706 "obj/conf/cf-parse.tab.c"
    break;

  case 870: /* babel_iface_item: NEXT HOP IPV6 ipa  */
#line 160 "proto/babel/config.Y"
                     { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 11712 "obj/conf/cf-parse.tab.c"
    break;

  case 871: /* babel_iface_item: EXTENDED NEXT HOP bool  */
#line 161 "proto/babel/config.Y"
                          { BABEL_IFACE->ext_next_hop = (yyvsp[0].i); }
#line 11718 "obj/conf/cf-parse.tab.c"
    break;

  case 872: /* babel_iface_item: AUTHENTICATION NONE  */
#line 162 "proto/babel/config.Y"
                       { BABEL_IFACE->auth_type = BABEL_AUTH_NONE; }
#line 11724 "obj/conf/cf-parse.tab.c"
    break;

  case 873: /* babel_iface_item: AUTHENTICATION MAC  */
#line 163 "proto/babel/config.Y"
                      { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 0; }
#line 11730 "obj/conf/cf-parse.tab.c"
    break;

  case 874: /* babel_iface_item: AUTHENTICATION MAC PERMISSIVE  */
#line 164 "proto/babel/config.Y"
                                 { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 1; }
#line 11736 "obj/conf/cf-parse.tab.c"
    break;

  case 875: /* babel_iface_item: RTT MIN expr_us  */
#line 165 "proto/babel/config.Y"
                   { BABEL_IFACE->rtt_min = (yyvsp[0].time); }
#line 11742 "obj/conf/cf-parse.tab.c"
    break;

  case 876: /* babel_iface_item: RTT MAX expr_us  */
#line 166 "proto/babel/config.Y"
                   { BABEL_IFACE->rtt_max = (yyvsp[0].time); }
#line 11748 "obj/conf/cf-parse.tab.c"
    break;

  case 877: /* babel_iface_item: RTT COST expr  */
#line 167 "proto/babel/config.Y"
                 { BABEL_IFACE->rtt_cost = (yyvsp[0].i); if ((yyvsp[0].i) >= BABEL_INFINITY) cf_error("RTT cost must be < 65535"); }
#line 11754 "obj/conf/cf-parse.tab.c"
    break;

  case 878: /* babel_iface_item: RTT DECAY expr  */
#line 168 "proto/babel/config.Y"
                  { BABEL_IFACE->rtt_decay = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 256)) cf_error("RTT decay must be between 1-256"); }
#line 11760 "obj/conf/cf-parse.tab.c"
    break;

  case 879: /* babel_iface_item: SEND TIMESTAMPS bool  */
#line 169 "proto/babel/config.Y"
                        { BABEL_IFACE->rtt_send = (yyvsp[0].i); }
#line 11766 "obj/conf/cf-parse.tab.c"
    break;

  case 887: /* cmd_SHOW_BABEL_INTERFACES: SHOW BABEL INTERFACES optproto opttext END  */
#line 190 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_interfaces(p, (yyvsp[-1].t)); }
#line 11772 "obj/conf/cf-parse.tab.c"
    break;

  case 889: /* cmd_SHOW_BABEL_NEIGHBORS: SHOW BABEL NEIGHBORS optproto opttext END  */
#line 193 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_neighbors(p, (yyvsp[-1].t)); }
#line 11778 "obj/conf/cf-parse.tab.c"
    break;

  case 891: /* cmd_SHOW_BABEL_ENTRIES: SHOW BABEL ENTRIES optproto opttext END  */
#line 196 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_entries(p); }
#line 11784 "obj/conf/cf-parse.tab.c"
    break;

  case 893: /* cmd_SHOW_BABEL_ROUTES: SHOW BABEL ROUTES optproto opttext END  */
#line 199 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p)  babel_show_routes(p); }
#line 11790 "obj/conf/cf-parse.tab.c"
    break;

  case 895: /* bgp_proto_start: proto_start BGP  */
#line 51 "proto/bgp/config.Y"
                                 {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     this_proto->loop_order = DOMAIN_ORDER(proto);
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_enhanced_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->enable_hostname = 0;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->allow_as_sets = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->setkey = 1;
     BGP_CFG->local_role = BGP_ROLE_UNDEFINED;
     BGP_CFG->dynamic_name = "dynbgp";
     BGP_CFG->check_link = -1;
     BGP_CFG->send_hold_time = -1;
     BGP_CFG->tx_size_warning = 0;
   }
#line 11829 "obj/conf/cf-parse.tab.c"
    break;

  case 897: /* bgp_loc_opts: bgp_loc_opts PORT expr  */
#line 89 "proto/bgp/config.Y"
                          { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 11835 "obj/conf/cf-parse.tab.c"
    break;

  case 898: /* bgp_loc_opts: bgp_loc_opts AS expr  */
#line 90 "proto/bgp/config.Y"
                        { BGP_CFG->local_as = (yyvsp[0].i); }
#line 11841 "obj/conf/cf-parse.tab.c"
    break;

  case 900: /* bgp_nbr_opts: bgp_nbr_opts PORT expr  */
#line 95 "proto/bgp/config.Y"
                          { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 11847 "obj/conf/cf-parse.tab.c"
    break;

  case 901: /* bgp_nbr_opts: bgp_nbr_opts AS expr  */
#line 96 "proto/bgp/config.Y"
                        { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 11853 "obj/conf/cf-parse.tab.c"
    break;

  case 902: /* bgp_nbr_opts: bgp_nbr_opts INTERNAL  */
#line 97 "proto/bgp/config.Y"
                         { BGP_CFG->peer_type = BGP_PT_INTERNAL; }
#line 11859 "obj/conf/cf-parse.tab.c"
    break;

  case 903: /* bgp_nbr_opts: bgp_nbr_opts EXTERNAL  */
#line 98 "proto/bgp/config.Y"
                         { BGP_CFG->peer_type = BGP_PT_EXTERNAL; }
#line 11865 "obj/conf/cf-parse.tab.c"
    break;

  case 904: /* bgp_cease_mask: bool  */
#line 103 "proto/bgp/config.Y"
        { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 11871 "obj/conf/cf-parse.tab.c"
    break;

  case 905: /* bgp_cease_mask: '{' bgp_cease_list '}'  */
#line 104 "proto/bgp/config.Y"
                          { (yyval.i) = (yyvsp[-1].i); }
#line 11877 "obj/conf/cf-parse.tab.c"
    break;

  case 907: /* bgp_cease_list: bgp_cease_list ',' bgp_cease_flag  */
#line 109 "proto/bgp/config.Y"
                                     { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 11883 "obj/conf/cf-parse.tab.c"
    break;

  case 908: /* bgp_cease_flag: CEASE  */
#line 113 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 0; }
#line 11889 "obj/conf/cf-parse.tab.c"
    break;

  case 909: /* bgp_cease_flag: PREFIX LIMIT HIT  */
#line 114 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 1; }
#line 11895 "obj/conf/cf-parse.tab.c"
    break;

  case 910: /* bgp_cease_flag: ADMINISTRATIVE SHUTDOWN  */
#line 115 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 2; }
#line 11901 "obj/conf/cf-parse.tab.c"
    break;

  case 911: /* bgp_cease_flag: PEER DECONFIGURED  */
#line 116 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 3; }
#line 11907 "obj/conf/cf-parse.tab.c"
    break;

  case 912: /* bgp_cease_flag: ADMINISTRATIVE RESET  */
#line 117 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 4; }
#line 11913 "obj/conf/cf-parse.tab.c"
    break;

  case 913: /* bgp_cease_flag: CONNECTION REJECTED  */
#line 118 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 5; }
#line 11919 "obj/conf/cf-parse.tab.c"
    break;

  case 914: /* bgp_cease_flag: CONFIGURATION CHANGE  */
#line 119 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 6; }
#line 11925 "obj/conf/cf-parse.tab.c"
    break;

  case 915: /* bgp_cease_flag: CONNECTION COLLISION  */
#line 120 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 7; }
#line 11931 "obj/conf/cf-parse.tab.c"
    break;

  case 916: /* bgp_cease_flag: OUT OF RESOURCES  */
#line 121 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 8; }
#line 11937 "obj/conf/cf-parse.tab.c"
    break;

  case 917: /* bgp_role_name: PEER  */
#line 125 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_PEER; }
#line 11943 "obj/conf/cf-parse.tab.c"
    break;

  case 918: /* bgp_role_name: PROVIDER  */
#line 126 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_PROVIDER; }
#line 11949 "obj/conf/cf-parse.tab.c"
    break;

  case 919: /* bgp_role_name: CUSTOMER  */
#line 127 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_CUSTOMER; }
#line 11955 "obj/conf/cf-parse.tab.c"
    break;

  case 920: /* bgp_role_name: RS_SERVER  */
#line 128 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_RS_SERVER; }
#line 11961 "obj/conf/cf-parse.tab.c"
    break;

  case 921: /* bgp_role_name: RS_CLIENT  */
#line 129 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_RS_CLIENT; }
#line 11967 "obj/conf/cf-parse.tab.c"
    break;

  case 927: /* bgp_proto: bgp_proto LOCAL ipa ipa_scope bgp_loc_opts ';'  */
#line 138 "proto/bgp/config.Y"
                                                  {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 11976 "obj/conf/cf-parse.tab.c"
    break;

  case 929: /* bgp_proto: bgp_proto NEIGHBOR ipa ipa_scope bgp_nbr_opts ';'  */
#line 143 "proto/bgp/config.Y"
                                                     {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 11987 "obj/conf/cf-parse.tab.c"
    break;

  case 930: /* bgp_proto: bgp_proto NEIGHBOR RANGE net_ip bgp_nbr_opts ';'  */
#line 149 "proto/bgp/config.Y"
                                                    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     net_addr *n = cfg_alloc((yyvsp[-2].net).length);
     net_copy(n, &((yyvsp[-2].net)));
     BGP_CFG->remote_range = n;
   }
#line 11999 "obj/conf/cf-parse.tab.c"
    break;

  case 931: /* bgp_proto: bgp_proto INTERFACE TEXT ';'  */
#line 156 "proto/bgp/config.Y"
                                { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 12005 "obj/conf/cf-parse.tab.c"
    break;

  case 932: /* bgp_proto: bgp_proto RR CLUSTER ID idval ';'  */
#line 157 "proto/bgp/config.Y"
                                     { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 12011 "obj/conf/cf-parse.tab.c"
    break;

  case 933: /* bgp_proto: bgp_proto RR CLIENT bool ';'  */
#line 158 "proto/bgp/config.Y"
                                { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 12017 "obj/conf/cf-parse.tab.c"
    break;

  case 934: /* bgp_proto: bgp_proto RS CLIENT bool ';'  */
#line 159 "proto/bgp/config.Y"
                                { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 12023 "obj/conf/cf-parse.tab.c"
    break;

  case 935: /* bgp_proto: bgp_proto CONFEDERATION expr ';'  */
#line 160 "proto/bgp/config.Y"
                                    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 12029 "obj/conf/cf-parse.tab.c"
    break;

  case 936: /* bgp_proto: bgp_proto CONFEDERATION MEMBER bool ';'  */
#line 161 "proto/bgp/config.Y"
                                           { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 12035 "obj/conf/cf-parse.tab.c"
    break;

  case 937: /* bgp_proto: bgp_proto HOLD TIME expr ';'  */
#line 162 "proto/bgp/config.Y"
                                { BGP_CFG->hold_time = (yyvsp[-1].i); if (((yyvsp[-1].i) && (yyvsp[-1].i)<3) || ((yyvsp[-1].i)>65535)) cf_error("Hold time must be in range 3-65535 or zero"); }
#line 12041 "obj/conf/cf-parse.tab.c"
    break;

  case 938: /* bgp_proto: bgp_proto MIN HOLD TIME expr ';'  */
#line 163 "proto/bgp/config.Y"
                                    { BGP_CFG->min_hold_time = (yyvsp[-1].i); }
#line 12047 "obj/conf/cf-parse.tab.c"
    break;

  case 939: /* bgp_proto: bgp_proto STARTUP HOLD TIME expr ';'  */
#line 164 "proto/bgp/config.Y"
                                        { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 12053 "obj/conf/cf-parse.tab.c"
    break;

  case 940: /* bgp_proto: bgp_proto DIRECT ';'  */
#line 165 "proto/bgp/config.Y"
                        { BGP_CFG->multihop = 0; }
#line 12059 "obj/conf/cf-parse.tab.c"
    break;

  case 941: /* bgp_proto: bgp_proto MULTIHOP ';'  */
#line 166 "proto/bgp/config.Y"
                          { BGP_CFG->multihop = 64; }
#line 12065 "obj/conf/cf-parse.tab.c"
    break;

  case 942: /* bgp_proto: bgp_proto MULTIHOP expr ';'  */
#line 167 "proto/bgp/config.Y"
                               { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 12071 "obj/conf/cf-parse.tab.c"
    break;

  case 943: /* bgp_proto: bgp_proto DYNAMIC NAME text ';'  */
#line 168 "proto/bgp/config.Y"
                                   {
     if (strchr((yyvsp[-1].t), '%')) cf_error("Forbidden character '%%' in dynamic name");
     if (strlen((yyvsp[-1].t)) > (SYM_MAX_LEN - 16)) cf_error("Dynamic name too long");
     BGP_CFG->dynamic_name = (yyvsp[-1].t);
   }
#line 12081 "obj/conf/cf-parse.tab.c"
    break;

  case 944: /* bgp_proto: bgp_proto DYNAMIC NAME DIGITS expr ';'  */
#line 173 "proto/bgp/config.Y"
                                          { BGP_CFG->dynamic_name_digits = (yyvsp[-1].i); if ((yyvsp[-1].i)>10) cf_error("Dynamic name digits must be at most 10"); }
#line 12087 "obj/conf/cf-parse.tab.c"
    break;

  case 945: /* bgp_proto: bgp_proto STRICT BIND bool ';'  */
#line 174 "proto/bgp/config.Y"
                                  { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 12093 "obj/conf/cf-parse.tab.c"
    break;

  case 946: /* bgp_proto: bgp_proto FREE BIND bool ';'  */
#line 175 "proto/bgp/config.Y"
                                { BGP_CFG->free_bind = (yyvsp[-1].i); }
#line 12099 "obj/conf/cf-parse.tab.c"
    break;

  case 947: /* bgp_proto: bgp_proto PATH METRIC bool ';'  */
#line 176 "proto/bgp/config.Y"
                                  { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 12105 "obj/conf/cf-parse.tab.c"
    break;

  case 948: /* bgp_proto: bgp_proto MED METRIC bool ';'  */
#line 177 "proto/bgp/config.Y"
                                 { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 12111 "obj/conf/cf-parse.tab.c"
    break;

  case 949: /* bgp_proto: bgp_proto IGP METRIC bool ';'  */
#line 178 "proto/bgp/config.Y"
                                 { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 12117 "obj/conf/cf-parse.tab.c"
    break;

  case 950: /* bgp_proto: bgp_proto PREFER OLDER bool ';'  */
#line 179 "proto/bgp/config.Y"
                                   { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 12123 "obj/conf/cf-parse.tab.c"
    break;

  case 951: /* bgp_proto: bgp_proto DETERMINISTIC MED bool ';'  */
#line 180 "proto/bgp/config.Y"
                                        { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 12129 "obj/conf/cf-parse.tab.c"
    break;

  case 952: /* bgp_proto: bgp_proto DEFAULT BGP_MED expr ';'  */
#line 181 "proto/bgp/config.Y"
                                      { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 12135 "obj/conf/cf-parse.tab.c"
    break;

  case 953: /* bgp_proto: bgp_proto DEFAULT BGP_LOCAL_PREF expr ';'  */
#line 182 "proto/bgp/config.Y"
                                             { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 12141 "obj/conf/cf-parse.tab.c"
    break;

  case 954: /* bgp_proto: bgp_proto SOURCE ADDRESS ipa ';'  */
#line 183 "proto/bgp/config.Y"
                                    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 12147 "obj/conf/cf-parse.tab.c"
    break;

  case 955: /* bgp_proto: bgp_proto START DELAY TIME expr ';'  */
#line 184 "proto/bgp/config.Y"
                                       { BGP_CFG->connect_delay_time = (yyvsp[-1].i); cf_warn("%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 12153 "obj/conf/cf-parse.tab.c"
    break;

  case 956: /* bgp_proto: bgp_proto CONNECT DELAY TIME expr ';'  */
#line 185 "proto/bgp/config.Y"
                                         { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 12159 "obj/conf/cf-parse.tab.c"
    break;

  case 957: /* bgp_proto: bgp_proto CONNECT RETRY TIME expr ';'  */
#line 186 "proto/bgp/config.Y"
                                         { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 12165 "obj/conf/cf-parse.tab.c"
    break;

  case 958: /* bgp_proto: bgp_proto KEEPALIVE TIME expr ';'  */
#line 187 "proto/bgp/config.Y"
                                     { BGP_CFG->keepalive_time = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>65535)) cf_error("Keepalive time must be in range 1-65535"); }
#line 12171 "obj/conf/cf-parse.tab.c"
    break;

  case 959: /* bgp_proto: bgp_proto MIN KEEPALIVE TIME expr ';'  */
#line 188 "proto/bgp/config.Y"
                                         { BGP_CFG->min_keepalive_time = (yyvsp[-1].i); }
#line 12177 "obj/conf/cf-parse.tab.c"
    break;

  case 960: /* bgp_proto: bgp_proto SEND HOLD TIME expr ';'  */
#line 189 "proto/bgp/config.Y"
                                    { BGP_CFG->send_hold_time = (yyvsp[-1].i); }
#line 12183 "obj/conf/cf-parse.tab.c"
    break;

  case 961: /* bgp_proto: bgp_proto ERROR FORGET TIME expr ';'  */
#line 190 "proto/bgp/config.Y"
                                        { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 12189 "obj/conf/cf-parse.tab.c"
    break;

  case 962: /* bgp_proto: bgp_proto ERROR WAIT TIME expr ',' expr ';'  */
#line 191 "proto/bgp/config.Y"
                                               { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 12195 "obj/conf/cf-parse.tab.c"
    break;

  case 963: /* bgp_proto: bgp_proto DISABLE AFTER ERROR bool ';'  */
#line 192 "proto/bgp/config.Y"
                                          { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 12201 "obj/conf/cf-parse.tab.c"
    break;

  case 964: /* bgp_proto: bgp_proto DISABLE AFTER CEASE bgp_cease_mask ';'  */
#line 193 "proto/bgp/config.Y"
                                                    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 12207 "obj/conf/cf-parse.tab.c"
    break;

  case 965: /* bgp_proto: bgp_proto ENABLE ROUTE REFRESH bool ';'  */
#line 194 "proto/bgp/config.Y"
                                           { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 12213 "obj/conf/cf-parse.tab.c"
    break;

  case 966: /* bgp_proto: bgp_proto ENABLE ENHANCED ROUTE REFRESH bool ';'  */
#line 195 "proto/bgp/config.Y"
                                                    { BGP_CFG->enable_enhanced_refresh = (yyvsp[-1].i); }
#line 12219 "obj/conf/cf-parse.tab.c"
    break;

  case 967: /* bgp_proto: bgp_proto ENABLE AS4 bool ';'  */
#line 196 "proto/bgp/config.Y"
                                 { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 12225 "obj/conf/cf-parse.tab.c"
    break;

  case 968: /* bgp_proto: bgp_proto ENABLE EXTENDED MESSAGES bool ';'  */
#line 197 "proto/bgp/config.Y"
                                               { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 12231 "obj/conf/cf-parse.tab.c"
    break;

  case 969: /* bgp_proto: bgp_proto ADVERTISE HOSTNAME bool ';'  */
#line 198 "proto/bgp/config.Y"
                                         { BGP_CFG->enable_hostname = (yyvsp[-1].i); }
#line 12237 "obj/conf/cf-parse.tab.c"
    break;

  case 970: /* bgp_proto: bgp_proto REQUIRE ROUTE REFRESH bool ';'  */
#line 199 "proto/bgp/config.Y"
                                            { BGP_CFG->require_refresh = (yyvsp[-1].i); }
#line 12243 "obj/conf/cf-parse.tab.c"
    break;

  case 971: /* bgp_proto: bgp_proto REQUIRE ENHANCED ROUTE REFRESH bool ';'  */
#line 200 "proto/bgp/config.Y"
                                                     { BGP_CFG->require_enhanced_refresh = (yyvsp[-1].i); }
#line 12249 "obj/conf/cf-parse.tab.c"
    break;

  case 972: /* bgp_proto: bgp_proto REQUIRE AS4 bool ';'  */
#line 201 "proto/bgp/config.Y"
                                  { BGP_CFG->require_as4 = (yyvsp[-1].i); }
#line 12255 "obj/conf/cf-parse.tab.c"
    break;

  case 973: /* bgp_proto: bgp_proto REQUIRE EXTENDED MESSAGES bool ';'  */
#line 202 "proto/bgp/config.Y"
                                                { BGP_CFG->require_extended_messages = (yyvsp[-1].i); }
#line 12261 "obj/conf/cf-parse.tab.c"
    break;

  case 974: /* bgp_proto: bgp_proto REQUIRE HOSTNAME bool ';'  */
#line 203 "proto/bgp/config.Y"
                                       { BGP_CFG->require_hostname = (yyvsp[-1].i); }
#line 12267 "obj/conf/cf-parse.tab.c"
    break;

  case 975: /* bgp_proto: bgp_proto REQUIRE GRACEFUL RESTART bool ';'  */
#line 204 "proto/bgp/config.Y"
                                               { BGP_CFG->require_gr = (yyvsp[-1].i); }
#line 12273 "obj/conf/cf-parse.tab.c"
    break;

  case 976: /* bgp_proto: bgp_proto REQUIRE LONG LIVED GRACEFUL RESTART bool ';'  */
#line 205 "proto/bgp/config.Y"
                                                          { BGP_CFG->require_llgr = (yyvsp[-1].i); }
#line 12279 "obj/conf/cf-parse.tab.c"
    break;

  case 977: /* bgp_proto: bgp_proto CAPABILITIES bool ';'  */
#line 206 "proto/bgp/config.Y"
                                   { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 12285 "obj/conf/cf-parse.tab.c"
    break;

  case 978: /* bgp_proto: bgp_proto PASSWORD text ';'  */
#line 207 "proto/bgp/config.Y"
                               { BGP_CFG->password = (yyvsp[-1].t); }
#line 12291 "obj/conf/cf-parse.tab.c"
    break;

  case 979: /* bgp_proto: bgp_proto SETKEY bool ';'  */
#line 208 "proto/bgp/config.Y"
                             { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 12297 "obj/conf/cf-parse.tab.c"
    break;

  case 980: /* bgp_proto: bgp_proto PASSIVE bool ';'  */
#line 209 "proto/bgp/config.Y"
                              { BGP_CFG->passive = (yyvsp[-1].i); }
#line 12303 "obj/conf/cf-parse.tab.c"
    break;

  case 981: /* bgp_proto: bgp_proto INTERPRET COMMUNITIES bool ';'  */
#line 210 "proto/bgp/config.Y"
                                            { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 12309 "obj/conf/cf-parse.tab.c"
    break;

  case 982: /* bgp_proto: bgp_proto ALLOW LOCAL AS ';'  */
#line 211 "proto/bgp/config.Y"
                                { BGP_CFG->allow_local_as = -1; }
#line 12315 "obj/conf/cf-parse.tab.c"
    break;

  case 983: /* bgp_proto: bgp_proto ALLOW LOCAL AS expr ';'  */
#line 212 "proto/bgp/config.Y"
                                     { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 12321 "obj/conf/cf-parse.tab.c"
    break;

  case 984: /* bgp_proto: bgp_proto ALLOW BGP_LOCAL_PREF bool ';'  */
#line 213 "proto/bgp/config.Y"
                                           { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 12327 "obj/conf/cf-parse.tab.c"
    break;

  case 985: /* bgp_proto: bgp_proto ALLOW BGP_MED bool ';'  */
#line 214 "proto/bgp/config.Y"
                                    { BGP_CFG->allow_med = (yyvsp[-1].i); }
#line 12333 "obj/conf/cf-parse.tab.c"
    break;

  case 986: /* bgp_proto: bgp_proto ALLOW AS SETS bool ';'  */
#line 215 "proto/bgp/config.Y"
                                    { BGP_CFG->allow_as_sets = (yyvsp[-1].i); }
#line 12339 "obj/conf/cf-parse.tab.c"
    break;

  case 987: /* bgp_proto: bgp_proto GRACEFUL RESTART bool ';'  */
#line 216 "proto/bgp/config.Y"
                                       { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 12345 "obj/conf/cf-parse.tab.c"
    break;

  case 988: /* bgp_proto: bgp_proto GRACEFUL RESTART AWARE ';'  */
#line 217 "proto/bgp/config.Y"
                                        { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 12351 "obj/conf/cf-parse.tab.c"
    break;

  case 989: /* bgp_proto: bgp_proto GRACEFUL RESTART TIME expr ';'  */
#line 218 "proto/bgp/config.Y"
                                            { BGP_CFG->gr_time = (yyvsp[-1].i); }
#line 12357 "obj/conf/cf-parse.tab.c"
    break;

  case 990: /* bgp_proto: bgp_proto LONG LIVED GRACEFUL RESTART bool ';'  */
#line 219 "proto/bgp/config.Y"
                                                  { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 12363 "obj/conf/cf-parse.tab.c"
    break;

  case 991: /* bgp_proto: bgp_proto LONG LIVED GRACEFUL RESTART AWARE ';'  */
#line 220 "proto/bgp/config.Y"
                                                   { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 12369 "obj/conf/cf-parse.tab.c"
    break;

  case 992: /* bgp_proto: bgp_proto LONG LIVED STALE TIME expr ';'  */
#line 221 "proto/bgp/config.Y"
                                            { BGP_CFG->llgr_time = (yyvsp[-1].i); }
#line 12375 "obj/conf/cf-parse.tab.c"
    break;

  case 993: /* bgp_proto: bgp_proto TTL SECURITY bool ';'  */
#line 222 "proto/bgp/config.Y"
                                   { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 12381 "obj/conf/cf-parse.tab.c"
    break;

  case 994: /* bgp_proto: bgp_proto CHECK LINK bool ';'  */
#line 223 "proto/bgp/config.Y"
                                 { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 12387 "obj/conf/cf-parse.tab.c"
    break;

  case 995: /* bgp_proto: bgp_proto BFD bool ';'  */
#line 224 "proto/bgp/config.Y"
                          { if ((yyvsp[-1].i)) init_bfd_opts(&BGP_CFG->bfd); else BGP_CFG->bfd = NULL; }
#line 12393 "obj/conf/cf-parse.tab.c"
    break;

  case 996: /* bgp_proto: bgp_proto BFD GRACEFUL ';'  */
#line 225 "proto/bgp/config.Y"
                              { init_bfd_opts(&BGP_CFG->bfd); BGP_CFG->bfd->mode = BGP_BFD_GRACEFUL; }
#line 12399 "obj/conf/cf-parse.tab.c"
    break;

  case 997: /* $@18: %empty  */
#line 226 "proto/bgp/config.Y"
                 { open_bfd_opts(&BGP_CFG->bfd); }
#line 12405 "obj/conf/cf-parse.tab.c"
    break;

  case 998: /* $@19: %empty  */
#line 226 "proto/bgp/config.Y"
                                                            { close_bfd_opts(); }
#line 12411 "obj/conf/cf-parse.tab.c"
    break;

  case 1000: /* bgp_proto: bgp_proto ENFORCE FIRST AS bool ';'  */
#line 227 "proto/bgp/config.Y"
                                       { BGP_CFG->enforce_first_as = (yyvsp[-1].i); }
#line 12417 "obj/conf/cf-parse.tab.c"
    break;

  case 1001: /* bgp_proto: bgp_proto LOCAL ROLE bgp_role_name ';'  */
#line 228 "proto/bgp/config.Y"
                                          { BGP_CFG->local_role = (yyvsp[-1].i); }
#line 12423 "obj/conf/cf-parse.tab.c"
    break;

  case 1002: /* bgp_proto: bgp_proto REQUIRE ROLES bool ';'  */
#line 229 "proto/bgp/config.Y"
                                    { BGP_CFG->require_roles = (yyvsp[-1].i); }
#line 12429 "obj/conf/cf-parse.tab.c"
    break;

  case 1003: /* bgp_proto: bgp_proto DISABLE RX bool ';'  */
#line 230 "proto/bgp/config.Y"
                                 { BGP_CFG->disable_rx = (yyvsp[-1].i); }
#line 12435 "obj/conf/cf-parse.tab.c"
    break;

  case 1004: /* bgp_proto: bgp_proto TX SIZE WARNING expr ';'  */
#line 231 "proto/bgp/config.Y"
                                      { BGP_CFG->tx_size_warning = (yyvsp[-1].i); }
#line 12441 "obj/conf/cf-parse.tab.c"
    break;

  case 1005: /* bgp_afi: IPV4  */
#line 235 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4; }
#line 12447 "obj/conf/cf-parse.tab.c"
    break;

  case 1006: /* bgp_afi: IPV6  */
#line 236 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6; }
#line 12453 "obj/conf/cf-parse.tab.c"
    break;

  case 1007: /* bgp_afi: IPV4 MULTICAST  */
#line 237 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 12459 "obj/conf/cf-parse.tab.c"
    break;

  case 1008: /* bgp_afi: IPV6 MULTICAST  */
#line 238 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 12465 "obj/conf/cf-parse.tab.c"
    break;

  case 1009: /* bgp_afi: IPV4 MPLS  */
#line 239 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 12471 "obj/conf/cf-parse.tab.c"
    break;

  case 1010: /* bgp_afi: IPV6 MPLS  */
#line 240 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 12477 "obj/conf/cf-parse.tab.c"
    break;

  case 1011: /* bgp_afi: VPN4 MPLS  */
#line 241 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 12483 "obj/conf/cf-parse.tab.c"
    break;

  case 1012: /* bgp_afi: VPN6 MPLS  */
#line 242 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 12489 "obj/conf/cf-parse.tab.c"
    break;

  case 1013: /* bgp_afi: VPN4 MULTICAST  */
#line 243 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 12495 "obj/conf/cf-parse.tab.c"
    break;

  case 1014: /* bgp_afi: VPN6 MULTICAST  */
#line 244 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 12501 "obj/conf/cf-parse.tab.c"
    break;

  case 1015: /* bgp_afi: FLOW4  */
#line 245 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_FLOW4; }
#line 12507 "obj/conf/cf-parse.tab.c"
    break;

  case 1016: /* bgp_afi: FLOW6  */
#line 246 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_FLOW6; }
#line 12513 "obj/conf/cf-parse.tab.c"
    break;

  case 1017: /* bgp_channel_start: bgp_afi  */
#line 250 "proto/bgp/config.Y"
{
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
    BGP_CC->aigp = 0xff;	/* undefined */
    BGP_CC->ptx_exporter_settle = (struct settle_config) { 10 MS_, 100 MS_ };
  }
}
#line 12542 "obj/conf/cf-parse.tab.c"
    break;

  case 1018: /* bgp_nh: bool  */
#line 276 "proto/bgp/config.Y"
        { (yyval.i) = (yyvsp[0].i); }
#line 12548 "obj/conf/cf-parse.tab.c"
    break;

  case 1019: /* bgp_nh: IBGP  */
#line 277 "proto/bgp/config.Y"
        { (yyval.i) = NH_IBGP; }
#line 12554 "obj/conf/cf-parse.tab.c"
    break;

  case 1020: /* bgp_nh: EBGP  */
#line 278 "proto/bgp/config.Y"
        { (yyval.i) = NH_EBGP; }
#line 12560 "obj/conf/cf-parse.tab.c"
    break;

  case 1025: /* bgp_channel_item: NEXT HOP ADDRESS ipa  */
#line 284 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 12566 "obj/conf/cf-parse.tab.c"
    break;

  case 1026: /* bgp_channel_item: NEXT HOP SELF bgp_nh  */
#line 285 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 12572 "obj/conf/cf-parse.tab.c"
    break;

  case 1027: /* bgp_channel_item: NEXT HOP KEEP bgp_nh  */
#line 286 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 12578 "obj/conf/cf-parse.tab.c"
    break;

  case 1028: /* bgp_channel_item: NEXT HOP PREFER GLOBAL  */
#line 287 "proto/bgp/config.Y"
                          { BGP_CC->next_hop_prefer = NHP_GLOBAL; }
#line 12584 "obj/conf/cf-parse.tab.c"
    break;

  case 1029: /* bgp_channel_item: MANDATORY bool  */
#line 288 "proto/bgp/config.Y"
                  { BGP_CC->mandatory = (yyvsp[0].i); }
#line 12590 "obj/conf/cf-parse.tab.c"
    break;

  case 1030: /* bgp_channel_item: MISSING LLADDR bgp_lladdr  */
#line 289 "proto/bgp/config.Y"
                             { cf_warn("%s.%s: Missing lladdr option is deprecated and ignored, remove it", this_proto->name, this_channel->name); }
#line 12596 "obj/conf/cf-parse.tab.c"
    break;

  case 1031: /* bgp_channel_item: GATEWAY DIRECT  */
#line 290 "proto/bgp/config.Y"
                  { BGP_CC->gw_mode = GW_DIRECT; }
#line 12602 "obj/conf/cf-parse.tab.c"
    break;

  case 1032: /* bgp_channel_item: GATEWAY RECURSIVE  */
#line 291 "proto/bgp/config.Y"
                     { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 12608 "obj/conf/cf-parse.tab.c"
    break;

  case 1033: /* bgp_channel_item: SECONDARY bool  */
#line 292 "proto/bgp/config.Y"
                  { BGP_CC->secondary = (yyvsp[0].i); }
#line 12614 "obj/conf/cf-parse.tab.c"
    break;

  case 1034: /* bgp_channel_item: VALIDATE bool  */
#line 293 "proto/bgp/config.Y"
                 {
    BGP_CC->validate = (yyvsp[0].i);
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Validate option limited to flowspec channels");
   }
#line 12624 "obj/conf/cf-parse.tab.c"
    break;

  case 1035: /* bgp_channel_item: GRACEFUL RESTART bool  */
#line 298 "proto/bgp/config.Y"
                         { BGP_CC->gr_able = (yyvsp[0].i); }
#line 12630 "obj/conf/cf-parse.tab.c"
    break;

  case 1036: /* bgp_channel_item: LONG LIVED GRACEFUL RESTART bool  */
#line 299 "proto/bgp/config.Y"
                                    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 12636 "obj/conf/cf-parse.tab.c"
    break;

  case 1037: /* bgp_channel_item: LONG LIVED STALE TIME expr  */
#line 300 "proto/bgp/config.Y"
                              { BGP_CC->llgr_time = (yyvsp[0].i); }
#line 12642 "obj/conf/cf-parse.tab.c"
    break;

  case 1038: /* bgp_channel_item: EXTENDED NEXT HOP bool  */
#line 301 "proto/bgp/config.Y"
                          { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 12648 "obj/conf/cf-parse.tab.c"
    break;

  case 1039: /* bgp_channel_item: REQUIRE EXTENDED NEXT HOP bool  */
#line 302 "proto/bgp/config.Y"
                                  { BGP_CC->require_ext_next_hop = (yyvsp[0].i);  if (BGP_AFI(BGP_CC->afi) != BGP_AFI_IPV4) cf_warn("Require extended next hop option ignored for non-IPv4 channels"); }
#line 12654 "obj/conf/cf-parse.tab.c"
    break;

  case 1040: /* bgp_channel_item: ADD PATHS RX  */
#line 303 "proto/bgp/config.Y"
                { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 12660 "obj/conf/cf-parse.tab.c"
    break;

  case 1041: /* bgp_channel_item: ADD PATHS TX  */
#line 304 "proto/bgp/config.Y"
                { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 12666 "obj/conf/cf-parse.tab.c"
    break;

  case 1042: /* bgp_channel_item: ADD PATHS bool  */
#line 305 "proto/bgp/config.Y"
                  { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 12672 "obj/conf/cf-parse.tab.c"
    break;

  case 1043: /* bgp_channel_item: REQUIRE ADD PATHS bool  */
#line 306 "proto/bgp/config.Y"
                          { BGP_CC->require_add_path = (yyvsp[0].i); }
#line 12678 "obj/conf/cf-parse.tab.c"
    break;

  case 1044: /* bgp_channel_item: IMPORT TABLE bool  */
#line 307 "proto/bgp/config.Y"
                     { BGP_CC->import_table = (yyvsp[0].i); }
#line 12684 "obj/conf/cf-parse.tab.c"
    break;

  case 1045: /* bgp_channel_item: EXPORT TABLE bool  */
#line 308 "proto/bgp/config.Y"
                     { BGP_CC->export_table = (yyvsp[0].i); }
#line 12690 "obj/conf/cf-parse.tab.c"
    break;

  case 1046: /* bgp_channel_item: EXPORT SETTLE TIME settle  */
#line 309 "proto/bgp/config.Y"
                             { BGP_CC->ptx_exporter_settle = (yyvsp[0].settle); }
#line 12696 "obj/conf/cf-parse.tab.c"
    break;

  case 1047: /* bgp_channel_item: AIGP bool  */
#line 310 "proto/bgp/config.Y"
             { BGP_CC->aigp = (yyvsp[0].i); BGP_CC->aigp_originate = 0; }
#line 12702 "obj/conf/cf-parse.tab.c"
    break;

  case 1048: /* bgp_channel_item: AIGP ORIGINATE  */
#line 311 "proto/bgp/config.Y"
                  { BGP_CC->aigp = 1; BGP_CC->aigp_originate = 1; }
#line 12708 "obj/conf/cf-parse.tab.c"
    break;

  case 1049: /* bgp_channel_item: COST expr  */
#line 312 "proto/bgp/config.Y"
             { BGP_CC->cost = (yyvsp[0].i); if ((yyvsp[0].i) < 1) cf_error("Cost must be positive"); }
#line 12714 "obj/conf/cf-parse.tab.c"
    break;

  case 1050: /* bgp_channel_item: IGP TABLE rtable  */
#line 313 "proto/bgp/config.Y"
                    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 12730 "obj/conf/cf-parse.tab.c"
    break;

  case 1051: /* bgp_channel_item: BASE TABLE rtable  */
#line 324 "proto/bgp/config.Y"
                     {
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Base table option limited to flowspec channels");

    if (((BGP_CC->afi == BGP_AF_FLOW4) && ((yyvsp[0].r)->addr_type == NET_IP4)) ||
        ((BGP_CC->afi == BGP_AF_FLOW6) && ((yyvsp[0].r)->addr_type == NET_IP6)))
      BGP_CC->base_table = (yyvsp[0].r);
    else
      cf_error("Mismatched base table type");
   }
#line 12745 "obj/conf/cf-parse.tab.c"
    break;

  case 1056: /* bgp_channel_end: %empty  */
#line 347 "proto/bgp/config.Y"
{
  if (!this_channel->table)
    cf_error("Routing table not specified");

  if (BGP_CC->import_table)
    this_channel->in_keep |= RIK_PREFILTER;

  this_channel = NULL;
}
#line 12759 "obj/conf/cf-parse.tab.c"
    break;

  case 1058: /* custom_attr: ATTRIBUTE BGP NUM type symbol ';'  */
#line 359 "proto/bgp/config.Y"
                                               {
  if ((yyvsp[-3].i) > 255 || (yyvsp[-3].i) < 1)
    cf_error("Invalid attribute number. (Given %i, must be 1-255.)", (yyvsp[-3].i));

  struct ea_class *ac = bgp_find_ea_class_by_id((yyvsp[-3].i));
  ASSERT_DIE(ac);
  if ((yyvsp[-2].i) != ac->type)
    cf_error("Attribute %d type must be %s, not %s.", (yyvsp[-3].i), f_type_name(ac->type), f_type_name((yyvsp[-2].i)));

  ea_ref_class(new_config->pool, ac);
  cf_define_symbol(new_config, (yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ac);
}
#line 12776 "obj/conf/cf-parse.tab.c"
    break;

  case 1060: /* cmd_RELOAD_BGP: RELOAD BGP proto_patt END  */
#line 373 "proto/bgp/config.Y"
{
  proto_apply_cmd((yyvsp[-1].ps), bgp_reload_in, 1, 0);
  proto_apply_cmd((yyvsp[-1].ps), bgp_reload_out, 1, 0);
}
#line 12785 "obj/conf/cf-parse.tab.c"
    break;

  case 1062: /* cmd_RELOAD_BGP_IN: RELOAD BGP IN proto_patt END  */
#line 379 "proto/bgp/config.Y"
{
  proto_apply_cmd((yyvsp[-1].ps), bgp_reload_in, 1, 0);
}
#line 12793 "obj/conf/cf-parse.tab.c"
    break;

  case 1064: /* cmd_RELOAD_BGP_OUT: RELOAD BGP OUT proto_patt END  */
#line 384 "proto/bgp/config.Y"
{
  proto_apply_cmd((yyvsp[-1].ps), bgp_reload_out, 1, 0);
}
#line 12801 "obj/conf/cf-parse.tab.c"
    break;

  case 1065: /* term: ASPA_CHECK_DOWNSTREAM '(' rtable ')'  */
#line 389 "proto/bgp/config.Y"
                                           { (yyval.x) =
  f_new_inst(FI_ASPA_CHECK_EXPLICIT,
      f_new_inst(FI_EA_GET,
	f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL, }),
	ea_class_find_by_name("bgp_path")
      ),
      f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }),
      (yyvsp[-1].r)
  );
}
#line 12816 "obj/conf/cf-parse.tab.c"
    break;

  case 1066: /* term: ASPA_CHECK_UPSTREAM '(' rtable ')'  */
#line 400 "proto/bgp/config.Y"
                                         { (yyval.x) =
  f_new_inst(FI_ASPA_CHECK_EXPLICIT,
      f_new_inst(FI_EA_GET,
	f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL, }),
	ea_class_find_by_name("bgp_path")
      ),
      f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }),
      (yyvsp[-1].r)
  );
}
#line 12831 "obj/conf/cf-parse.tab.c"
    break;

  case 1068: /* l3vpn_channel_start: net_type_base  */
#line 53 "proto/l3vpn/config.Y"
{
  /* Redefining proto_channel to change default values */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
  if (!this_channel->copy)
  {
    this_channel->out_filter = FILTER_ACCEPT;
    this_channel->preference = net_val_match((yyvsp[0].i), NB_IP) ?
      DEF_PREF_L3VPN_IMPORT :
      DEF_PREF_L3VPN_EXPORT;
  }
}
#line 12847 "obj/conf/cf-parse.tab.c"
    break;

  case 1070: /* l3vpn_proto_start: proto_start L3VPN  */
#line 68 "proto/l3vpn/config.Y"
{
  this_proto = proto_config_new(&proto_l3vpn, (yyvsp[-1].i));
}
#line 12855 "obj/conf/cf-parse.tab.c"
    break;

  case 1074: /* l3vpn_proto_item: RD VPN_RD  */
#line 77 "proto/l3vpn/config.Y"
             { L3VPN_CFG->rd = (yyvsp[0].rd); }
#line 12861 "obj/conf/cf-parse.tab.c"
    break;

  case 1075: /* l3vpn_proto_item: ROUTE DISTINGUISHER VPN_RD  */
#line 78 "proto/l3vpn/config.Y"
                              { L3VPN_CFG->rd = (yyvsp[0].rd); }
#line 12867 "obj/conf/cf-parse.tab.c"
    break;

  case 1076: /* l3vpn_proto_item: IMPORT TARGET l3vpn_targets  */
#line 79 "proto/l3vpn/config.Y"
                               { L3VPN_CFG->import_target = (yyvsp[0].e); }
#line 12873 "obj/conf/cf-parse.tab.c"
    break;

  case 1077: /* l3vpn_proto_item: EXPORT TARGET l3vpn_targets  */
#line 80 "proto/l3vpn/config.Y"
                               { L3VPN_CFG->export_target = (yyvsp[0].e); }
#line 12879 "obj/conf/cf-parse.tab.c"
    break;

  case 1078: /* l3vpn_proto_item: ROUTE TARGET l3vpn_targets  */
#line 81 "proto/l3vpn/config.Y"
                              { L3VPN_CFG->import_target = L3VPN_CFG->export_target = (yyvsp[0].e); }
#line 12885 "obj/conf/cf-parse.tab.c"
    break;

  case 1082: /* l3vpn_targets: ec_item  */
#line 94 "proto/l3vpn/config.Y"
           { f_tree_only_rt((yyvsp[0].e)); (yyval.e) = (yyvsp[0].e); }
#line 12891 "obj/conf/cf-parse.tab.c"
    break;

  case 1083: /* l3vpn_targets: '[' ec_items ']'  */
#line 95 "proto/l3vpn/config.Y"
                    { f_tree_only_rt((yyvsp[-1].e)); (yyval.e) = build_tree((yyvsp[-1].e)); }
#line 12897 "obj/conf/cf-parse.tab.c"
    break;

  case 1084: /* proto: ospf_proto '}'  */
#line 211 "proto/ospf/config.Y"
                      { ospf_proto_finish(); }
#line 12903 "obj/conf/cf-parse.tab.c"
    break;

  case 1085: /* ospf_variant: OSPF  */
#line 214 "proto/ospf/config.Y"
           { (yyval.i) = 1; }
#line 12909 "obj/conf/cf-parse.tab.c"
    break;

  case 1086: /* ospf_variant: OSPF V2  */
#line 215 "proto/ospf/config.Y"
           { (yyval.i) = 1; }
#line 12915 "obj/conf/cf-parse.tab.c"
    break;

  case 1087: /* ospf_variant: OSPF V3  */
#line 216 "proto/ospf/config.Y"
           { (yyval.i) = 0; }
#line 12921 "obj/conf/cf-parse.tab.c"
    break;

  case 1088: /* ospf_proto_start: proto_start ospf_variant  */
#line 220 "proto/ospf/config.Y"
{
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
  OSPF_CFG->gr_mode = OSPF_GR_AWARE;
  OSPF_CFG->gr_time = OSPF_DEFAULT_GR_TIME;
}
#line 12939 "obj/conf/cf-parse.tab.c"
    break;

  case 1091: /* ospf_af_mc: %empty  */
#line 240 "proto/ospf/config.Y"
             { (yyval.i) = 0; }
#line 12945 "obj/conf/cf-parse.tab.c"
    break;

  case 1092: /* ospf_af_mc: MULTICAST  */
#line 241 "proto/ospf/config.Y"
             { (yyval.i) = 1; }
#line 12951 "obj/conf/cf-parse.tab.c"
    break;

  case 1093: /* ospf_channel_start: net_type ospf_af_mc  */
#line 246 "proto/ospf/config.Y"
{
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 12963 "obj/conf/cf-parse.tab.c"
    break;

  case 1096: /* ospf_proto_item: ospf_channel  */
#line 258 "proto/ospf/config.Y"
                { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 12969 "obj/conf/cf-parse.tab.c"
    break;

  case 1097: /* ospf_proto_item: RFC1583COMPAT bool  */
#line 259 "proto/ospf/config.Y"
                      { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 12975 "obj/conf/cf-parse.tab.c"
    break;

  case 1098: /* ospf_proto_item: RFC5838 bool  */
#line 260 "proto/ospf/config.Y"
                { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 12981 "obj/conf/cf-parse.tab.c"
    break;

  case 1099: /* ospf_proto_item: VPN PE bool  */
#line 261 "proto/ospf/config.Y"
               { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 12987 "obj/conf/cf-parse.tab.c"
    break;

  case 1100: /* ospf_proto_item: STUB ROUTER bool  */
#line 262 "proto/ospf/config.Y"
                    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 12993 "obj/conf/cf-parse.tab.c"
    break;

  case 1101: /* ospf_proto_item: GRACEFUL RESTART bool  */
#line 263 "proto/ospf/config.Y"
                         { OSPF_CFG->gr_mode = (yyvsp[0].i); }
#line 12999 "obj/conf/cf-parse.tab.c"
    break;

  case 1102: /* ospf_proto_item: GRACEFUL RESTART AWARE  */
#line 264 "proto/ospf/config.Y"
                          { OSPF_CFG->gr_mode = OSPF_GR_AWARE; }
#line 13005 "obj/conf/cf-parse.tab.c"
    break;

  case 1103: /* ospf_proto_item: GRACEFUL RESTART TIME expr  */
#line 265 "proto/ospf/config.Y"
                              { OSPF_CFG->gr_time = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 1800)) cf_error("Graceful restart time must be in range 1-1800"); }
#line 13011 "obj/conf/cf-parse.tab.c"
    break;

  case 1104: /* ospf_proto_item: ECMP bool  */
#line 266 "proto/ospf/config.Y"
             { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 13017 "obj/conf/cf-parse.tab.c"
    break;

  case 1105: /* ospf_proto_item: ECMP bool LIMIT expr  */
#line 267 "proto/ospf/config.Y"
                        { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 13023 "obj/conf/cf-parse.tab.c"
    break;

  case 1106: /* ospf_proto_item: MERGE EXTERNAL bool  */
#line 268 "proto/ospf/config.Y"
                       { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 13029 "obj/conf/cf-parse.tab.c"
    break;

  case 1107: /* ospf_proto_item: TICK expr  */
#line 269 "proto/ospf/config.Y"
             { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 13035 "obj/conf/cf-parse.tab.c"
    break;

  case 1108: /* ospf_proto_item: INSTANCE ID expr  */
#line 270 "proto/ospf/config.Y"
                    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 13041 "obj/conf/cf-parse.tab.c"
    break;

  case 1110: /* ospf_area_start: AREA idval  */
#line 274 "proto/ospf/config.Y"
                            {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 13059 "obj/conf/cf-parse.tab.c"
    break;

  case 1111: /* ospf_area: ospf_area_start '{' ospf_area_opts '}'  */
#line 289 "proto/ospf/config.Y"
                                                  { ospf_area_finish(); }
#line 13065 "obj/conf/cf-parse.tab.c"
    break;

  case 1114: /* ospf_area_item: STUB bool  */
#line 298 "proto/ospf/config.Y"
             { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 13071 "obj/conf/cf-parse.tab.c"
    break;

  case 1115: /* ospf_area_item: NSSA  */
#line 299 "proto/ospf/config.Y"
        { this_area->type = OPT_N; }
#line 13077 "obj/conf/cf-parse.tab.c"
    break;

  case 1116: /* ospf_area_item: SUMMARY bool  */
#line 300 "proto/ospf/config.Y"
                { this_area->summary = (yyvsp[0].i); }
#line 13083 "obj/conf/cf-parse.tab.c"
    break;

  case 1117: /* ospf_area_item: DEFAULT NSSA bool  */
#line 301 "proto/ospf/config.Y"
                     { this_area->default_nssa = (yyvsp[0].i); }
#line 13089 "obj/conf/cf-parse.tab.c"
    break;

  case 1118: /* ospf_area_item: DEFAULT COST expr  */
#line 302 "proto/ospf/config.Y"
                     { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 13095 "obj/conf/cf-parse.tab.c"
    break;

  case 1119: /* ospf_area_item: DEFAULT COST2 expr  */
#line 303 "proto/ospf/config.Y"
                      { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 13101 "obj/conf/cf-parse.tab.c"
    break;

  case 1120: /* ospf_area_item: STUB COST expr  */
#line 304 "proto/ospf/config.Y"
                  { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 13107 "obj/conf/cf-parse.tab.c"
    break;

  case 1121: /* ospf_area_item: TRANSLATOR bool  */
#line 305 "proto/ospf/config.Y"
                   { this_area->translator = (yyvsp[0].i); }
#line 13113 "obj/conf/cf-parse.tab.c"
    break;

  case 1122: /* ospf_area_item: TRANSLATOR STABILITY expr  */
#line 306 "proto/ospf/config.Y"
                             { this_area->transint = (yyvsp[0].i); }
#line 13119 "obj/conf/cf-parse.tab.c"
    break;

  case 1123: /* $@20: %empty  */
#line 307 "proto/ospf/config.Y"
            { this_nets = &this_area->net_list; }
#line 13125 "obj/conf/cf-parse.tab.c"
    break;

  case 1125: /* $@21: %empty  */
#line 308 "proto/ospf/config.Y"
            { this_nets = &this_area->enet_list; }
#line 13131 "obj/conf/cf-parse.tab.c"
    break;

  case 1132: /* ospf_stubnet_start: net_ip  */
#line 320 "proto/ospf/config.Y"
          {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 13142 "obj/conf/cf-parse.tab.c"
    break;

  case 1135: /* ospf_stubnet_item: HIDDEN bool  */
#line 334 "proto/ospf/config.Y"
               { this_stubnet->hidden = (yyvsp[0].i); }
#line 13148 "obj/conf/cf-parse.tab.c"
    break;

  case 1136: /* ospf_stubnet_item: SUMMARY bool  */
#line 335 "proto/ospf/config.Y"
                { this_stubnet->summary = (yyvsp[0].i); }
#line 13154 "obj/conf/cf-parse.tab.c"
    break;

  case 1137: /* ospf_stubnet_item: COST expr  */
#line 336 "proto/ospf/config.Y"
             { this_stubnet->cost = (yyvsp[0].i); }
#line 13160 "obj/conf/cf-parse.tab.c"
    break;

  case 1138: /* ospf_vlink: ospf_vlink_start ospf_instance_id '{' ospf_vlink_opts '}'  */
#line 340 "proto/ospf/config.Y"
                                                             { ospf_iface_finish(); }
#line 13166 "obj/conf/cf-parse.tab.c"
    break;

  case 1139: /* ospf_vlink: ospf_vlink_start ospf_instance_id  */
#line 341 "proto/ospf/config.Y"
                                     { ospf_iface_finish(); }
#line 13172 "obj/conf/cf-parse.tab.c"
    break;

  case 1143: /* ospf_vlink_item: HELLO expr  */
#line 350 "proto/ospf/config.Y"
              { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 13178 "obj/conf/cf-parse.tab.c"
    break;

  case 1144: /* ospf_vlink_item: RETRANSMIT expr  */
#line 351 "proto/ospf/config.Y"
                   { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 13184 "obj/conf/cf-parse.tab.c"
    break;

  case 1145: /* ospf_vlink_item: TRANSMIT DELAY expr  */
#line 352 "proto/ospf/config.Y"
                       { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 13190 "obj/conf/cf-parse.tab.c"
    break;

  case 1146: /* ospf_vlink_item: WAIT expr  */
#line 353 "proto/ospf/config.Y"
             { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 13196 "obj/conf/cf-parse.tab.c"
    break;

  case 1147: /* ospf_vlink_item: DEAD expr  */
#line 354 "proto/ospf/config.Y"
             { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 13202 "obj/conf/cf-parse.tab.c"
    break;

  case 1148: /* ospf_vlink_item: DEAD COUNT expr  */
#line 355 "proto/ospf/config.Y"
                   { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 13208 "obj/conf/cf-parse.tab.c"
    break;

  case 1149: /* ospf_vlink_item: AUTHENTICATION NONE  */
#line 356 "proto/ospf/config.Y"
                       { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 13214 "obj/conf/cf-parse.tab.c"
    break;

  case 1150: /* ospf_vlink_item: AUTHENTICATION SIMPLE  */
#line 357 "proto/ospf/config.Y"
                         { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 13220 "obj/conf/cf-parse.tab.c"
    break;

  case 1151: /* ospf_vlink_item: AUTHENTICATION CRYPTOGRAPHIC  */
#line 358 "proto/ospf/config.Y"
                                { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 13226 "obj/conf/cf-parse.tab.c"
    break;

  case 1153: /* ospf_vlink_start: VIRTUAL LINK idval  */
#line 363 "proto/ospf/config.Y"
 {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 13246 "obj/conf/cf-parse.tab.c"
    break;

  case 1154: /* ospf_iface_item: COST expr  */
#line 381 "proto/ospf/config.Y"
             { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 13252 "obj/conf/cf-parse.tab.c"
    break;

  case 1155: /* ospf_iface_item: HELLO expr  */
#line 382 "proto/ospf/config.Y"
              { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 13258 "obj/conf/cf-parse.tab.c"
    break;

  case 1156: /* ospf_iface_item: POLL expr  */
#line 383 "proto/ospf/config.Y"
             { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 13264 "obj/conf/cf-parse.tab.c"
    break;

  case 1157: /* ospf_iface_item: RETRANSMIT expr  */
#line 384 "proto/ospf/config.Y"
                   { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 13270 "obj/conf/cf-parse.tab.c"
    break;

  case 1158: /* ospf_iface_item: WAIT expr  */
#line 385 "proto/ospf/config.Y"
             { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 13276 "obj/conf/cf-parse.tab.c"
    break;

  case 1159: /* ospf_iface_item: DEAD expr  */
#line 386 "proto/ospf/config.Y"
             { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 13282 "obj/conf/cf-parse.tab.c"
    break;

  case 1160: /* ospf_iface_item: DEAD COUNT expr  */
#line 387 "proto/ospf/config.Y"
                   { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 13288 "obj/conf/cf-parse.tab.c"
    break;

  case 1161: /* ospf_iface_item: TYPE BROADCAST  */
#line 388 "proto/ospf/config.Y"
                  { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 13294 "obj/conf/cf-parse.tab.c"
    break;

  case 1162: /* ospf_iface_item: TYPE BCAST  */
#line 389 "proto/ospf/config.Y"
              { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 13300 "obj/conf/cf-parse.tab.c"
    break;

  case 1163: /* ospf_iface_item: TYPE NONBROADCAST  */
#line 390 "proto/ospf/config.Y"
                     { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 13306 "obj/conf/cf-parse.tab.c"
    break;

  case 1164: /* ospf_iface_item: TYPE NBMA  */
#line 391 "proto/ospf/config.Y"
             { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 13312 "obj/conf/cf-parse.tab.c"
    break;

  case 1165: /* ospf_iface_item: TYPE POINTOPOINT  */
#line 392 "proto/ospf/config.Y"
                    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 13318 "obj/conf/cf-parse.tab.c"
    break;

  case 1166: /* ospf_iface_item: TYPE PTP  */
#line 393 "proto/ospf/config.Y"
            { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 13324 "obj/conf/cf-parse.tab.c"
    break;

  case 1167: /* ospf_iface_item: TYPE POINTOMULTIPOINT  */
#line 394 "proto/ospf/config.Y"
                         { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 13330 "obj/conf/cf-parse.tab.c"
    break;

  case 1168: /* ospf_iface_item: TYPE PTMP  */
#line 395 "proto/ospf/config.Y"
             { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 13336 "obj/conf/cf-parse.tab.c"
    break;

  case 1169: /* ospf_iface_item: REAL BROADCAST bool  */
#line 396 "proto/ospf/config.Y"
                       { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 13342 "obj/conf/cf-parse.tab.c"
    break;

  case 1170: /* ospf_iface_item: PTP NETMASK bool  */
#line 397 "proto/ospf/config.Y"
                    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 13348 "obj/conf/cf-parse.tab.c"
    break;

  case 1171: /* ospf_iface_item: PTP ADDRESS bool  */
#line 398 "proto/ospf/config.Y"
                    { OSPF_PATT->ptp_address = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP address option requires OSPFv2"); }
#line 13354 "obj/conf/cf-parse.tab.c"
    break;

  case 1172: /* ospf_iface_item: TRANSMIT DELAY expr  */
#line 399 "proto/ospf/config.Y"
                       { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 13360 "obj/conf/cf-parse.tab.c"
    break;

  case 1173: /* ospf_iface_item: PRIORITY expr  */
#line 400 "proto/ospf/config.Y"
                 { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 13366 "obj/conf/cf-parse.tab.c"
    break;

  case 1174: /* ospf_iface_item: STRICT NONBROADCAST bool  */
#line 401 "proto/ospf/config.Y"
                            { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 13372 "obj/conf/cf-parse.tab.c"
    break;

  case 1175: /* ospf_iface_item: STUB bool  */
#line 402 "proto/ospf/config.Y"
             { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 13378 "obj/conf/cf-parse.tab.c"
    break;

  case 1176: /* ospf_iface_item: CHECK LINK bool  */
#line 403 "proto/ospf/config.Y"
                   { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 13384 "obj/conf/cf-parse.tab.c"
    break;

  case 1177: /* ospf_iface_item: ECMP WEIGHT expr  */
#line 404 "proto/ospf/config.Y"
                    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 13390 "obj/conf/cf-parse.tab.c"
    break;

  case 1178: /* ospf_iface_item: LINK LSA SUPPRESSION bool  */
#line 405 "proto/ospf/config.Y"
                             { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 13396 "obj/conf/cf-parse.tab.c"
    break;

  case 1180: /* ospf_iface_item: AUTHENTICATION NONE  */
#line 407 "proto/ospf/config.Y"
                       { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 13402 "obj/conf/cf-parse.tab.c"
    break;

  case 1181: /* ospf_iface_item: AUTHENTICATION SIMPLE  */
#line 408 "proto/ospf/config.Y"
                         { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 13408 "obj/conf/cf-parse.tab.c"
    break;

  case 1182: /* ospf_iface_item: AUTHENTICATION CRYPTOGRAPHIC  */
#line 409 "proto/ospf/config.Y"
                                { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 13414 "obj/conf/cf-parse.tab.c"
    break;

  case 1183: /* ospf_iface_item: RX BUFFER NORMAL  */
#line 410 "proto/ospf/config.Y"
                    { OSPF_PATT->rx_buffer = 0; }
#line 13420 "obj/conf/cf-parse.tab.c"
    break;

  case 1184: /* ospf_iface_item: RX BUFFER LARGE  */
#line 411 "proto/ospf/config.Y"
                   { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 13426 "obj/conf/cf-parse.tab.c"
    break;

  case 1185: /* ospf_iface_item: RX BUFFER expr  */
#line 412 "proto/ospf/config.Y"
                  { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 13432 "obj/conf/cf-parse.tab.c"
    break;

  case 1186: /* ospf_iface_item: TX tos  */
#line 413 "proto/ospf/config.Y"
          { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 13438 "obj/conf/cf-parse.tab.c"
    break;

  case 1187: /* ospf_iface_item: TX PRIORITY expr  */
#line 414 "proto/ospf/config.Y"
                    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 13444 "obj/conf/cf-parse.tab.c"
    break;

  case 1188: /* ospf_iface_item: TX LENGTH expr  */
#line 415 "proto/ospf/config.Y"
                  { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 13450 "obj/conf/cf-parse.tab.c"
    break;

  case 1189: /* ospf_iface_item: TTL SECURITY bool  */
#line 416 "proto/ospf/config.Y"
                     { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 13456 "obj/conf/cf-parse.tab.c"
    break;

  case 1190: /* ospf_iface_item: TTL SECURITY TX ONLY  */
#line 417 "proto/ospf/config.Y"
                        { OSPF_PATT->ttl_security = 2; }
#line 13462 "obj/conf/cf-parse.tab.c"
    break;

  case 1191: /* ospf_iface_item: BFD bool  */
#line 418 "proto/ospf/config.Y"
            { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 13468 "obj/conf/cf-parse.tab.c"
    break;

  case 1196: /* pref_base: net_ip  */
#line 430 "proto/ospf/config.Y"
 {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 13478 "obj/conf/cf-parse.tab.c"
    break;

  case 1198: /* pref_opt: HIDDEN  */
#line 439 "proto/ospf/config.Y"
          { this_pref->hidden = 1; }
#line 13484 "obj/conf/cf-parse.tab.c"
    break;

  case 1199: /* pref_opt: TAG expr  */
#line 440 "proto/ospf/config.Y"
            { this_pref->tag = (yyvsp[0].i); }
#line 13490 "obj/conf/cf-parse.tab.c"
    break;

  case 1202: /* nbma_eligible: %empty  */
#line 449 "proto/ospf/config.Y"
             { (yyval.i) = 0; }
#line 13496 "obj/conf/cf-parse.tab.c"
    break;

  case 1203: /* nbma_eligible: ELIGIBLE  */
#line 450 "proto/ospf/config.Y"
            { (yyval.i) = 1; }
#line 13502 "obj/conf/cf-parse.tab.c"
    break;

  case 1204: /* nbma_item: ipa nbma_eligible ';'  */
#line 454 "proto/ospf/config.Y"
 {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 13513 "obj/conf/cf-parse.tab.c"
    break;

  case 1205: /* ospf_iface_start: %empty  */
#line 463 "proto/ospf/config.Y"
 {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->ptp_address = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 13538 "obj/conf/cf-parse.tab.c"
    break;

  case 1207: /* ospf_instance_id: INSTANCE expr  */
#line 487 "proto/ospf/config.Y"
                 { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 13544 "obj/conf/cf-parse.tab.c"
    break;

  case 1208: /* $@22: %empty  */
#line 491 "proto/ospf/config.Y"
                   { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 13550 "obj/conf/cf-parse.tab.c"
    break;

  case 1214: /* ospf_iface: ospf_iface_start ospf_iface_patt_list ospf_iface_opt_list  */
#line 505 "proto/ospf/config.Y"
                                                            { ospf_iface_finish(); }
#line 13556 "obj/conf/cf-parse.tab.c"
    break;

  case 1216: /* cmd_SHOW_OSPF: SHOW OSPF optproto END  */
#line 510 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_ospf, p) ospf_sh(p); }
#line 13562 "obj/conf/cf-parse.tab.c"
    break;

  case 1218: /* cmd_SHOW_OSPF_NEIGHBORS: SHOW OSPF NEIGHBORS optproto opttext END  */
#line 513 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_neigh(p, (yyvsp[-1].t)); }
#line 13568 "obj/conf/cf-parse.tab.c"
    break;

  case 1220: /* cmd_SHOW_OSPF_INTERFACE: SHOW OSPF INTERFACE optproto opttext END  */
#line 516 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_iface(p, (yyvsp[-1].t)); }
#line 13574 "obj/conf/cf-parse.tab.c"
    break;

  case 1222: /* cmd_SHOW_OSPF_TOPOLOGY: SHOW OSPF TOPOLOGY optproto opttext END  */
#line 521 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 13580 "obj/conf/cf-parse.tab.c"
    break;

  case 1224: /* cmd_SHOW_OSPF_TOPOLOGY_ALL: SHOW OSPF TOPOLOGY ALL optproto opttext END  */
#line 524 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 13586 "obj/conf/cf-parse.tab.c"
    break;

  case 1226: /* cmd_SHOW_OSPF_STATE: SHOW OSPF STATE optproto opttext END  */
#line 529 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 13592 "obj/conf/cf-parse.tab.c"
    break;

  case 1228: /* cmd_SHOW_OSPF_STATE_ALL: SHOW OSPF STATE ALL optproto opttext END  */
#line 532 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 13598 "obj/conf/cf-parse.tab.c"
    break;

  case 1230: /* cmd_SHOW_OSPF_LSADB: SHOW OSPF LSADB lsadb_args END  */
#line 536 "proto/ospf/config.Y"
{
  if (!(yyvsp[-1].ld)->proto)
    (yyvsp[-1].ld)->proto = (struct ospf_proto *) proto_get_named(NULL, &proto_ospf);

  ospf_sh_lsadb((yyvsp[-1].ld));
}
#line 13609 "obj/conf/cf-parse.tab.c"
    break;

  case 1231: /* lsadb_args: %empty  */
#line 552 "proto/ospf/config.Y"
               {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 13617 "obj/conf/cf-parse.tab.c"
    break;

  case 1232: /* lsadb_args: lsadb_args GLOBAL  */
#line 555 "proto/ospf/config.Y"
                     { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 13623 "obj/conf/cf-parse.tab.c"
    break;

  case 1233: /* lsadb_args: lsadb_args AREA idval  */
#line 556 "proto/ospf/config.Y"
                         { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 13629 "obj/conf/cf-parse.tab.c"
    break;

  case 1234: /* lsadb_args: lsadb_args LINK  */
#line 557 "proto/ospf/config.Y"
                   { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 13635 "obj/conf/cf-parse.tab.c"
    break;

  case 1235: /* lsadb_args: lsadb_args TYPE NUM  */
#line 558 "proto/ospf/config.Y"
                       { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 13641 "obj/conf/cf-parse.tab.c"
    break;

  case 1236: /* lsadb_args: lsadb_args LSID idval  */
#line 559 "proto/ospf/config.Y"
                         { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 13647 "obj/conf/cf-parse.tab.c"
    break;

  case 1237: /* lsadb_args: lsadb_args SELF  */
#line 560 "proto/ospf/config.Y"
                   { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 13653 "obj/conf/cf-parse.tab.c"
    break;

  case 1238: /* lsadb_args: lsadb_args ROUTER idval  */
#line 561 "proto/ospf/config.Y"
                           { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 13659 "obj/conf/cf-parse.tab.c"
    break;

  case 1239: /* lsadb_args: lsadb_args CF_SYM_KNOWN  */
#line 562 "proto/ospf/config.Y"
                           { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->proto = (struct ospf_proto *) proto_get_named((yyvsp[0].s), &proto_ospf); }
#line 13665 "obj/conf/cf-parse.tab.c"
    break;

  case 1240: /* proto: pipe_proto '}'  */
#line 23 "proto/pipe/config.Y"
                      { this_channel = NULL; }
#line 13671 "obj/conf/cf-parse.tab.c"
    break;

  case 1241: /* $@23: %empty  */
#line 26 "proto/pipe/config.Y"
{
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
  this_proto->loop_order = DOMAIN_ORDER(proto);
  PIPE_CFG->max_generation = 16;
}
#line 13681 "obj/conf/cf-parse.tab.c"
    break;

  case 1242: /* pipe_proto_start: proto_start PIPE $@23 proto_name  */
#line 32 "proto/pipe/config.Y"
{
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 13694 "obj/conf/cf-parse.tab.c"
    break;

  case 1246: /* pipe_proto: pipe_proto IMPORT IN net_any imexport ';'  */
#line 45 "proto/pipe/config.Y"
                                             {
    if (this_channel->net_type && ((yyvsp[-2].net_ptr)->type != this_channel->net_type))
      cf_error("Incompatible export prefilter type");
    PIPE_CFG->in_subprefix = (yyvsp[-2].net_ptr);
    this_channel->in_filter = (yyvsp[-1].f);
  }
#line 13705 "obj/conf/cf-parse.tab.c"
    break;

  case 1247: /* pipe_proto: pipe_proto PEER TABLE rtable ';'  */
#line 51 "proto/pipe/config.Y"
                                    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 13711 "obj/conf/cf-parse.tab.c"
    break;

  case 1248: /* pipe_proto: pipe_proto MAX GENERATION expr ';'  */
#line 52 "proto/pipe/config.Y"
                                      {
    if (((yyvsp[-1].i) < 1) || ((yyvsp[-1].i) > 254)) cf_error("Max generation must be in range 1..254, got %u", (yyvsp[-1].i));
    PIPE_CFG->max_generation = (yyvsp[-1].i);
  }
#line 13720 "obj/conf/cf-parse.tab.c"
    break;

  case 1250: /* radv_proto_start: proto_start RADV  */
#line 56 "proto/radv/config.Y"
{
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));
  this_proto->net_type = NET_IP6;

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
  init_list(&RADV_CFG->custom_list);
}
#line 13735 "obj/conf/cf-parse.tab.c"
    break;

  case 1254: /* radv_proto_item: PREFIX radv_prefix  */
#line 71 "proto/radv/config.Y"
                      { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 13741 "obj/conf/cf-parse.tab.c"
    break;

  case 1255: /* $@24: %empty  */
#line 72 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 13747 "obj/conf/cf-parse.tab.c"
    break;

  case 1256: /* radv_proto_item: RDNSS $@24 radv_rdnss  */
#line 72 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 13753 "obj/conf/cf-parse.tab.c"
    break;

  case 1257: /* $@25: %empty  */
#line 73 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 13759 "obj/conf/cf-parse.tab.c"
    break;

  case 1258: /* radv_proto_item: DNSSL $@25 radv_dnssl  */
#line 73 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 13765 "obj/conf/cf-parse.tab.c"
    break;

  case 1259: /* radv_proto_item: CUSTOM OPTION TYPE expr VALUE bytestring  */
#line 74 "proto/radv/config.Y"
                                            { radv_add_to_custom_list(&RADV_CFG->custom_list, (yyvsp[-2].i), (yyvsp[0].bs)); }
#line 13771 "obj/conf/cf-parse.tab.c"
    break;

  case 1260: /* radv_proto_item: TRIGGER net_ip6  */
#line 75 "proto/radv/config.Y"
                   { RADV_CFG->trigger = (yyvsp[0].net); }
#line 13777 "obj/conf/cf-parse.tab.c"
    break;

  case 1261: /* radv_proto_item: PROPAGATE ROUTES bool  */
#line 76 "proto/radv/config.Y"
                         { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 13783 "obj/conf/cf-parse.tab.c"
    break;

  case 1265: /* radv_iface_start: %empty  */
#line 89 "proto/radv/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);
  init_list(&RADV_IFACE->custom_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 13810 "obj/conf/cf-parse.tab.c"
    break;

  case 1266: /* radv_iface_item: MIN RA INTERVAL expr  */
#line 113 "proto/radv/config.Y"
                        { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 13816 "obj/conf/cf-parse.tab.c"
    break;

  case 1267: /* radv_iface_item: MAX RA INTERVAL expr  */
#line 114 "proto/radv/config.Y"
                        { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 13822 "obj/conf/cf-parse.tab.c"
    break;

  case 1268: /* radv_iface_item: MIN DELAY expr  */
#line 115 "proto/radv/config.Y"
                  { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 13828 "obj/conf/cf-parse.tab.c"
    break;

  case 1269: /* radv_iface_item: SOLICITED RA UNICAST bool  */
#line 116 "proto/radv/config.Y"
                             { RADV_IFACE->solicited_ra_unicast = (yyvsp[0].i); }
#line 13834 "obj/conf/cf-parse.tab.c"
    break;

  case 1270: /* radv_iface_item: MANAGED bool  */
#line 117 "proto/radv/config.Y"
                { RADV_IFACE->managed = (yyvsp[0].i); }
#line 13840 "obj/conf/cf-parse.tab.c"
    break;

  case 1271: /* radv_iface_item: OTHER CONFIG bool  */
#line 118 "proto/radv/config.Y"
                     { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 13846 "obj/conf/cf-parse.tab.c"
    break;

  case 1272: /* radv_iface_item: LINK MTU expr  */
#line 119 "proto/radv/config.Y"
                 { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 13852 "obj/conf/cf-parse.tab.c"
    break;

  case 1273: /* radv_iface_item: REACHABLE TIME expr  */
#line 120 "proto/radv/config.Y"
                       { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 13858 "obj/conf/cf-parse.tab.c"
    break;

  case 1274: /* radv_iface_item: RETRANS TIMER expr  */
#line 121 "proto/radv/config.Y"
                      { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 13864 "obj/conf/cf-parse.tab.c"
    break;

  case 1275: /* radv_iface_item: CURRENT HOP LIMIT expr  */
#line 122 "proto/radv/config.Y"
                          { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 13870 "obj/conf/cf-parse.tab.c"
    break;

  case 1276: /* radv_iface_item: DEFAULT LIFETIME expr radv_sensitive  */
#line 123 "proto/radv/config.Y"
                                        {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 13880 "obj/conf/cf-parse.tab.c"
    break;

  case 1277: /* radv_iface_item: ROUTE LIFETIME expr radv_sensitive  */
#line 128 "proto/radv/config.Y"
                                      {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 13889 "obj/conf/cf-parse.tab.c"
    break;

  case 1278: /* radv_iface_item: DEFAULT PREFERENCE radv_preference  */
#line 132 "proto/radv/config.Y"
                                      { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 13895 "obj/conf/cf-parse.tab.c"
    break;

  case 1279: /* radv_iface_item: ROUTE PREFERENCE radv_preference  */
#line 133 "proto/radv/config.Y"
                                    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 13901 "obj/conf/cf-parse.tab.c"
    break;

  case 1280: /* radv_iface_item: PREFIX LINGER TIME expr  */
#line 134 "proto/radv/config.Y"
                           { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 13907 "obj/conf/cf-parse.tab.c"
    break;

  case 1281: /* radv_iface_item: ROUTE LINGER TIME expr  */
#line 135 "proto/radv/config.Y"
                          { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 13913 "obj/conf/cf-parse.tab.c"
    break;

  case 1282: /* radv_iface_item: PREFIX radv_prefix  */
#line 136 "proto/radv/config.Y"
                      { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 13919 "obj/conf/cf-parse.tab.c"
    break;

  case 1283: /* $@26: %empty  */
#line 137 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 13925 "obj/conf/cf-parse.tab.c"
    break;

  case 1284: /* radv_iface_item: RDNSS $@26 radv_rdnss  */
#line 137 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 13931 "obj/conf/cf-parse.tab.c"
    break;

  case 1285: /* $@27: %empty  */
#line 138 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 13937 "obj/conf/cf-parse.tab.c"
    break;

  case 1286: /* radv_iface_item: DNSSL $@27 radv_dnssl  */
#line 138 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 13943 "obj/conf/cf-parse.tab.c"
    break;

  case 1287: /* radv_iface_item: CUSTOM OPTION TYPE expr VALUE bytestring  */
#line 139 "proto/radv/config.Y"
                                            { radv_add_to_custom_list(&RADV_IFACE->custom_list, (yyvsp[-2].i), (yyvsp[0].bs)); }
#line 13949 "obj/conf/cf-parse.tab.c"
    break;

  case 1288: /* radv_iface_item: RDNSS LOCAL bool  */
#line 140 "proto/radv/config.Y"
                    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 13955 "obj/conf/cf-parse.tab.c"
    break;

  case 1289: /* radv_iface_item: DNSSL LOCAL bool  */
#line 141 "proto/radv/config.Y"
                    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 13961 "obj/conf/cf-parse.tab.c"
    break;

  case 1290: /* radv_iface_item: CUSTOM OPTION LOCAL bool  */
#line 142 "proto/radv/config.Y"
                            { RADV_IFACE->custom_local = (yyvsp[0].i); }
#line 13967 "obj/conf/cf-parse.tab.c"
    break;

  case 1291: /* radv_preference: LOW  */
#line 146 "proto/radv/config.Y"
       { (yyval.i) = RA_PREF_LOW; }
#line 13973 "obj/conf/cf-parse.tab.c"
    break;

  case 1292: /* radv_preference: MEDIUM  */
#line 147 "proto/radv/config.Y"
          { (yyval.i) = RA_PREF_MEDIUM; }
#line 13979 "obj/conf/cf-parse.tab.c"
    break;

  case 1293: /* radv_preference: HIGH  */
#line 148 "proto/radv/config.Y"
        { (yyval.i) = RA_PREF_HIGH; }
#line 13985 "obj/conf/cf-parse.tab.c"
    break;

  case 1294: /* radv_iface_finish: %empty  */
#line 151 "proto/radv/config.Y"
{
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 14026 "obj/conf/cf-parse.tab.c"
    break;

  case 1300: /* radv_prefix_start: net_ip6  */
#line 204 "proto/radv/config.Y"
{
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 14040 "obj/conf/cf-parse.tab.c"
    break;

  case 1301: /* radv_prefix_item: SKIP bool  */
#line 215 "proto/radv/config.Y"
             { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 14046 "obj/conf/cf-parse.tab.c"
    break;

  case 1302: /* radv_prefix_item: ONLINK bool  */
#line 216 "proto/radv/config.Y"
               { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 14052 "obj/conf/cf-parse.tab.c"
    break;

  case 1303: /* radv_prefix_item: AUTONOMOUS bool  */
#line 217 "proto/radv/config.Y"
                   { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 14058 "obj/conf/cf-parse.tab.c"
    break;

  case 1304: /* radv_prefix_item: VALID LIFETIME expr radv_sensitive  */
#line 218 "proto/radv/config.Y"
                                      {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 14067 "obj/conf/cf-parse.tab.c"
    break;

  case 1305: /* radv_prefix_item: PREFERRED LIFETIME expr radv_sensitive  */
#line 222 "proto/radv/config.Y"
                                          {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 14076 "obj/conf/cf-parse.tab.c"
    break;

  case 1306: /* radv_prefix_finish: %empty  */
#line 229 "proto/radv/config.Y"
{
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 14088 "obj/conf/cf-parse.tab.c"
    break;

  case 1312: /* radv_rdnss_node: ipa  */
#line 253 "proto/radv/config.Y"
{
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 14100 "obj/conf/cf-parse.tab.c"
    break;

  case 1313: /* radv_rdnss_start: %empty  */
#line 262 "proto/radv/config.Y"
{
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 14109 "obj/conf/cf-parse.tab.c"
    break;

  case 1316: /* radv_rdnss_item: LIFETIME radv_mult  */
#line 269 "proto/radv/config.Y"
                      { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 14115 "obj/conf/cf-parse.tab.c"
    break;

  case 1317: /* radv_rdnss_finish: %empty  */
#line 273 "proto/radv/config.Y"
{
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 14131 "obj/conf/cf-parse.tab.c"
    break;

  case 1322: /* radv_dnssl_node: TEXT  */
#line 297 "proto/radv/config.Y"
{
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 14146 "obj/conf/cf-parse.tab.c"
    break;

  case 1323: /* radv_dnssl_start: %empty  */
#line 309 "proto/radv/config.Y"
{
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 14155 "obj/conf/cf-parse.tab.c"
    break;

  case 1326: /* radv_dnssl_item: LIFETIME radv_mult  */
#line 316 "proto/radv/config.Y"
                      { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 14161 "obj/conf/cf-parse.tab.c"
    break;

  case 1327: /* radv_dnssl_finish: %empty  */
#line 320 "proto/radv/config.Y"
{
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 14177 "obj/conf/cf-parse.tab.c"
    break;

  case 1332: /* radv_mult: expr  */
#line 344 "proto/radv/config.Y"
        { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 14183 "obj/conf/cf-parse.tab.c"
    break;

  case 1333: /* radv_mult: MULT expr  */
#line 345 "proto/radv/config.Y"
             { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 14189 "obj/conf/cf-parse.tab.c"
    break;

  case 1334: /* radv_sensitive: %empty  */
#line 349 "proto/radv/config.Y"
               { (yyval.i) = (uint) -1; }
#line 14195 "obj/conf/cf-parse.tab.c"
    break;

  case 1335: /* radv_sensitive: SENSITIVE bool  */
#line 350 "proto/radv/config.Y"
                  { (yyval.i) = (yyvsp[0].i); }
#line 14201 "obj/conf/cf-parse.tab.c"
    break;

  case 1337: /* rip_variant: RIP  */
#line 49 "proto/rip/config.Y"
          { (yyval.i) = 1; }
#line 14207 "obj/conf/cf-parse.tab.c"
    break;

  case 1338: /* rip_variant: RIP NG  */
#line 50 "proto/rip/config.Y"
          { (yyval.i) = 0; }
#line 14213 "obj/conf/cf-parse.tab.c"
    break;

  case 1339: /* rip_proto_start: proto_start rip_variant  */
#line 54 "proto/rip/config.Y"
{
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 14229 "obj/conf/cf-parse.tab.c"
    break;

  case 1342: /* rip_proto_item: ECMP bool  */
#line 69 "proto/rip/config.Y"
                        { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 14235 "obj/conf/cf-parse.tab.c"
    break;

  case 1343: /* rip_proto_item: ECMP bool LIMIT expr  */
#line 70 "proto/rip/config.Y"
                        { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 14241 "obj/conf/cf-parse.tab.c"
    break;

  case 1344: /* rip_proto_item: INFINITY expr  */
#line 71 "proto/rip/config.Y"
                        { RIP_CFG->infinity = (yyvsp[0].i); }
#line 14247 "obj/conf/cf-parse.tab.c"
    break;

  case 1349: /* rip_iface_start: %empty  */
#line 85 "proto/rip/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
  RIP_IFACE->rxmt_time = RIP_DEFAULT_RXMT_TIME;
}
#line 14275 "obj/conf/cf-parse.tab.c"
    break;

  case 1350: /* rip_iface_finish: %empty  */
#line 110 "proto/rip/config.Y"
{
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    cf_warn("Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 14308 "obj/conf/cf-parse.tab.c"
    break;

  case 1351: /* rip_iface_item: METRIC expr  */
#line 140 "proto/rip/config.Y"
                        { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 14314 "obj/conf/cf-parse.tab.c"
    break;

  case 1352: /* rip_iface_item: MODE MULTICAST  */
#line 141 "proto/rip/config.Y"
                        { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 14320 "obj/conf/cf-parse.tab.c"
    break;

  case 1353: /* rip_iface_item: MODE BROADCAST  */
#line 142 "proto/rip/config.Y"
                        { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 14326 "obj/conf/cf-parse.tab.c"
    break;

  case 1354: /* rip_iface_item: PASSIVE bool  */
#line 143 "proto/rip/config.Y"
                        { RIP_IFACE->passive = (yyvsp[0].i); }
#line 14332 "obj/conf/cf-parse.tab.c"
    break;

  case 1355: /* rip_iface_item: ADDRESS ipa  */
#line 144 "proto/rip/config.Y"
                        { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 14338 "obj/conf/cf-parse.tab.c"
    break;

  case 1356: /* rip_iface_item: PORT expr  */
#line 145 "proto/rip/config.Y"
                        { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 14344 "obj/conf/cf-parse.tab.c"
    break;

  case 1357: /* rip_iface_item: VERSION expr  */
#line 146 "proto/rip/config.Y"
                        { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 14353 "obj/conf/cf-parse.tab.c"
    break;

  case 1358: /* rip_iface_item: VERSION ONLY bool  */
#line 150 "proto/rip/config.Y"
                        { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 14359 "obj/conf/cf-parse.tab.c"
    break;

  case 1359: /* rip_iface_item: SPLIT HORIZON bool  */
#line 151 "proto/rip/config.Y"
                        { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 14365 "obj/conf/cf-parse.tab.c"
    break;

  case 1360: /* rip_iface_item: POISON REVERSE bool  */
#line 152 "proto/rip/config.Y"
                        { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 14371 "obj/conf/cf-parse.tab.c"
    break;

  case 1361: /* rip_iface_item: CHECK ZERO bool  */
#line 153 "proto/rip/config.Y"
                        { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 14377 "obj/conf/cf-parse.tab.c"
    break;

  case 1362: /* rip_iface_item: DEMAND CIRCUIT bool  */
#line 154 "proto/rip/config.Y"
                        { RIP_IFACE->demand_circuit = (yyvsp[0].i); }
#line 14383 "obj/conf/cf-parse.tab.c"
    break;

  case 1363: /* rip_iface_item: UPDATE TIME expr  */
#line 155 "proto/rip/config.Y"
                        { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 14389 "obj/conf/cf-parse.tab.c"
    break;

  case 1364: /* rip_iface_item: TIMEOUT TIME expr  */
#line 156 "proto/rip/config.Y"
                        { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 14395 "obj/conf/cf-parse.tab.c"
    break;

  case 1365: /* rip_iface_item: GARBAGE TIME expr  */
#line 157 "proto/rip/config.Y"
                        { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 14401 "obj/conf/cf-parse.tab.c"
    break;

  case 1366: /* rip_iface_item: RETRANSMIT TIME expr_us  */
#line 158 "proto/rip/config.Y"
                           { RIP_IFACE->rxmt_time = (yyvsp[0].time); if ((yyvsp[0].time)<=0) cf_error("Retransmit time must be positive"); }
#line 14407 "obj/conf/cf-parse.tab.c"
    break;

  case 1367: /* rip_iface_item: ECMP WEIGHT expr  */
#line 159 "proto/rip/config.Y"
                        { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 14413 "obj/conf/cf-parse.tab.c"
    break;

  case 1368: /* rip_iface_item: RX BUFFER expr  */
#line 160 "proto/rip/config.Y"
                        { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 14419 "obj/conf/cf-parse.tab.c"
    break;

  case 1369: /* rip_iface_item: TX LENGTH expr  */
#line 161 "proto/rip/config.Y"
                        { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 14425 "obj/conf/cf-parse.tab.c"
    break;

  case 1370: /* rip_iface_item: TX tos  */
#line 162 "proto/rip/config.Y"
                        { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 14431 "obj/conf/cf-parse.tab.c"
    break;

  case 1371: /* rip_iface_item: TX PRIORITY expr  */
#line 163 "proto/rip/config.Y"
                        { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 14437 "obj/conf/cf-parse.tab.c"
    break;

  case 1372: /* rip_iface_item: TTL SECURITY bool  */
#line 164 "proto/rip/config.Y"
                        { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 14443 "obj/conf/cf-parse.tab.c"
    break;

  case 1373: /* rip_iface_item: TTL SECURITY TX ONLY  */
#line 165 "proto/rip/config.Y"
                        { RIP_IFACE->ttl_security = 2; }
#line 14449 "obj/conf/cf-parse.tab.c"
    break;

  case 1374: /* rip_iface_item: CHECK LINK bool  */
#line 166 "proto/rip/config.Y"
                        { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 14455 "obj/conf/cf-parse.tab.c"
    break;

  case 1375: /* rip_iface_item: BFD bool  */
#line 167 "proto/rip/config.Y"
                        { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 14461 "obj/conf/cf-parse.tab.c"
    break;

  case 1376: /* rip_iface_item: AUTHENTICATION rip_auth  */
#line 168 "proto/rip/config.Y"
                           { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 14467 "obj/conf/cf-parse.tab.c"
    break;

  case 1377: /* rip_iface_item: password_list  */
#line 169 "proto/rip/config.Y"
                        { rip_check_auth(); }
#line 14473 "obj/conf/cf-parse.tab.c"
    break;

  case 1378: /* rip_auth: NONE  */
#line 173 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_NONE; }
#line 14479 "obj/conf/cf-parse.tab.c"
    break;

  case 1379: /* rip_auth: PLAINTEXT  */
#line 174 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_PLAIN; }
#line 14485 "obj/conf/cf-parse.tab.c"
    break;

  case 1380: /* rip_auth: CRYPTOGRAPHIC  */
#line 175 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 14491 "obj/conf/cf-parse.tab.c"
    break;

  case 1381: /* rip_auth: MD5  */
#line 176 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 14497 "obj/conf/cf-parse.tab.c"
    break;

  case 1388: /* cmd_SHOW_RIP_INTERFACES: SHOW RIP INTERFACES optproto opttext END  */
#line 196 "proto/rip/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_interfaces(p, (yyvsp[-1].t)); }
#line 14503 "obj/conf/cf-parse.tab.c"
    break;

  case 1390: /* cmd_SHOW_RIP_NEIGHBORS: SHOW RIP NEIGHBORS optproto opttext END  */
#line 199 "proto/rip/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_neighbors(p, (yyvsp[-1].t)); }
#line 14509 "obj/conf/cf-parse.tab.c"
    break;

  case 1392: /* rpki_proto_start: proto_start RPKI  */
#line 45 "proto/rpki/config.Y"
                                   {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  this_proto->loop_order = DOMAIN_ORDER(proto);
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
  RPKI_CFG->min_version = 0;
  RPKI_CFG->max_version = RPKI_MAX_VERSION;
}
#line 14523 "obj/conf/cf-parse.tab.c"
    break;

  case 1393: /* rpki_proto: rpki_proto_start proto_name '{' rpki_proto_opts '}'  */
#line 55 "proto/rpki/config.Y"
                                                                { rpki_check_config(RPKI_CFG); }
#line 14529 "obj/conf/cf-parse.tab.c"
    break;

  case 1401: /* rpki_proto_item: LOCAL ADDRESS ipa  */
#line 68 "proto/rpki/config.Y"
                     { RPKI_CFG->local_ip = (yyvsp[0].a); }
#line 14535 "obj/conf/cf-parse.tab.c"
    break;

  case 1403: /* rpki_proto_item: REFRESH rpki_keep_interval expr  */
#line 70 "proto/rpki/config.Y"
                                   {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 14546 "obj/conf/cf-parse.tab.c"
    break;

  case 1404: /* rpki_proto_item: RETRY rpki_keep_interval expr  */
#line 76 "proto/rpki/config.Y"
                                 {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 14557 "obj/conf/cf-parse.tab.c"
    break;

  case 1405: /* rpki_proto_item: EXPIRE rpki_keep_interval expr  */
#line 82 "proto/rpki/config.Y"
                                  {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 14568 "obj/conf/cf-parse.tab.c"
    break;

  case 1406: /* rpki_proto_item: IGNORE MAX LENGTH bool  */
#line 88 "proto/rpki/config.Y"
                          { RPKI_CFG->ignore_max_length = (yyvsp[0].i); }
#line 14574 "obj/conf/cf-parse.tab.c"
    break;

  case 1407: /* rpki_proto_item: MIN VERSION expr  */
#line 89 "proto/rpki/config.Y"
                    {
     if ((yyvsp[0].i) > RPKI_MAX_VERSION) cf_error("RPKI version %u unsupported, min version must be in range 0-%u", (yyvsp[0].i), RPKI_MAX_VERSION);
     RPKI_CFG->min_version = (yyvsp[0].i);
   }
#line 14583 "obj/conf/cf-parse.tab.c"
    break;

  case 1408: /* rpki_proto_item: MAX VERSION expr  */
#line 93 "proto/rpki/config.Y"
                    {
     if ((yyvsp[0].i) > RPKI_MAX_VERSION) cf_error("RPKI version %u unsupported, max version must be in range 0-%u", (yyvsp[0].i), RPKI_MAX_VERSION);
     RPKI_CFG->max_version = (yyvsp[0].i);
   }
#line 14592 "obj/conf/cf-parse.tab.c"
    break;

  case 1409: /* rpki_keep_interval: %empty  */
#line 100 "proto/rpki/config.Y"
             { (yyval.i) = 0; }
#line 14598 "obj/conf/cf-parse.tab.c"
    break;

  case 1410: /* rpki_keep_interval: KEEP  */
#line 101 "proto/rpki/config.Y"
        { (yyval.i) = 1; }
#line 14604 "obj/conf/cf-parse.tab.c"
    break;

  case 1411: /* rpki_proto_item_port: PORT expr  */
#line 104 "proto/rpki/config.Y"
                                { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 14610 "obj/conf/cf-parse.tab.c"
    break;

  case 1412: /* rpki_cache_addr: text_or_ipa  */
#line 107 "proto/rpki/config.Y"
{
  rpki_check_unused_hostname();
  if ((yyvsp[0].v).type == T_STRING)
    RPKI_CFG->hostname = (yyvsp[0].v).val.s;
  else if ((yyvsp[0].v).type == T_IP)
  {
    RPKI_CFG->ip = (yyvsp[0].v).val.ip;

    /* Ensure hostname is filled */
    char *hostname = cfg_allocz(INET6_ADDRSTRLEN + 1);
    bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
    RPKI_CFG->hostname = hostname;
  }
  else bug("Bad text_or_ipa");
}
#line 14630 "obj/conf/cf-parse.tab.c"
    break;

  case 1415: /* rpki_transport_tcp_init: %empty  */
#line 129 "proto/rpki/config.Y"
{
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 14640 "obj/conf/cf-parse.tab.c"
    break;

  case 1420: /* rpki_transport_tcp_item: AUTHENTICATION NONE  */
#line 146 "proto/rpki/config.Y"
                        { RPKI_TR_TCP_CFG->auth_type = RPKI_TCP_AUTH_NONE; }
#line 14646 "obj/conf/cf-parse.tab.c"
    break;

  case 1421: /* rpki_transport_tcp_item: AUTHENTICATION MD5  */
#line 147 "proto/rpki/config.Y"
                        { RPKI_TR_TCP_CFG->auth_type = RPKI_TCP_AUTH_MD5; }
#line 14652 "obj/conf/cf-parse.tab.c"
    break;

  case 1422: /* rpki_transport_tcp_item: PASSWORD text  */
#line 148 "proto/rpki/config.Y"
                        { RPKI_TR_TCP_CFG->password = (yyvsp[0].t); }
#line 14658 "obj/conf/cf-parse.tab.c"
    break;

  case 1423: /* rpki_transport_tcp_check: %empty  */
#line 152 "proto/rpki/config.Y"
{
  if (!RPKI_TR_TCP_CFG->auth_type != !RPKI_TR_TCP_CFG->password)
    cf_error("Authentication and password options should be used together");
}
#line 14667 "obj/conf/cf-parse.tab.c"
    break;

  case 1424: /* rpki_transport_ssh_init: %empty  */
#line 158 "proto/rpki/config.Y"
{
#if HAVE_LIBSSH
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
#else
  cf_error("This build doesn't support SSH");
#endif
}
#line 14681 "obj/conf/cf-parse.tab.c"
    break;

  case 1427: /* rpki_transport_ssh_item: BIRD PRIVATE KEY text  */
#line 174 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 14687 "obj/conf/cf-parse.tab.c"
    break;

  case 1428: /* rpki_transport_ssh_item: REMOTE PUBLIC KEY text  */
#line 175 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 14693 "obj/conf/cf-parse.tab.c"
    break;

  case 1429: /* rpki_transport_ssh_item: USER text  */
#line 176 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 14699 "obj/conf/cf-parse.tab.c"
    break;

  case 1430: /* rpki_transport_ssh_check: %empty  */
#line 180 "proto/rpki/config.Y"
{
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 14708 "obj/conf/cf-parse.tab.c"
    break;

  case 1432: /* static_proto_start: proto_start STATIC  */
#line 59 "proto/static/config.Y"
{
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 14717 "obj/conf/cf-parse.tab.c"
    break;

  case 1435: /* static_proto: static_proto proto_channel ';'  */
#line 67 "proto/static/config.Y"
                                  { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 14723 "obj/conf/cf-parse.tab.c"
    break;

  case 1437: /* static_proto: static_proto CHECK LINK bool ';'  */
#line 69 "proto/static/config.Y"
                                    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 14729 "obj/conf/cf-parse.tab.c"
    break;

  case 1438: /* static_proto: static_proto IGP TABLE rtable ';'  */
#line 70 "proto/static/config.Y"
                                     {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 14742 "obj/conf/cf-parse.tab.c"
    break;

  case 1439: /* static_proto: static_proto stat_route stat_route_opt_list ';'  */
#line 78 "proto/static/config.Y"
                                                   { static_route_finish(); }
#line 14748 "obj/conf/cf-parse.tab.c"
    break;

  case 1440: /* stat_nexthop: VIA ipa ipa_scope  */
#line 82 "proto/static/config.Y"
                      {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 14758 "obj/conf/cf-parse.tab.c"
    break;

  case 1441: /* stat_nexthop: VIA TEXT  */
#line 87 "proto/static/config.Y"
             {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 14768 "obj/conf/cf-parse.tab.c"
    break;

  case 1442: /* stat_nexthop: stat_nexthop DEV TEXT  */
#line 92 "proto/static/config.Y"
                          {
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 14776 "obj/conf/cf-parse.tab.c"
    break;

  case 1443: /* stat_nexthop: stat_nexthop MPLS label_stack  */
#line 95 "proto/static/config.Y"
                                  {
    this_snh->mls = (yyvsp[0].ad);
  }
#line 14784 "obj/conf/cf-parse.tab.c"
    break;

  case 1444: /* stat_nexthop: stat_nexthop ONLINK bool  */
#line 98 "proto/static/config.Y"
                             {
    this_snh->onlink = (yyvsp[0].i);
    if (this_snh->use_bfd && this_snh->onlink)
      cf_error("Options 'bfd' and 'onlink' cannot be combined");
  }
#line 14794 "obj/conf/cf-parse.tab.c"
    break;

  case 1445: /* stat_nexthop: stat_nexthop WEIGHT expr  */
#line 103 "proto/static/config.Y"
                             {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 14803 "obj/conf/cf-parse.tab.c"
    break;

  case 1446: /* stat_nexthop: stat_nexthop BFD bool  */
#line 107 "proto/static/config.Y"
                          {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
    if (this_snh->use_bfd && this_snh->onlink)
      cf_error("Options 'bfd' and 'onlink' cannot be combined");
  }
#line 14813 "obj/conf/cf-parse.tab.c"
    break;

  case 1450: /* stat_mpls: MPLS expr  */
#line 121 "proto/static/config.Y"
             { this_srt->mpls_label = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label must be less than 2^20"); }
#line 14819 "obj/conf/cf-parse.tab.c"
    break;

  case 1451: /* $@28: %empty  */
#line 124 "proto/static/config.Y"
                           {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt->mpls_label = (uint) -1;
     this_srt_cmds = NULL;
     this_srt_last_cmd = NULL;
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 14834 "obj/conf/cf-parse.tab.c"
    break;

  case 1454: /* stat_route: stat_route0 RECURSIVE ipa  */
#line 138 "proto/static/config.Y"
                             {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 14843 "obj/conf/cf-parse.tab.c"
    break;

  case 1455: /* stat_route: stat_route0 RECURSIVE ipa MPLS label_stack  */
#line 142 "proto/static/config.Y"
                                              {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].ad);
   }
#line 14853 "obj/conf/cf-parse.tab.c"
    break;

  case 1456: /* stat_route: stat_route0  */
#line 147 "proto/static/config.Y"
                                { this_srt->dest = RTD_NONE; }
#line 14859 "obj/conf/cf-parse.tab.c"
    break;

  case 1457: /* stat_route: stat_route0 DROP  */
#line 148 "proto/static/config.Y"
                                { this_srt->dest = RTD_BLACKHOLE; }
#line 14865 "obj/conf/cf-parse.tab.c"
    break;

  case 1458: /* stat_route: stat_route0 REJECT  */
#line 149 "proto/static/config.Y"
                                { this_srt->dest = RTD_UNREACHABLE; }
#line 14871 "obj/conf/cf-parse.tab.c"
    break;

  case 1459: /* stat_route: stat_route0 BLACKHOLE  */
#line 150 "proto/static/config.Y"
                                { this_srt->dest = RTD_BLACKHOLE; }
#line 14877 "obj/conf/cf-parse.tab.c"
    break;

  case 1460: /* stat_route: stat_route0 UNREACHABLE  */
#line 151 "proto/static/config.Y"
                                { this_srt->dest = RTD_UNREACHABLE; }
#line 14883 "obj/conf/cf-parse.tab.c"
    break;

  case 1461: /* stat_route: stat_route0 PROHIBIT  */
#line 152 "proto/static/config.Y"
                                { this_srt->dest = RTD_PROHIBIT; }
#line 14889 "obj/conf/cf-parse.tab.c"
    break;

  case 1462: /* $@29: %empty  */
#line 153 "proto/static/config.Y"
                         {
    if (this_srt->net->type != NET_ASPA) cf_error("Provider settings available only for ASPA");
    this_srt->aspa = cfg_alloc(sizeof (adata) + (this_srt_aspa_max = 8) * sizeof (u32));
    this_srt->aspa->length = 0;
   }
#line 14899 "obj/conf/cf-parse.tab.c"
    break;

  case 1464: /* stat_route: stat_route0 TRANSIT  */
#line 158 "proto/static/config.Y"
                       {
    if (this_srt->net->type != NET_ASPA) cf_error("Transit settings available only for ASPA");
    /* Allocate an explicit zero */
    this_srt->aspa = cfg_alloc(sizeof (adata) + sizeof (u32));
    this_srt->aspa->length = sizeof(u32);
    ((u32 *) this_srt->aspa->data)[0] = 0;
   }
#line 14911 "obj/conf/cf-parse.tab.c"
    break;

  case 1465: /* stat_aspa_provider: NUM  */
#line 167 "proto/static/config.Y"
                        {
  if (this_srt->aspa->length == this_srt_aspa_max * sizeof(u32))
  {
    adata *new = cfg_alloc(sizeof (adata) + (this_srt_aspa_max * 2) * sizeof (u32));
    memcpy(new, this_srt->aspa, this_srt->aspa->length + sizeof(adata));
    this_srt->aspa = new;
    this_srt_aspa_max *= 2;
  }

  ((u32 *) this_srt->aspa->data)[this_srt->aspa->length / sizeof(u32)] = (yyvsp[0].i);
  this_srt->aspa->length += sizeof(u32);
}
#line 14928 "obj/conf/cf-parse.tab.c"
    break;

  case 1468: /* stat_route_item: cmd  */
#line 183 "proto/static/config.Y"
       {
     if (this_srt_last_cmd)
       this_srt_last_cmd->next = (yyvsp[0].x);
     else
       this_srt_cmds = (yyvsp[0].x);
     this_srt_last_cmd = (yyvsp[0].x);
   }
#line 14940 "obj/conf/cf-parse.tab.c"
    break;

  case 1472: /* $@30: %empty  */
#line 199 "proto/static/config.Y"
       { cf_enter_filters(); }
#line 14946 "obj/conf/cf-parse.tab.c"
    break;

  case 1473: /* stat_route_opt_list: '{' $@30 stat_route_opts '}'  */
#line 199 "proto/static/config.Y"
                                                   { cf_exit_filters(); }
#line 14952 "obj/conf/cf-parse.tab.c"
    break;

  case 1475: /* cmd_SHOW_STATIC: SHOW STATIC optproto END  */
#line 204 "proto/static/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_static, p) static_show(p); }
#line 14958 "obj/conf/cf-parse.tab.c"
    break;

  case 1477: /* mrt_proto_start: proto_start MRT  */
#line 29 "proto/mrt/config.Y"
{
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
  this_proto->loop_order = DOMAIN_ORDER(proto);
}
#line 14967 "obj/conf/cf-parse.tab.c"
    break;

  case 1479: /* mrt_proto_item: TABLE rtable  */
#line 36 "proto/mrt/config.Y"
                        { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 14973 "obj/conf/cf-parse.tab.c"
    break;

  case 1480: /* mrt_proto_item: TABLE TEXT  */
#line 37 "proto/mrt/config.Y"
                        { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 14979 "obj/conf/cf-parse.tab.c"
    break;

  case 1481: /* mrt_proto_item: FILTER filter  */
#line 38 "proto/mrt/config.Y"
                        { MRT_CFG->filter = (yyvsp[0].f); }
#line 14985 "obj/conf/cf-parse.tab.c"
    break;

  case 1482: /* mrt_proto_item: where_filter  */
#line 39 "proto/mrt/config.Y"
                        { MRT_CFG->filter = (yyvsp[0].f); }
#line 14991 "obj/conf/cf-parse.tab.c"
    break;

  case 1483: /* mrt_proto_item: FILENAME text  */
#line 40 "proto/mrt/config.Y"
                        { MRT_CFG->filename = (yyvsp[0].t); }
#line 14997 "obj/conf/cf-parse.tab.c"
    break;

  case 1484: /* mrt_proto_item: PERIOD expr  */
#line 41 "proto/mrt/config.Y"
                        { MRT_CFG->period = (yyvsp[0].i); }
#line 15003 "obj/conf/cf-parse.tab.c"
    break;

  case 1485: /* mrt_proto_item: ALWAYS ADD PATH bool  */
#line 42 "proto/mrt/config.Y"
                        { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 15009 "obj/conf/cf-parse.tab.c"
    break;

  case 1488: /* mrt_proto: mrt_proto_start proto_name '{' mrt_proto_opts '}'  */
#line 51 "proto/mrt/config.Y"
                                                     { mrt_check_config(this_proto); }
#line 15015 "obj/conf/cf-parse.tab.c"
    break;

  case 1490: /* cmd_MRT_DUMP: MRT DUMP mrt_dump_args END  */
#line 55 "proto/mrt/config.Y"
{ mrt_dump_cmd((yyvsp[-1].md)); }
#line 15021 "obj/conf/cf-parse.tab.c"
    break;

  case 1491: /* mrt_dump_args: %empty  */
#line 63 "proto/mrt/config.Y"
               { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 15027 "obj/conf/cf-parse.tab.c"
    break;

  case 1492: /* mrt_dump_args: mrt_dump_args TABLE rtable  */
#line 64 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 15033 "obj/conf/cf-parse.tab.c"
    break;

  case 1493: /* mrt_dump_args: mrt_dump_args TABLE TEXT  */
#line 65 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 15039 "obj/conf/cf-parse.tab.c"
    break;

  case 1494: /* mrt_dump_args: mrt_dump_args FILTER filter  */
#line 66 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 15045 "obj/conf/cf-parse.tab.c"
    break;

  case 1495: /* mrt_dump_args: mrt_dump_args where_filter  */
#line 67 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 15051 "obj/conf/cf-parse.tab.c"
    break;

  case 1496: /* mrt_dump_args: mrt_dump_args TO text  */
#line 68 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 15057 "obj/conf/cf-parse.tab.c"
    break;

  case 1498: /* bmp_proto_start: proto_start BMP  */
#line 26 "proto/bmp/config.Y"
                                 {
     this_proto = proto_config_new(&proto_bmp, (yyvsp[-1].i));
     this_proto->loop_order = DOMAIN_ORDER(proto);
     BMP_CFG->sys_descr = "Not defined";
     BMP_CFG->sys_name = "Not defined";
     BMP_CFG->tx_pending_limit = (1 << 30) / page_size;
   }
#line 15069 "obj/conf/cf-parse.tab.c"
    break;

  case 1500: /* bmp_station_address: bmp_station_address IP ipa  */
#line 37 "proto/bmp/config.Y"
                              {
     if (ipa_zero((yyvsp[0].a)))
       cf_error("Invalid BMP monitoring station IP address");
     BMP_CFG->station_ip = (yyvsp[0].a);
   }
#line 15079 "obj/conf/cf-parse.tab.c"
    break;

  case 1501: /* bmp_station_address: bmp_station_address PORT expr  */
#line 42 "proto/bmp/config.Y"
                                 {
     if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 65535))
       cf_error("Invalid BMP monitoring station port number");
     BMP_CFG->station_port = (yyvsp[0].i);
   }
#line 15089 "obj/conf/cf-parse.tab.c"
    break;

  case 1504: /* bmp_proto: bmp_proto LOCAL ADDRESS ipa ';'  */
#line 52 "proto/bmp/config.Y"
                                   {
     BMP_CFG->local_addr = (yyvsp[-1].a);
   }
#line 15097 "obj/conf/cf-parse.tab.c"
    break;

  case 1506: /* bmp_proto: bmp_proto SYSTEM DESCRIPTION text ';'  */
#line 56 "proto/bmp/config.Y"
                                         {
     if (!(yyvsp[-1].t) || (strlen((yyvsp[-1].t)) == 0))
       cf_error("String is empty");
     else if (strlen((yyvsp[-1].t)) > 255)
       cf_error("Invalid string length");
     BMP_CFG->sys_descr = (yyvsp[-1].t);
   }
#line 15109 "obj/conf/cf-parse.tab.c"
    break;

  case 1507: /* bmp_proto: bmp_proto SYSTEM NAME text ';'  */
#line 63 "proto/bmp/config.Y"
                                  {
     if (!(yyvsp[-1].t) || (strlen((yyvsp[-1].t)) == 0))
       cf_error("String is empty");
     else if (strlen((yyvsp[-1].t)) > 255)
       cf_error("Invalid string length");
     BMP_CFG->sys_name = (yyvsp[-1].t);
   }
#line 15121 "obj/conf/cf-parse.tab.c"
    break;

  case 1508: /* bmp_proto: bmp_proto MONITORING RIB IN PRE_POLICY bool ';'  */
#line 70 "proto/bmp/config.Y"
                                                   {
     BMP_CFG->monitoring_rib_in_pre_policy = (yyvsp[-1].i);
   }
#line 15129 "obj/conf/cf-parse.tab.c"
    break;

  case 1509: /* bmp_proto: bmp_proto MONITORING RIB IN POST_POLICY bool ';'  */
#line 73 "proto/bmp/config.Y"
                                                    {
     BMP_CFG->monitoring_rib_in_post_policy = (yyvsp[-1].i);
   }
#line 15137 "obj/conf/cf-parse.tab.c"
    break;

  case 1510: /* bmp_proto: bmp_proto TX BUFFER LIMIT expr ';'  */
#line 76 "proto/bmp/config.Y"
                                      {
     BMP_CFG->tx_pending_limit = (yyvsp[-1].i) * (u64) (1 << 20) / page_size;
     if ((yyvsp[-1].i) < 1) cf_error("BMP TX buffer limit must be at least 1 megabyte");
   }
#line 15146 "obj/conf/cf-parse.tab.c"
    break;

  case 1512: /* kern_sys_item: KERNEL TABLE expr  */
#line 29 "sysdep/linux/netlink.Y"
                     { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 15152 "obj/conf/cf-parse.tab.c"
    break;

  case 1513: /* kern_sys_item: METRIC expr  */
#line 30 "sysdep/linux/netlink.Y"
               { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 15158 "obj/conf/cf-parse.tab.c"
    break;

  case 1514: /* kern_sys_item: NETLINK RX BUFFER expr  */
#line 31 "sysdep/linux/netlink.Y"
                          { THIS_KRT->sys.netlink_rx_buffer = (yyvsp[0].i); }
#line 15164 "obj/conf/cf-parse.tab.c"
    break;

  case 1515: /* attr_bit: KRT_LOCK_MTU  */
#line 35 "sysdep/linux/netlink.Y"
                                { (yyval.fab) = f_new_dynamic_attr_bit(2, "krt_lock"); }
#line 15170 "obj/conf/cf-parse.tab.c"
    break;

  case 1516: /* attr_bit: KRT_LOCK_WINDOW  */
#line 36 "sysdep/linux/netlink.Y"
                                { (yyval.fab) = f_new_dynamic_attr_bit(3, "krt_lock"); }
#line 15176 "obj/conf/cf-parse.tab.c"
    break;

  case 1517: /* attr_bit: KRT_LOCK_RTT  */
#line 37 "sysdep/linux/netlink.Y"
                                { (yyval.fab) = f_new_dynamic_attr_bit(4, "krt_lock"); }
#line 15182 "obj/conf/cf-parse.tab.c"
    break;

  case 1518: /* attr_bit: KRT_LOCK_RTTVAR  */
#line 38 "sysdep/linux/netlink.Y"
                                { (yyval.fab) = f_new_dynamic_attr_bit(5, "krt_lock"); }
#line 15188 "obj/conf/cf-parse.tab.c"
    break;

  case 1519: /* attr_bit: KRT_LOCK_SSTHRESH  */
#line 39 "sysdep/linux/netlink.Y"
                                { (yyval.fab) = f_new_dynamic_attr_bit(6, "krt_lock"); }
#line 15194 "obj/conf/cf-parse.tab.c"
    break;

  case 1520: /* attr_bit: KRT_LOCK_CWND  */
#line 40 "sysdep/linux/netlink.Y"
                                { (yyval.fab) = f_new_dynamic_attr_bit(7, "krt_lock"); }
#line 15200 "obj/conf/cf-parse.tab.c"
    break;

  case 1521: /* attr_bit: KRT_LOCK_ADVMSS  */
#line 41 "sysdep/linux/netlink.Y"
                                { (yyval.fab) = f_new_dynamic_attr_bit(8, "krt_lock"); }
#line 15206 "obj/conf/cf-parse.tab.c"
    break;

  case 1522: /* attr_bit: KRT_LOCK_REORDERING  */
#line 42 "sysdep/linux/netlink.Y"
                                { (yyval.fab) = f_new_dynamic_attr_bit(9, "krt_lock"); }
#line 15212 "obj/conf/cf-parse.tab.c"
    break;

  case 1523: /* attr_bit: KRT_LOCK_HOPLIMIT  */
#line 43 "sysdep/linux/netlink.Y"
                                { (yyval.fab) = f_new_dynamic_attr_bit(10, "krt_lock"); }
#line 15218 "obj/conf/cf-parse.tab.c"
    break;

  case 1524: /* attr_bit: KRT_LOCK_INITCWND  */
#line 44 "sysdep/linux/netlink.Y"
                                { (yyval.fab) = f_new_dynamic_attr_bit(11, "krt_lock"); }
#line 15224 "obj/conf/cf-parse.tab.c"
    break;

  case 1525: /* attr_bit: KRT_LOCK_RTO_MIN  */
#line 46 "sysdep/linux/netlink.Y"
                                { (yyval.fab) = f_new_dynamic_attr_bit(13, "krt_lock"); }
#line 15230 "obj/conf/cf-parse.tab.c"
    break;

  case 1526: /* attr_bit: KRT_LOCK_INITRWND  */
#line 47 "sysdep/linux/netlink.Y"
                                { (yyval.fab) = f_new_dynamic_attr_bit(14, "krt_lock"); }
#line 15236 "obj/conf/cf-parse.tab.c"
    break;

  case 1527: /* attr_bit: KRT_LOCK_QUICKACK  */
#line 48 "sysdep/linux/netlink.Y"
                                { (yyval.fab) = f_new_dynamic_attr_bit(15, "krt_lock"); }
#line 15242 "obj/conf/cf-parse.tab.c"
    break;

  case 1528: /* attr_bit: KRT_LOCK_CONGCTL  */
#line 49 "sysdep/linux/netlink.Y"
                                { (yyval.fab) = f_new_dynamic_attr_bit(16, "krt_lock"); }
#line 15248 "obj/conf/cf-parse.tab.c"
    break;

  case 1529: /* attr_bit: KRT_LOCK_FASTOPEN_NO_COOKIE  */
#line 50 "sysdep/linux/netlink.Y"
                                        { (yyval.fab) = f_new_dynamic_attr_bit(17, "krt_lock"); }
#line 15254 "obj/conf/cf-parse.tab.c"
    break;

  case 1530: /* attr_bit: KRT_FEATURE_ECN  */
#line 53 "sysdep/linux/netlink.Y"
                                { (yyval.fab) = f_new_dynamic_attr_bit(0, "krt_features"); }
#line 15260 "obj/conf/cf-parse.tab.c"
    break;

  case 1531: /* attr_bit: KRT_FEATURE_ALLFRAG  */
#line 54 "sysdep/linux/netlink.Y"
                              { (yyval.fab) = f_new_dynamic_attr_bit(3, "krt_features"); }
#line 15266 "obj/conf/cf-parse.tab.c"
    break;

  case 1532: /* lvalue: attr_bit  */
#line 57 "sysdep/linux/netlink.Y"
                 { (yyval.flv) = (struct f_lval) { .type = F_LVAL_ATTR_BIT, .fab = (yyvsp[0].fab), .rte = f_new_inst(FI_CURRENT_ROUTE), }; }
#line 15272 "obj/conf/cf-parse.tab.c"
    break;

  case 1534: /* log_begin: %empty  */
#line 34 "sysdep/unix/config.Y"
           { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 15278 "obj/conf/cf-parse.tab.c"
    break;

  case 1535: /* log_config: LOG log_begin log_file log_mask ';'  */
#line 36 "sysdep/unix/config.Y"
                                                {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 15287 "obj/conf/cf-parse.tab.c"
    break;

  case 1536: /* syslog_name: NAME text  */
#line 43 "sysdep/unix/config.Y"
             { (yyval.t) = (yyvsp[0].t); }
#line 15293 "obj/conf/cf-parse.tab.c"
    break;

  case 1537: /* syslog_name: %empty  */
#line 44 "sysdep/unix/config.Y"
   { (yyval.t) = bird_name; }
#line 15299 "obj/conf/cf-parse.tab.c"
    break;

  case 1539: /* log_limit: expr text  */
#line 49 "sysdep/unix/config.Y"
             { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 15305 "obj/conf/cf-parse.tab.c"
    break;

  case 1540: /* log_file: text log_limit  */
#line 53 "sysdep/unix/config.Y"
                  {
     if (!parse_and_exit)
     {
       this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), RF_APPEND, this_log->limit);
       if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
     }
     this_log->filename = (yyvsp[-1].t);
   }
#line 15318 "obj/conf/cf-parse.tab.c"
    break;

  case 1541: /* log_file: FIXED text expr  */
#line 61 "sysdep/unix/config.Y"
                   {
     if (!parse_and_exit)
     {
       this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), RF_FIXED, this_log->limit = (yyvsp[0].i));
       if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
     }
     this_log->filename = (yyvsp[-1].t);
   }
#line 15331 "obj/conf/cf-parse.tab.c"
    break;

  case 1542: /* log_file: SYSLOG syslog_name  */
#line 69 "sysdep/unix/config.Y"
                      { this_log->rf = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 15337 "obj/conf/cf-parse.tab.c"
    break;

  case 1543: /* log_file: STDERR  */
#line 70 "sysdep/unix/config.Y"
          { this_log->rf = &rf_stderr; this_log->terminal_flag = 1; }
#line 15343 "obj/conf/cf-parse.tab.c"
    break;

  case 1544: /* log_file: UDP log_udp_host log_udp_port  */
#line 71 "sysdep/unix/config.Y"
                                 { this_log->rf = NULL; }
#line 15349 "obj/conf/cf-parse.tab.c"
    break;

  case 1545: /* log_udp_host: text_or_ipa  */
#line 75 "sysdep/unix/config.Y"
{
  if ((yyvsp[0].v).type == T_STRING)
    this_log->udp_host = (yyvsp[0].v).val.s;
  else if ((yyvsp[0].v).type == T_IP)
    this_log->udp_ip = (yyvsp[0].v).val.ip;
  else bug("Bad text_or_ipa");
}
#line 15361 "obj/conf/cf-parse.tab.c"
    break;

  case 1546: /* log_udp_port: %empty  */
#line 84 "sysdep/unix/config.Y"
                { this_log->udp_port = 514; }
#line 15367 "obj/conf/cf-parse.tab.c"
    break;

  case 1547: /* log_udp_port: PORT NUM  */
#line 85 "sysdep/unix/config.Y"
             { check_u16((yyvsp[0].i)); this_log->udp_port = (yyvsp[0].i); }
#line 15373 "obj/conf/cf-parse.tab.c"
    break;

  case 1548: /* log_mask: ALL  */
#line 89 "sysdep/unix/config.Y"
       { (yyval.i) = ~0; }
#line 15379 "obj/conf/cf-parse.tab.c"
    break;

  case 1549: /* log_mask: '{' log_mask_list '}'  */
#line 90 "sysdep/unix/config.Y"
                         { (yyval.i) = (yyvsp[-1].i); }
#line 15385 "obj/conf/cf-parse.tab.c"
    break;

  case 1550: /* log_mask_list: log_cat  */
#line 94 "sysdep/unix/config.Y"
           { (yyval.i) = 1 << (yyvsp[0].i); }
#line 15391 "obj/conf/cf-parse.tab.c"
    break;

  case 1551: /* log_mask_list: log_mask_list ',' log_cat  */
#line 95 "sysdep/unix/config.Y"
                             { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 15397 "obj/conf/cf-parse.tab.c"
    break;

  case 1552: /* log_cat: DEBUG  */
#line 99 "sysdep/unix/config.Y"
         { (yyval.i) = L_DEBUG[0]; }
#line 15403 "obj/conf/cf-parse.tab.c"
    break;

  case 1553: /* log_cat: TRACE  */
#line 100 "sysdep/unix/config.Y"
         { (yyval.i) = L_TRACE[0]; }
#line 15409 "obj/conf/cf-parse.tab.c"
    break;

  case 1554: /* log_cat: INFO  */
#line 101 "sysdep/unix/config.Y"
        { (yyval.i) = L_INFO[0]; }
#line 15415 "obj/conf/cf-parse.tab.c"
    break;

  case 1555: /* log_cat: REMOTE  */
#line 102 "sysdep/unix/config.Y"
          { (yyval.i) = L_REMOTE[0]; }
#line 15421 "obj/conf/cf-parse.tab.c"
    break;

  case 1556: /* log_cat: WARNING  */
#line 103 "sysdep/unix/config.Y"
           { (yyval.i) = L_WARN[0]; }
#line 15427 "obj/conf/cf-parse.tab.c"
    break;

  case 1557: /* log_cat: ERROR  */
#line 104 "sysdep/unix/config.Y"
         { (yyval.i) = L_ERR[0]; }
#line 15433 "obj/conf/cf-parse.tab.c"
    break;

  case 1558: /* log_cat: AUTH  */
#line 105 "sysdep/unix/config.Y"
        { (yyval.i) = L_AUTH[0]; }
#line 15439 "obj/conf/cf-parse.tab.c"
    break;

  case 1559: /* log_cat: FATAL  */
#line 106 "sysdep/unix/config.Y"
         { (yyval.i) = L_FATAL[0]; }
#line 15445 "obj/conf/cf-parse.tab.c"
    break;

  case 1560: /* log_cat: BUG  */
#line 107 "sysdep/unix/config.Y"
       { (yyval.i) = L_BUG[0]; }
#line 15451 "obj/conf/cf-parse.tab.c"
    break;

  case 1562: /* mrtdump_base: MRTDUMP PROTOCOLS mrtdump_mask ';'  */
#line 114 "sysdep/unix/config.Y"
                                      { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 15457 "obj/conf/cf-parse.tab.c"
    break;

  case 1563: /* mrtdump_base: MRTDUMP text ';'  */
#line 115 "sysdep/unix/config.Y"
                    {
     if (!parse_and_exit)
     {
       struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), RF_APPEND, 0);
       if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
       new_config->mrtdump_file = f;
     }
   }
#line 15470 "obj/conf/cf-parse.tab.c"
    break;

  case 1565: /* cli: CLI text cli_opts  */
#line 127 "sysdep/unix/config.Y"
                       {
  this_cli_config->name = (yyvsp[-1].t);
  cli_config_add_tail(&new_config->cli, this_cli_config);
  this_cli_config = NULL;
}
#line 15480 "obj/conf/cf-parse.tab.c"
    break;

  case 1568: /* cli_opts_begin: %empty  */
#line 135 "sysdep/unix/config.Y"
                {
  this_cli_config = cfg_alloc(sizeof *this_cli_config);
  *this_cli_config = (typeof (*this_cli_config)) {
    .config = new_config,
    .mode = 0660,
  };
}
#line 15492 "obj/conf/cf-parse.tab.c"
    break;

  case 1570: /* cli_opts_block: cli_opts_block RESTRICT  */
#line 145 "sysdep/unix/config.Y"
                          { this_cli_config->restricted = 1; }
#line 15498 "obj/conf/cf-parse.tab.c"
    break;

  case 1571: /* conf: THREADS expr  */
#line 148 "sysdep/unix/config.Y"
                   {
    if ((yyvsp[0].i) < 1) cf_error("Number of threads must be at least one.");
    new_config->thread_count = (yyvsp[0].i);
}
#line 15507 "obj/conf/cf-parse.tab.c"
    break;

  case 1573: /* debug_unix: DEBUG LATENCY latency_debug_mask  */
#line 157 "sysdep/unix/config.Y"
                                    { new_config->latency_debug = (yyvsp[0].i); }
#line 15513 "obj/conf/cf-parse.tab.c"
    break;

  case 1574: /* debug_unix: DEBUG LATENCY LIMIT expr_us  */
#line 158 "sysdep/unix/config.Y"
                               { new_config->latency_limit = (yyvsp[0].time); }
#line 15519 "obj/conf/cf-parse.tab.c"
    break;

  case 1575: /* debug_unix: WATCHDOG WARNING expr_us  */
#line 159 "sysdep/unix/config.Y"
                            { new_config->watchdog_warning = (yyvsp[0].time); }
#line 15525 "obj/conf/cf-parse.tab.c"
    break;

  case 1576: /* debug_unix: WATCHDOG TIMEOUT expr_us  */
#line 160 "sysdep/unix/config.Y"
                            { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 15531 "obj/conf/cf-parse.tab.c"
    break;

  case 1577: /* latency_debug_mask: ALL  */
#line 164 "sysdep/unix/config.Y"
       { (yyval.i) = ~0; }
#line 15537 "obj/conf/cf-parse.tab.c"
    break;

  case 1578: /* latency_debug_mask: OFF  */
#line 165 "sysdep/unix/config.Y"
       { (yyval.i) = 0; }
#line 15543 "obj/conf/cf-parse.tab.c"
    break;

  case 1579: /* latency_debug_mask: '{' latency_debug_list '}'  */
#line 166 "sysdep/unix/config.Y"
                              { (yyval.i) = (yyvsp[-1].i); }
#line 15549 "obj/conf/cf-parse.tab.c"
    break;

  case 1581: /* latency_debug_list: latency_debug_list ',' latency_debug_flag  */
#line 169 "sysdep/unix/config.Y"
                                                                                   { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 15555 "obj/conf/cf-parse.tab.c"
    break;

  case 1582: /* latency_debug_flag: PING  */
#line 172 "sysdep/unix/config.Y"
                { (yyval.i) = DL_PING; }
#line 15561 "obj/conf/cf-parse.tab.c"
    break;

  case 1583: /* latency_debug_flag: WAKEUP  */
#line 173 "sysdep/unix/config.Y"
                { (yyval.i) = DL_WAKEUP; }
#line 15567 "obj/conf/cf-parse.tab.c"
    break;

  case 1584: /* latency_debug_flag: SOCKETS  */
#line 174 "sysdep/unix/config.Y"
                { (yyval.i) = DL_SOCKETS; }
#line 15573 "obj/conf/cf-parse.tab.c"
    break;

  case 1585: /* latency_debug_flag: SCHEDULING  */
#line 175 "sysdep/unix/config.Y"
                { (yyval.i) = DL_SCHEDULING; }
#line 15579 "obj/conf/cf-parse.tab.c"
    break;

  case 1586: /* latency_debug_flag: ALLOCATOR  */
#line 176 "sysdep/unix/config.Y"
                { (yyval.i) = DL_ALLOCATOR; }
#line 15585 "obj/conf/cf-parse.tab.c"
    break;

  case 1587: /* latency_debug_flag: EVENTS  */
#line 177 "sysdep/unix/config.Y"
                { (yyval.i) = DL_EVENTS; }
#line 15591 "obj/conf/cf-parse.tab.c"
    break;

  case 1588: /* latency_debug_flag: TIMERS  */
#line 178 "sysdep/unix/config.Y"
                { (yyval.i) = DL_TIMERS; }
#line 15597 "obj/conf/cf-parse.tab.c"
    break;

  case 1590: /* cmd_CONFIGURE: CONFIGURE cfg_name cfg_timeout END  */
#line 187 "sysdep/unix/config.Y"
{ cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 15603 "obj/conf/cf-parse.tab.c"
    break;

  case 1592: /* cmd_CONFIGURE_SOFT: CONFIGURE SOFT cfg_name cfg_timeout END  */
#line 190 "sysdep/unix/config.Y"
{ cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 15609 "obj/conf/cf-parse.tab.c"
    break;

  case 1594: /* cmd_CONFIGURE_CONFIRM: CONFIGURE CONFIRM END  */
#line 197 "sysdep/unix/config.Y"
{ cmd_reconfig_confirm(); }
#line 15615 "obj/conf/cf-parse.tab.c"
    break;

  case 1596: /* cmd_CONFIGURE_UNDO: CONFIGURE UNDO END  */
#line 200 "sysdep/unix/config.Y"
{ cmd_reconfig_undo(); }
#line 15621 "obj/conf/cf-parse.tab.c"
    break;

  case 1598: /* cmd_CONFIGURE_STATUS: CONFIGURE STATUS END  */
#line 203 "sysdep/unix/config.Y"
{ cmd_reconfig_status(); }
#line 15627 "obj/conf/cf-parse.tab.c"
    break;

  case 1600: /* cmd_CONFIGURE_CHECK: CONFIGURE CHECK cfg_name END  */
#line 206 "sysdep/unix/config.Y"
{ cmd_check_config((yyvsp[-1].t)); }
#line 15633 "obj/conf/cf-parse.tab.c"
    break;

  case 1602: /* cmd_DOWN: DOWN END  */
#line 209 "sysdep/unix/config.Y"
{ cmd_shutdown(); }
#line 15639 "obj/conf/cf-parse.tab.c"
    break;

  case 1604: /* cmd_GRACEFUL_RESTART: GRACEFUL RESTART END  */
#line 214 "sysdep/unix/config.Y"
{ cmd_graceful_restart(); }
#line 15645 "obj/conf/cf-parse.tab.c"
    break;

  case 1606: /* cmd_SHOW_THREADS: SHOW THREADS END  */
#line 217 "sysdep/unix/config.Y"
{ cmd_show_threads(0); }
#line 15651 "obj/conf/cf-parse.tab.c"
    break;

  case 1608: /* cmd_SHOW_THREADS_ALL: SHOW THREADS ALL END  */
#line 220 "sysdep/unix/config.Y"
{ cmd_show_threads(1); }
#line 15657 "obj/conf/cf-parse.tab.c"
    break;

  case 1609: /* cfg_name: %empty  */
#line 223 "sysdep/unix/config.Y"
               { (yyval.t) = NULL; }
#line 15663 "obj/conf/cf-parse.tab.c"
    break;

  case 1611: /* cfg_timeout: %empty  */
#line 228 "sysdep/unix/config.Y"
               { (yyval.i) = 0; }
#line 15669 "obj/conf/cf-parse.tab.c"
    break;

  case 1612: /* cfg_timeout: TIMEOUT  */
#line 229 "sysdep/unix/config.Y"
           { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 15675 "obj/conf/cf-parse.tab.c"
    break;

  case 1613: /* cfg_timeout: TIMEOUT expr  */
#line 230 "sysdep/unix/config.Y"
                { (yyval.i) = (yyvsp[0].i); }
#line 15681 "obj/conf/cf-parse.tab.c"
    break;

  case 1615: /* kern_proto_start: proto_start KERNEL  */
#line 45 "sysdep/unix/krt.Y"
                                     {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 15689 "obj/conf/cf-parse.tab.c"
    break;

  case 1618: /* kern_learn: bool  */
#line 54 "sysdep/unix/krt.Y"
        { (yyval.i) = (yyvsp[0].i) ? KRT_LEARN_ALIEN : KRT_LEARN_NONE; }
#line 15695 "obj/conf/cf-parse.tab.c"
    break;

  case 1619: /* kern_learn: ALL  */
#line 55 "sysdep/unix/krt.Y"
        { (yyval.i) = KRT_LEARN_ALL; }
#line 15701 "obj/conf/cf-parse.tab.c"
    break;

  case 1620: /* kern_mp_limit: %empty  */
#line 59 "sysdep/unix/krt.Y"
               { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 15707 "obj/conf/cf-parse.tab.c"
    break;

  case 1621: /* kern_mp_limit: LIMIT expr  */
#line 60 "sysdep/unix/krt.Y"
               { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 15713 "obj/conf/cf-parse.tab.c"
    break;

  case 1625: /* kern_item: kern_channel  */
#line 71 "sysdep/unix/krt.Y"
                { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 15719 "obj/conf/cf-parse.tab.c"
    break;

  case 1626: /* kern_item: PERSIST bool  */
#line 72 "sysdep/unix/krt.Y"
                { THIS_KRT->persist = (yyvsp[0].i); }
#line 15725 "obj/conf/cf-parse.tab.c"
    break;

  case 1627: /* kern_item: SCAN TIME expr  */
#line 73 "sysdep/unix/krt.Y"
                  {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 15734 "obj/conf/cf-parse.tab.c"
    break;

  case 1628: /* kern_item: LEARN kern_learn  */
#line 77 "sysdep/unix/krt.Y"
                    {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 15746 "obj/conf/cf-parse.tab.c"
    break;

  case 1629: /* kern_item: GRACEFUL RESTART bool  */
#line 84 "sysdep/unix/krt.Y"
                         { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 15752 "obj/conf/cf-parse.tab.c"
    break;

  case 1630: /* kern_item: MERGE PATHS bool kern_mp_limit  */
#line 85 "sysdep/unix/krt.Y"
                                  {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 15764 "obj/conf/cf-parse.tab.c"
    break;

  case 1632: /* kif_proto_start: proto_start DEVICE  */
#line 98 "sysdep/unix/krt.Y"
                                    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 15770 "obj/conf/cf-parse.tab.c"
    break;

  case 1637: /* kif_item: SCAN TIME expr  */
#line 107 "sysdep/unix/krt.Y"
                  {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 15779 "obj/conf/cf-parse.tab.c"
    break;

  case 1638: /* kif_iface_start: %empty  */
#line 114 "sysdep/unix/krt.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 15789 "obj/conf/cf-parse.tab.c"
    break;

  case 1639: /* kif_iface_item: PREFERRED ipa  */
#line 121 "sysdep/unix/krt.Y"
                 { kif_set_preferred((yyvsp[0].a)); }
#line 15795 "obj/conf/cf-parse.tab.c"
    break;


#line 15799 "obj/conf/cf-parse.tab.c"

        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yyesa, &yyes, &yyes_capacity, yytoken};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          YYNOMEM;
      }
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

#line 57 "conf/gen_parser.m4"

#line 491 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 206 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 1030 "nest/config.Y"
/* C Code from nest/config.Y */

#line 200 "nest/mpls.Y"
/* C Code from nest/mpls.Y */

#line 149 "proto/aggregator/config.Y"
/* C Code from proto/aggregator/config.Y */

#line 252 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 201 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 411 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 99 "proto/l3vpn/config.Y"
/* C Code from proto/l3vpn/config.Y */

#line 565 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 58 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 353 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 202 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 185 "proto/rpki/config.Y"
/* C Code from proto/rpki/config.Y */

#line 206 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 72 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 82 "proto/bmp/config.Y"
/* C Code from proto/bmp/config.Y */

#line 59 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 233 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 138 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

